/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtGuiAPI_H
#define _QtGuiAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_CONSTEXPR
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_QtGui[0]
#define sipNameNr_QOpenGLFramebufferObject__FramebufferRestorePolicy 53
#define sipName_QOpenGLFramebufferObject__FramebufferRestorePolicy &sipStrings_QtGui[53]
#define sipNameNr_QTextCharFormat__FontPropertiesInheritanceBehavior 104
#define sipName_QTextCharFormat__FontPropertiesInheritanceBehavior &sipStrings_QtGui[104]
#define sipNameNr_155 155
#define sipName_155 &sipStrings_QtGui[155]
#define sipNameNr_QAbstractTextDocumentLayout__PaintContext 203
#define sipName_QAbstractTextDocumentLayout__PaintContext &sipStrings_QtGui[203]
#define sipNameNr_QPlatformSurfaceEvent__SurfaceEventType 245
#define sipName_QPlatformSurfaceEvent__SurfaceEventType &sipStrings_QtGui[245]
#define sipNameNr_QAbstractTextDocumentLayout__Selection 285
#define sipName_QAbstractTextDocumentLayout__Selection &sipStrings_QtGui[285]
#define sipNameNr_AddSpaceForLineAndParagraphSeparators 324
#define sipName_AddSpaceForLineAndParagraphSeparators &sipStrings_QtGui[324]
#define sipNameNr_QOpenGLFramebufferObject__Attachment 362
#define sipName_QOpenGLFramebufferObject__Attachment &sipStrings_QtGui[362]
#define sipNameNr_QSurfaceFormat__OpenGLContextProfile 399
#define sipName_QSurfaceFormat__OpenGLContextProfile &sipStrings_QtGui[399]
#define sipNameNr_QIconEngine__AvailableSizesArgument 436
#define sipName_QIconEngine__AvailableSizesArgument &sipStrings_QtGui[436]
#define sipNameNr_472 472
#define sipName_472 &sipStrings_QtGui[472]
#define sipNameNr_508 508
#define sipName_508 &sipStrings_QtGui[508]
#define sipNameNr_QOpenGLTexture__CoordinateDirection 544
#define sipName_QOpenGLTexture__CoordinateDirection &sipStrings_QtGui[544]
#define sipNameNr_RasterOp_NotSourceAndNotDestination 580
#define sipName_RasterOp_NotSourceAndNotDestination &sipStrings_QtGui[580]
#define sipNameNr_mouseQuickSelectionThresholdChanged 616
#define sipName_mouseQuickSelectionThresholdChanged &sipStrings_QtGui[616]
#define sipNameNr_setFallbackSessionManagementEnabled 652
#define sipName_setFallbackSessionManagementEnabled &sipStrings_QtGui[652]
#define sipNameNr_setHighDpiScaleFactorRoundingPolicy 688
#define sipName_setHighDpiScaleFactorRoundingPolicy &sipStrings_QtGui[688]
#define sipNameNr_QOpenGLTexture__ComparisonFunction 724
#define sipName_QOpenGLTexture__ComparisonFunction &sipStrings_QtGui[724]
#define sipNameNr_QTextCharFormat__VerticalAlignment 759
#define sipName_QTextCharFormat__VerticalAlignment &sipStrings_QtGui[759]
#define sipNameNr_QTouchEvent__TouchPoint__InfoFlags 794
#define sipName_QTouchEvent__TouchPoint__InfoFlags &sipStrings_QtGui[794]
#define sipNameNr_RasterOp_NotSourceOrNotDestination 829
#define sipName_RasterOp_NotSourceOrNotDestination &sipStrings_QtGui[829]
#define sipNameNr_RestoreFramebufferBindingToDefault 864
#define sipName_RestoreFramebufferBindingToDefault &sipStrings_QtGui[864]
#define sipNameNr_isFallbackSessionManagementEnabled 899
#define sipName_isFallbackSessionManagementEnabled &sipStrings_QtGui[899]
#define sipNameNr_showShortcutsInContextMenusChanged 934
#define sipName_showShortcutsInContextMenusChanged &sipStrings_QtGui[934]
#define sipNameNr_BlockTrailingHorizontalRulerWidth 969
#define sipName_BlockTrailingHorizontalRulerWidth &sipStrings_QtGui[969]
#define sipNameNr_FontPropertiesInheritanceBehavior 121
#define sipName_FontPropertiesInheritanceBehavior &sipStrings_QtGui[121]
#define sipNameNr_QIconEngine__ScaledPixmapArgument 1003
#define sipName_QIconEngine__ScaledPixmapArgument &sipStrings_QtGui[1003]
#define sipNameNr_QPaintEngine__PaintEngineFeatures 1037
#define sipName_QPaintEngine__PaintEngineFeatures &sipStrings_QtGui[1037]
#define sipNameNr_QTextBlockFormat__LineHeightTypes 1071
#define sipName_QTextBlockFormat__LineHeightTypes &sipStrings_QtGui[1071]
#define sipNameNr_QTouchEvent__TouchPoint__InfoFlag 1105
#define sipName_QTouchEvent__TouchPoint__InfoFlag &sipStrings_QtGui[1105]
#define sipNameNr_1139 1139
#define sipName_1139 &sipStrings_QtGui[1139]
#define sipNameNr_setDefaultInnerTessellationLevels 1173
#define sipName_setDefaultInnerTessellationLevels &sipStrings_QtGui[1173]
#define sipNameNr_setDefaultOuterTessellationLevels 1207
#define sipName_setDefaultOuterTessellationLevels &sipStrings_QtGui[1207]
#define sipNameNr_QImageIOHandler__Transformations 1241
#define sipName_QImageIOHandler__Transformations &sipStrings_QtGui[1241]
#define sipNameNr_QInputMethodEvent__AttributeType 1274
#define sipName_QInputMethodEvent__AttributeType &sipStrings_QtGui[1274]
#define sipNameNr_QOpenGLContext__OpenGLModuleType 1307
#define sipName_QOpenGLContext__OpenGLModuleType &sipStrings_QtGui[1307]
#define sipNameNr_QOpenGLTexture__DepthStencilMode 1340
#define sipName_QOpenGLTexture__DepthStencilMode &sipStrings_QtGui[1340]
#define sipNameNr_QOpenGLTexture__MipMapGeneration 1373
#define sipName_QOpenGLTexture__MipMapGeneration &sipStrings_QtGui[1373]
#define sipNameNr_QOpenGLTexture__SwizzleComponent 1406
#define sipName_QOpenGLTexture__SwizzleComponent &sipStrings_QtGui[1406]
#define sipNameNr_QOpenGLTexture__TextureUnitReset 1439
#define sipName_QOpenGLTexture__TextureUnitReset &sipStrings_QtGui[1439]
#define sipNameNr_QOpenGLVertexArrayObject__Binder 1472
#define sipName_QOpenGLVertexArrayObject__Binder &sipStrings_QtGui[1472]
#define sipNameNr_QPaintEngine__PaintEngineFeature 1505
#define sipName_QPaintEngine__PaintEngineFeature &sipStrings_QtGui[1505]
#define sipNameNr_QPixelFormat__AlphaPremultiplied 1538
#define sipName_QPixelFormat__AlphaPremultiplied &sipStrings_QtGui[1538]
#define sipNameNr_QPixelFormat__TypeInterpretation 1571
#define sipName_QPixelFormat__TypeInterpretation &sipStrings_QtGui[1571]
#define sipNameNr_RasterOp_NotSourceAndDestination 1604
#define sipName_RasterOp_NotSourceAndDestination &sipStrings_QtGui[1604]
#define sipNameNr_RasterOp_NotSourceXorDestination 1637
#define sipName_RasterOp_NotSourceXorDestination &sipStrings_QtGui[1637]
#define sipNameNr_RasterOp_SourceAndNotDestination 1670
#define sipName_RasterOp_SourceAndNotDestination &sipStrings_QtGui[1670]
#define sipNameNr_addCacheableShaderFromSourceCode 1703
#define sipName_addCacheableShaderFromSourceCode &sipStrings_QtGui[1703]
#define sipNameNr_addCacheableShaderFromSourceFile 1736
#define sipName_addCacheableShaderFromSourceFile &sipStrings_QtGui[1736]
#define sipNameNr_highDpiScaleFactorRoundingPolicy 1769
#define sipName_highDpiScaleFactorRoundingPolicy &sipStrings_QtGui[1769]
#define sipNameNr_mousePressAndHoldIntervalChanged 1802
#define sipName_mousePressAndHoldIntervalChanged &sipStrings_QtGui[1802]
#define sipNameNr_BindingTarget2DMultisampleArray 1835
#define sipName_BindingTarget2DMultisampleArray &sipStrings_QtGui[1835]
#define sipNameNr_CompositionMode_DestinationAtop 1867
#define sipName_CompositionMode_DestinationAtop &sipStrings_QtGui[1867]
#define sipNameNr_CompositionMode_DestinationOver 1899
#define sipName_CompositionMode_DestinationOver &sipStrings_QtGui[1899]
#define sipNameNr_QImageIOHandler__Transformation 1931
#define sipName_QImageIOHandler__Transformation &sipStrings_QtGui[1931]
#define sipNameNr_1963 1963
#define sipName_1963 &sipStrings_QtGui[1963]
#define sipNameNr_QOpenGLBuffer__RangeAccessFlags 1995
#define sipName_QOpenGLBuffer__RangeAccessFlags &sipStrings_QtGui[1995]
#define sipNameNr_QOpenGLDebugLogger__LoggingMode 2027
#define sipName_QOpenGLDebugLogger__LoggingMode &sipStrings_QtGui[2027]
#define sipNameNr_QOpenGLDebugMessage__Severities 2059
#define sipName_QOpenGLDebugMessage__Severities &sipStrings_QtGui[2059]
#define sipNameNr_QPaintDevice__PaintDeviceMetric 2091
#define sipName_QPaintDevice__PaintDeviceMetric &sipStrings_QtGui[2091]
#define sipNameNr_QTextCharFormat__UnderlineStyle 2123
#define sipName_QTextCharFormat__UnderlineStyle &sipStrings_QtGui[2123]
#define sipNameNr_QTextDocument__MarkdownFeatures 2155
#define sipName_QTextDocument__MarkdownFeatures &sipStrings_QtGui[2155]
#define sipNameNr_RasterOp_NotSourceOrDestination 2187
#define sipName_RasterOp_NotSourceOrDestination &sipStrings_QtGui[2187]
#define sipNameNr_RasterOp_SourceOrNotDestination 2219
#define sipName_RasterOp_SourceOrNotDestination &sipStrings_QtGui[2219]
#define sipNameNr_TransformationMirrorAndRotate90 2251
#define sipName_TransformationMirrorAndRotate90 &sipStrings_QtGui[2251]
#define sipNameNr_mouseDoubleClickIntervalChanged 2283
#define sipName_mouseDoubleClickIntervalChanged &sipStrings_QtGui[2283]
#define sipNameNr_CompositionMode_DestinationOut 2315
#define sipName_CompositionMode_DestinationOut &sipStrings_QtGui[2315]
#define sipNameNr_QImageReader__ImageReaderError 2346
#define sipName_QImageReader__ImageReaderError &sipStrings_QtGui[2346]
#define sipNameNr_QImageWriter__ImageWriterError 2377
#define sipName_QImageWriter__ImageWriterError &sipStrings_QtGui[2377]
#define sipNameNr_2408 2408
#define sipName_2408 &sipStrings_QtGui[2408]
#define sipNameNr_QOpenGLBuffer__RangeAccessFlag 2439
#define sipName_QOpenGLBuffer__RangeAccessFlag &sipStrings_QtGui[2439]
#define sipNameNr_QOpenGLFramebufferObjectFormat 2470
#define sipName_QOpenGLFramebufferObjectFormat &sipStrings_QtGui[2470]
#define sipNameNr_QOpenGLTexture__ComparisonMode 2501
#define sipName_QOpenGLTexture__ComparisonMode &sipStrings_QtGui[2501]
#define sipNameNr_QSurfaceFormat__RenderableType 2532
#define sipName_QSurfaceFormat__RenderableType &sipStrings_QtGui[2532]
#define sipNameNr_QTextDocument__MarkdownFeature 2563
#define sipName_QTextDocument__MarkdownFeature &sipStrings_QtGui[2563]
#define sipNameNr_QTextDocument__MetaInformation 2594
#define sipName_QTextDocument__MetaInformation &sipStrings_QtGui[2594]
#define sipNameNr_QTransform__TransformationType 2625
#define sipName_QTransform__TransformationType &sipStrings_QtGui[2625]
#define sipNameNr_SRGB8_PunchThrough_Alpha1_ETC2 2656
#define sipName_SRGB8_PunchThrough_Alpha1_ETC2 &sipStrings_QtGui[2656]
#define sipNameNr_ShowLineAndParagraphSeparators 2687
#define sipName_ShowLineAndParagraphSeparators &sipStrings_QtGui[2687]
#define sipNameNr_defaultInnerTessellationLevels 2718
#define sipName_defaultInnerTessellationLevels &sipStrings_QtGui[2718]
#define sipNameNr_defaultOuterTessellationLevels 2749
#define sipName_defaultOuterTessellationLevels &sipStrings_QtGui[2749]
#define sipNameNr_reportContentOrientationChange 2780
#define sipName_reportContentOrientationChange &sipStrings_QtGui[2780]
#define sipNameNr_setAutoMipMapGenerationEnabled 2811
#define sipName_setAutoMipMapGenerationEnabled &sipStrings_QtGui[2811]
#define sipNameNr_setShowShortcutsInContextMenus 2842
#define sipName_setShowShortcutsInContextMenus &sipStrings_QtGui[2842]
#define sipNameNr_CompositionMode_DestinationIn 2873
#define sipName_CompositionMode_DestinationIn &sipStrings_QtGui[2873]
#define sipNameNr_DontRestoreFramebufferBinding 2903
#define sipName_DontRestoreFramebufferBinding &sipStrings_QtGui[2903]
#define sipNameNr_Format_ARGB4444_Premultiplied 2933
#define sipName_Format_ARGB4444_Premultiplied &sipStrings_QtGui[2933]
#define sipNameNr_Format_ARGB6666_Premultiplied 2963
#define sipName_Format_ARGB6666_Premultiplied &sipStrings_QtGui[2963]
#define sipNameNr_Format_ARGB8555_Premultiplied 2993
#define sipName_Format_ARGB8555_Premultiplied &sipStrings_QtGui[2993]
#define sipNameNr_Format_ARGB8565_Premultiplied 3023
#define sipName_Format_ARGB8565_Premultiplied &sipStrings_QtGui[3023]
#define sipNameNr_Format_RGBA8888_Premultiplied 3053
#define sipName_Format_RGBA8888_Premultiplied &sipStrings_QtGui[3053]
#define sipNameNr_QColorSpace__TransferFunction 3083
#define sipName_QColorSpace__TransferFunction &sipStrings_QtGui[3083]
#define sipNameNr_QOpenGLDebugMessage__Severity 3113
#define sipName_QOpenGLDebugMessage__Severity &sipStrings_QtGui[3113]
#define sipNameNr_QOpenGLTexture__BindingTarget 3143
#define sipName_QOpenGLTexture__BindingTarget &sipStrings_QtGui[3143]
#define sipNameNr_QOpenGLTexture__TextureFormat 3173
#define sipName_QOpenGLTexture__TextureFormat &sipStrings_QtGui[3173]
#define sipNameNr_QOpenGLTextureBlitter__Origin 3203
#define sipName_QOpenGLTextureBlitter__Origin &sipStrings_QtGui[3203]
#define sipNameNr_QOpenGLWindow__UpdateBehavior 3233
#define sipName_QOpenGLWindow__UpdateBehavior &sipStrings_QtGui[3233]
#define sipNameNr_QPagedPaintDevice__PdfVersion 3263
#define sipName_QPagedPaintDevice__PdfVersion &sipStrings_QtGui[3263]
#define sipNameNr_QPaintEngine__PolygonDrawMode 3293
#define sipName_QPaintEngine__PolygonDrawMode &sipStrings_QtGui[3293]
#define sipNameNr_QPainter__PixmapFragmentHints 3323
#define sipName_QPainter__PixmapFragmentHints &sipStrings_QtGui[3323]
#define sipNameNr_QSurfaceFormat__FormatOptions 3353
#define sipName_QSurfaceFormat__FormatOptions &sipStrings_QtGui[3353]
#define sipNameNr_QTextFrameFormat__BorderStyle 3383
#define sipName_QTextFrameFormat__BorderStyle &sipStrings_QtGui[3383]
#define sipNameNr_3413 3413
#define sipName_3413 &sipStrings_QtGui[3413]
#define sipNameNr_RGB8_PunchThrough_Alpha1_ETC2 2657
#define sipName_RGB8_PunchThrough_Alpha1_ETC2 &sipStrings_QtGui[2657]
#define sipNameNr_RasterOp_SourceAndDestination 3443
#define sipName_RasterOp_SourceAndDestination &sipStrings_QtGui[3443]
#define sipNameNr_RasterOp_SourceXorDestination 3473
#define sipName_RasterOp_SourceXorDestination &sipStrings_QtGui[3473]
#define sipNameNr_TransformationFlipAndRotate90 3503
#define sipName_TransformationFlipAndRotate90 &sipStrings_QtGui[3503]
#define sipNameNr_applicationDisplayNameChanged 3533
#define sipName_applicationDisplayNameChanged &sipStrings_QtGui[3533]
#define sipNameNr_inputItemClipRectangleChanged 3563
#define sipName_inputItemClipRectangleChanged &sipStrings_QtGui[3563]
#define sipNameNr_isAutoMipMapGenerationEnabled 3593
#define sipName_isAutoMipMapGenerationEnabled &sipStrings_QtGui[3593]
#define sipNameNr_qt_set_sequence_auto_mnemonic 3623
#define sipName_qt_set_sequence_auto_mnemonic &sipStrings_QtGui[3623]
#define sipNameNr_supportsThreadedFontRendering 3653
#define sipName_supportsThreadedFontRendering &sipStrings_QtGui[3653]
#define sipNameNr_Format_A2BGR30_Premultiplied 3683
#define sipName_Format_A2BGR30_Premultiplied &sipStrings_QtGui[3683]
#define sipNameNr_Format_A2RGB30_Premultiplied 3712
#define sipName_Format_A2RGB30_Premultiplied &sipStrings_QtGui[3712]
#define sipNameNr_QColorSpace__NamedColorSpace 3741
#define sipName_QColorSpace__NamedColorSpace &sipStrings_QtGui[3741]
#define sipNameNr_QFontDatabase__WritingSystem 3770
#define sipName_QFontDatabase__WritingSystem &sipStrings_QtGui[3770]
#define sipNameNr_QImageIOHandler__ImageOption 3799
#define sipName_QImageIOHandler__ImageOption &sipStrings_QtGui[3799]
#define sipNameNr_QInputMethodEvent__Attribute 3828
#define sipName_QInputMethodEvent__Attribute &sipStrings_QtGui[3828]
#define sipNameNr_QKeySequence__SequenceFormat 3857
#define sipName_QKeySequence__SequenceFormat &sipStrings_QtGui[3857]
#define sipNameNr_QOpenGLDebugMessage__Sources 3886
#define sipName_QOpenGLDebugMessage__Sources &sipStrings_QtGui[3886]
#define sipNameNr_QOpenGLShader__ShaderTypeBit 3915
#define sipName_QOpenGLShader__ShaderTypeBit &sipStrings_QtGui[3915]
#define sipNameNr_QOpenGLTexture__SwizzleValue 3944
#define sipName_QOpenGLTexture__SwizzleValue &sipStrings_QtGui[3944]
#define sipNameNr_QPainter__PixmapFragmentHint 3973
#define sipName_QPainter__PixmapFragmentHint &sipStrings_QtGui[3973]
#define sipNameNr_QSessionManager__RestartHint 4002
#define sipName_QSessionManager__RestartHint &sipStrings_QtGui[4002]
#define sipNameNr_QStaticText__PerformanceHint 4031
#define sipName_QStaticText__PerformanceHint &sipStrings_QtGui[4031]
#define sipNameNr_QSurfaceFormat__FormatOption 4060
#define sipName_QSurfaceFormat__FormatOption &sipStrings_QtGui[4060]
#define sipNameNr_QSurfaceFormat__SwapBehavior 4089
#define sipName_QSurfaceFormat__SwapBehavior &sipStrings_QtGui[4089]
#define sipNameNr_QTextBlockFormat__MarkerType 4118
#define sipName_QTextBlockFormat__MarkerType &sipStrings_QtGui[4118]
#define sipNameNr_QTouchDevice__CapabilityFlag 4147
#define sipName_QTouchDevice__CapabilityFlag &sipStrings_QtGui[4147]
#define sipNameNr_RasterOp_SourceOrDestination 4176
#define sipName_RasterOp_SourceOrDestination &sipStrings_QtGui[4176]
#define sipNameNr_WrapAtWordBoundaryOrAnywhere 4205
#define sipName_WrapAtWordBoundaryOrAnywhere &sipStrings_QtGui[4205]
#define sipNameNr_keyboardInputIntervalChanged 4234
#define sipName_keyboardInputIntervalChanged &sipStrings_QtGui[4234]
#define sipNameNr_mouseQuickSelectionThreshold 4263
#define sipName_mouseQuickSelectionThreshold &sipStrings_QtGui[4263]
#define sipNameNr_setLeastSignificantByteFirst 4292
#define sipName_setLeastSignificantByteFirst &sipStrings_QtGui[4292]
#define sipNameNr_CompositionMode_Destination 4321
#define sipName_CompositionMode_Destination &sipStrings_QtGui[4321]
#define sipNameNr_FontPropertiesSpecifiedOnly 4349
#define sipName_FontPropertiesSpecifiedOnly &sipStrings_QtGui[4349]
#define sipNameNr_Format_ARGB32_Premultiplied 4377
#define sipName_Format_ARGB32_Premultiplied &sipStrings_QtGui[4377]
#define sipNameNr_Format_RGBA64_Premultiplied 4405
#define sipName_Format_RGBA64_Premultiplied &sipStrings_QtGui[4405]
#define sipNameNr_ImmutableMultisampleStorage 4433
#define sipName_ImmutableMultisampleStorage &sipStrings_QtGui[4433]
#define sipNameNr_ObjectBoundingModeGradients 4461
#define sipName_ObjectBoundingModeGradients &sipStrings_QtGui[4461]
#define sipNameNr_QAbstractTextDocumentLayout 4489
#define sipName_QAbstractTextDocumentLayout &sipStrings_QtGui[4489]
#define sipNameNr_QIconEngine__IconEngineHook 4517
#define sipName_QIconEngine__IconEngineHook &sipStrings_QtGui[4517]
#define sipNameNr_QKeySequence__SequenceMatch 4545
#define sipName_QKeySequence__SequenceMatch &sipStrings_QtGui[4545]
#define sipNameNr_QOpenGLBuffer__UsagePattern 4573
#define sipName_QOpenGLBuffer__UsagePattern &sipStrings_QtGui[4573]
#define sipNameNr_QOpenGLDebugMessage__Source 4601
#define sipName_QOpenGLDebugMessage__Source &sipStrings_QtGui[4601]
#define sipNameNr_QOpenGLPixelTransferOptions 4629
#define sipName_QOpenGLPixelTransferOptions &sipStrings_QtGui[4629]
#define sipNameNr_QOpenGLTexture__CubeMapFace 4657
#define sipName_QOpenGLTexture__CubeMapFace &sipStrings_QtGui[4657]
#define sipNameNr_QOpenGLTexture__PixelFormat 4685
#define sipName_QOpenGLTexture__PixelFormat &sipStrings_QtGui[4685]
#define sipNameNr_QPagedPaintDevice__PageSize 4713
#define sipName_QPagedPaintDevice__PageSize &sipStrings_QtGui[4713]
#define sipNameNr_QPixelFormat__AlphaPosition 4741
#define sipName_QPixelFormat__AlphaPosition &sipStrings_QtGui[4741]
#define sipNameNr_QRegularExpressionValidator 4769
#define sipName_QRegularExpressionValidator &sipStrings_QtGui[4769]
#define sipNameNr_QTextDocument__ResourceType 4797
#define sipName_QTextDocument__ResourceType &sipStrings_QtGui[4797]
#define sipNameNr_QTextFormat__PageBreakFlags 4825
#define sipName_QTextFormat__PageBreakFlags &sipStrings_QtGui[4825]
#define sipNameNr_TableColumnWidthConstraints 4853
#define sipName_TableColumnWidthConstraints &sipStrings_QtGui[4853]
#define sipNameNr_clearColumnWidthConstraints 4881
#define sipName_clearColumnWidthConstraints &sipStrings_QtGui[4881]
#define sipNameNr_hasOpenGLFramebufferObjects 4909
#define sipName_hasOpenGLFramebufferObjects &sipStrings_QtGui[4909]
#define sipNameNr_showShortcutsInContextMenus 4937
#define sipName_showShortcutsInContextMenus &sipStrings_QtGui[4937]
#define sipNameNr_BindingTarget2DMultisample 4965
#define sipName_BindingTarget2DMultisample &sipStrings_QtGui[4965]
#define sipNameNr_CompositionMode_ColorDodge 4992
#define sipName_CompositionMode_ColorDodge &sipStrings_QtGui[4992]
#define sipNameNr_CompositionMode_Difference 5019
#define sipName_CompositionMode_Difference &sipStrings_QtGui[5019]
#define sipNameNr_CompositionMode_SourceAtop 5046
#define sipName_CompositionMode_SourceAtop &sipStrings_QtGui[5046]
#define sipNameNr_CompositionMode_SourceOver 5073
#define sipName_CompositionMode_SourceOver &sipStrings_QtGui[5073]
#define sipNameNr_QDoubleValidator__Notation 5100
#define sipName_QDoubleValidator__Notation &sipStrings_QtGui[5100]
#define sipNameNr_5127 5127
#define sipName_5127 &sipStrings_QtGui[5127]
#define sipNameNr_QOpenGLDebugMessage__Types 5154
#define sipName_QOpenGLDebugMessage__Types &sipStrings_QtGui[5154]
#define sipNameNr_QPageSize__SizeMatchPolicy 5181
#define sipName_QPageSize__SizeMatchPolicy &sipStrings_QtGui[5181]
#define sipNameNr_QPagedPaintDevice__Margins 5208
#define sipName_QPagedPaintDevice__Margins &sipStrings_QtGui[5208]
#define sipNameNr_QRawFont__AntialiasingType 5235
#define sipName_QRawFont__AntialiasingType &sipStrings_QtGui[5235]
#define sipNameNr_QSurfaceFormat__ColorSpace 5262
#define sipName_QSurfaceFormat__ColorSpace &sipStrings_QtGui[5262]
#define sipNameNr_QTabletEvent__TabletDevice 5289
#define sipName_QTabletEvent__TabletDevice &sipStrings_QtGui[5289]
#define sipNameNr_QTextCursor__MoveOperation 5316
#define sipName_QTextCursor__MoveOperation &sipStrings_QtGui[5316]
#define sipNameNr_QTextCursor__SelectionType 5343
#define sipName_QTextCursor__SelectionType &sipStrings_QtGui[5343]
#define sipNameNr_QTextFormat__PageBreakFlag 5370
#define sipName_QTextFormat__PageBreakFlag &sipStrings_QtGui[5370]
#define sipNameNr_QTextFrameFormat__Position 5397
#define sipName_QTextFrameFormat__Position &sipStrings_QtGui[5397]
#define sipNameNr_QTouchDevice__Capabilities 5424
#define sipName_QTouchDevice__Capabilities &sipStrings_QtGui[5424]
#define sipNameNr_TableCellBottomBorderBrush 5451
#define sipName_TableCellBottomBorderBrush &sipStrings_QtGui[5451]
#define sipNameNr_TableCellBottomBorderStyle 5478
#define sipName_TableCellBottomBorderStyle &sipStrings_QtGui[5478]
#define sipNameNr_TextureComparisonOperators 5505
#define sipName_TextureComparisonOperators &sipStrings_QtGui[5505]
#define sipNameNr_addApplicationFontFromData 5532
#define sipName_addApplicationFontFromData &sipStrings_QtGui[5532]
#define sipNameNr_isLeastSignificantBitFirst 5559
#define sipName_isLeastSignificantBitFirst &sipStrings_QtGui[5559]
#define sipNameNr_physicalDotsPerInchChanged 5586
#define sipName_physicalDotsPerInchChanged &sipStrings_QtGui[5586]
#define sipNameNr_setDecideFormatFromContent 5613
#define sipName_setDecideFormatFromContent &sipStrings_QtGui[5613]
#define sipNameNr_transformationToColorSpace 5640
#define sipName_transformationToColorSpace &sipStrings_QtGui[5640]
#define sipNameNr_BindingTargetCubeMapArray 5667
#define sipName_BindingTargetCubeMapArray &sipStrings_QtGui[5667]
#define sipNameNr_CompositionMode_ColorBurn 5693
#define sipName_CompositionMode_ColorBurn &sipStrings_QtGui[5693]
#define sipNameNr_CompositionMode_Exclusion 5719
#define sipName_CompositionMode_Exclusion &sipStrings_QtGui[5719]
#define sipNameNr_CompositionMode_HardLight 5745
#define sipName_CompositionMode_HardLight &sipStrings_QtGui[5745]
#define sipNameNr_CompositionMode_SoftLight 5771
#define sipName_CompositionMode_SoftLight &sipStrings_QtGui[5771]
#define sipNameNr_CompositionMode_SourceOut 5797
#define sipName_CompositionMode_SourceOut &sipStrings_QtGui[5797]
#define sipNameNr_Float32_D32_UInt32_S8_X24 5823
#define sipName_Float32_D32_UInt32_S8_X24 &sipStrings_QtGui[5823]
#define sipNameNr_MarkdownDialectCommonMark 5849
#define sipName_MarkdownDialectCommonMark &sipStrings_QtGui[5849]
#define sipNameNr_PdmDevicePixelRatioScaled 5875
#define sipName_PdmDevicePixelRatioScaled &sipStrings_QtGui[5875]
#define sipNameNr_QContextMenuEvent__Reason 5901
#define sipName_QContextMenuEvent__Reason &sipStrings_QtGui[5901]
#define sipNameNr_QFontDatabase__SystemFont 5927
#define sipName_QFontDatabase__SystemFont &sipStrings_QtGui[5927]
#define sipNameNr_QGradient__CoordinateMode 5953
#define sipName_QGradient__CoordinateMode &sipStrings_QtGui[5953]
#define sipNameNr_QKeySequence__StandardKey 5979
#define sipName_QKeySequence__StandardKey &sipStrings_QtGui[5979]
#define sipNameNr_QOpenGLDebugMessage__Type 6005
#define sipName_QOpenGLDebugMessage__Type &sipStrings_QtGui[6005]
#define sipNameNr_QOpenGLShader__ShaderType 6031
#define sipName_QOpenGLShader__ShaderType &sipStrings_QtGui[6031]
#define sipNameNr_QOpenGLTexture__PixelType 6057
#define sipName_QOpenGLTexture__PixelType &sipStrings_QtGui[6057]
#define sipNameNr_QPainter__CompositionMode 6083
#define sipName_QPainter__CompositionMode &sipStrings_QtGui[6083]
#define sipNameNr_QPainterPath__ElementType 6109
#define sipName_QPainterPath__ElementType &sipStrings_QtGui[6109]
#define sipNameNr_QScrollEvent__ScrollState 6135
#define sipName_QScrollEvent__ScrollState &sipStrings_QtGui[6135]
#define sipNameNr_QTabletEvent__PointerType 6161
#define sipName_QTabletEvent__PointerType &sipStrings_QtGui[6161]
#define sipNameNr_QTextLine__CursorPosition 6187
#define sipName_QTextLine__CursorPosition &sipStrings_QtGui[6187]
#define sipNameNr_RasterOp_ClearDestination 6213
#define sipName_RasterOp_ClearDestination &sipStrings_QtGui[6213]
#define sipNameNr_RestoreFrameBufferBinding 6239
#define sipName_RestoreFrameBufferBinding &sipStrings_QtGui[6239]
#define sipNameNr_SurfaceAboutToBeDestroyed 6265
#define sipName_SurfaceAboutToBeDestroyed &sipStrings_QtGui[6265]
#define sipNameNr_TableCellRightBorderBrush 6291
#define sipName_TableCellRightBorderBrush &sipStrings_QtGui[6291]
#define sipNameNr_TableCellRightBorderStyle 6317
#define sipName_TableCellRightBorderStyle &sipStrings_QtGui[6317]
#define sipNameNr_contentOrientationChanged 6343
#define sipName_contentOrientationChanged &sipStrings_QtGui[6343]
#define sipNameNr_logicalDotsPerInchChanged 6369
#define sipName_logicalDotsPerInchChanged &sipStrings_QtGui[6369]
#define sipNameNr_maxGeometryOutputVertices 6395
#define sipName_maxGeometryOutputVertices &sipStrings_QtGui[6395]
#define sipNameNr_mousePressAndHoldInterval 6421
#define sipName_mousePressAndHoldInterval &sipStrings_QtGui[6421]
#define sipNameNr_primaryOrientationChanged 6447
#define sipName_primaryOrientationChanged &sipStrings_QtGui[6447]
#define sipNameNr_removeAllApplicationFonts 6473
#define sipName_removeAllApplicationFonts &sipStrings_QtGui[6473]
#define sipNameNr_setApplicationDisplayName 6499
#define sipName_setApplicationDisplayName &sipStrings_QtGui[6499]
#define sipNameNr_setColumnWidthConstraints 6525
#define sipName_setColumnWidthConstraints &sipStrings_QtGui[6525]
#define sipNameNr_setDefaultCursorMoveStyle 6551
#define sipName_setDefaultCursorMoveStyle &sipStrings_QtGui[6551]
#define sipNameNr_setHorizontalHeaderLabels 6577
#define sipName_setHorizontalHeaderLabels &sipStrings_QtGui[6577]
#define sipNameNr_setQuitOnLastWindowClosed 6603
#define sipName_setQuitOnLastWindowClosed &sipStrings_QtGui[6603]
#define sipNameNr_supportsExternalOESTarget 6629
#define sipName_supportsExternalOESTarget &sipStrings_QtGui[6629]
#define sipNameNr_CompositionMode_Multiply 6655
#define sipName_CompositionMode_Multiply &sipStrings_QtGui[6655]
#define sipNameNr_CompositionMode_SourceIn 6680
#define sipName_CompositionMode_SourceIn &sipStrings_QtGui[6680]
#define sipNameNr_FramebufferRestorePolicy 79
#define sipName_FramebufferRestorePolicy &sipStrings_QtGui[79]
#define sipNameNr_InsertParagraphSeparator 6705
#define sipName_InsertParagraphSeparator &sipStrings_QtGui[6705]
#define sipNameNr_QAbstractOpenGLFunctions 6730
#define sipName_QAbstractOpenGLFunctions &sipStrings_QtGui[6730]
#define sipNameNr_QFont__HintingPreference 6755
#define sipName_QFont__HintingPreference &sipStrings_QtGui[6755]
#define sipNameNr_QGlyphRun__GlyphRunFlags 6780
#define sipName_QGlyphRun__GlyphRunFlags &sipStrings_QtGui[6780]
#define sipNameNr_QOpenGLFramebufferObject 6805
#define sipName_QOpenGLFramebufferObject &sipStrings_QtGui[6805]
#define sipNameNr_QOpenGLTexture__Features 6830
#define sipName_QOpenGLTexture__Features &sipStrings_QtGui[6830]
#define sipNameNr_QOpenGLTexture__WrapMode 6855
#define sipName_QOpenGLTexture__WrapMode &sipStrings_QtGui[6855]
#define sipNameNr_QOpenGLVertexArrayObject 6880
#define sipName_QOpenGLVertexArrayObject &sipStrings_QtGui[6880]
#define sipNameNr_QPageLayout__Orientation 6905
#define sipName_QPageLayout__Orientation &sipStrings_QtGui[6905]
#define sipNameNr_QPaintEngine__DirtyFlags 6930
#define sipName_QPaintEngine__DirtyFlags &sipStrings_QtGui[6930]
#define sipNameNr_QPainter__PixmapFragment 6955
#define sipName_QPainter__PixmapFragment &sipStrings_QtGui[6955]
#define sipNameNr_QPixelFormat__AlphaUsage 6980
#define sipName_QPixelFormat__AlphaUsage &sipStrings_QtGui[6980]
#define sipNameNr_QPixelFormat__ColorModel 7005
#define sipName_QPixelFormat__ColorModel &sipStrings_QtGui[7005]
#define sipNameNr_QTextDocument__FindFlags 7030
#define sipName_QTextDocument__FindFlags &sipStrings_QtGui[7030]
#define sipNameNr_QTextFormat__ObjectTypes 7055
#define sipName_QTextFormat__ObjectTypes &sipStrings_QtGui[7055]
#define sipNameNr_QTextLayout__FormatRange 7080
#define sipName_QTextLayout__FormatRange &sipStrings_QtGui[7080]
#define sipNameNr_QTouchDevice__DeviceType 7105
#define sipName_QTouchDevice__DeviceType &sipStrings_QtGui[7105]
#define sipNameNr_TableCellLeftBorderBrush 7130
#define sipName_TableCellLeftBorderBrush &sipStrings_QtGui[7130]
#define sipNameNr_TableCellLeftBorderStyle 7155
#define sipName_TableCellLeftBorderStyle &sipStrings_QtGui[7155]
#define sipNameNr_Target2DMultisampleArray 1842
#define sipName_Target2DMultisampleArray &sipStrings_QtGui[1842]
#define sipNameNr_availableGeometryChanged 7180
#define sipName_availableGeometryChanged &sipStrings_QtGui[7180]
#define sipNameNr_availableVirtualGeometry 7205
#define sipName_availableVirtualGeometry &sipStrings_QtGui[7205]
#define sipNameNr_createApplicationMessage 7230
#define sipName_createApplicationMessage &sipStrings_QtGui[7230]
#define sipNameNr_defaultFramebufferObject 7255
#define sipName_defaultFramebufferObject &sipStrings_QtGui[7255]
#define sipNameNr_hasOpenGLFramebufferBlit 7280
#define sipName_hasOpenGLFramebufferBlit &sipStrings_QtGui[7280]
#define sipNameNr_keyboardRectangleChanged 7305
#define sipName_keyboardRectangleChanged &sipStrings_QtGui[7305]
#define sipNameNr_mouseDoubleClickDistance 7330
#define sipName_mouseDoubleClickDistance &sipStrings_QtGui[7330]
#define sipNameNr_mouseDoubleClickInterval 7355
#define sipName_mouseDoubleClickInterval &sipStrings_QtGui[7355]
#define sipNameNr_setAccessibleDescription 7380
#define sipName_setAccessibleDescription &sipStrings_QtGui[7380]
#define sipNameNr_setAutoDetectImageFormat 7405
#define sipName_setAutoDetectImageFormat &sipStrings_QtGui[7405]
#define sipNameNr_setFontHintingPreference 7430
#define sipName_setFontHintingPreference &sipStrings_QtGui[7430]
#define sipNameNr_setFontLetterSpacingType 7455
#define sipName_setFontLetterSpacingType &sipStrings_QtGui[7455]
#define sipNameNr_setInternalTextureFormat 7480
#define sipName_setInternalTextureFormat &sipStrings_QtGui[7480]
#define sipNameNr_setOrientationUpdateMask 7505
#define sipName_setOrientationUpdateMask &sipStrings_QtGui[7505]
#define sipNameNr_startDragDistanceChanged 7530
#define sipName_startDragDistanceChanged &sipStrings_QtGui[7530]
#define sipNameNr_supportedDocumentFormats 7555
#define sipName_supportedDocumentFormats &sipStrings_QtGui[7555]
#define sipNameNr_takeHorizontalHeaderItem 7580
#define sipName_takeHorizontalHeaderItem &sipStrings_QtGui[7580]
#define sipNameNr_CompositionMode_Lighten 7605
#define sipName_CompositionMode_Lighten &sipStrings_QtGui[7605]
#define sipNameNr_CompositionMode_Overlay 7629
#define sipName_CompositionMode_Overlay &sipStrings_QtGui[7629]
#define sipNameNr_CursorBetweenCharacters 7653
#define sipName_CursorBetweenCharacters &sipStrings_QtGui[7653]
#define sipNameNr_HighQualityAntialiasing 7677
#define sipName_HighQualityAntialiasing &sipStrings_QtGui[7677]
#define sipNameNr_QGlyphRun__GlyphRunFlag 7701
#define sipName_QGlyphRun__GlyphRunFlag &sipStrings_QtGui[7701]
#define sipNameNr_7725 7725
#define sipName_7725 &sipStrings_QtGui[7725]
#define sipNameNr_QOpenGLTexture__Feature 7749
#define sipName_QOpenGLTexture__Feature &sipStrings_QtGui[7749]
#define sipNameNr_QPaintEngine__DirtyFlag 7773
#define sipName_QPaintEngine__DirtyFlag &sipStrings_QtGui[7773]
#define sipNameNr_QPixelFormat__ByteOrder 7797
#define sipName_QPixelFormat__ByteOrder &sipStrings_QtGui[7797]
#define sipNameNr_QPixelFormat__YUVLayout 7821
#define sipName_QPixelFormat__YUVLayout &sipStrings_QtGui[7821]
#define sipNameNr_QPointingDeviceUniqueId 7845
#define sipName_QPointingDeviceUniqueId &sipStrings_QtGui[7845]
#define sipNameNr_QStandardItem__ItemType 7869
#define sipName_QStandardItem__ItemType &sipStrings_QtGui[7869]
#define sipNameNr_QTextDocument__FindFlag 7893
#define sipName_QTextDocument__FindFlag &sipStrings_QtGui[7893]
#define sipNameNr_QTextFormat__FormatType 7917
#define sipName_QTextFormat__FormatType &sipStrings_QtGui[7917]
#define sipNameNr_QTextLayout__CursorMode 7941
#define sipName_QTextLayout__CursorMode &sipStrings_QtGui[7941]
#define sipNameNr_QTouchEvent__TouchPoint 7965
#define sipName_QTouchEvent__TouchPoint &sipStrings_QtGui[7965]
#define sipNameNr_QWindowStateChangeEvent 7989
#define sipName_QWindowStateChangeEvent &sipStrings_QtGui[7989]
#define sipNameNr_RasterOp_NotDestination 8013
#define sipName_RasterOp_NotDestination &sipStrings_QtGui[8013]
#define sipNameNr_RasterOp_SetDestination 8037
#define sipName_RasterOp_SetDestination &sipStrings_QtGui[8037]
#define sipNameNr_SRGB8_Alpha8_ASTC_10x10 8061
#define sipName_SRGB8_Alpha8_ASTC_10x10 &sipStrings_QtGui[8061]
#define sipNameNr_SRGB8_Alpha8_ASTC_12x10 8085
#define sipName_SRGB8_Alpha8_ASTC_12x10 &sipStrings_QtGui[8085]
#define sipNameNr_SRGB8_Alpha8_ASTC_12x12 8109
#define sipName_SRGB8_Alpha8_ASTC_12x12 &sipStrings_QtGui[8109]
#define sipNameNr_TableCellTopBorderBrush 8133
#define sipName_TableCellTopBorderBrush &sipStrings_QtGui[8133]
#define sipNameNr_TableCellTopBorderStyle 8157
#define sipName_TableCellTopBorderStyle &sipStrings_QtGui[8157]
#define sipNameNr_TransformationRotate180 8181
#define sipName_TransformationRotate180 &sipStrings_QtGui[8181]
#define sipNameNr_TransformationRotate270 8205
#define sipName_TransformationRotate270 &sipStrings_QtGui[8205]
#define sipNameNr_addShaderFromSourceCode 8229
#define sipName_addShaderFromSourceCode &sipStrings_QtGui[8229]
#define sipNameNr_addShaderFromSourceFile 8253
#define sipName_addShaderFromSourceFile &sipStrings_QtGui[8253]
#define sipNameNr_advancesForGlyphIndexes 8277
#define sipName_advancesForGlyphIndexes &sipStrings_QtGui[8277]
#define sipNameNr_applicationFontFamilies 8301
#define sipName_applicationFontFamilies &sipStrings_QtGui[8301]
#define sipNameNr_applicationStateChanged 8325
#define sipName_applicationStateChanged &sipStrings_QtGui[8325]
#define sipNameNr_createThirdPartyMessage 8349
#define sipName_createThirdPartyMessage &sipStrings_QtGui[8349]
#define sipNameNr_decideFormatFromContent 8373
#define sipName_decideFormatFromContent &sipStrings_QtGui[8373]
#define sipNameNr_hasOpenGLShaderPrograms 8397
#define sipName_hasOpenGLShaderPrograms &sipStrings_QtGui[8397]
#define sipNameNr_imageFormatsForMimeType 8421
#define sipName_imageFormatsForMimeType &sipStrings_QtGui[8421]
#define sipNameNr_setCurrentBlockUserData 8445
#define sipName_setCurrentBlockUserData &sipStrings_QtGui[8445]
#define sipNameNr_setDesktopSettingsAware 8469
#define sipName_setDesktopSettingsAware &sipStrings_QtGui[8469]
#define sipNameNr_setFixedSamplePositions 8493
#define sipName_setFixedSamplePositions &sipStrings_QtGui[8493]
#define sipNameNr_setHorizontalHeaderItem 8517
#define sipName_setHorizontalHeaderItem &sipStrings_QtGui[8517]
#define sipNameNr_setKeepPositionOnInsert 8541
#define sipName_setKeepPositionOnInsert &sipStrings_QtGui[8541]
#define sipNameNr_setMaximumLevelOfDetail 8565
#define sipName_setMaximumLevelOfDetail &sipStrings_QtGui[8565]
#define sipNameNr_setMinimumLevelOfDetail 8589
#define sipName_setMinimumLevelOfDetail &sipStrings_QtGui[8589]
#define sipNameNr_setProgressiveScanWrite 8613
#define sipName_setProgressiveScanWrite &sipStrings_QtGui[8613]
#define sipNameNr_setVerticalHeaderLabels 8637
#define sipName_setVerticalHeaderLabels &sipStrings_QtGui[8637]
#define sipNameNr_setViewTransformEnabled 8661
#define sipName_setViewTransformEnabled &sipStrings_QtGui[8661]
#define sipNameNr_supportedWritingSystems 8685
#define sipName_supportedWritingSystems &sipStrings_QtGui[8685]
#define sipNameNr_tabFocusBehaviorChanged 8709
#define sipName_tabFocusBehaviorChanged &sipStrings_QtGui[8709]
#define sipNameNr_wheelScrollLinesChanged 8733
#define sipName_wheelScrollLinesChanged &sipStrings_QtGui[8733]
#define sipNameNr_AvailableSizesArgument 449
#define sipName_AvailableSizesArgument &sipStrings_QtGui[449]
#define sipNameNr_BindingTargetRectangle 8757
#define sipName_BindingTargetRectangle &sipStrings_QtGui[8757]
#define sipNameNr_BlockNonBreakableLines 8780
#define sipName_BlockNonBreakableLines &sipStrings_QtGui[8780]
#define sipNameNr_BorderStyle_DotDotDash 8803
#define sipName_BorderStyle_DotDotDash &sipStrings_QtGui[8803]
#define sipNameNr_CompositionMode_Darken 8826
#define sipName_CompositionMode_Darken &sipStrings_QtGui[8826]
#define sipNameNr_CompositionMode_Screen 8849
#define sipName_CompositionMode_Screen &sipStrings_QtGui[8849]
#define sipNameNr_CompositionMode_Source 8872
#define sipName_CompositionMode_Source &sipStrings_QtGui[8872]
#define sipNameNr_DeprecatedBehaviorType 8895
#define sipName_DeprecatedBehaviorType &sipStrings_QtGui[8895]
#define sipNameNr_LosslessImageRendering 8918
#define sipName_LosslessImageRendering &sipStrings_QtGui[8918]
#define sipNameNr_PageBreak_AlwaysBefore 8941
#define sipName_PageBreak_AlwaysBefore &sipStrings_QtGui[8941]
#define sipNameNr_PaintOutsidePaintEvent 8964
#define sipName_PaintOutsidePaintEvent &sipStrings_QtGui[8964]
#define sipNameNr_QColorSpace__Primaries 8987
#define sipName_QColorSpace__Primaries &sipStrings_QtGui[8987]
#define sipNameNr_QInputMethodQueryEvent 9010
#define sipName_QInputMethodQueryEvent &sipStrings_QtGui[9010]
#define sipNameNr_9033 9033
#define sipName_9033 &sipStrings_QtGui[9033]
#define sipNameNr_QOpenGLTexture__Filter 9056
#define sipName_QOpenGLTexture__Filter &sipStrings_QtGui[9056]
#define sipNameNr_QOpenGLTexture__Target 9079
#define sipName_QOpenGLTexture__Target &sipStrings_QtGui[9079]
#define sipNameNr_QSurface__SurfaceClass 9102
#define sipName_QSurface__SurfaceClass &sipStrings_QtGui[9102]
#define sipNameNr_QTextItem__RenderFlags 9125
#define sipName_QTextItem__RenderFlags &sipStrings_QtGui[9125]
#define sipNameNr_QTextListFormat__Style 9148
#define sipName_QTextListFormat__Style &sipStrings_QtGui[9148]
#define sipNameNr_QWhatsThisClickedEvent 9171
#define sipName_QWhatsThisClickedEvent &sipStrings_QtGui[9171]
#define sipNameNr_SRGB8_Alpha8_ASTC_10x5 9194
#define sipName_SRGB8_Alpha8_ASTC_10x5 &sipStrings_QtGui[9194]
#define sipNameNr_SRGB8_Alpha8_ASTC_10x6 9217
#define sipName_SRGB8_Alpha8_ASTC_10x6 &sipStrings_QtGui[9217]
#define sipNameNr_SRGB8_Alpha8_ASTC_10x8 9240
#define sipName_SRGB8_Alpha8_ASTC_10x8 &sipStrings_QtGui[9240]
#define sipNameNr_ShowDocumentTerminator 9263
#define sipName_ShowDocumentTerminator &sipStrings_QtGui[9263]
#define sipNameNr_TableCellBottomPadding 9286
#define sipName_TableCellBottomPadding &sipStrings_QtGui[9286]
#define sipNameNr_TessellationEvaluation 9309
#define sipName_TessellationEvaluation &sipStrings_QtGui[9309]
#define sipNameNr_TransformationRotate90 9332
#define sipName_TransformationRotate90 &sipStrings_QtGui[9332]
#define sipNameNr_UnsupportedFormatError 9355
#define sipName_UnsupportedFormatError &sipStrings_QtGui[9355]
#define sipNameNr_allowsErrorInteraction 9378
#define sipName_allowsErrorInteraction &sipStrings_QtGui[9378]
#define sipNameNr_anchorRectangleChanged 9401
#define sipName_anchorRectangleChanged &sipStrings_QtGui[9401]
#define sipNameNr_applicationDisplayName 9424
#define sipName_applicationDisplayName &sipStrings_QtGui[9424]
#define sipNameNr_clearAdditionalFormats 9447
#define sipName_clearAdditionalFormats &sipStrings_QtGui[9447]
#define sipNameNr_columnWidthConstraints 9470
#define sipName_columnWidthConstraints &sipStrings_QtGui[9470]
#define sipNameNr_cursorFlashTimeChanged 9493
#define sipName_cursorFlashTimeChanged &sipStrings_QtGui[9493]
#define sipNameNr_cursorRectangleChanged 9516
#define sipName_cursorRectangleChanged &sipStrings_QtGui[9516]
#define sipNameNr_defaultCursorMoveStyle 9539
#define sipName_defaultCursorMoveStyle &sipStrings_QtGui[9539]
#define sipNameNr_devicePixelRatioFScale 9562
#define sipName_devicePixelRatioFScale &sipStrings_QtGui[9562]
#define sipNameNr_inputItemClipRectangle 9585
#define sipName_inputItemClipRectangle &sipStrings_QtGui[9585]
#define sipNameNr_isFixedSamplePositions 9608
#define sipName_isFixedSamplePositions &sipStrings_QtGui[9608]
#define sipNameNr_keyboardAutoRepeatRate 9631
#define sipName_keyboardAutoRepeatRate &sipStrings_QtGui[9631]
#define sipNameNr_layoutDirectionChanged 9654
#define sipName_layoutDirectionChanged &sipStrings_QtGui[9654]
#define sipNameNr_previousCursorPosition 9677
#define sipName_previousCursorPosition &sipStrings_QtGui[9677]
#define sipNameNr_queryKeyboardModifiers 9700
#define sipName_queryKeyboardModifiers &sipStrings_QtGui[9700]
#define sipNameNr_quitOnLastWindowClosed 9723
#define sipName_quitOnLastWindowClosed &sipStrings_QtGui[9723]
#define sipNameNr_setDocumentXmpMetadata 9746
#define sipName_setDocumentXmpMetadata &sipStrings_QtGui[9746]
#define sipNameNr_setFallbackSearchPaths 9769
#define sipName_setFallbackSearchPaths &sipStrings_QtGui[9769]
#define sipNameNr_setFocusOnTouchRelease 9792
#define sipName_setFocusOnTouchRelease &sipStrings_QtGui[9792]
#define sipNameNr_setKeyboardGrabEnabled 9815
#define sipName_setKeyboardGrabEnabled &sipStrings_QtGui[9815]
#define sipNameNr_setMagnificationFilter 9838
#define sipName_setMagnificationFilter &sipStrings_QtGui[9838]
#define sipNameNr_setTableCellColumnSpan 9861
#define sipName_setTableCellColumnSpan &sipStrings_QtGui[9861]
#define sipNameNr_supportsThreadedOpenGL 9884
#define sipName_supportsThreadedOpenGL &sipStrings_QtGui[9884]
#define sipNameNr_takeVerticalHeaderItem 9907
#define sipName_takeVerticalHeaderItem &sipStrings_QtGui[9907]
#define sipNameNr_touchDoubleTapDistance 9930
#define sipName_touchDoubleTapDistance &sipStrings_QtGui[9930]
#define sipNameNr_useHoverEffectsChanged 9953
#define sipName_useHoverEffectsChanged &sipStrings_QtGui[9953]
#define sipNameNr_virtualGeometryChanged 9976
#define sipName_virtualGeometryChanged &sipStrings_QtGui[9976]
#define sipNameNr_CompositionMode_Clear 9999
#define sipName_CompositionMode_Clear &sipStrings_QtGui[9999]
#define sipNameNr_DefaultRenderableType 10021
#define sipName_DefaultRenderableType &sipStrings_QtGui[10021]
#define sipNameNr_FontHintingPreference 7433
#define sipName_FontHintingPreference &sipStrings_QtGui[7433]
#define sipNameNr_FontLetterSpacingType 7458
#define sipName_FontLetterSpacingType &sipStrings_QtGui[7458]
#define sipNameNr_FuzzyOrientationMatch 10043
#define sipName_FuzzyOrientationMatch &sipStrings_QtGui[10043]
#define sipNameNr_IncludeTrailingSpaces 10065
#define sipName_IncludeTrailingSpaces &sipStrings_QtGui[10065]
#define sipNameNr_MarkdownDialectGitHub 10087
#define sipName_MarkdownDialectGitHub &sipStrings_QtGui[10087]
#define sipNameNr_MoveToStartOfDocument 10109
#define sipName_MoveToStartOfDocument &sipStrings_QtGui[10109]
#define sipNameNr_NonCosmeticDefaultPen 10131
#define sipName_NonCosmeticDefaultPen &sipStrings_QtGui[10131]
#define sipNameNr_PageBreak_AlwaysAfter 10153
#define sipName_PageBreak_AlwaysAfter &sipStrings_QtGui[10153]
#define sipNameNr_PreferVerticalHinting 10175
#define sipName_PreferVerticalHinting &sipStrings_QtGui[10175]
#define sipNameNr_QFont__Capitalization 10197
#define sipName_QFont__Capitalization &sipStrings_QtGui[10197]
#define sipNameNr_10219 10219
#define sipName_10219 &sipStrings_QtGui[10219]
#define sipNameNr_10241 10241
#define sipName_10241 &sipStrings_QtGui[10241]
#define sipNameNr_QOpenGLBuffer__Access 10263
#define sipName_QOpenGLBuffer__Access &sipStrings_QtGui[10263]
#define sipNameNr_QOpenGLTextureBlitter 10285
#define sipName_QOpenGLTextureBlitter &sipStrings_QtGui[10285]
#define sipNameNr_QOpenGLVersionProfile 10307
#define sipName_QOpenGLVersionProfile &sipStrings_QtGui[10307]
#define sipNameNr_QPageSize__PageSizeId 10329
#define sipName_QPageSize__PageSizeId &sipStrings_QtGui[10329]
#define sipNameNr_QPainter__RenderHints 10351
#define sipName_QPainter__RenderHints &sipStrings_QtGui[10351]
#define sipNameNr_QPainterPath__Element 10373
#define sipName_QPainterPath__Element &sipStrings_QtGui[10373]
#define sipNameNr_QPlatformSurfaceEvent 10395
#define sipName_QPlatformSurfaceEvent &sipStrings_QtGui[10395]
#define sipNameNr_QRawFont__LayoutFlags 10417
#define sipName_QRawFont__LayoutFlags &sipStrings_QtGui[10417]
#define sipNameNr_QSurface__SurfaceType 10439
#define sipName_QSurface__SurfaceType &sipStrings_QtGui[10439]
#define sipNameNr_QTextCursor__MoveMode 10461
#define sipName_QTextCursor__MoveMode &sipStrings_QtGui[10461]
#define sipNameNr_QTextDocument__Stacks 10483
#define sipName_QTextDocument__Stacks &sipStrings_QtGui[10483]
#define sipNameNr_QTextDocumentFragment 10505
#define sipName_QTextDocumentFragment &sipStrings_QtGui[10505]
#define sipNameNr_QTextFormat__Property 10527
#define sipName_QTextFormat__Property &sipStrings_QtGui[10527]
#define sipNameNr_QTextItem__RenderFlag 10549
#define sipName_QTextItem__RenderFlag &sipStrings_QtGui[10549]
#define sipNameNr_QTextOption__WrapMode 10571
#define sipName_QTextOption__WrapMode &sipStrings_QtGui[10571]
#define sipNameNr_QWindow__AncestorMode 10593
#define sipName_QWindow__AncestorMode &sipStrings_QtGui[10593]
#define sipNameNr_Qt4CompatiblePainting 10615
#define sipName_Qt4CompatiblePainting &sipStrings_QtGui[10615]
#define sipNameNr_RGB_BP_UNSIGNED_FLOAT 10637
#define sipName_RGB_BP_UNSIGNED_FLOAT &sipStrings_QtGui[10637]
#define sipNameNr_RangeInvalidateBuffer 10659
#define sipName_RangeInvalidateBuffer &sipStrings_QtGui[10659]
#define sipNameNr_SRGB8_Alpha8_ASTC_4x4 10681
#define sipName_SRGB8_Alpha8_ASTC_4x4 &sipStrings_QtGui[10681]
#define sipNameNr_SRGB8_Alpha8_ASTC_5x4 10703
#define sipName_SRGB8_Alpha8_ASTC_5x4 &sipStrings_QtGui[10703]
#define sipNameNr_SRGB8_Alpha8_ASTC_5x5 10725
#define sipName_SRGB8_Alpha8_ASTC_5x5 &sipStrings_QtGui[10725]
#define sipNameNr_SRGB8_Alpha8_ASTC_6x5 10747
#define sipName_SRGB8_Alpha8_ASTC_6x5 &sipStrings_QtGui[10747]
#define sipNameNr_SRGB8_Alpha8_ASTC_6x6 10769
#define sipName_SRGB8_Alpha8_ASTC_6x6 &sipStrings_QtGui[10769]
#define sipNameNr_SRGB8_Alpha8_ASTC_8x5 10791
#define sipName_SRGB8_Alpha8_ASTC_8x5 &sipStrings_QtGui[10791]
#define sipNameNr_SRGB8_Alpha8_ASTC_8x6 10813
#define sipName_SRGB8_Alpha8_ASTC_8x6 &sipStrings_QtGui[10813]
#define sipNameNr_SRGB8_Alpha8_ASTC_8x8 10835
#define sipName_SRGB8_Alpha8_ASTC_8x8 &sipStrings_QtGui[10835]
#define sipNameNr_SRGB8_Alpha8_ETC2_EAC 10857
#define sipName_SRGB8_Alpha8_ETC2_EAC &sipStrings_QtGui[10857]
#define sipNameNr_SelectStartOfDocument 10879
#define sipName_SelectStartOfDocument &sipStrings_QtGui[10879]
#define sipNameNr_SmoothPixmapTransform 10901
#define sipName_SmoothPixmapTransform &sipStrings_QtGui[10901]
#define sipNameNr_TableCellBottomBorder 10923
#define sipName_TableCellBottomBorder &sipStrings_QtGui[10923]
#define sipNameNr_TableCellRightPadding 10945
#define sipName_TableCellRightPadding &sipStrings_QtGui[10945]
#define sipNameNr_TextVerticalAlignment 10967
#define sipName_TextVerticalAlignment &sipStrings_QtGui[10967]
#define sipNameNr_UndefinedBehaviorType 10989
#define sipName_UndefinedBehaviorType &sipStrings_QtGui[10989]
#define sipNameNr_accessibleDescription 11011
#define sipName_accessibleDescription &sipStrings_QtGui[11011]
#define sipNameNr_autoDetectImageFormat 11033
#define sipName_autoDetectImageFormat &sipStrings_QtGui[11033]
#define sipNameNr_bindAttributeLocation 11055
#define sipName_bindAttributeLocation &sipStrings_QtGui[11055]
#define sipNameNr_convertedToColorSpace 11077
#define sipName_convertedToColorSpace &sipStrings_QtGui[11077]
#define sipNameNr_cursorPositionChanged 11099
#define sipName_cursorPositionChanged &sipStrings_QtGui[11099]
#define sipNameNr_disableAttributeArray 11121
#define sipName_disableAttributeArray &sipStrings_QtGui[11121]
#define sipNameNr_documentLayoutChanged 11143
#define sipName_documentLayoutChanged &sipStrings_QtGui[11143]
#define sipNameNr_findBlockByLineNumber 11165
#define sipName_findBlockByLineNumber &sipStrings_QtGui[11165]
#define sipNameNr_fontHintingPreference 11187
#define sipName_fontHintingPreference &sipStrings_QtGui[11187]
#define sipNameNr_fontLetterSpacingType 11209
#define sipName_fontLetterSpacingType &sipStrings_QtGui[11209]
#define sipNameNr_glyphIndexesForString 11231
#define sipName_glyphIndexesForString &sipStrings_QtGui[11231]
#define sipNameNr_inputDirectionChanged 11253
#define sipName_inputDirectionChanged &sipStrings_QtGui[11253]
#define sipNameNr_internalTextureFormat 11275
#define sipName_internalTextureFormat &sipStrings_QtGui[11275]
#define sipNameNr_isValidCursorPosition 11297
#define sipName_isValidCursorPosition &sipStrings_QtGui[11297]
#define sipNameNr_joinPreviousEditBlock 11319
#define sipName_joinPreviousEditBlock &sipStrings_QtGui[11319]
#define sipNameNr_keyboardInputInterval 11341
#define sipName_keyboardInputInterval &sipStrings_QtGui[11341]
#define sipNameNr_mouseDoubleClickEvent 11363
#define sipName_mouseDoubleClickEvent &sipStrings_QtGui[11363]
#define sipNameNr_orientationUpdateMask 11385
#define sipName_orientationUpdateMask &sipStrings_QtGui[11385]
#define sipNameNr_passwordMaskCharacter 11407
#define sipName_passwordMaskCharacter &sipStrings_QtGui[11407]
#define sipNameNr_qPixelFormatGrayscale 11429
#define sipName_qPixelFormatGrayscale &sipStrings_QtGui[11429]
#define sipNameNr_removeApplicationFont 11451
#define sipName_removeApplicationFont &sipStrings_QtGui[11451]
#define sipNameNr_restoreOverrideCursor 11473
#define sipName_restoreOverrideCursor &sipStrings_QtGui[11473]
#define sipNameNr_setComparisonFunction 11495
#define sipName_setComparisonFunction &sipStrings_QtGui[11495]
#define sipNameNr_setFontCapitalization 11517
#define sipName_setFontCapitalization &sipStrings_QtGui[11517]
#define sipNameNr_setInputItemRectangle 11539
#define sipName_setInputItemRectangle &sipStrings_QtGui[11539]
#define sipNameNr_setInputItemTransform 11561
#define sipName_setInputItemTransform &sipStrings_QtGui[11561]
#define sipNameNr_setLevelOfDetailRange 11583
#define sipName_setLevelOfDetailRange &sipStrings_QtGui[11583]
#define sipNameNr_setMaximumTouchPoints 11605
#define sipName_setMaximumTouchPoints &sipStrings_QtGui[11605]
#define sipNameNr_setMinificationFilter 11627
#define sipName_setMinificationFilter &sipStrings_QtGui[11627]
#define sipNameNr_setVerticalHeaderItem 11649
#define sipName_setVerticalHeaderItem &sipStrings_QtGui[11649]
#define sipNameNr_setWorldMatrixEnabled 11671
#define sipName_setWorldMatrixEnabled &sipStrings_QtGui[11671]
#define sipNameNr_singleClickActivation 11693
#define sipName_singleClickActivation &sipStrings_QtGui[11693]
#define sipNameNr_supportedImageFormats 11715
#define sipName_supportedImageFormats &sipStrings_QtGui[11715]
#define sipNameNr_AnisotropicFiltering 11737
#define sipName_AnisotropicFiltering &sipStrings_QtGui[11737]
#define sipNameNr_BindingTarget1DArray 11758
#define sipName_BindingTarget1DArray &sipStrings_QtGui[11758]
#define sipNameNr_BindingTarget2DArray 11779
#define sipName_BindingTarget2DArray &sipStrings_QtGui[11779]
#define sipNameNr_BindingTargetCubeMap 11800
#define sipName_BindingTargetCubeMap &sipStrings_QtGui[11800]
#define sipNameNr_CombinedDepthStencil 11821
#define sipName_CombinedDepthStencil &sipStrings_QtGui[11821]
#define sipNameNr_CompatibilityProfile 11842
#define sipName_CompatibilityProfile &sipStrings_QtGui[11842]
#define sipNameNr_CompositionMode_Plus 11863
#define sipName_CompositionMode_Plus &sipStrings_QtGui[11863]
#define sipNameNr_DirtyCompositionMode 11884
#define sipName_DirtyCompositionMode &sipStrings_QtGui[11884]
#define sipNameNr_DontResetTextureUnit 11905
#define sipName_DontResetTextureUnit &sipStrings_QtGui[11905]
#define sipNameNr_LuminanceAlphaFormat 11926
#define sipName_LuminanceAlphaFormat &sipStrings_QtGui[11926]
#define sipNameNr_NearestMipMapNearest 11947
#define sipName_NearestMipMapNearest &sipStrings_QtGui[11947]
#define sipNameNr_NotificationSeverity 11968
#define sipName_NotificationSeverity &sipStrings_QtGui[11968]
#define sipNameNr_OpenGLContextProfile 415
#define sipName_OpenGLContextProfile &sipStrings_QtGui[415]
#define sipNameNr_PerspectiveTransform 11989
#define sipName_PerspectiveTransform &sipStrings_QtGui[11989]
#define sipNameNr_PreferDefaultHinting 12010
#define sipName_PreferDefaultHinting &sipStrings_QtGui[12010]
#define sipNameNr_ProgressiveScanWrite 8616
#define sipName_ProgressiveScanWrite &sipStrings_QtGui[8616]
#define sipNameNr_QColorConstants__Svg 12031
#define sipName_QColorConstants__Svg &sipStrings_QtGui[12031]
#define sipNameNr_QFont__StyleStrategy 12052
#define sipName_QFont__StyleStrategy &sipStrings_QtGui[12052]
#define sipNameNr_QInputMethod__Action 12073
#define sipName_QInputMethod__Action &sipStrings_QtGui[12073]
#define sipNameNr_12094 12094
#define sipName_12094 &sipStrings_QtGui[12094]
#define sipNameNr_QOpenGLShaderProgram 12115
#define sipName_QOpenGLShaderProgram &sipStrings_QtGui[12115]
#define sipNameNr_QPainter__RenderHint 12136
#define sipName_QPainter__RenderHint &sipStrings_QtGui[12136]
#define sipNameNr_QPalette__ColorGroup 12157
#define sipName_QPalette__ColorGroup &sipStrings_QtGui[12157]
#define sipNameNr_QRawFont__LayoutFlag 12178
#define sipName_QRawFont__LayoutFlag &sipStrings_QtGui[12178]
#define sipNameNr_QTextBlock__iterator 12199
#define sipName_QTextBlock__iterator &sipStrings_QtGui[12199]
#define sipNameNr_QTextFrame__iterator 12220
#define sipName_QTextFrame__iterator &sipStrings_QtGui[12220]
#define sipNameNr_QTextObjectInterface 12241
#define sipName_QTextObjectInterface &sipStrings_QtGui[12241]
#define sipNameNr_QTextOption__TabType 12262
#define sipName_QTextOption__TabType &sipStrings_QtGui[12262]
#define sipNameNr_QTextTableCellFormat 12283
#define sipName_QTextTableCellFormat &sipStrings_QtGui[12283]
#define sipNameNr_12304 12304
#define sipName_12304 &sipStrings_QtGui[12304]
#define sipNameNr_12325 12325
#define sipName_12325 &sipStrings_QtGui[12325]
#define sipNameNr_ScaledPixmapArgument 1016
#define sipName_ScaledPixmapArgument &sipStrings_QtGui[1016]
#define sipNameNr_ShaderCompilerSource 12346
#define sipName_ShaderCompilerSource &sipStrings_QtGui[12346]
#define sipNameNr_SmallestReadableFont 12367
#define sipName_SmallestReadableFont &sipStrings_QtGui[12367]
#define sipNameNr_SubPixelAntialiasing 12388
#define sipName_SubPixelAntialiasing &sipStrings_QtGui[12388]
#define sipNameNr_TableCellLeftPadding 12409
#define sipName_TableCellLeftPadding &sipStrings_QtGui[12409]
#define sipNameNr_TableCellRightBorder 12430
#define sipName_TableCellRightBorder &sipStrings_QtGui[12430]
#define sipNameNr_TextureCubeMapArrays 12451
#define sipName_TextureCubeMapArrays &sipStrings_QtGui[12451]
#define sipNameNr_TransformationMirror 12472
#define sipName_TransformationMirror &sipStrings_QtGui[12472]
#define sipNameNr_TransformedByDefault 12493
#define sipName_TransformedByDefault &sipStrings_QtGui[12493]
#define sipNameNr_acceptProposedAction 12514
#define sipName_acceptProposedAction &sipStrings_QtGui[12514]
#define sipNameNr_availableVirtualSize 12535
#define sipName_availableVirtualSize &sipStrings_QtGui[12535]
#define sipNameNr_changeOverrideCursor 12556
#define sipName_changeOverrideCursor &sipStrings_QtGui[12556]
#define sipNameNr_convertFromPlainText 12577
#define sipName_convertFromPlainText &sipStrings_QtGui[12577]
#define sipNameNr_currentBlockUserData 12598
#define sipName_currentBlockUserData &sipStrings_QtGui[12598]
#define sipNameNr_desktopSettingsAware 12619
#define sipName_desktopSettingsAware &sipStrings_QtGui[12619]
#define sipNameNr_enableAttributeArray 12640
#define sipName_enableAttributeArray &sipStrings_QtGui[12640]
#define sipNameNr_horizontalHeaderItem 12661
#define sipName_horizontalHeaderItem &sipStrings_QtGui[12661]
#define sipNameNr_keepPositionOnInsert 12682
#define sipName_keepPositionOnInsert &sipStrings_QtGui[12682]
#define sipNameNr_lengthVectorProperty 12703
#define sipName_lengthVectorProperty &sipStrings_QtGui[12703]
#define sipNameNr_lightgoldenrodyellow 12724
#define sipName_lightgoldenrodyellow &sipStrings_QtGui[12724]
#define sipNameNr_maximumHeightChanged 12745
#define sipName_maximumHeightChanged &sipStrings_QtGui[12745]
#define sipNameNr_maximumLevelOfDetail 12766
#define sipName_maximumLevelOfDetail &sipStrings_QtGui[12766]
#define sipNameNr_maximumMessageLength 12787
#define sipName_maximumMessageLength &sipStrings_QtGui[12787]
#define sipNameNr_mergeBlockCharFormat 12808
#define sipName_mergeBlockCharFormat &sipStrings_QtGui[12808]
#define sipNameNr_minimumHeightChanged 12829
#define sipName_minimumHeightChanged &sipStrings_QtGui[12829]
#define sipNameNr_minimumLevelOfDetail 12850
#define sipName_minimumLevelOfDetail &sipStrings_QtGui[12850]
#define sipNameNr_physicalDotsPerInchX 12871
#define sipName_physicalDotsPerInchX &sipStrings_QtGui[12871]
#define sipNameNr_physicalDotsPerInchY 12892
#define sipName_physicalDotsPerInchY &sipStrings_QtGui[12892]
#define sipNameNr_positionInlineObject 12913
#define sipName_positionInlineObject &sipStrings_QtGui[12913]
#define sipNameNr_primaryScreenChanged 12934
#define sipName_primaryScreenChanged &sipStrings_QtGui[12934]
#define sipNameNr_progressiveScanWrite 12955
#define sipName_progressiveScanWrite &sipStrings_QtGui[12955]
#define sipNameNr_setAdditionalFormats 12976
#define sipName_setAdditionalFormats &sipStrings_QtGui[12976]
#define sipNameNr_setBottomBorderBrush 12997
#define sipName_setBottomBorderBrush &sipStrings_QtGui[12997]
#define sipNameNr_setBottomBorderStyle 13018
#define sipName_setBottomBorderStyle &sipStrings_QtGui[13018]
#define sipNameNr_setCurrentBlockState 13039
#define sipName_setCurrentBlockState &sipStrings_QtGui[13039]
#define sipNameNr_setCurrentColorGroup 13060
#define sipName_setCurrentColorGroup &sipStrings_QtGui[13060]
#define sipNameNr_setDefaultStyleSheet 13081
#define sipName_setDefaultStyleSheet &sipStrings_QtGui[13081]
#define sipNameNr_setDefaultTextOption 13102
#define sipName_setDefaultTextOption &sipStrings_QtGui[13102]
#define sipNameNr_setElementPositionAt 13123
#define sipName_setElementPositionAt &sipStrings_QtGui[13123]
#define sipNameNr_setFallbackThemeName 13144
#define sipName_setFallbackThemeName &sipStrings_QtGui[13144]
#define sipNameNr_setFontLetterSpacing 13165
#define sipName_setFontLetterSpacing &sipStrings_QtGui[13165]
#define sipNameNr_setFontStyleStrategy 13186
#define sipName_setFontStyleStrategy &sipStrings_QtGui[13186]
#define sipNameNr_setHintingPreference 13207
#define sipName_setHintingPreference &sipStrings_QtGui[13207]
#define sipNameNr_setLevelofDetailBias 13228
#define sipName_setLevelofDetailBias &sipStrings_QtGui[13228]
#define sipNameNr_setMaximumAnisotropy 13249
#define sipName_setMaximumAnisotropy &sipStrings_QtGui[13249]
#define sipNameNr_setMaximumBlockCount 13270
#define sipName_setMaximumBlockCount &sipStrings_QtGui[13270]
#define sipNameNr_setNonBreakableLines 13291
#define sipName_setNonBreakableLines &sipStrings_QtGui[13291]
#define sipNameNr_setRegularExpression 13312
#define sipName_setRegularExpression &sipStrings_QtGui[13312]
#define sipNameNr_setStencilBufferSize 13333
#define sipName_setStencilBufferSize &sipStrings_QtGui[13333]
#define sipNameNr_setUniformValueArray 13354
#define sipName_setUniformValueArray &sipStrings_QtGui[13354]
#define sipNameNr_setVerticalAlignment 13375
#define sipName_setVerticalAlignment &sipStrings_QtGui[13375]
#define sipNameNr_setVerticalMovementX 13396
#define sipName_setVerticalMovementX &sipStrings_QtGui[13396]
#define sipNameNr_startDragTimeChanged 13417
#define sipName_startDragTimeChanged &sipStrings_QtGui[13417]
#define sipNameNr_supportedDragActions 13438
#define sipName_supportedDragActions &sipStrings_QtGui[13438]
#define sipNameNr_supportedDropActions 13459
#define sipName_supportedDropActions &sipStrings_QtGui[13459]
#define sipNameNr_tableCellFormatIndex 13480
#define sipName_tableCellFormatIndex &sipStrings_QtGui[13480]
#define sipNameNr_viewTransformEnabled 13501
#define sipName_viewTransformEnabled &sipStrings_QtGui[13501]
#define sipNameNr_withTransferFunction 13522
#define sipName_withTransferFunction &sipStrings_QtGui[13522]
#define sipNameNr_AsynchronousLogging 13543
#define sipName_AsynchronousLogging &sipStrings_QtGui[13543]
#define sipNameNr_AutomaticVisibility 13563
#define sipName_AutomaticVisibility &sipStrings_QtGui[13563]
#define sipNameNr_BindingTargetBuffer 13583
#define sipName_BindingTargetBuffer &sipStrings_QtGui[13583]
#define sipNameNr_BorderStyle_DotDash 13603
#define sipName_BorderStyle_DotDash &sipStrings_QtGui[13603]
#define sipNameNr_CompareGreaterEqual 13623
#define sipName_CompareGreaterEqual &sipStrings_QtGui[13623]
#define sipNameNr_CompareRefToTexture 13643
#define sipName_CompareRefToTexture &sipStrings_QtGui[13643]
#define sipNameNr_CompositionMode_Xor 13663
#define sipName_CompositionMode_Xor &sipStrings_QtGui[13663]
#define sipNameNr_ConicalGradientFill 13683
#define sipName_ConicalGradientFill &sipStrings_QtGui[13683]
#define sipNameNr_CoordinateDirection 560
#define sipName_CoordinateDirection &sipStrings_QtGui[560]
#define sipNameNr_CurrentSystemEndian 13703
#define sipName_CurrentSystemEndian &sipStrings_QtGui[13703]
#define sipNameNr_DefaultSwapBehavior 13723
#define sipName_DefaultSwapBehavior &sipStrings_QtGui[13723]
#define sipNameNr_DeprecatedFunctions 13743
#define sipName_DeprecatedFunctions &sipStrings_QtGui[13743]
#define sipNameNr_DirtyBackgroundMode 13763
#define sipName_DirtyBackgroundMode &sipStrings_QtGui[13763]
#define sipNameNr_DontGenerateMipMaps 13783
#define sipName_DontGenerateMipMaps &sipStrings_QtGui[13783]
#define sipNameNr_FindCaseSensitively 13803
#define sipName_FindCaseSensitively &sipStrings_QtGui[13803]
#define sipNameNr_ForceIntegerMetrics 13823
#define sipName_ForceIntegerMetrics &sipStrings_QtGui[13823]
#define sipNameNr_ImageTransformation 13843
#define sipName_ImageTransformation &sipStrings_QtGui[13843]
#define sipNameNr_InsertLineSeparator 13863
#define sipName_InsertLineSeparator &sipStrings_QtGui[13863]
#define sipNameNr_LinearMipMapNearest 13883
#define sipName_LinearMipMapNearest &sipStrings_QtGui[13883]
#define sipNameNr_MoveToEndOfDocument 13903
#define sipName_MoveToEndOfDocument &sipStrings_QtGui[13903]
#define sipNameNr_NearestMipMapLinear 13923
#define sipName_NearestMipMapLinear &sipStrings_QtGui[13923]
#define sipNameNr_NoSubpixelAntialias 13943
#define sipName_NoSubpixelAntialias &sipStrings_QtGui[13943]
#define sipNameNr_PaintEngineFeatures 1051
#define sipName_PaintEngineFeatures &sipStrings_QtGui[1051]
#define sipNameNr_PdmDevicePixelRatio 13963
#define sipName_PdmDevicePixelRatio &sipStrings_QtGui[13963]
#define sipNameNr_PixmapFragmentHints 3333
#define sipName_PixmapFragmentHints &sipStrings_QtGui[3333]
#define sipNameNr_13983 13983
#define sipName_13983 &sipStrings_QtGui[13983]
#define sipNameNr_QNativeGestureEvent 14003
#define sipName_QNativeGestureEvent &sipStrings_QtGui[14003]
#define sipNameNr_QOpenGLBuffer__Type 14023
#define sipName_QOpenGLBuffer__Type &sipStrings_QtGui[14023]
#define sipNameNr_QOpenGLContextGroup 14043
#define sipName_QOpenGLContextGroup &sipStrings_QtGui[14043]
#define sipNameNr_QOpenGLDebugMessage 14063
#define sipName_QOpenGLDebugMessage &sipStrings_QtGui[14063]
#define sipNameNr_QPainterPathStroker 14083
#define sipName_QPainterPathStroker &sipStrings_QtGui[14083]
#define sipNameNr_QPalette__ColorRole 14103
#define sipName_QPalette__ColorRole &sipStrings_QtGui[14103]
#define sipNameNr_QRegion__RegionType 14123
#define sipName_QRegion__RegionType &sipStrings_QtGui[14123]
#define sipNameNr_QScrollPrepareEvent 14143
#define sipName_QScrollPrepareEvent &sipStrings_QtGui[14143]
#define sipNameNr_QTextDocumentWriter 14163
#define sipName_QTextDocumentWriter &sipStrings_QtGui[14163]
#define sipNameNr_QWindow__Visibility 14183
#define sipName_QWindow__Visibility &sipStrings_QtGui[14183]
#define sipNameNr_RGB_BP_SIGNED_FLOAT 14203
#define sipName_RGB_BP_SIGNED_FLOAT &sipStrings_QtGui[14203]
#define sipNameNr_RangeUnsynchronized 14223
#define sipName_RangeUnsynchronized &sipStrings_QtGui[14223]
#define sipNameNr_SelectEndOfDocument 14243
#define sipName_SelectEndOfDocument &sipStrings_QtGui[14243]
#define sipNameNr_SpellCheckUnderline 14263
#define sipName_SpellCheckUnderline &sipStrings_QtGui[14263]
#define sipNameNr_StretchToDeviceMode 14283
#define sipName_StretchToDeviceMode &sipStrings_QtGui[14283]
#define sipNameNr_TableBorderCollapse 14303
#define sipName_TableBorderCollapse &sipStrings_QtGui[14303]
#define sipNameNr_TableCellColumnSpan 9864
#define sipName_TableCellColumnSpan &sipStrings_QtGui[9864]
#define sipNameNr_TableCellLeftBorder 14323
#define sipName_TableCellLeftBorder &sipStrings_QtGui[14323]
#define sipNameNr_TableCellTopPadding 14343
#define sipName_TableCellTopPadding &sipStrings_QtGui[14343]
#define sipNameNr_TableHeaderRowCount 14363
#define sipName_TableHeaderRowCount &sipStrings_QtGui[14363]
#define sipNameNr_Target2DMultisample 4972
#define sipName_Target2DMultisample &sipStrings_QtGui[4972]
#define sipNameNr_TessellationControl 14383
#define sipName_TessellationControl &sipStrings_QtGui[14383]
#define sipNameNr_applyColorTransform 14403
#define sipName_applyColorTransform &sipStrings_QtGui[14403]
#define sipNameNr_beginNativePainting 14423
#define sipName_beginNativePainting &sipStrings_QtGui[14423]
#define sipNameNr_brushNeedsResolving 14443
#define sipName_brushNeedsResolving &sipStrings_QtGui[14443]
#define sipNameNr_clearUndoRedoStacks 14463
#define sipName_clearUndoRedoStacks &sipStrings_QtGui[14463]
#define sipNameNr_convertToColorSpace 14483
#define sipName_convertToColorSpace &sipStrings_QtGui[14483]
#define sipNameNr_createHeuristicMask 14503
#define sipName_createHeuristicMask &sipStrings_QtGui[14503]
#define sipNameNr_createMaskFromColor 14523
#define sipName_createMaskFromColor &sipStrings_QtGui[14523]
#define sipNameNr_currentContextGroup 14543
#define sipName_currentContextGroup &sipStrings_QtGui[14543]
#define sipNameNr_documentSizeChanged 14563
#define sipName_documentSizeChanged &sipStrings_QtGui[14563]
#define sipNameNr_documentXmpMetadata 14583
#define sipName_documentXmpMetadata &sipStrings_QtGui[14583]
#define sipNameNr_drawPixmapFragments 14603
#define sipName_drawPixmapFragments &sipStrings_QtGui[14603]
#define sipNameNr_fallbackSearchPaths 14623
#define sipName_fallbackSearchPaths &sipStrings_QtGui[14623]
#define sipNameNr_firstCursorPosition 14643
#define sipName_firstCursorPosition &sipStrings_QtGui[14643]
#define sipNameNr_fontDatabaseChanged 14663
#define sipName_fontDatabaseChanged &sipStrings_QtGui[14663]
#define sipNameNr_hasComplexSelection 14683
#define sipName_hasComplexSelection &sipStrings_QtGui[14683]
#define sipNameNr_insertSubstitutions 14703
#define sipName_insertSubstitutions &sipStrings_QtGui[14703]
#define sipNameNr_lineForTextPosition 14723
#define sipName_lineForTextPosition &sipStrings_QtGui[14723]
#define sipNameNr_logicalDotsPerInchX 14743
#define sipName_logicalDotsPerInchX &sipStrings_QtGui[14743]
#define sipNameNr_logicalDotsPerInchY 14763
#define sipName_logicalDotsPerInchY &sipStrings_QtGui[14763]
#define sipNameNr_magnificationFilter 14783
#define sipName_magnificationFilter &sipStrings_QtGui[14783]
#define sipNameNr_maximumWidthChanged 14803
#define sipName_maximumWidthChanged &sipStrings_QtGui[14803]
#define sipNameNr_minimumWidthChanged 14823
#define sipName_minimumWidthChanged &sipStrings_QtGui[14823]
#define sipNameNr_modificationChanged 14843
#define sipName_modificationChanged &sipStrings_QtGui[14843]
#define sipNameNr_physicalDotsPerInch 14863
#define sipName_physicalDotsPerInch &sipStrings_QtGui[14863]
#define sipNameNr_physicalSizeChanged 14883
#define sipName_physicalSizeChanged &sipStrings_QtGui[14883]
#define sipNameNr_preeditAreaPosition 14903
#define sipName_preeditAreaPosition &sipStrings_QtGui[14903]
#define sipNameNr_reinterpretAsFormat 14923
#define sipName_reinterpretAsFormat &sipStrings_QtGui[14923]
#define sipNameNr_removeSubstitutions 14943
#define sipName_removeSubstitutions &sipStrings_QtGui[14943]
#define sipNameNr_rightCursorPosition 14963
#define sipName_rightCursorPosition &sipStrings_QtGui[14963]
#define sipNameNr_setDepthStencilMode 14983
#define sipName_setDepthStencilMode &sipStrings_QtGui[14983]
#define sipNameNr_setDevicePixelRatio 15003
#define sipName_setDevicePixelRatio &sipStrings_QtGui[15003]
#define sipNameNr_setMouseGrabEnabled 15023
#define sipName_setMouseGrabEnabled &sipStrings_QtGui[15023]
#define sipNameNr_setPatchVertexCount 15043
#define sipName_setPatchVertexCount &sipStrings_QtGui[15043]
#define sipNameNr_setRightBorderBrush 15063
#define sipName_setRightBorderBrush &sipStrings_QtGui[15063]
#define sipNameNr_setRightBorderStyle 15083
#define sipName_setRightBorderStyle &sipStrings_QtGui[15083]
#define sipNameNr_setSwapBytesEnabled 15103
#define sipName_setSwapBytesEnabled &sipStrings_QtGui[15103]
#define sipNameNr_setTableCellRowSpan 15123
#define sipName_setTableCellRowSpan &sipStrings_QtGui[15123]
#define sipNameNr_setThemeSearchPaths 15143
#define sipName_setThemeSearchPaths &sipStrings_QtGui[15143]
#define sipNameNr_setTransferFunction 15163
#define sipName_setTransferFunction &sipStrings_QtGui[15163]
#define sipNameNr_setUseDesignMetrics 15183
#define sipName_setUseDesignMetrics &sipStrings_QtGui[15183]
#define sipNameNr_setVisualNavigation 15203
#define sipName_setVisualNavigation &sipStrings_QtGui[15203]
#define sipNameNr_tableCellColumnSpan 15223
#define sipName_tableCellColumnSpan &sipStrings_QtGui[15223]
#define sipNameNr_writingSystemSample 15243
#define sipName_writingSystemSample &sipStrings_QtGui[15243]
#define sipNameNr_AlphaPremultiplied 1552
#define sipName_AlphaPremultiplied &sipStrings_QtGui[1552]
#define sipNameNr_AvailableSizesHook 15263
#define sipName_AvailableSizesHook &sipStrings_QtGui[15263]
#define sipNameNr_BackgroundImageUrl 15282
#define sipName_BackgroundImageUrl &sipStrings_QtGui[15282]
#define sipNameNr_BorderStyle_Dashed 15301
#define sipName_BorderStyle_Dashed &sipStrings_QtGui[15301]
#define sipNameNr_BorderStyle_Dotted 15320
#define sipName_BorderStyle_Dotted &sipStrings_QtGui[15320]
#define sipNameNr_BorderStyle_Double 15339
#define sipName_BorderStyle_Double &sipStrings_QtGui[15339]
#define sipNameNr_BorderStyle_Groove 15358
#define sipName_BorderStyle_Groove &sipStrings_QtGui[15358]
#define sipNameNr_BorderStyle_Outset 15377
#define sipName_BorderStyle_Outset &sipStrings_QtGui[15377]
#define sipNameNr_ComparisonFunction 740
#define sipName_ComparisonFunction &sipStrings_QtGui[740]
#define sipNameNr_CurveToDataElement 15396
#define sipName_CurveToDataElement &sipStrings_QtGui[15396]
#define sipNameNr_DeleteCompleteLine 15415
#define sipName_DeleteCompleteLine &sipStrings_QtGui[15415]
#define sipNameNr_FanFoldGermanLegal 15434
#define sipName_FanFoldGermanLegal &sipStrings_QtGui[15434]
#define sipNameNr_FontCapitalization 11520
#define sipName_FontCapitalization &sipStrings_QtGui[11520]
#define sipNameNr_FontSizeAdjustment 15453
#define sipName_FontSizeAdjustment &sipStrings_QtGui[15453]
#define sipNameNr_Format_Grayscale16 15472
#define sipName_Format_Grayscale16 &sipStrings_QtGui[15472]
#define sipNameNr_FullWidthSelection 15491
#define sipName_FullWidthSelection &sipStrings_QtGui[15491]
#define sipNameNr_IncrementalReading 15510
#define sipName_IncrementalReading &sipStrings_QtGui[15510]
#define sipNameNr_LineDistanceHeight 15529
#define sipName_LineDistanceHeight &sipStrings_QtGui[15529]
#define sipNameNr_LinearGradientFill 15548
#define sipName_LinearGradientFill &sipStrings_QtGui[15548]
#define sipNameNr_LinearMipMapLinear 15567
#define sipName_LinearMipMapLinear &sipStrings_QtGui[15567]
#define sipNameNr_MoveToPreviousChar 15586
#define sipName_MoveToPreviousChar &sipStrings_QtGui[15586]
#define sipNameNr_MoveToPreviousLine 15605
#define sipName_MoveToPreviousLine &sipStrings_QtGui[15605]
#define sipNameNr_MoveToPreviousPage 15624
#define sipName_MoveToPreviousPage &sipStrings_QtGui[15624]
#define sipNameNr_MoveToPreviousWord 15643
#define sipName_MoveToPreviousWord &sipStrings_QtGui[15643]
#define sipNameNr_MoveToStartOfBlock 15662
#define sipName_MoveToStartOfBlock &sipStrings_QtGui[15662]
#define sipNameNr_NormalizedPosition 15681
#define sipName_NormalizedPosition &sipStrings_QtGui[15681]
#define sipNameNr_ObjectBoundingMode 15700
#define sipName_ObjectBoundingMode &sipStrings_QtGui[15700]
#define sipNameNr_PaintEngineFeature 1519
#define sipName_PaintEngineFeature &sipStrings_QtGui[1519]
#define sipNameNr_PartialUpdateBlend 15719
#define sipName_PartialUpdateBlend &sipStrings_QtGui[15719]
#define sipNameNr_PixmapFragmentHint 3983
#define sipName_PixmapFragmentHint &sipStrings_QtGui[3983]
#define sipNameNr_PrimitiveTransform 15738
#define sipName_PrimitiveTransform &sipStrings_QtGui[15738]
#define sipNameNr_ProportionalHeight 15757
#define sipName_ProportionalHeight &sipStrings_QtGui[15757]
#define sipNameNr_QColor__NameFormat 15776
#define sipName_QColor__NameFormat &sipStrings_QtGui[15776]
#define sipNameNr_QFont__SpacingType 15795
#define sipName_QFont__SpacingType &sipStrings_QtGui[15795]
#define sipNameNr_QImage__InvertMode 15814
#define sipName_QImage__InvertMode &sipStrings_QtGui[15814]
#define sipNameNr_15833 15833
#define sipName_15833 &sipStrings_QtGui[15833]
#define sipNameNr_QMovie__MovieState 15852
#define sipName_QMovie__MovieState &sipStrings_QtGui[15852]
#define sipNameNr_QOpenGLDebugLogger 15871
#define sipName_QOpenGLDebugLogger &sipStrings_QtGui[15871]
#define sipNameNr_QOpenGLPaintDevice 15890
#define sipName_QOpenGLPaintDevice &sipStrings_QtGui[15890]
#define sipNameNr_QPaintDeviceWindow 15909
#define sipName_QPaintDeviceWindow &sipStrings_QtGui[15909]
#define sipNameNr_QPaintEngine__Type 15928
#define sipName_QPaintEngine__Type &sipStrings_QtGui[15928]
#define sipNameNr_15947 15947
#define sipName_15947 &sipStrings_QtGui[15947]
#define sipNameNr_QStandardItemModel 15966
#define sipName_QStandardItemModel &sipStrings_QtGui[15966]
#define sipNameNr_QSyntaxHighlighter 15985
#define sipName_QSyntaxHighlighter &sipStrings_QtGui[15985]
#define sipNameNr_QTextBlockUserData 16004
#define sipName_QTextBlockUserData &sipStrings_QtGui[16004]
#define sipNameNr_QTextOption__Flags 16023
#define sipName_QTextOption__Flags &sipStrings_QtGui[16023]
#define sipNameNr_RadialGradientFill 16042
#define sipName_RadialGradientFill &sipStrings_QtGui[16042]
#define sipNameNr_RangeFlushExplicit 16061
#define sipName_RangeFlushExplicit &sipStrings_QtGui[16061]
#define sipNameNr_RasterOp_NotSource 16080
#define sipName_RasterOp_NotSource &sipStrings_QtGui[16080]
#define sipNameNr_RestartImmediately 16099
#define sipName_RestartImmediately &sipStrings_QtGui[16099]
#define sipNameNr_ScientificNotation 16118
#define sipName_ScientificNotation &sipStrings_QtGui[16118]
#define sipNameNr_SelectPreviousChar 16137
#define sipName_SelectPreviousChar &sipStrings_QtGui[16137]
#define sipNameNr_SelectPreviousLine 16156
#define sipName_SelectPreviousLine &sipStrings_QtGui[16156]
#define sipNameNr_SelectPreviousPage 16175
#define sipName_SelectPreviousPage &sipStrings_QtGui[16175]
#define sipNameNr_SelectPreviousWord 16194
#define sipName_SelectPreviousWord &sipStrings_QtGui[16194]
#define sipNameNr_SelectStartOfBlock 16213
#define sipName_SelectStartOfBlock &sipStrings_QtGui[16213]
#define sipNameNr_StyleSheetResource 16232
#define sipName_StyleSheetResource &sipStrings_QtGui[16232]
#define sipNameNr_SynchronousLogging 16251
#define sipName_SynchronousLogging &sipStrings_QtGui[16251]
#define sipNameNr_TableCellTopBorder 16270
#define sipName_TableCellTopBorder &sipStrings_QtGui[16270]
#define sipNameNr_TargetCubeMapArray 5674
#define sipName_TargetCubeMapArray &sipStrings_QtGui[5674]
#define sipNameNr_TextUnderlineColor 16289
#define sipName_TextUnderlineColor &sipStrings_QtGui[16289]
#define sipNameNr_TextUnderlineStyle 16308
#define sipName_TextUnderlineStyle &sipStrings_QtGui[16308]
#define sipNameNr_TextureMipMapLevel 16327
#define sipName_TextureMipMapLevel &sipStrings_QtGui[16327]
#define sipNameNr_TextureMultisample 16346
#define sipName_TextureMultisample &sipStrings_QtGui[16346]
#define sipNameNr_TraditionalChinese 16365
#define sipName_TraditionalChinese &sipStrings_QtGui[16365]
#define sipNameNr_TransformationFlip 16384
#define sipName_TransformationFlip &sipStrings_QtGui[16384]
#define sipNameNr_TransformationNone 16403
#define sipName_TransformationNone &sipStrings_QtGui[16403]
#define sipNameNr_TransformationType 2637
#define sipName_TransformationType &sipStrings_QtGui[2637]
#define sipNameNr_TypeInterpretation 1585
#define sipName_TypeInterpretation &sipStrings_QtGui[1585]
#define sipNameNr_UInt32_RGB10A2_Rev 16422
#define sipName_UInt32_RGB10A2_Rev &sipStrings_QtGui[16422]
#define sipNameNr_WindowSystemSource 16441
#define sipName_WindowSystemSource &sipStrings_QtGui[16441]
#define sipNameNr_aboutToBeDestroyed 16460
#define sipName_aboutToBeDestroyed &sipStrings_QtGui[16460]
#define sipNameNr_addApplicationFont 16479
#define sipName_addApplicationFont &sipStrings_QtGui[16479]
#define sipNameNr_addColorAttachment 16498
#define sipName_addColorAttachment &sipStrings_QtGui[16498]
#define sipNameNr_availableRedoSteps 16517
#define sipName_availableRedoSteps &sipStrings_QtGui[16517]
#define sipNameNr_availableUndoSteps 16536
#define sipName_availableUndoSteps &sipStrings_QtGui[16536]
#define sipNameNr_blockFormatChanged 16555
#define sipName_blockFormatChanged &sipStrings_QtGui[16555]
#define sipNameNr_comparisonFunction 16574
#define sipName_comparisonFunction &sipStrings_QtGui[16574]
#define sipNameNr_contentOrientation 16593
#define sipName_contentOrientation &sipStrings_QtGui[16593]
#define sipNameNr_currentFrameNumber 16612
#define sipName_currentFrameNumber &sipStrings_QtGui[16612]
#define sipNameNr_currentImageNumber 16631
#define sipName_currentImageNumber &sipStrings_QtGui[16631]
#define sipNameNr_deletePreviousChar 16650
#define sipName_deletePreviousChar &sipStrings_QtGui[16650]
#define sipNameNr_ensureActiveTarget 16669
#define sipName_ensureActiveTarget &sipStrings_QtGui[16669]
#define sipNameNr_focusObjectChanged 16688
#define sipName_focusObjectChanged &sipStrings_QtGui[16688]
#define sipNameNr_focusWindowChanged 16707
#define sipName_focusWindowChanged &sipStrings_QtGui[16707]
#define sipNameNr_fontCapitalization 16726
#define sipName_fontCapitalization &sipStrings_QtGui[16726]
#define sipNameNr_fontSmoothingGamma 16745
#define sipName_fontSmoothingGamma &sipStrings_QtGui[16745]
#define sipNameNr_fromRotationMatrix 16764
#define sipName_fromRotationMatrix &sipStrings_QtGui[16764]
#define sipNameNr_globalShareContext 16783
#define sipName_globalShareContext &sipStrings_QtGui[16783]
#define sipNameNr_inputItemRectangle 16802
#define sipName_inputItemRectangle &sipStrings_QtGui[16802]
#define sipNameNr_inputItemTransform 16821
#define sipName_inputItemTransform &sipStrings_QtGui[16821]
#define sipNameNr_insertSubstitution 16840
#define sipName_insertSubstitution &sipStrings_QtGui[16840]
#define sipNameNr_isSmoothlyScalable 16859
#define sipName_isSmoothlyScalable &sipStrings_QtGui[16859]
#define sipNameNr_isStorageAllocated 16878
#define sipName_isStorageAllocated &sipStrings_QtGui[16878]
#define sipNameNr_isSwapBytesEnabled 16897
#define sipName_isSwapBytesEnabled &sipStrings_QtGui[16897]
#define sipNameNr_lastCursorPosition 16916
#define sipName_lastCursorPosition &sipStrings_QtGui[16916]
#define sipNameNr_leftCursorPosition 16935
#define sipName_leftCursorPosition &sipStrings_QtGui[16935]
#define sipNameNr_levelOfDetailRange 16954
#define sipName_levelOfDetailRange &sipStrings_QtGui[16954]
#define sipNameNr_logicalDotsPerInch 16973
#define sipName_logicalDotsPerInch &sipStrings_QtGui[16973]
#define sipNameNr_maximumTouchPoints 16992
#define sipName_maximumTouchPoints &sipStrings_QtGui[16992]
#define sipNameNr_minificationFilter 17011
#define sipName_minificationFilter &sipStrings_QtGui[17011]
#define sipNameNr_nextCursorPosition 17030
#define sipName_nextCursorPosition &sipStrings_QtGui[17030]
#define sipNameNr_openGLModuleHandle 17049
#define sipName_openGLModuleHandle &sipStrings_QtGui[17049]
#define sipNameNr_orientationChanged 17068
#define sipName_orientationChanged &sipStrings_QtGui[17068]
#define sipNameNr_previousBlockState 17087
#define sipName_previousBlockState &sipStrings_QtGui[17087]
#define sipNameNr_primaryOrientation 17106
#define sipName_primaryOrientation &sipStrings_QtGui[17106]
#define sipNameNr_rawScreenPositions 17125
#define sipName_rawScreenPositions &sipStrings_QtGui[17125]
#define sipNameNr_refreshRateChanged 17144
#define sipName_refreshRateChanged &sipStrings_QtGui[17144]
#define sipNameNr_removeSelectedText 17163
#define sipName_removeSelectedText &sipStrings_QtGui[17163]
#define sipNameNr_resizeInlineObject 17182
#define sipName_resizeInlineObject &sipStrings_QtGui[17182]
#define sipNameNr_selectedTableCells 17201
#define sipName_selectedTableCells &sipStrings_QtGui[17201]
#define sipNameNr_setAlphaBufferSize 17220
#define sipName_setAlphaBufferSize &sipStrings_QtGui[17220]
#define sipNameNr_setAttributeBuffer 17239
#define sipName_setAttributeBuffer &sipStrings_QtGui[17239]
#define sipNameNr_setBackgroundColor 17258
#define sipName_setBackgroundColor &sipStrings_QtGui[17258]
#define sipNameNr_setBlockCharFormat 17277
#define sipName_setBlockCharFormat &sipStrings_QtGui[17277]
#define sipNameNr_setCompositionMode 17296
#define sipName_setCompositionMode &sipStrings_QtGui[17296]
#define sipNameNr_setContentPosRange 17315
#define sipName_setContentPosRange &sipStrings_QtGui[17315]
#define sipNameNr_setCursorMoveStyle 17334
#define sipName_setCursorMoveStyle &sipStrings_QtGui[17334]
#define sipNameNr_setDepthBufferSize 17353
#define sipName_setDepthBufferSize &sipStrings_QtGui[17353]
#define sipNameNr_setDesktopFileName 17372
#define sipName_setDesktopFileName &sipStrings_QtGui[17372]
#define sipNameNr_setFontWordSpacing 17391
#define sipName_setFontWordSpacing &sipStrings_QtGui[17391]
#define sipNameNr_setGreenBufferSize 17410
#define sipName_setGreenBufferSize &sipStrings_QtGui[17410]
#define sipNameNr_setLayoutDirection 17429
#define sipName_setLayoutDirection &sipStrings_QtGui[17429]
#define sipNameNr_setLeadingIncluded 17448
#define sipName_setLeadingIncluded &sipStrings_QtGui[17448]
#define sipNameNr_setLeftBorderBrush 17467
#define sipName_setLeftBorderBrush &sipStrings_QtGui[17467]
#define sipNameNr_setLeftBorderStyle 17486
#define sipName_setLeftBorderStyle &sipStrings_QtGui[17486]
#define sipNameNr_setManagerProperty 17505
#define sipName_setManagerProperty &sipStrings_QtGui[17505]
#define sipNameNr_setMetaInformation 17524
#define sipName_setMetaInformation &sipStrings_QtGui[17524]
#define sipNameNr_setPageBreakPolicy 17543
#define sipName_setPageBreakPolicy &sipStrings_QtGui[17543]
#define sipNameNr_setPageOrientation 17562
#define sipName_setPageOrientation &sipStrings_QtGui[17562]
#define sipNameNr_setPerformanceHint 17581
#define sipName_setPerformanceHint &sipStrings_QtGui[17581]
#define sipNameNr_setTabStopDistance 17600
#define sipName_setTabStopDistance &sipStrings_QtGui[17600]
#define sipNameNr_setTransientParent 17619
#define sipName_setTransientParent &sipStrings_QtGui[17619]
#define sipNameNr_setUndoRedoEnabled 17638
#define sipName_setUndoRedoEnabled &sipStrings_QtGui[17638]
#define sipNameNr_setUseHoverEffects 17657
#define sipName_setUseHoverEffects &sipStrings_QtGui[17657]
#define sipNameNr_startNormalizedPos 17676
#define sipName_startNormalizedPos &sipStrings_QtGui[17676]
#define sipNameNr_supportedMimeTypes 17695
#define sipName_supportedMimeTypes &sipStrings_QtGui[17695]
#define sipNameNr_supportsFindBuffer 17714
#define sipName_supportsFindBuffer &sipStrings_QtGui[17714]
#define sipNameNr_tangentialPressure 17733
#define sipName_tangentialPressure &sipStrings_QtGui[17733]
#define sipNameNr_typeInterpretation 17752
#define sipName_typeInterpretation &sipStrings_QtGui[17752]
#define sipNameNr_verticalHeaderItem 17771
#define sipName_verticalHeaderItem &sipStrings_QtGui[17771]
#define sipNameNr_windowStateChanged 17790
#define sipName_windowStateChanged &sipStrings_QtGui[17790]
#define sipNameNr_windowTitleChanged 17809
#define sipName_windowTitleChanged &sipStrings_QtGui[17809]
#define sipNameNr_worldMatrixEnabled 17828
#define sipName_worldMatrixEnabled &sipStrings_QtGui[17828]
#define sipNameNr_AggressiveCaching 17847
#define sipName_AggressiveCaching &sipStrings_QtGui[17847]
#define sipNameNr_ApplicationSource 17865
#define sipName_ApplicationSource &sipStrings_QtGui[17865]
#define sipNameNr_BlockBottomMargin 17883
#define sipName_BlockBottomMargin &sipStrings_QtGui[17883]
#define sipNameNr_BlockCodeLanguage 17901
#define sipName_BlockCodeLanguage &sipStrings_QtGui[17901]
#define sipNameNr_BorderStyle_Inset 17919
#define sipName_BorderStyle_Inset &sipStrings_QtGui[17919]
#define sipNameNr_BorderStyle_Ridge 17937
#define sipName_BorderStyle_Ridge &sipStrings_QtGui[17937]
#define sipNameNr_BorderStyle_Solid 17955
#define sipName_BorderStyle_Solid &sipStrings_QtGui[17955]
#define sipNameNr_CursorOnCharacter 17973
#define sipName_CursorOnCharacter &sipStrings_QtGui[17973]
#define sipNameNr_DefaultColorSpace 17991
#define sipName_DefaultColorSpace &sipStrings_QtGui[17991]
#define sipNameNr_DeleteStartOfWord 18009
#define sipName_DeleteStartOfWord &sipStrings_QtGui[18009]
#define sipNameNr_ExcludeTransients 18027
#define sipName_ExcludeTransients &sipStrings_QtGui[18027]
#define sipNameNr_ExecutiveStandard 18045
#define sipName_ExecutiveStandard &sipStrings_QtGui[18045]
#define sipNameNr_FileNotFoundError 18063
#define sipName_FileNotFoundError &sipStrings_QtGui[18063]
#define sipNameNr_FirstFontProperty 18081
#define sipName_FirstFontProperty &sipStrings_QtGui[18081]
#define sipNameNr_FontLetterSpacing 13168
#define sipName_FontLetterSpacing &sipStrings_QtGui[13168]
#define sipNameNr_FontPropertiesAll 18099
#define sipName_FontPropertiesAll &sipStrings_QtGui[18099]
#define sipNameNr_FontSizeIncrement 18117
#define sipName_FontSizeIncrement &sipStrings_QtGui[18117]
#define sipNameNr_FontStyleStrategy 13189
#define sipName_FontStyleStrategy &sipStrings_QtGui[13189]
#define sipNameNr_Format_Grayscale8 18135
#define sipName_Format_Grayscale8 &sipStrings_QtGui[18135]
#define sipNameNr_FrameBottomMargin 18153
#define sipName_FrameBottomMargin &sipStrings_QtGui[18153]
#define sipNameNr_HintingPreference 6762
#define sipName_HintingPreference &sipStrings_QtGui[6762]
#define sipNameNr_IncludeTransients 18171
#define sipName_IncludeTransients &sipStrings_QtGui[18171]
#define sipNameNr_InvalidImageError 18189
#define sipName_InvalidImageError &sipStrings_QtGui[18189]
#define sipNameNr_MoveToStartOfLine 18207
#define sipName_MoveToStartOfLine &sipStrings_QtGui[18207]
#define sipNameNr_NPOTTextureRepeat 18225
#define sipName_NPOTTextureRepeat &sipStrings_QtGui[18225]
#define sipNameNr_PaintDeviceMetric 2105
#define sipName_PaintDeviceMetric &sipStrings_QtGui[2105]
#define sipNameNr_PartialUpdateBlit 18243
#define sipName_PartialUpdateBlit &sipStrings_QtGui[18243]
#define sipNameNr_PercentageSpacing 18261
#define sipName_PercentageSpacing &sipStrings_QtGui[18261]
#define sipNameNr_PixelAntialiasing 12391
#define sipName_PixelAntialiasing &sipStrings_QtGui[12391]
#define sipNameNr_PixelUnpackBuffer 18279
#define sipName_PixelUnpackBuffer &sipStrings_QtGui[18279]
#define sipNameNr_PreferFullHinting 18297
#define sipName_PreferFullHinting &sipStrings_QtGui[18297]
#define sipNameNr_PreviousCharacter 18315
#define sipName_PreviousCharacter &sipStrings_QtGui[18315]
#define sipNameNr_QContextMenuEvent 18333
#define sipName_QContextMenuEvent &sipStrings_QtGui[18333]
#define sipNameNr_QGradient__Preset 18351
#define sipName_QGradient__Preset &sipStrings_QtGui[18351]
#define sipNameNr_QGradient__Spread 18369
#define sipName_QGradient__Spread &sipStrings_QtGui[18369]
#define sipNameNr_QInputMethodEvent 18387
#define sipName_QInputMethodEvent &sipStrings_QtGui[18387]
#define sipNameNr_18405 18405
#define sipName_18405 &sipStrings_QtGui[18405]
#define sipNameNr_QMovie__CacheMode 18423
#define sipName_QMovie__CacheMode &sipStrings_QtGui[18423]
#define sipNameNr_QOffscreenSurface 18441
#define sipName_QOffscreenSurface &sipStrings_QtGui[18441]
#define sipNameNr_QPageLayout__Mode 18459
#define sipName_QPageLayout__Mode &sipStrings_QtGui[18459]
#define sipNameNr_QPageLayout__Unit 18477
#define sipName_QPageLayout__Unit &sipStrings_QtGui[18477]
#define sipNameNr_QPagedPaintDevice 18495
#define sipName_QPagedPaintDevice &sipStrings_QtGui[18495]
#define sipNameNr_QPaintEngineState 18513
#define sipName_QPaintEngineState &sipStrings_QtGui[18513]
#define sipNameNr_QPixmapCache__Key 18531
#define sipName_QPixmapCache__Key &sipStrings_QtGui[18531]
#define sipNameNr_QTextInlineObject 18549
#define sipName_QTextInlineObject &sipStrings_QtGui[18549]
#define sipNameNr_QTextLength__Type 18567
#define sipName_QTextLength__Type &sipStrings_QtGui[18567]
#define sipNameNr_QTextOption__Flag 18585
#define sipName_QTextOption__Flag &sipStrings_QtGui[18585]
#define sipNameNr_QValidator__State 18603
#define sipName_QValidator__State &sipStrings_QtGui[18603]
#define sipNameNr_ResetNotification 18621
#define sipName_ResetNotification &sipStrings_QtGui[18621]
#define sipNameNr_SelectStartOfLine 18639
#define sipName_SelectStartOfLine &sipStrings_QtGui[18639]
#define sipNameNr_ShowTabsAndSpaces 18657
#define sipName_ShowTabsAndSpaces &sipStrings_QtGui[18657]
#define sipNameNr_SimplifiedChinese 18675
#define sipName_SimplifiedChinese &sipStrings_QtGui[18675]
#define sipNameNr_SupportedSubTypes 18693
#define sipName_SupportedSubTypes &sipStrings_QtGui[18693]
#define sipNameNr_UInt16_R5G6B5_Rev 18711
#define sipName_UInt16_R5G6B5_Rev &sipStrings_QtGui[18711]
#define sipNameNr_UInt16_RGB5A1_Rev 18729
#define sipName_UInt16_RGB5A1_Rev &sipStrings_QtGui[18729]
#define sipNameNr_UndoAndRedoStacks 18747
#define sipName_UndoAndRedoStacks &sipStrings_QtGui[18747]
#define sipNameNr_VerticalAlignment 776
#define sipName_VerticalAlignment &sipStrings_QtGui[776]
#define sipNameNr_addFileAttachment 18765
#define sipName_addFileAttachment &sipStrings_QtGui[18765]
#define sipNameNr_additionalFormats 18783
#define sipName_additionalFormats &sipStrings_QtGui[18783]
#define sipNameNr_allowsInteraction 18801
#define sipName_allowsInteraction &sipStrings_QtGui[18801]
#define sipNameNr_attributeLocation 18819
#define sipName_attributeLocation &sipStrings_QtGui[18819]
#define sipNameNr_availableGeometry 18837
#define sipName_availableGeometry &sipStrings_QtGui[18837]
#define sipNameNr_blockBoundingRect 18855
#define sipName_blockBoundingRect &sipStrings_QtGui[18855]
#define sipNameNr_blockCountChanged 18873
#define sipName_blockCountChanged &sipStrings_QtGui[18873]
#define sipNameNr_blockWithMarkerAt 18891
#define sipName_blockWithMarkerAt &sipStrings_QtGui[18891]
#define sipNameNr_bottomBorderBrush 18909
#define sipName_bottomBorderBrush &sipStrings_QtGui[18909]
#define sipNameNr_bottomBorderStyle 18927
#define sipName_bottomBorderStyle &sipStrings_QtGui[18927]
#define sipNameNr_combinedTransform 18945
#define sipName_combinedTransform &sipStrings_QtGui[18945]
#define sipNameNr_commitDataRequest 18963
#define sipName_commitDataRequest &sipStrings_QtGui[18963]
#define sipNameNr_compileSourceCode 18981
#define sipName_compileSourceCode &sipStrings_QtGui[18981]
#define sipNameNr_compileSourceFile 18999
#define sipName_compileSourceFile &sipStrings_QtGui[18999]
#define sipNameNr_createTextureView 19017
#define sipName_createTextureView &sipStrings_QtGui[19017]
#define sipNameNr_currentBlockState 19035
#define sipName_currentBlockState &sipStrings_QtGui[19035]
#define sipNameNr_currentColorGroup 19053
#define sipName_currentColorGroup &sipStrings_QtGui[19053]
#define sipNameNr_defaultStyleSheet 19071
#define sipName_defaultStyleSheet &sipStrings_QtGui[19071]
#define sipNameNr_defaultTextOption 19089
#define sipName_defaultTextOption &sipStrings_QtGui[19089]
#define sipNameNr_devicePixelRatioF 19107
#define sipName_devicePixelRatioF &sipStrings_QtGui[19107]
#define sipNameNr_drawConvexPolygon 19125
#define sipName_drawConvexPolygon &sipStrings_QtGui[19125]
#define sipNameNr_endNativePainting 19143
#define sipName_endNativePainting &sipStrings_QtGui[19143]
#define sipNameNr_fallbackThemeName 19161
#define sipName_fallbackThemeName &sipStrings_QtGui[19161]
#define sipNameNr_findBlockByNumber 19179
#define sipName_findBlockByNumber &sipStrings_QtGui[19179]
#define sipNameNr_findBufferChanged 19197
#define sipName_findBufferChanged &sipStrings_QtGui[19197]
#define sipNameNr_fontLetterSpacing 19215
#define sipName_fontLetterSpacing &sipStrings_QtGui[19215]
#define sipNameNr_fontStyleStrategy 19233
#define sipName_fontStyleStrategy &sipStrings_QtGui[19233]
#define sipNameNr_frameBoundingRect 19251
#define sipName_frameBoundingRect &sipStrings_QtGui[19251]
#define sipNameNr_hasStaticContents 19269
#define sipName_hasStaticContents &sipStrings_QtGui[19269]
#define sipNameNr_hintingPreference 19287
#define sipName_hintingPreference &sipStrings_QtGui[19287]
#define sipNameNr_horizontalAdvance 19305
#define sipName_horizontalAdvance &sipStrings_QtGui[19305]
#define sipNameNr_invisibleRootItem 19323
#define sipName_invisibleRootItem &sipStrings_QtGui[19323]
#define sipNameNr_isSessionRestored 19341
#define sipName_isSessionRestored &sipStrings_QtGui[19341]
#define sipNameNr_isTableCellFormat 19359
#define sipName_isTableCellFormat &sipStrings_QtGui[19359]
#define sipNameNr_isUndoRedoEnabled 19377
#define sipName_isUndoRedoEnabled &sipStrings_QtGui[19377]
#define sipNameNr_keyboardModifiers 19395
#define sipName_keyboardModifiers &sipStrings_QtGui[19395]
#define sipNameNr_keyboardRectangle 19413
#define sipName_keyboardRectangle &sipStrings_QtGui[19413]
#define sipNameNr_lastNormalizedPos 19431
#define sipName_lastNormalizedPos &sipStrings_QtGui[19431]
#define sipNameNr_letterSpacingType 19449
#define sipName_letterSpacingType &sipStrings_QtGui[19449]
#define sipNameNr_levelofDetailBias 19467
#define sipName_levelofDetailBias &sipStrings_QtGui[19467]
#define sipNameNr_markContentsDirty 19485
#define sipName_markContentsDirty &sipStrings_QtGui[19485]
#define sipNameNr_maximumAnisotropy 19503
#define sipName_maximumAnisotropy &sipStrings_QtGui[19503]
#define sipNameNr_maximumBlockCount 19521
#define sipName_maximumBlockCount &sipStrings_QtGui[19521]
#define sipNameNr_mediumspringgreen 19539
#define sipName_mediumspringgreen &sipStrings_QtGui[19539]
#define sipNameNr_mouseReleaseEvent 19557
#define sipName_mouseReleaseEvent &sipStrings_QtGui[19557]
#define sipNameNr_nativeOrientation 19575
#define sipName_nativeOrientation &sipStrings_QtGui[19575]
#define sipNameNr_nonBreakableLines 19593
#define sipName_nonBreakableLines &sipStrings_QtGui[19593]
#define sipNameNr_overshootDistance 19611
#define sipName_overshootDistance &sipStrings_QtGui[19611]
#define sipNameNr_passwordMaskDelay 19629
#define sipName_passwordMaskDelay &sipStrings_QtGui[19629]
#define sipNameNr_penNeedsResolving 19647
#define sipName_penNeedsResolving &sipStrings_QtGui[19647]
#define sipNameNr_qPixelFormatAlpha 19665
#define sipName_qPixelFormatAlpha &sipStrings_QtGui[19665]
#define sipNameNr_regularExpression 19683
#define sipName_regularExpression &sipStrings_QtGui[19683]
#define sipNameNr_replacementLength 19701
#define sipName_replacementLength &sipStrings_QtGui[19701]
#define sipNameNr_setAccessibleText 19719
#define sipName_setAccessibleText &sipStrings_QtGui[19719]
#define sipNameNr_setAttributeArray 19737
#define sipName_setAttributeArray &sipStrings_QtGui[19737]
#define sipNameNr_setAttributeValue 19755
#define sipName_setAttributeValue &sipStrings_QtGui[19755]
#define sipNameNr_setBackgroundMode 19773
#define sipName_setBackgroundMode &sipStrings_QtGui[19773]
#define sipNameNr_setBlueBufferSize 19791
#define sipName_setBlueBufferSize &sipStrings_QtGui[19791]
#define sipNameNr_setBorderCollapse 19809
#define sipName_setBorderCollapse &sipStrings_QtGui[19809]
#define sipNameNr_setCapitalization 19827
#define sipName_setCapitalization &sipStrings_QtGui[19827]
#define sipNameNr_setComparisonMode 19845
#define sipName_setComparisonMode &sipStrings_QtGui[19845]
#define sipNameNr_setCompressedData 19863
#define sipName_setCompressedData &sipStrings_QtGui[19863]
#define sipNameNr_setCoordinateMode 19881
#define sipName_setCoordinateMode &sipStrings_QtGui[19881]
#define sipNameNr_setCurveThreshold 19899
#define sipName_setCurveThreshold &sipStrings_QtGui[19899]
#define sipNameNr_setDiscardCommand 19917
#define sipName_setDiscardCommand &sipStrings_QtGui[19917]
#define sipNameNr_setDocumentLayout 19935
#define sipName_setDocumentLayout &sipStrings_QtGui[19935]
#define sipNameNr_setDocumentMargin 19953
#define sipName_setDocumentMargin &sipStrings_QtGui[19953]
#define sipNameNr_setFontFixedPitch 19971
#define sipName_setFontFixedPitch &sipStrings_QtGui[19971]
#define sipNameNr_setHeaderRowCount 19989
#define sipName_setHeaderRowCount &sipStrings_QtGui[19989]
#define sipNameNr_setMinimumMargins 20007
#define sipName_setMinimumMargins &sipStrings_QtGui[20007]
#define sipNameNr_setOptimizedWrite 20025
#define sipName_setOptimizedWrite &sipStrings_QtGui[20025]
#define sipNameNr_setOverrideCursor 20043
#define sipName_setOverrideCursor &sipStrings_QtGui[20043]
#define sipNameNr_setRedBlueSwizzle 20061
#define sipName_setRedBlueSwizzle &sipStrings_QtGui[20061]
#define sipNameNr_setRenderableType 20079
#define sipName_setRenderableType &sipStrings_QtGui[20079]
#define sipNameNr_setRestartCommand 20097
#define sipName_setRestartCommand &sipStrings_QtGui[20097]
#define sipNameNr_setScaledClipRect 20115
#define sipName_setScaledClipRect &sipStrings_QtGui[20115]
#define sipNameNr_setStaticContents 20133
#define sipName_setStaticContents &sipStrings_QtGui[20133]
#define sipNameNr_setTopBorderBrush 20151
#define sipName_setTopBorderBrush &sipStrings_QtGui[20151]
#define sipNameNr_setTopBorderStyle 20169
#define sipName_setTopBorderStyle &sipStrings_QtGui[20169]
#define sipNameNr_setTransformation 20187
#define sipName_setTransformation &sipStrings_QtGui[20187]
#define sipNameNr_setUnderlineColor 20205
#define sipName_setUnderlineColor &sipStrings_QtGui[20205]
#define sipNameNr_setUnderlineStyle 20223
#define sipName_setUnderlineStyle &sipStrings_QtGui[20223]
#define sipNameNr_setWorldTransform 20241
#define sipName_setWorldTransform &sipStrings_QtGui[20241]
#define sipNameNr_sip_simplewrapper 20259
#define sipName_sip_simplewrapper &sipStrings_QtGui[20259]
#define sipNameNr_startDragDistance 20277
#define sipName_startDragDistance &sipStrings_QtGui[20277]
#define sipNameNr_startDragVelocity 20295
#define sipName_startDragVelocity &sipStrings_QtGui[20295]
#define sipNameNr_startSystemResize 20313
#define sipName_startSystemResize &sipStrings_QtGui[20313]
#define sipNameNr_stencilBufferSize 20331
#define sipName_stencilBufferSize &sipStrings_QtGui[20331]
#define sipNameNr_supportedSubTypes 20349
#define sipName_supportedSubTypes &sipStrings_QtGui[20349]
#define sipNameNr_supportsAnimation 20367
#define sipName_supportsAnimation &sipStrings_QtGui[20367]
#define sipNameNr_supportsCharacter 20385
#define sipName_supportsCharacter &sipStrings_QtGui[20385]
#define sipNameNr_supportsSelection 20403
#define sipName_supportsSelection &sipStrings_QtGui[20403]
#define sipNameNr_tightBoundingRect 20421
#define sipName_tightBoundingRect &sipStrings_QtGui[20421]
#define sipNameNr_toSubpathPolygons 20439
#define sipName_toSubpathPolygons &sipStrings_QtGui[20439]
#define sipNameNr_toTableCellFormat 20457
#define sipName_toTableCellFormat &sipStrings_QtGui[20457]
#define sipNameNr_underlinePosition 20475
#define sipName_underlinePosition &sipStrings_QtGui[20475]
#define sipNameNr_unregisterHandler 20493
#define sipName_unregisterHandler &sipStrings_QtGui[20493]
#define sipNameNr_verticalAlignment 20511
#define sipName_verticalAlignment &sipStrings_QtGui[20511]
#define sipNameNr_verticalMovementX 20529
#define sipName_verticalMovementX &sipStrings_QtGui[20529]
#define sipNameNr_visibilityChanged 20547
#define sipName_visibilityChanged &sipStrings_QtGui[20547]
#define sipNameNr_writingSystemName 20565
#define sipName_writingSystemName &sipStrings_QtGui[20565]
#define sipNameNr_AlignSuperScript 20583
#define sipName_AlignSuperScript &sipStrings_QtGui[20583]
#define sipNameNr_AntialiasingType 5245
#define sipName_AntialiasingType &sipStrings_QtGui[5245]
#define sipNameNr_BlockRightMargin 20600
#define sipName_BlockRightMargin &sipStrings_QtGui[20600]
#define sipNameNr_BlockUnderCursor 20617
#define sipName_BlockUnderCursor &sipStrings_QtGui[20617]
#define sipNameNr_BorderStyle_None 20634
#define sipName_BorderStyle_None &sipStrings_QtGui[20634]
#define sipNameNr_CommpareNotEqual 20651
#define sipName_CommpareNotEqual &sipStrings_QtGui[20651]
#define sipNameNr_CompareLessEqual 20668
#define sipName_CompareLessEqual &sipStrings_QtGui[20668]
#define sipNameNr_CompressionRatio 20685
#define sipName_CompressionRatio &sipStrings_QtGui[20685]
#define sipNameNr_CubeMapNegativeX 20702
#define sipName_CubeMapNegativeX &sipStrings_QtGui[20702]
#define sipNameNr_CubeMapNegativeY 20719
#define sipName_CubeMapNegativeY &sipStrings_QtGui[20719]
#define sipNameNr_CubeMapNegativeZ 20736
#define sipName_CubeMapNegativeZ &sipStrings_QtGui[20736]
#define sipNameNr_CubeMapPositiveX 20753
#define sipName_CubeMapPositiveX &sipStrings_QtGui[20753]
#define sipNameNr_CubeMapPositiveY 20770
#define sipName_CubeMapPositiveY &sipStrings_QtGui[20770]
#define sipNameNr_CubeMapPositiveZ 20787
#define sipName_CubeMapPositiveZ &sipStrings_QtGui[20787]
#define sipNameNr_DepthStencilMode 1356
#define sipName_DepthStencilMode &sipStrings_QtGui[1356]
#define sipNameNr_DirtyBrushOrigin 20804
#define sipName_DirtyBrushOrigin &sipStrings_QtGui[20804]
#define sipNameNr_DirtyClipEnabled 20821
#define sipName_DirtyClipEnabled &sipStrings_QtGui[20821]
#define sipNameNr_EnvelopePersonal 20838
#define sipName_EnvelopePersonal &sipStrings_QtGui[20838]
#define sipNameNr_EternalConstance 20855
#define sipName_EternalConstance &sipStrings_QtGui[20855]
#define sipNameNr_FrameBorderBrush 20872
#define sipName_FrameBorderBrush &sipStrings_QtGui[20872]
#define sipNameNr_FrameBorderStyle 20889
#define sipName_FrameBorderStyle &sipStrings_QtGui[20889]
#define sipNameNr_FrameRightMargin 20906
#define sipName_FrameRightMargin &sipStrings_QtGui[20906]
#define sipNameNr_ImageReaderError 2360
#define sipName_ImageReaderError &sipStrings_QtGui[2360]
#define sipNameNr_ImageWriterError 2391
#define sipName_ImageWriterError &sipStrings_QtGui[2391]
#define sipNameNr_ImmutableStorage 20923
#define sipName_ImmutableStorage &sipStrings_QtGui[20923]
#define sipNameNr_InvalidDataError 20940
#define sipName_InvalidDataError &sipStrings_QtGui[20940]
#define sipNameNr_LastFontProperty 20957
#define sipName_LastFontProperty &sipStrings_QtGui[20957]
#define sipNameNr_ListNumberPrefix 20974
#define sipName_ListNumberPrefix &sipStrings_QtGui[20974]
#define sipNameNr_ListNumberSuffix 20991
#define sipName_ListNumberSuffix &sipStrings_QtGui[20991]
#define sipNameNr_MarkdownFeatures 2170
#define sipName_MarkdownFeatures &sipStrings_QtGui[2170]
#define sipNameNr_MarkdownResource 21008
#define sipName_MarkdownResource &sipStrings_QtGui[21008]
#define sipNameNr_MipMapGeneration 1389
#define sipName_MipMapGeneration &sipStrings_QtGui[1389]
#define sipNameNr_MoveToEndOfBlock 21025
#define sipName_MoveToEndOfBlock &sipStrings_QtGui[21025]
#define sipNameNr_NotPremultiplied 21042
#define sipName_NotPremultiplied &sipStrings_QtGui[21042]
#define sipNameNr_OpenGLCompatible 21059
#define sipName_OpenGLCompatible &sipStrings_QtGui[21059]
#define sipNameNr_OpenGLModuleType 1323
#define sipName_OpenGLModuleType &sipStrings_QtGui[1323]
#define sipNameNr_OriginBottomLeft 21076
#define sipName_OriginBottomLeft &sipStrings_QtGui[21076]
#define sipNameNr_PatternTransform 21093
#define sipName_PatternTransform &sipStrings_QtGui[21093]
#define sipNameNr_PercentageLength 21110
#define sipName_PercentageLength &sipStrings_QtGui[21110]
#define sipNameNr_QClipboard__Mode 21127
#define sipName_QClipboard__Mode &sipStrings_QtGui[21127]
#define sipNameNr_QConicalGradient 21144
#define sipName_QConicalGradient &sipStrings_QtGui[21144]
#define sipNameNr_QDesktopServices 21161
#define sipName_QDesktopServices &sipStrings_QtGui[21161]
#define sipNameNr_QDoubleValidator 21178
#define sipName_QDoubleValidator &sipStrings_QtGui[21178]
#define sipNameNr_QFont__StyleHint 21195
#define sipName_QFont__StyleHint &sipStrings_QtGui[21195]
#define sipNameNr_21212 21212
#define sipName_21212 &sipStrings_QtGui[21212]
#define sipNameNr_21229 21229
#define sipName_21229 &sipStrings_QtGui[21229]
#define sipNameNr_QRegExpValidator 21246
#define sipName_QRegExpValidator &sipStrings_QtGui[21246]
#define sipNameNr_21263 21263
#define sipName_21263 &sipStrings_QtGui[21263]
#define sipNameNr_QTextBlockFormat 21280
#define sipName_QTextBlockFormat &sipStrings_QtGui[21280]
#define sipNameNr_QTextFrameFormat 21297
#define sipName_QTextFrameFormat &sipStrings_QtGui[21297]
#define sipNameNr_QTextImageFormat 21314
#define sipName_QTextImageFormat &sipStrings_QtGui[21314]
#define sipNameNr_QTextOption__Tab 21331
#define sipName_QTextOption__Tab &sipStrings_QtGui[21331]
#define sipNameNr_QTextTableFormat 21348
#define sipName_QTextTableFormat &sipStrings_QtGui[21348]
#define sipNameNr_RangeAccessFlags 2010
#define sipName_RangeAccessFlags &sipStrings_QtGui[2010]
#define sipNameNr_ResetTextureUnit 11909
#define sipName_ResetTextureUnit &sipStrings_QtGui[11909]
#define sipNameNr_RestartIfRunning 21365
#define sipName_RestartIfRunning &sipStrings_QtGui[21365]
#define sipNameNr_ScaledPixmapHook 21382
#define sipName_ScaledPixmapHook &sipStrings_QtGui[21382]
#define sipNameNr_SelectEndOfBlock 21399
#define sipName_SelectEndOfBlock &sipStrings_QtGui[21399]
#define sipNameNr_SeparateAdvances 21416
#define sipName_SeparateAdvances &sipStrings_QtGui[21416]
#define sipNameNr_StandardNotation 21433
#define sipName_StandardNotation &sipStrings_QtGui[21433]
#define sipNameNr_StencilTexturing 21450
#define sipName_StencilTexturing &sipStrings_QtGui[21450]
#define sipNameNr_SurfaceEventType 268
#define sipName_SurfaceEventType &sipStrings_QtGui[268]
#define sipNameNr_SwizzleComponent 1422
#define sipName_SwizzleComponent &sipStrings_QtGui[1422]
#define sipNameNr_TableCellPadding 21467
#define sipName_TableCellPadding &sipStrings_QtGui[21467]
#define sipNameNr_TableCellRowSpan 15126
#define sipName_TableCellRowSpan &sipStrings_QtGui[15126]
#define sipNameNr_TableCellSpacing 21484
#define sipName_TableCellSpacing &sipStrings_QtGui[21484]
#define sipNameNr_TextAntialiasing 21501
#define sipName_TextAntialiasing &sipStrings_QtGui[21501]
#define sipNameNr_TextureRectangle 21518
#define sipName_TextureRectangle &sipStrings_QtGui[21518]
#define sipNameNr_TextureUnitReset 1455
#define sipName_TextureUnitReset &sipStrings_QtGui[1455]
#define sipNameNr_ThirdPartySource 21535
#define sipName_ThirdPartySource &sipStrings_QtGui[21535]
#define sipNameNr_TransferFunction 3096
#define sipName_TransferFunction &sipStrings_QtGui[3096]
#define sipNameNr_UInt16_RGBA4_Rev 21552
#define sipName_UInt16_RGBA4_Rev &sipStrings_QtGui[21552]
#define sipNameNr_UInt32_RGBA8_Rev 21569
#define sipName_UInt32_RGBA8_Rev &sipStrings_QtGui[21569]
#define sipNameNr_UseDesignMetrics 15186
#define sipName_UseDesignMetrics &sipStrings_QtGui[15186]
#define sipNameNr_alphaMapForGlyph 21586
#define sipName_alphaMapForGlyph &sipStrings_QtGui[21586]
#define sipNameNr_animatingChanged 21603
#define sipName_animatingChanged &sipStrings_QtGui[21603]
#define sipNameNr_antialiasingType 21620
#define sipName_antialiasingType &sipStrings_QtGui[21620]
#define sipNameNr_applicationState 21637
#define sipName_applicationState &sipStrings_QtGui[21637]
#define sipNameNr_averageCharWidth 21654
#define sipName_averageCharWidth &sipStrings_QtGui[21654]
#define sipNameNr_blockFormatIndex 21671
#define sipName_blockFormatIndex &sipStrings_QtGui[21671]
#define sipNameNr_boundingRectChar 21688
#define sipName_boundingRectChar &sipStrings_QtGui[21688]
#define sipNameNr_clipBoundingRect 21705
#define sipName_clipBoundingRect &sipStrings_QtGui[21705]
#define sipNameNr_controlPointRect 21722
#define sipName_controlPointRect &sipStrings_QtGui[21722]
#define sipNameNr_convertFromImage 21739
#define sipName_convertFromImage &sipStrings_QtGui[21739]
#define sipNameNr_currentImageRect 21756
#define sipName_currentImageRect &sipStrings_QtGui[21756]
#define sipNameNr_depthStencilMode 21773
#define sipName_depthStencilMode &sipStrings_QtGui[21773]
#define sipNameNr_devicePixelRatio 21790
#define sipName_devicePixelRatio &sipStrings_QtGui[21790]
#define sipNameNr_disconnectNotify 21807
#define sipName_disconnectNotify &sipStrings_QtGui[21807]
#define sipNameNr_drawInlineObject 21824
#define sipName_drawInlineObject &sipStrings_QtGui[21824]
#define sipNameNr_ellipseDiameters 21841
#define sipName_ellipseDiameters &sipStrings_QtGui[21841]
#define sipNameNr_fromAxisAndAngle 21858
#define sipName_fromAxisAndAngle &sipStrings_QtGui[21858]
#define sipNameNr_handlerForObject 21875
#define sipName_handlerForObject &sipStrings_QtGui[21875]
#define sipNameNr_hasOpenGLShaders 21892
#define sipName_hasOpenGLShaders &sipStrings_QtGui[21892]
#define sipNameNr_isBitmapScalable 21909
#define sipName_isBitmapScalable &sipStrings_QtGui[21909]
#define sipNameNr_lastResortFamily 21926
#define sipName_lastResortFamily &sipStrings_QtGui[21926]
#define sipNameNr_lastWindowClosed 21943
#define sipName_lastWindowClosed &sipStrings_QtGui[21943]
#define sipNameNr_maximumMipLevels 21960
#define sipName_maximumMipLevels &sipStrings_QtGui[21960]
#define sipNameNr_mediumaquamarine 21977
#define sipName_mediumaquamarine &sipStrings_QtGui[21977]
#define sipNameNr_mergeBlockFormat 21994
#define sipName_mergeBlockFormat &sipStrings_QtGui[21994]
#define sipNameNr_nativeVirtualKey 22011
#define sipName_nativeVirtualKey &sipStrings_QtGui[22011]
#define sipNameNr_naturalTextWidth 22028
#define sipName_naturalTextWidth &sipStrings_QtGui[22028]
#define sipNameNr_openGLModuleType 22045
#define sipName_openGLModuleType &sipStrings_QtGui[22045]
#define sipNameNr_pageCountChanged 22062
#define sipName_pageCountChanged &sipStrings_QtGui[22062]
#define sipNameNr_patchVertexCount 22079
#define sipName_patchVertexCount &sipStrings_QtGui[22079]
#define sipNameNr_qPixelFormatCmyk 22096
#define sipName_qPixelFormatCmyk &sipStrings_QtGui[22096]
#define sipNameNr_qPixelFormatRgba 22113
#define sipName_qPixelFormatRgba &sipStrings_QtGui[22113]
#define sipNameNr_queryFocusObject 22130
#define sipName_queryFocusObject &sipStrings_QtGui[22130]
#define sipNameNr_rehighlightBlock 22147
#define sipName_rehighlightBlock &sipStrings_QtGui[22147]
#define sipNameNr_removeAllShaders 22164
#define sipName_removeAllShaders &sipStrings_QtGui[22164]
#define sipNameNr_replacementStart 22181
#define sipName_replacementStart &sipStrings_QtGui[22181]
#define sipNameNr_rightBorderBrush 22198
#define sipName_rightBorderBrush &sipStrings_QtGui[22198]
#define sipNameNr_rightBorderStyle 22215
#define sipName_rightBorderStyle &sipStrings_QtGui[22215]
#define sipNameNr_saveStateRequest 22232
#define sipName_saveStateRequest &sipStrings_QtGui[22232]
#define sipNameNr_selectionChanged 22249
#define sipName_selectionChanged &sipStrings_QtGui[22249]
#define sipNameNr_setAutoTransform 22266
#define sipName_setAutoTransform &sipStrings_QtGui[22266]
#define sipNameNr_setBottomPadding 22283
#define sipName_setBottomPadding &sipStrings_QtGui[22283]
#define sipNameNr_setDefaultFormat 22300
#define sipName_setDefaultFormat &sipStrings_QtGui[22300]
#define sipNameNr_setDotsPerMeterX 22317
#define sipName_setDotsPerMeterX &sipStrings_QtGui[22317]
#define sipNameNr_setDotsPerMeterY 22334
#define sipName_setDotsPerMeterY &sipStrings_QtGui[22334]
#define sipNameNr_setFontPointSize 22351
#define sipName_setFontPointSize &sipStrings_QtGui[22351]
#define sipNameNr_setFontStrikeOut 22368
#define sipName_setFontStrikeOut &sipStrings_QtGui[22368]
#define sipNameNr_setFontStyleHint 22385
#define sipName_setFontStyleHint &sipStrings_QtGui[22385]
#define sipNameNr_setFontStyleName 22402
#define sipName_setFontStyleName &sipStrings_QtGui[22402]
#define sipNameNr_setFontUnderline 22419
#define sipName_setFontUnderline &sipStrings_QtGui[22419]
#define sipNameNr_setFramePosition 22436
#define sipName_setFramePosition &sipStrings_QtGui[22436]
#define sipNameNr_setItemPrototype 22453
#define sipName_setItemPrototype &sipStrings_QtGui[22453]
#define sipNameNr_setItemRoleNames 22470
#define sipName_setItemRoleNames &sipStrings_QtGui[22470]
#define sipNameNr_setLetterSpacing 22487
#define sipName_setLetterSpacing &sipStrings_QtGui[22487]
#define sipNameNr_setMaximumHeight 22504
#define sipName_setMaximumHeight &sipStrings_QtGui[22504]
#define sipNameNr_setMinMagFilters 22521
#define sipName_setMinMagFilters &sipStrings_QtGui[22521]
#define sipNameNr_setMinimumHeight 22538
#define sipName_setMinimumHeight &sipStrings_QtGui[22538]
#define sipNameNr_setMipLevelRange 22555
#define sipName_setMipLevelRange &sipStrings_QtGui[22555]
#define sipNameNr_setRedBufferSize 22572
#define sipName_setRedBufferSize &sipStrings_QtGui[22572]
#define sipNameNr_setSizeIncrement 22589
#define sipName_setSizeIncrement &sipStrings_QtGui[22589]
#define sipNameNr_setStyleStrategy 22606
#define sipName_setStyleStrategy &sipStrings_QtGui[22606]
#define sipNameNr_setTextAlignment 22623
#define sipName_setTextAlignment &sipStrings_QtGui[22623]
#define sipNameNr_setTextDirection 22640
#define sipName_setTextDirection &sipStrings_QtGui[22640]
#define sipNameNr_setTextureTarget 22657
#define sipName_setTextureTarget &sipStrings_QtGui[22657]
#define sipNameNr_showIsFullScreen 22674
#define sipName_showIsFullScreen &sipStrings_QtGui[22674]
#define sipNameNr_supportedActions 22691
#define sipName_supportedActions &sipStrings_QtGui[22691]
#define sipNameNr_supportedFormats 22708
#define sipName_supportedFormats &sipStrings_QtGui[22708]
#define sipNameNr_surfaceEventType 22725
#define sipName_surfaceEventType &sipStrings_QtGui[22725]
#define sipNameNr_tabFocusBehavior 22742
#define sipName_tabFocusBehavior &sipStrings_QtGui[22742]
#define sipNameNr_tableCellRowSpan 22759
#define sipName_tableCellRowSpan &sipStrings_QtGui[22759]
#define sipNameNr_themeSearchPaths 22776
#define sipName_themeSearchPaths &sipStrings_QtGui[22776]
#define sipNameNr_toRotationMatrix 22793
#define sipName_toRotationMatrix &sipStrings_QtGui[22793]
#define sipNameNr_toVector2DAffine 22810
#define sipName_toVector2DAffine &sipStrings_QtGui[22810]
#define sipNameNr_toVector3DAffine 22827
#define sipName_toVector3DAffine &sipStrings_QtGui[22827]
#define sipNameNr_touchPointStates 22844
#define sipName_touchPointStates &sipStrings_QtGui[22844]
#define sipNameNr_transferFunction 22861
#define sipName_transferFunction &sipStrings_QtGui[22861]
#define sipNameNr_transformBetween 22878
#define sipName_transformBetween &sipStrings_QtGui[22878]
#define sipNameNr_undoCommandAdded 22895
#define sipName_undoCommandAdded &sipStrings_QtGui[22895]
#define sipNameNr_useDesignMetrics 22912
#define sipName_useDesignMetrics &sipStrings_QtGui[22912]
#define sipNameNr_useRtlExtensions 22929
#define sipName_useRtlExtensions &sipStrings_QtGui[22929]
#define sipNameNr_versionFunctions 22946
#define sipName_versionFunctions &sipStrings_QtGui[22946]
#define sipNameNr_virtualSiblingAt 22963
#define sipName_virtualSiblingAt &sipStrings_QtGui[22963]
#define sipNameNr_visualNavigation 22980
#define sipName_visualNavigation &sipStrings_QtGui[22980]
#define sipNameNr_wheelScrollLines 22997
#define sipName_wheelScrollLines &sipStrings_QtGui[22997]
#define sipNameNr_AbsoluteSpacing 23014
#define sipName_AbsoluteSpacing &sipStrings_QtGui[23014]
#define sipNameNr_BackgroundBrush 23030
#define sipName_BackgroundBrush &sipStrings_QtGui[23030]
#define sipNameNr_BackgroundColor 17261
#define sipName_BackgroundColor &sipStrings_QtGui[17261]
#define sipNameNr_BindingTarget1D 23046
#define sipName_BindingTarget1D &sipStrings_QtGui[23046]
#define sipNameNr_BindingTarget2D 23062
#define sipName_BindingTarget2D &sipStrings_QtGui[23062]
#define sipNameNr_BindingTarget3D 23078
#define sipName_BindingTarget3D &sipStrings_QtGui[23078]
#define sipNameNr_BlockLeftMargin 23094
#define sipName_BlockLeftMargin &sipStrings_QtGui[23094]
#define sipNameNr_BlockQuoteLevel 23110
#define sipName_BlockQuoteLevel &sipStrings_QtGui[23110]
#define sipNameNr_CheerfulCaramel 23126
#define sipName_CheerfulCaramel &sipStrings_QtGui[23126]
#define sipNameNr_CloudyKnoxville 23142
#define sipName_CloudyKnoxville &sipStrings_QtGui[23142]
#define sipNameNr_CompositionMode 6093
#define sipName_CompositionMode &sipStrings_QtGui[6093]
#define sipNameNr_ConicalGradient 21145
#define sipName_ConicalGradient &sipStrings_QtGui[21145]
#define sipNameNr_ConstantOpacity 23158
#define sipName_ConstantOpacity &sipStrings_QtGui[23158]
#define sipNameNr_DeleteEndOfLine 23174
#define sipName_DeleteEndOfLine &sipStrings_QtGui[23174]
#define sipNameNr_DeleteEndOfWord 23190
#define sipName_DeleteEndOfWord &sipStrings_QtGui[23190]
#define sipNameNr_DirtyBackground 23206
#define sipName_DirtyBackground &sipStrings_QtGui[23206]
#define sipNameNr_DirtyClipRegion 23222
#define sipName_DirtyClipRegion &sipStrings_QtGui[23222]
#define sipNameNr_EnvelopeItalian 23238
#define sipName_EnvelopeItalian &sipStrings_QtGui[23238]
#define sipNameNr_EnvelopeMonarch 23254
#define sipName_EnvelopeMonarch &sipStrings_QtGui[23254]
#define sipNameNr_FontWordSpacing 17394
#define sipName_FontWordSpacing &sipStrings_QtGui[17394]
#define sipNameNr_ForegroundBrush 23270
#define sipName_ForegroundBrush &sipStrings_QtGui[23270]
#define sipNameNr_Format_Indexed8 23286
#define sipName_Format_Indexed8 &sipStrings_QtGui[23286]
#define sipNameNr_Format_RGBA8888 23302
#define sipName_Format_RGBA8888 &sipStrings_QtGui[23302]
#define sipNameNr_Format_RGBX8888 23318
#define sipName_Format_RGBX8888 &sipStrings_QtGui[23318]
#define sipNameNr_FrameLeftMargin 23334
#define sipName_FrameLeftMargin &sipStrings_QtGui[23334]
#define sipNameNr_GenerateMipMaps 13787
#define sipName_GenerateMipMaps &sipStrings_QtGui[13787]
#define sipNameNr_HighlightedText 23350
#define sipName_HighlightedText &sipStrings_QtGui[23350]
#define sipNameNr_InvalidSeverity 23366
#define sipName_InvalidSeverity &sipStrings_QtGui[23366]
#define sipNameNr_LandingAircraft 23382
#define sipName_LandingAircraft &sipStrings_QtGui[23382]
#define sipNameNr_LayoutDirection 17432
#define sipName_LayoutDirection &sipStrings_QtGui[17432]
#define sipNameNr_LineHeightTypes 1089
#define sipName_LineHeightTypes &sipStrings_QtGui[1089]
#define sipNameNr_LineUnderCursor 23398
#define sipName_LineUnderCursor &sipStrings_QtGui[23398]
#define sipNameNr_LuminanceFormat 23414
#define sipName_LuminanceFormat &sipStrings_QtGui[23414]
#define sipNameNr_MarkdownFeature 2578
#define sipName_MarkdownFeature &sipStrings_QtGui[2578]
#define sipNameNr_MetaInformation 2609
#define sipName_MetaInformation &sipStrings_QtGui[2609]
#define sipNameNr_ModerateCaching 23430
#define sipName_ModerateCaching &sipStrings_QtGui[23430]
#define sipNameNr_MoveToEndOfLine 23446
#define sipName_MoveToEndOfLine &sipStrings_QtGui[23446]
#define sipNameNr_NamedColorSpace 3754
#define sipName_NamedColorSpace &sipStrings_QtGui[3754]
#define sipNameNr_NoPartialUpdate 23462
#define sipName_NoPartialUpdate &sipStrings_QtGui[23462]
#define sipNameNr_PageBreakPolicy 17546
#define sipName_PageBreakPolicy &sipStrings_QtGui[17546]
#define sipNameNr_PdmPhysicalDpiX 23478
#define sipName_PdmPhysicalDpiX &sipStrings_QtGui[23478]
#define sipNameNr_PdmPhysicalDpiY 23494
#define sipName_PdmPhysicalDpiY &sipStrings_QtGui[23494]
#define sipNameNr_PerformanceHint 4044
#define sipName_PerformanceHint &sipStrings_QtGui[4044]
#define sipNameNr_PerformanceType 23510
#define sipName_PerformanceType &sipStrings_QtGui[23510]
#define sipNameNr_PixelPackBuffer 23526
#define sipName_PixelPackBuffer &sipStrings_QtGui[23526]
#define sipNameNr_PixmapTransform 10907
#define sipName_PixmapTransform &sipStrings_QtGui[10907]
#define sipNameNr_PlaceholderText 23542
#define sipName_PlaceholderText &sipStrings_QtGui[23542]
#define sipNameNr_PolygonDrawMode 3307
#define sipName_PolygonDrawMode &sipStrings_QtGui[3307]
#define sipNameNr_PortabilityType 23558
#define sipName_PortabilityType &sipStrings_QtGui[23558]
#define sipNameNr_PreferAntialias 23574
#define sipName_PreferAntialias &sipStrings_QtGui[23574]
#define sipNameNr_PreferNoHinting 23590
#define sipName_PreferNoHinting &sipStrings_QtGui[23590]
#define sipNameNr_PreferNoShaping 23606
#define sipName_PreferNoShaping &sipStrings_QtGui[23606]
#define sipNameNr_QColorConstants 23622
#define sipName_QColorConstants &sipStrings_QtGui[23622]
#define sipNameNr_QColorTransform 23638
#define sipName_QColorTransform &sipStrings_QtGui[23638]
#define sipNameNr_QDragEnterEvent 23654
#define sipName_QDragEnterEvent &sipStrings_QtGui[23654]
#define sipNameNr_QDragLeaveEvent 23670
#define sipName_QDragLeaveEvent &sipStrings_QtGui[23670]
#define sipNameNr_QGradient__Type 23686
#define sipName_QGradient__Type &sipStrings_QtGui[23686]
#define sipNameNr_QGuiApplication 23702
#define sipName_QGuiApplication &sipStrings_QtGui[23702]
#define sipNameNr_QImageIOHandler 23718
#define sipName_QImageIOHandler &sipStrings_QtGui[23718]
#define sipNameNr_QLinearGradient 23734
#define sipName_QLinearGradient &sipStrings_QtGui[23734]
#define sipNameNr_23750 23750
#define sipName_23750 &sipStrings_QtGui[23750]
#define sipNameNr_23766 23766
#define sipName_23766 &sipStrings_QtGui[23766]
#define sipNameNr_QPageSize__Unit 23782
#define sipName_QPageSize__Unit &sipStrings_QtGui[23782]
#define sipNameNr_QRadialGradient 23798
#define sipName_QRadialGradient &sipStrings_QtGui[23798]
#define sipNameNr_QSessionManager 23814
#define sipName_QSessionManager &sipStrings_QtGui[23814]
#define sipNameNr_QStatusTipEvent 23830
#define sipName_QStatusTipEvent &sipStrings_QtGui[23830]
#define sipNameNr_QTextBlockGroup 23846
#define sipName_QTextBlockGroup &sipStrings_QtGui[23846]
#define sipNameNr_QTextCharFormat 23862
#define sipName_QTextCharFormat &sipStrings_QtGui[23862]
#define sipNameNr_QTextLine__Edge 23878
#define sipName_QTextLine__Edge &sipStrings_QtGui[23878]
#define sipNameNr_QTextListFormat 23894
#define sipName_QTextListFormat &sipStrings_QtGui[23894]
#define sipNameNr_23910 23910
#define sipName_23910 &sipStrings_QtGui[23910]
#define sipNameNr_RGBA_ASTC_10x10 23926
#define sipName_RGBA_ASTC_10x10 &sipStrings_QtGui[23926]
#define sipNameNr_RGBA_ASTC_12x10 23942
#define sipName_RGBA_ASTC_12x10 &sipStrings_QtGui[23942]
#define sipNameNr_RGBA_ASTC_12x12 23958
#define sipName_RGBA_ASTC_12x12 &sipStrings_QtGui[23958]
#define sipNameNr_RangeAccessFlag 2454
#define sipName_RangeAccessFlag &sipStrings_QtGui[2454]
#define sipNameNr_RangeInvalidate 23974
#define sipName_RangeInvalidate &sipStrings_QtGui[23974]
#define sipNameNr_RasterGLSurface 23990
#define sipName_RasterGLSurface &sipStrings_QtGui[23990]
#define sipNameNr_SRGB_Alpha_DXT1 24006
#define sipName_SRGB_Alpha_DXT1 &sipStrings_QtGui[24006]
#define sipNameNr_SRGB_Alpha_DXT3 24022
#define sipName_SRGB_Alpha_DXT3 &sipStrings_QtGui[24022]
#define sipNameNr_SRGB_Alpha_DXT5 24038
#define sipName_SRGB_Alpha_DXT5 &sipStrings_QtGui[24038]
#define sipNameNr_SaintPetersburg 24054
#define sipName_SaintPetersburg &sipStrings_QtGui[24054]
#define sipNameNr_SelectEndOfLine 24070
#define sipName_SelectEndOfLine &sipStrings_QtGui[24070]
#define sipNameNr_SingleUnderline 24086
#define sipName_SingleUnderline &sipStrings_QtGui[24086]
#define sipNameNr_SizeMatchPolicy 5192
#define sipName_SizeMatchPolicy &sipStrings_QtGui[5192]
#define sipNameNr_TableCellObject 24102
#define sipName_TableCellObject &sipStrings_QtGui[24102]
#define sipNameNr_TargetRectangle 8764
#define sipName_TargetRectangle &sipStrings_QtGui[8764]
#define sipNameNr_Transformations 1258
#define sipName_Transformations &sipStrings_QtGui[1258]
#define sipNameNr_UInt32_RG11B10F 24118
#define sipName_UInt32_RG11B10F &sipStrings_QtGui[24118]
#define sipNameNr_UInt8_RG3B2_Rev 24134
#define sipName_UInt8_RG3B2_Rev &sipStrings_QtGui[24134]
#define sipNameNr_UnknownResource 24150
#define sipName_UnknownResource &sipStrings_QtGui[24150]
#define sipNameNr_UnsignedInteger 24166
#define sipName_UnsignedInteger &sipStrings_QtGui[24166]
#define sipNameNr_WordUnderCursor 24182
#define sipName_WordUnderCursor &sipStrings_QtGui[24182]
#define sipNameNr_allocateStorage 24198
#define sipName_allocateStorage &sipStrings_QtGui[24198]
#define sipNameNr_alphaBufferSize 24214
#define sipName_alphaBufferSize &sipStrings_QtGui[24214]
#define sipNameNr_anchorRectangle 24230
#define sipName_anchorRectangle &sipStrings_QtGui[24230]
#define sipNameNr_aspectRatioMode 24246
#define sipName_aspectRatioMode &sipStrings_QtGui[24246]
#define sipNameNr_backgroundBrush 24262
#define sipName_backgroundBrush &sipStrings_QtGui[24262]
#define sipNameNr_backgroundColor 24278
#define sipName_backgroundColor &sipStrings_QtGui[24278]
#define sipNameNr_blitFramebuffer 24294
#define sipName_blitFramebuffer &sipStrings_QtGui[24294]
#define sipNameNr_blockCharFormat 24310
#define sipName_blockCharFormat &sipStrings_QtGui[24310]
#define sipNameNr_cacheStatistics 24326
#define sipName_cacheStatistics &sipStrings_QtGui[24326]
#define sipNameNr_canDropMimeData 24342
#define sipName_canDropMimeData &sipStrings_QtGui[24342]
#define sipNameNr_charFormatIndex 24358
#define sipName_charFormatIndex &sipStrings_QtGui[24358]
#define sipNameNr_clearBackground 24374
#define sipName_clearBackground &sipStrings_QtGui[24374]
#define sipNameNr_clearForeground 24390
#define sipName_clearForeground &sipStrings_QtGui[24390]
#define sipNameNr_compositionMode 24406
#define sipName_compositionMode &sipStrings_QtGui[24406]
#define sipNameNr_contentPosRange 24422
#define sipName_contentPosRange &sipStrings_QtGui[24422]
#define sipNameNr_contentsChanged 24438
#define sipName_contentsChanged &sipStrings_QtGui[24438]
#define sipNameNr_convertToFormat 24454
#define sipName_convertToFormat &sipStrings_QtGui[24454]
#define sipNameNr_createAlphaMask 24470
#define sipName_createAlphaMask &sipStrings_QtGui[24470]
#define sipNameNr_currentPosition 24486
#define sipName_currentPosition &sipStrings_QtGui[24486]
#define sipNameNr_cursorFlashTime 24502
#define sipName_cursorFlashTime &sipStrings_QtGui[24502]
#define sipNameNr_cursorMoveStyle 24518
#define sipName_cursorMoveStyle &sipStrings_QtGui[24518]
#define sipNameNr_cursorRectangle 24534
#define sipName_cursorRectangle &sipStrings_QtGui[24534]
#define sipNameNr_defineIOHandler 24550
#define sipName_defineIOHandler &sipStrings_QtGui[24550]
#define sipNameNr_definitionUnits 24566
#define sipName_definitionUnits &sipStrings_QtGui[24566]
#define sipNameNr_depthBufferSize 24582
#define sipName_depthBufferSize &sipStrings_QtGui[24582]
#define sipNameNr_desktopFileName 24598
#define sipName_desktopFileName &sipStrings_QtGui[24598]
#define sipNameNr_deviceTransform 24614
#define sipName_deviceTransform &sipStrings_QtGui[24614]
#define sipNameNr_disableMessages 24630
#define sipName_disableMessages &sipStrings_QtGui[24630]
#define sipNameNr_distanceToPlane 24646
#define sipName_distanceToPlane &sipStrings_QtGui[24646]
#define sipNameNr_distanceToPoint 24662
#define sipName_distanceToPoint &sipStrings_QtGui[24662]
#define sipNameNr_documentChanged 24678
#define sipName_documentChanged &sipStrings_QtGui[24678]
#define sipNameNr_drawRoundedRect 24694
#define sipName_drawRoundedRect &sipStrings_QtGui[24694]
#define sipNameNr_drawTiledPixmap 24710
#define sipName_drawTiledPixmap &sipStrings_QtGui[24710]
#define sipNameNr_emitDataChanged 24726
#define sipName_emitDataChanged &sipStrings_QtGui[24726]
#define sipNameNr_firstLineNumber 24742
#define sipName_firstLineNumber &sipStrings_QtGui[24742]
#define sipNameNr_fontWordSpacing 24758
#define sipName_fontWordSpacing &sipStrings_QtGui[24758]
#define sipNameNr_fromEulerAngles 24774
#define sipName_fromEulerAngles &sipStrings_QtGui[24774]
#define sipNameNr_fromImageReader 24790
#define sipName_fromImageReader &sipStrings_QtGui[24790]
#define sipNameNr_generateMipMaps 24806
#define sipName_generateMipMaps &sipStrings_QtGui[24806]
#define sipNameNr_geometryChanged 24822
#define sipName_geometryChanged &sipStrings_QtGui[24822]
#define sipNameNr_getAxisAndAngle 24838
#define sipName_getAxisAndAngle &sipStrings_QtGui[24838]
#define sipNameNr_grabFramebuffer 24854
#define sipName_grabFramebuffer &sipStrings_QtGui[24854]
#define sipNameNr_greenBufferSize 24870
#define sipName_greenBufferSize &sipStrings_QtGui[24870]
#define sipNameNr_hasAlphaChannel 24886
#define sipName_hasAlphaChannel &sipStrings_QtGui[24886]
#define sipNameNr_highlightedText 24902
#define sipName_highlightedText &sipStrings_QtGui[24902]
#define sipNameNr_internal_format 24918
#define sipName_internal_format &sipStrings_QtGui[24918]
#define sipNameNr_isLegacyVersion 24934
#define sipName_isLegacyVersion &sipStrings_QtGui[24934]
#define sipNameNr_isPrivateFamily 24950
#define sipName_isPrivateFamily &sipStrings_QtGui[24950]
#define sipNameNr_isRedoAvailable 24966
#define sipName_isRedoAvailable &sipStrings_QtGui[24966]
#define sipNameNr_isSavingSession 24982
#define sipName_isSavingSession &sipStrings_QtGui[24982]
#define sipNameNr_isUndoAvailable 24998
#define sipName_isUndoAvailable &sipStrings_QtGui[24998]
#define sipNameNr_jumpToNextFrame 25014
#define sipName_jumpToNextFrame &sipStrings_QtGui[25014]
#define sipNameNr_jumpToNextImage 25030
#define sipName_jumpToNextImage &sipStrings_QtGui[25030]
#define sipNameNr_keyReleaseEvent 25046
#define sipName_keyReleaseEvent &sipStrings_QtGui[25046]
#define sipNameNr_lastErrorString 25062
#define sipName_lastErrorString &sipStrings_QtGui[25062]
#define sipNameNr_layoutDirection 25078
#define sipName_layoutDirection &sipStrings_QtGui[25078]
#define sipNameNr_leadingIncluded 25094
#define sipName_leadingIncluded &sipStrings_QtGui[25094]
#define sipNameNr_leftBorderBrush 25110
#define sipName_leftBorderBrush &sipStrings_QtGui[25110]
#define sipNameNr_leftBorderStyle 25126
#define sipName_leftBorderStyle &sipStrings_QtGui[25126]
#define sipNameNr_mediumslateblue 25142
#define sipName_mediumslateblue &sipStrings_QtGui[25142]
#define sipNameNr_mediumturquoise 25158
#define sipName_mediumturquoise &sipStrings_QtGui[25158]
#define sipNameNr_mediumvioletred 25174
#define sipName_mediumvioletred &sipStrings_QtGui[25174]
#define sipNameNr_mergeCharFormat 25190
#define sipName_mergeCharFormat &sipStrings_QtGui[25190]
#define sipNameNr_metaInformation 25206
#define sipName_metaInformation &sipStrings_QtGui[25206]
#define sipNameNr_mightBeRichText 25222
#define sipName_mightBeRichText &sipStrings_QtGui[25222]
#define sipNameNr_minRightBearing 25238
#define sipName_minRightBearing &sipStrings_QtGui[25238]
#define sipNameNr_modalityChanged 25254
#define sipName_modalityChanged &sipStrings_QtGui[25254]
#define sipNameNr_mousePressEvent 25270
#define sipName_mousePressEvent &sipStrings_QtGui[25270]
#define sipNameNr_nativeModifiers 25286
#define sipName_nativeModifiers &sipStrings_QtGui[25286]
#define sipNameNr_naturalTextRect 25302
#define sipName_naturalTextRect &sipStrings_QtGui[25302]
#define sipNameNr_objectForFormat 25318
#define sipName_objectForFormat &sipStrings_QtGui[25318]
#define sipNameNr_pageBreakPolicy 25334
#define sipName_pageBreakPolicy &sipStrings_QtGui[25334]
#define sipNameNr_paintRectPixels 25350
#define sipName_paintRectPixels &sipStrings_QtGui[25350]
#define sipNameNr_paintRectPoints 25366
#define sipName_paintRectPoints &sipStrings_QtGui[25366]
#define sipNameNr_percentAtLength 25382
#define sipName_percentAtLength &sipStrings_QtGui[25382]
#define sipNameNr_performanceHint 25398
#define sipName_performanceHint &sipStrings_QtGui[25398]
#define sipNameNr_placeholderText 25414
#define sipName_placeholderText &sipStrings_QtGui[25414]
#define sipNameNr_positionInBlock 25430
#define sipName_positionInBlock &sipStrings_QtGui[25430]
#define sipNameNr_possibleActions 25446
#define sipName_possibleActions &sipStrings_QtGui[25446]
#define sipNameNr_preeditAreaText 25462
#define sipName_preeditAreaText &sipStrings_QtGui[25462]
#define sipNameNr_qPixelFormatHsl 25478
#define sipName_qPixelFormatHsl &sipStrings_QtGui[25478]
#define sipNameNr_qPixelFormatHsv 25494
#define sipName_qPixelFormatHsv &sipStrings_QtGui[25494]
#define sipNameNr_qPixelFormatYuv 25510
#define sipName_qPixelFormatYuv &sipStrings_QtGui[25510]
#define sipNameNr_registerHandler 20495
#define sipName_registerHandler &sipStrings_QtGui[20495]
#define sipNameNr_requestActivate 25526
#define sipName_requestActivate &sipStrings_QtGui[25526]
#define sipNameNr_requestedFormat 25542
#define sipName_requestedFormat &sipStrings_QtGui[25542]
#define sipNameNr_setAlphaChannel 25558
#define sipName_setAlphaChannel &sipStrings_QtGui[25558]
#define sipNameNr_setAutoTristate 25574
#define sipName_setAutoTristate &sipStrings_QtGui[25574]
#define sipNameNr_setBottomBorder 25590
#define sipName_setBottomBorder &sipStrings_QtGui[25590]
#define sipNameNr_setBottomMargin 25606
#define sipName_setBottomMargin &sipStrings_QtGui[25606]
#define sipNameNr_setBoundingRect 25622
#define sipName_setBoundingRect &sipStrings_QtGui[25622]
#define sipNameNr_setCacheEnabled 25638
#define sipName_setCacheEnabled &sipStrings_QtGui[25638]
#define sipNameNr_setCapabilities 25654
#define sipName_setCapabilities &sipStrings_QtGui[25654]
#define sipNameNr_setCenterRadius 25670
#define sipName_setCenterRadius &sipStrings_QtGui[25670]
#define sipNameNr_setCommitString 25686
#define sipName_setCommitString &sipStrings_QtGui[25686]
#define sipNameNr_setFontFamilies 25702
#define sipName_setFontFamilies &sipStrings_QtGui[25702]
#define sipNameNr_setFontOverline 25718
#define sipName_setFontOverline &sipStrings_QtGui[25718]
#define sipNameNr_setGlyphIndexes 25734
#define sipName_setGlyphIndexes &sipStrings_QtGui[25734]
#define sipNameNr_setHeadingLevel 25750
#define sipName_setHeadingLevel &sipStrings_QtGui[25750]
#define sipNameNr_setMajorVersion 25766
#define sipName_setMajorVersion &sipStrings_QtGui[25766]
#define sipNameNr_setMaximumWidth 25782
#define sipName_setMaximumWidth &sipStrings_QtGui[25782]
#define sipNameNr_setMinimumWidth 25798
#define sipName_setMinimumWidth &sipStrings_QtGui[25798]
#define sipNameNr_setMinorVersion 25814
#define sipName_setMinorVersion &sipStrings_QtGui[25814]
#define sipNameNr_setMipBaseLevel 25830
#define sipName_setMipBaseLevel &sipStrings_QtGui[25830]
#define sipNameNr_setNativeHandle 25846
#define sipName_setNativeHandle &sipStrings_QtGui[25846]
#define sipNameNr_setNumberPrefix 25862
#define sipName_setNumberPrefix &sipStrings_QtGui[25862]
#define sipNameNr_setNumberSuffix 25878
#define sipName_setNumberSuffix &sipStrings_QtGui[25878]
#define sipNameNr_setPaintFlipped 25894
#define sipName_setPaintFlipped &sipStrings_QtGui[25894]
#define sipNameNr_setRightPadding 25910
#define sipName_setRightPadding &sipStrings_QtGui[25910]
#define sipNameNr_setShareContext 25926
#define sipName_setShareContext &sipStrings_QtGui[25926]
#define sipNameNr_setSwapBehavior 25942
#define sipName_setSwapBehavior &sipStrings_QtGui[25942]
#define sipNameNr_setSwapInterval 25958
#define sipName_setSwapInterval &sipStrings_QtGui[25958]
#define sipNameNr_setTabPositions 25974
#define sipName_setTabPositions &sipStrings_QtGui[25974]
#define sipNameNr_setTextureImage 25990
#define sipName_setTextureImage &sipStrings_QtGui[25990]
#define sipNameNr_setUniformValue 26006
#define sipName_setUniformValue &sipStrings_QtGui[26006]
#define sipNameNr_setUsagePattern 26022
#define sipName_setUsagePattern &sipStrings_QtGui[26022]
#define sipNameNr_setUserTristate 26038
#define sipName_setUserTristate &sipStrings_QtGui[26038]
#define sipNameNr_setViewportSize 26054
#define sipName_setViewportSize &sipStrings_QtGui[26054]
#define sipNameNr_setWindowStates 26070
#define sipName_setWindowStates &sipStrings_QtGui[26070]
#define sipNameNr_showIsMaximized 26086
#define sipName_showIsMaximized &sipStrings_QtGui[26086]
#define sipNameNr_sourceTransform 26102
#define sipName_sourceTransform &sipStrings_QtGui[26102]
#define sipNameNr_startSystemMove 26118
#define sipName_startSystemMove &sipStrings_QtGui[26118]
#define sipNameNr_tabStopDistance 26134
#define sipName_tabStopDistance &sipStrings_QtGui[26134]
#define sipNameNr_targetTransform 26150
#define sipName_targetTransform &sipStrings_QtGui[26150]
#define sipNameNr_topLevelWindows 26166
#define sipName_topLevelWindows &sipStrings_QtGui[26166]
#define sipNameNr_transientParent 26182
#define sipName_transientParent &sipStrings_QtGui[26182]
#define sipNameNr_uniformLocation 26198
#define sipName_uniformLocation &sipStrings_QtGui[26198]
#define sipNameNr_unpremultiplied 26214
#define sipName_unpremultiplied &sipStrings_QtGui[26214]
#define sipNameNr_unsetUrlHandler 26230
#define sipName_unsetUrlHandler &sipStrings_QtGui[26230]
#define sipNameNr_useHoverEffects 26246
#define sipName_useHoverEffects &sipStrings_QtGui[26246]
#define sipNameNr_virtualGeometry 26262
#define sipName_virtualGeometry &sipStrings_QtGui[26262]
#define sipNameNr_virtualSiblings 26278
#define sipName_virtualSiblings &sipStrings_QtGui[26278]
#define sipNameNr_AlignSubScript 26294
#define sipName_AlignSubScript &sipStrings_QtGui[26294]
#define sipNameNr_BlockAlignment 26309
#define sipName_BlockAlignment &sipStrings_QtGui[26309]
#define sipNameNr_BlockCodeFence 26324
#define sipName_BlockCodeFence &sipStrings_QtGui[26324]
#define sipNameNr_BlockTopMargin 26339
#define sipName_BlockTopMargin &sipStrings_QtGui[26339]
#define sipNameNr_CapabilityFlag 4161
#define sipName_CapabilityFlag &sipStrings_QtGui[4161]
#define sipNameNr_Capitalization 10204
#define sipName_Capitalization &sipStrings_QtGui[10204]
#define sipNameNr_CompareGreater 26354
#define sipName_CompareGreater &sipStrings_QtGui[26354]
#define sipNameNr_ComparisonMode 2517
#define sipName_ComparisonMode &sipStrings_QtGui[2517]
#define sipNameNr_ConfidentCloud 26369
#define sipName_ConfidentCloud &sipStrings_QtGui[26369]
#define sipNameNr_CoordinateMode 5964
#define sipName_CoordinateMode &sipStrings_QtGui[5964]
#define sipNameNr_CursorPosition 6198
#define sipName_CursorPosition &sipStrings_QtGui[6198]
#define sipNameNr_CurveToElement 26384
#define sipName_CurveToElement &sipStrings_QtGui[26384]
#define sipNameNr_DashDotDotLine 26399
#define sipName_DashDotDotLine &sipStrings_QtGui[26399]
#define sipNameNr_DirtyTransform 26414
#define sipName_DirtyTransform &sipStrings_QtGui[26414]
#define sipNameNr_DoublePostcard 26429
#define sipName_DoublePostcard &sipStrings_QtGui[26429]
#define sipNameNr_EnvelopeInvite 26444
#define sipName_EnvelopeInvite &sipStrings_QtGui[26444]
#define sipNameNr_EverlastingSky 26459
#define sipName_EverlastingSky &sipStrings_QtGui[26459]
#define sipNameNr_ExtraCondensed 26474
#define sipName_ExtraCondensed &sipStrings_QtGui[26474]
#define sipNameNr_FindWholeWords 26489
#define sipName_FindWholeWords &sipStrings_QtGui[26489]
#define sipNameNr_FontFixedPitch 19974
#define sipName_FontFixedPitch &sipStrings_QtGui[19974]
#define sipNameNr_Format_Invalid 26504
#define sipName_Format_Invalid &sipStrings_QtGui[26504]
#define sipNameNr_Format_MonoLSB 26519
#define sipName_Format_MonoLSB &sipStrings_QtGui[26519]
#define sipNameNr_FrameTopMargin 26534
#define sipName_FrameTopMargin &sipStrings_QtGui[26534]
#define sipNameNr_IconEngineHook 4530
#define sipName_IconEngineHook &sipStrings_QtGui[4530]
#define sipNameNr_KernedAdvances 26549
#define sipName_KernedAdvances &sipStrings_QtGui[26549]
#define sipNameNr_LineHeightType 26564
#define sipName_LineHeightType &sipStrings_QtGui[26564]
#define sipNameNr_LinearGradient 23735
#define sipName_LinearGradient &sipStrings_QtGui[23735]
#define sipNameNr_ListLowerAlpha 26579
#define sipName_ListLowerAlpha &sipStrings_QtGui[26579]
#define sipNameNr_ListLowerRoman 26594
#define sipName_ListLowerRoman &sipStrings_QtGui[26594]
#define sipNameNr_ListUpperAlpha 26609
#define sipName_ListUpperAlpha &sipStrings_QtGui[26609]
#define sipNameNr_ListUpperRoman 26624
#define sipName_ListUpperRoman &sipStrings_QtGui[26624]
#define sipNameNr_LuminanceAlpha 26639
#define sipName_LuminanceAlpha &sipStrings_QtGui[26639]
#define sipNameNr_MarkdownNoHTML 26654
#define sipName_MarkdownNoHTML &sipStrings_QtGui[26654]
#define sipNameNr_MediumSeverity 26669
#define sipName_MediumSeverity &sipStrings_QtGui[26669]
#define sipNameNr_MillenniumPine 26684
#define sipName_MillenniumPine &sipStrings_QtGui[26684]
#define sipNameNr_MirroredRepeat 26699
#define sipName_MirroredRepeat &sipStrings_QtGui[26699]
#define sipNameNr_MouseEmulation 26714
#define sipName_MouseEmulation &sipStrings_QtGui[26714]
#define sipNameNr_MoveToNextChar 26729
#define sipName_MoveToNextChar &sipStrings_QtGui[26729]
#define sipNameNr_MoveToNextLine 26744
#define sipName_MoveToNextLine &sipStrings_QtGui[26744]
#define sipNameNr_MoveToNextPage 26759
#define sipName_MoveToNextPage &sipStrings_QtGui[26759]
#define sipNameNr_MoveToNextWord 26774
#define sipName_MoveToNextWord &sipStrings_QtGui[26774]
#define sipNameNr_NoSourceFormat 26789
#define sipName_NoSourceFormat &sipStrings_QtGui[26789]
#define sipNameNr_OctoberSilence 26804
#define sipName_OctoberSilence &sipStrings_QtGui[26804]
#define sipNameNr_OptimizedWrite 20028
#define sipName_OptimizedWrite &sipStrings_QtGui[20028]
#define sipNameNr_PageBreakFlags 4838
#define sipName_PageBreakFlags &sipStrings_QtGui[4838]
#define sipNameNr_PageBreak_Auto 26819
#define sipName_PageBreak_Auto &sipStrings_QtGui[26819]
#define sipNameNr_PdfVersion_1_4 26834
#define sipName_PdfVersion_1_4 &sipStrings_QtGui[26834]
#define sipNameNr_PdfVersion_1_6 26849
#define sipName_PdfVersion_1_6 &sipStrings_QtGui[26849]
#define sipNameNr_PdfVersion_A1b 26864
#define sipName_PdfVersion_A1b &sipStrings_QtGui[26864]
#define sipNameNr_PixmapFragment 6965
#define sipName_PixmapFragment &sipStrings_QtGui[6965]
#define sipNameNr_PurpleDivision 26879
#define sipName_PurpleDivision &sipStrings_QtGui[26879]
#define sipNameNr_QDragMoveEvent 26894
#define sipName_QDragMoveEvent &sipStrings_QtGui[26894]
#define sipNameNr_QFileOpenEvent 26909
#define sipName_QFileOpenEvent &sipStrings_QtGui[26909]
#define sipNameNr_QFont__Stretch 26924
#define sipName_QFont__Stretch &sipStrings_QtGui[26924]
#define sipNameNr_QIconDragEvent 26939
#define sipName_QIconDragEvent &sipStrings_QtGui[26939]
#define sipNameNr_QImage__Format 26954
#define sipName_QImage__Format &sipStrings_QtGui[26954]
#define sipNameNr_QOpenGLContext 26969
#define sipName_QOpenGLContext &sipStrings_QtGui[26969]
#define sipNameNr_QOpenGLTexture 26984
#define sipName_QOpenGLTexture &sipStrings_QtGui[26984]
#define sipNameNr_QShortcutEvent 26999
#define sipName_QShortcutEvent &sipStrings_QtGui[26999]
#define sipNameNr_QSurfaceFormat 27014
#define sipName_QSurfaceFormat &sipStrings_QtGui[27014]
#define sipNameNr_QTextTableCell 27029
#define sipName_QTextTableCell &sipStrings_QtGui[27029]
#define sipNameNr_27044 27044
#define sipName_27044 &sipStrings_QtGui[27044]
#define sipNameNr_27059 27059
#define sipName_27059 &sipStrings_QtGui[27059]
#define sipNameNr_27074 27074
#define sipName_27074 &sipStrings_QtGui[27074]
#define sipNameNr_27089 27089
#define sipName_27089 &sipStrings_QtGui[27089]
#define sipNameNr_RG11_EAC_SNorm 27104
#define sipName_RG11_EAC_SNorm &sipStrings_QtGui[27104]
#define sipNameNr_RG11_EAC_UNorm 27119
#define sipName_RG11_EAC_UNorm &sipStrings_QtGui[27119]
#define sipNameNr_RGBA8_ETC2_EAC 27134
#define sipName_RGBA8_ETC2_EAC &sipStrings_QtGui[27134]
#define sipNameNr_RGBA_ASTC_10x5 27149
#define sipName_RGBA_ASTC_10x5 &sipStrings_QtGui[27149]
#define sipNameNr_RGBA_ASTC_10x6 27164
#define sipName_RGBA_ASTC_10x6 &sipStrings_QtGui[27164]
#define sipNameNr_RGBA_ASTC_10x8 27179
#define sipName_RGBA_ASTC_10x8 &sipStrings_QtGui[27179]
#define sipNameNr_RG_ATI2N_SNorm 27194
#define sipName_RG_ATI2N_SNorm &sipStrings_QtGui[27194]
#define sipNameNr_RG_ATI2N_UNorm 27209
#define sipName_RG_ATI2N_UNorm &sipStrings_QtGui[27209]
#define sipNameNr_RadialGradient 23799
#define sipName_RadialGradient &sipStrings_QtGui[23799]
#define sipNameNr_RenderableType 2548
#define sipName_RenderableType &sipStrings_QtGui[2548]
#define sipNameNr_RotationStylus 27224
#define sipName_RotationStylus &sipStrings_QtGui[27224]
#define sipNameNr_ScaledClipRect 20118
#define sipName_ScaledClipRect &sipStrings_QtGui[20118]
#define sipNameNr_ScrollFinished 27239
#define sipName_ScrollFinished &sipStrings_QtGui[27239]
#define sipNameNr_SelectNextChar 27254
#define sipName_SelectNextChar &sipStrings_QtGui[27254]
#define sipNameNr_SelectNextLine 27269
#define sipName_SelectNextLine &sipStrings_QtGui[27269]
#define sipNameNr_SelectNextPage 27284
#define sipName_SelectNextPage &sipStrings_QtGui[27284]
#define sipNameNr_SelectNextWord 27299
#define sipName_SelectNextWord &sipStrings_QtGui[27299]
#define sipNameNr_SequenceFormat 3871
#define sipName_SequenceFormat &sipStrings_QtGui[3871]
#define sipNameNr_SkipCharacters 27314
#define sipName_SkipCharacters &sipStrings_QtGui[27314]
#define sipNameNr_SleeplessNight 27329
#define sipName_SleeplessNight &sipStrings_QtGui[27329]
#define sipNameNr_StrictNovember 27344
#define sipName_StrictNovember &sipStrings_QtGui[27344]
#define sipNameNr_SuppressColors 27359
#define sipName_SuppressColors &sipStrings_QtGui[27359]
#define sipNameNr_SurfaceCreated 27374
#define sipName_SurfaceCreated &sipStrings_QtGui[27374]
#define sipNameNr_Transformation 1948
#define sipName_Transformation &sipStrings_QtGui[1948]
#define sipNameNr_UInt32_RGB10A2 27389
#define sipName_UInt32_RGB10A2 &sipStrings_QtGui[27389]
#define sipNameNr_UInt32_RGB9_E5 27404
#define sipName_UInt32_RGB9_E5 &sipStrings_QtGui[27404]
#define sipNameNr_UltraCondensed 27419
#define sipName_UltraCondensed &sipStrings_QtGui[27419]
#define sipNameNr_UnderlineStyle 2140
#define sipName_UnderlineStyle &sipStrings_QtGui[2140]
#define sipNameNr_UnknownPointer 27434
#define sipName_UnknownPointer &sipStrings_QtGui[27434]
#define sipNameNr_UpdateBehavior 3248
#define sipName_UpdateBehavior &sipStrings_QtGui[3248]
#define sipNameNr_VariableLength 27449
#define sipName_VariableLength &sipStrings_QtGui[27449]
#define sipNameNr_accessibleText 27464
#define sipName_accessibleText &sipStrings_QtGui[27464]
#define sipNameNr_addRoundedRect 27479
#define sipName_addRoundedRect &sipStrings_QtGui[27479]
#define sipNameNr_angleAtPercent 27494
#define sipName_angleAtPercent &sipStrings_QtGui[27494]
#define sipNameNr_availableSizes 27509
#define sipName_availableSizes &sipStrings_QtGui[27509]
#define sipNameNr_backgroundMode 27524
#define sipName_backgroundMode &sipStrings_QtGui[27524]
#define sipNameNr_baseUrlChanged 27539
#define sipName_baseUrlChanged &sipStrings_QtGui[27539]
#define sipNameNr_beginEditBlock 27554
#define sipName_beginEditBlock &sipStrings_QtGui[27554]
#define sipNameNr_blanchedalmond 27569
#define sipName_blanchedalmond &sipStrings_QtGui[27569]
#define sipNameNr_blueBufferSize 27584
#define sipName_blueBufferSize &sipStrings_QtGui[27584]
#define sipNameNr_borderCollapse 27599
#define sipName_borderCollapse &sipStrings_QtGui[27599]
#define sipNameNr_boundTextureId 27614
#define sipName_boundTextureId &sipStrings_QtGui[27614]
#define sipNameNr_brightnessSize 27629
#define sipName_brightnessSize &sipStrings_QtGui[27629]
#define sipNameNr_capitalization 27644
#define sipName_capitalization &sipStrings_QtGui[27644]
#define sipNameNr_characterCount 27659
#define sipName_characterCount &sipStrings_QtGui[27659]
#define sipNameNr_clearSelection 27674
#define sipName_clearSelection &sipStrings_QtGui[27674]
#define sipNameNr_comparisonMode 27689
#define sipName_comparisonMode &sipStrings_QtGui[27689]
#define sipNameNr_contentsChange 27704
#define sipName_contentsChange &sipStrings_QtGui[27704]
#define sipNameNr_coordinateMode 27719
#define sipName_coordinateMode &sipStrings_QtGui[27719]
#define sipNameNr_cornflowerblue 27734
#define sipName_cornflowerblue &sipStrings_QtGui[27734]
#define sipNameNr_currentContext 27749
#define sipName_currentContext &sipStrings_QtGui[27749]
#define sipNameNr_cursorPosition 27764
#define sipName_cursorPosition &sipStrings_QtGui[27764]
#define sipNameNr_curveThreshold 27779
#define sipName_curveThreshold &sipStrings_QtGui[27779]
#define sipNameNr_darkolivegreen 27794
#define sipName_darkolivegreen &sipStrings_QtGui[27794]
#define sipNameNr_definitionSize 27809
#define sipName_definitionSize &sipStrings_QtGui[27809]
#define sipNameNr_discardCommand 27824
#define sipName_discardCommand &sipStrings_QtGui[27824]
#define sipNameNr_distanceToLine 27839
#define sipName_distanceToLine &sipStrings_QtGui[27839]
#define sipNameNr_documentLayout 27854
#define sipName_documentLayout &sipStrings_QtGui[27854]
#define sipNameNr_documentMargin 27869
#define sipName_documentMargin &sipStrings_QtGui[27869]
#define sipNameNr_doubleProperty 27884
#define sipName_doubleProperty &sipStrings_QtGui[27884]
#define sipNameNr_drawStaticText 27899
#define sipName_drawStaticText &sipStrings_QtGui[27899]
#define sipNameNr_enableMessages 27914
#define sipName_enableMessages &sipStrings_QtGui[27914]
#define sipNameNr_fontFixedPitch 27929
#define sipName_fontFixedPitch &sipStrings_QtGui[27929]
#define sipNameNr_fromIccProfile 27944
#define sipName_fromIccProfile &sipStrings_QtGui[27944]
#define sipNameNr_fullRectPixels 27959
#define sipName_fullRectPixels &sipStrings_QtGui[27959]
#define sipNameNr_fullRectPoints 27974
#define sipName_fullRectPoints &sipStrings_QtGui[27974]
#define sipNameNr_getEulerAngles 27989
#define sipName_getEulerAngles &sipStrings_QtGui[27989]
#define sipNameNr_getProcAddress 28004
#define sipName_getProcAddress &sipStrings_QtGui[28004]
#define sipNameNr_globalPosition 28019
#define sipName_globalPosition &sipStrings_QtGui[28019]
#define sipNameNr_headerRowCount 28034
#define sipName_headerRowCount &sipStrings_QtGui[28034]
#define sipNameNr_highlightBlock 22149
#define sipName_highlightBlock &sipStrings_QtGui[22149]
#define sipNameNr_hslSaturationF 28049
#define sipName_hslSaturationF &sipStrings_QtGui[28049]
#define sipNameNr_hsvSaturationF 28064
#define sipName_hsvSaturationF &sipStrings_QtGui[28064]
#define sipNameNr_inputDirection 28079
#define sipName_inputDirection &sipStrings_QtGui[28079]
#define sipNameNr_insertFragment 28094
#define sipName_insertFragment &sipStrings_QtGui[28094]
#define sipNameNr_isAutoTristate 28109
#define sipName_isAutoTristate &sipStrings_QtGui[28109]
#define sipNameNr_isEquivalentTo 28124
#define sipName_isEquivalentTo &sipStrings_QtGui[28124]
#define sipNameNr_isUserTristate 28139
#define sipName_isUserTristate &sipStrings_QtGui[28139]
#define sipNameNr_lastResortFont 28154
#define sipName_lastResortFont &sipStrings_QtGui[28154]
#define sipNameNr_lengthProperty 28169
#define sipName_lengthProperty &sipStrings_QtGui[28169]
#define sipNameNr_lightslategray 28184
#define sipName_lightslategray &sipStrings_QtGui[28184]
#define sipNameNr_lightslategrey 28199
#define sipName_lightslategrey &sipStrings_QtGui[28199]
#define sipNameNr_lightsteelblue 28214
#define sipName_lightsteelblue &sipStrings_QtGui[28214]
#define sipNameNr_lineHeightType 28229
#define sipName_lineHeightType &sipStrings_QtGui[28229]
#define sipNameNr_listFromString 28244
#define sipName_listFromString &sipStrings_QtGui[28244]
#define sipNameNr_loggedMessages 28259
#define sipName_loggedMessages &sipStrings_QtGui[28259]
#define sipNameNr_maximumMargins 28274
#define sipName_maximumMargins &sipStrings_QtGui[28274]
#define sipNameNr_mediumseagreen 28289
#define sipName_mediumseagreen &sipStrings_QtGui[28289]
#define sipNameNr_minLeftBearing 28304
#define sipName_minLeftBearing &sipStrings_QtGui[28304]
#define sipNameNr_minimumMargins 28319
#define sipName_minimumMargins &sipStrings_QtGui[28319]
#define sipNameNr_mouseMoveEvent 28334
#define sipName_mouseMoveEvent &sipStrings_QtGui[28334]
#define sipNameNr_nativeScanCode 28349
#define sipName_nativeScanCode &sipStrings_QtGui[28349]
#define sipNameNr_nextFrameDelay 28364
#define sipName_nextFrameDelay &sipStrings_QtGui[28364]
#define sipNameNr_nextImageDelay 28379
#define sipName_nextImageDelay &sipStrings_QtGui[28379]
#define sipNameNr_opacityChanged 28394
#define sipName_opacityChanged &sipStrings_QtGui[28394]
#define sipNameNr_optimizedWrite 28409
#define sipName_optimizedWrite &sipStrings_QtGui[28409]
#define sipNameNr_overrideCursor 28424
#define sipName_overrideCursor &sipStrings_QtGui[28424]
#define sipNameNr_ownsFindBuffer 28439
#define sipName_ownsFindBuffer &sipStrings_QtGui[28439]
#define sipNameNr_paintingActive 28454
#define sipName_paintingActive &sipStrings_QtGui[28454]
#define sipNameNr_paletteChanged 28469
#define sipName_paletteChanged &sipStrings_QtGui[28469]
#define sipNameNr_pointAtPercent 28484
#define sipName_pointAtPercent &sipStrings_QtGui[28484]
#define sipNameNr_proposedAction 28499
#define sipName_proposedAction &sipStrings_QtGui[28499]
#define sipNameNr_qUnpremultiply 28514
#define sipName_qUnpremultiply &sipStrings_QtGui[28514]
#define sipNameNr_renderableType 28529
#define sipName_renderableType &sipStrings_QtGui[28529]
#define sipNameNr_resetBaseLevel 28544
#define sipName_resetBaseLevel &sipStrings_QtGui[28544]
#define sipNameNr_resetTransform 28559
#define sipName_resetTransform &sipStrings_QtGui[28559]
#define sipNameNr_restartCommand 28574
#define sipName_restartCommand &sipStrings_QtGui[28574]
#define sipNameNr_sRGBColorSpace 28589
#define sipName_sRGBColorSpace &sipStrings_QtGui[28589]
#define sipNameNr_saturationSize 28604
#define sipName_saturationSize &sipStrings_QtGui[28604]
#define sipNameNr_scaledClipRect 28619
#define sipName_scaledClipRect &sipStrings_QtGui[28619]
#define sipNameNr_scaledToHeight 28634
#define sipName_scaledToHeight &sipStrings_QtGui[28634]
#define sipNameNr_selectionStart 28649
#define sipName_selectionStart &sipStrings_QtGui[28649]
#define sipNameNr_setAnchorNames 28664
#define sipName_setAnchorNames &sipStrings_QtGui[28664]
#define sipNameNr_setBlockFormat 28679
#define sipName_setBlockFormat &sipStrings_QtGui[28679]
#define sipNameNr_setBorderBrush 28694
#define sipName_setBorderBrush &sipStrings_QtGui[28694]
#define sipNameNr_setBorderColor 28709
#define sipName_setBorderColor &sipStrings_QtGui[28709]
#define sipNameNr_setBorderStyle 28724
#define sipName_setBorderStyle &sipStrings_QtGui[28724]
#define sipNameNr_setBrushOrigin 28739
#define sipName_setBrushOrigin &sipStrings_QtGui[28739]
#define sipNameNr_setCellPadding 28754
#define sipName_setCellPadding &sipStrings_QtGui[28754]
#define sipNameNr_setCellSpacing 28769
#define sipName_setCellSpacing &sipStrings_QtGui[28769]
#define sipNameNr_setColumnCount 28784
#define sipName_setColumnCount &sipStrings_QtGui[28784]
#define sipNameNr_setCompression 28799
#define sipName_setCompression &sipStrings_QtGui[28799]
#define sipNameNr_setDashPattern 28814
#define sipName_setDashPattern &sipStrings_QtGui[28814]
#define sipNameNr_setDefaultFont 28829
#define sipName_setDefaultFont &sipStrings_QtGui[28829]
#define sipNameNr_setDescription 28844
#define sipName_setDescription &sipStrings_QtGui[28844]
#define sipNameNr_setDragEnabled 28859
#define sipName_setDragEnabled &sipStrings_QtGui[28859]
#define sipNameNr_setDropEnabled 28874
#define sipName_setDropEnabled &sipStrings_QtGui[28874]
#define sipNameNr_setFocalRadius 28889
#define sipName_setFocalRadius &sipStrings_QtGui[28889]
#define sipNameNr_setFontKerning 28904
#define sipName_setFontKerning &sipStrings_QtGui[28904]
#define sipNameNr_setFontStretch 28919
#define sipName_setFontStretch &sipStrings_QtGui[28919]
#define sipNameNr_setFrameFormat 28934
#define sipName_setFrameFormat &sipStrings_QtGui[28934]
#define sipNameNr_setImageHeight 28949
#define sipName_setImageHeight &sipStrings_QtGui[28949]
#define sipNameNr_setIndentWidth 28964
#define sipName_setIndentWidth &sipStrings_QtGui[28964]
#define sipNameNr_setLeftPadding 28979
#define sipName_setLeftPadding &sipStrings_QtGui[28979]
#define sipNameNr_setMaximumSize 28994
#define sipName_setMaximumSize &sipStrings_QtGui[28994]
#define sipNameNr_setMinimumSize 29009
#define sipName_setMinimumSize &sipStrings_QtGui[29009]
#define sipNameNr_setMipMaxLevel 29024
#define sipName_setMipMaxLevel &sipStrings_QtGui[29024]
#define sipNameNr_setObjectIndex 29039
#define sipName_setObjectIndex &sipStrings_QtGui[29039]
#define sipNameNr_setOrientation 29054
#define sipName_setOrientation &sipStrings_QtGui[29054]
#define sipNameNr_setPageMargins 29069
#define sipName_setPageMargins &sipStrings_QtGui[29069]
#define sipNameNr_setPaintDevice 29084
#define sipName_setPaintDevice &sipStrings_QtGui[29084]
#define sipNameNr_setPreeditArea 29099
#define sipName_setPreeditArea &sipStrings_QtGui[29099]
#define sipNameNr_setRenderHints 29114
#define sipName_setRenderHints &sipStrings_QtGui[29114]
#define sipNameNr_setRestartHint 29129
#define sipName_setRestartHint &sipStrings_QtGui[29129]
#define sipNameNr_setRightBorder 29144
#define sipName_setRightBorder &sipStrings_QtGui[29144]
#define sipNameNr_setRightMargin 29159
#define sipName_setRightMargin &sipStrings_QtGui[29159]
#define sipNameNr_setRightToLeft 29174
#define sipName_setRightToLeft &sipStrings_QtGui[29174]
#define sipNameNr_setSurfaceType 29189
#define sipName_setSurfaceType &sipStrings_QtGui[29189]
#define sipNameNr_setSwizzleMask 29204
#define sipName_setSwizzleMask &sipStrings_QtGui[29204]
#define sipNameNr_setTextOutline 29219
#define sipName_setTextOutline &sipStrings_QtGui[29219]
#define sipNameNr_setWindowState 29234
#define sipName_setWindowState &sipStrings_QtGui[29234]
#define sipNameNr_setWordSpacing 29249
#define sipName_setWordSpacing &sipStrings_QtGui[29249]
#define sipNameNr_showFullScreen 29264
#define sipName_showFullScreen &sipStrings_QtGui[29264]
#define sipNameNr_slopeAtPercent 29279
#define sipName_slopeAtPercent &sipStrings_QtGui[29279]
#define sipNameNr_startScreenPos 29294
#define sipName_startScreenPos &sipStrings_QtGui[29294]
#define sipNameNr_staticContents 29309
#define sipName_staticContents &sipStrings_QtGui[29309]
#define sipNameNr_stringProperty 29324
#define sipName_stringProperty &sipStrings_QtGui[29324]
#define sipNameNr_supportsOpenGL 29339
#define sipName_supportsOpenGL &sipStrings_QtGui[29339]
#define sipNameNr_supportsOption 29354
#define sipName_supportsOption &sipStrings_QtGui[29354]
#define sipNameNr_testRenderHint 29369
#define sipName_testRenderHint &sipStrings_QtGui[29369]
#define sipNameNr_toFillPolygons 29384
#define sipName_toFillPolygons &sipStrings_QtGui[29384]
#define sipNameNr_topBorderBrush 29399
#define sipName_topBorderBrush &sipStrings_QtGui[29399]
#define sipNameNr_topBorderStyle 29414
#define sipName_topBorderStyle &sipStrings_QtGui[29414]
#define sipNameNr_transformation 29429
#define sipName_transformation &sipStrings_QtGui[29429]
#define sipNameNr_underlineColor 29444
#define sipName_underlineColor &sipStrings_QtGui[29444]
#define sipNameNr_underlineStyle 29459
#define sipName_underlineStyle &sipStrings_QtGui[29459]
#define sipNameNr_updateBehavior 29474
#define sipName_updateBehavior &sipStrings_QtGui[29474]
#define sipNameNr_versionProfile 29489
#define sipName_versionProfile &sipStrings_QtGui[29489]
#define sipNameNr_visibleChanged 29504
#define sipName_visibleChanged &sipStrings_QtGui[29504]
#define sipNameNr_worldTransform 29519
#define sipName_worldTransform &sipStrings_QtGui[29519]
#define sipNameNr_writingSystems 29534
#define sipName_writingSystems &sipStrings_QtGui[29534]
#define sipNameNr_AlignBaseline 29549
#define sipName_AlignBaseline &sipStrings_QtGui[29549]
#define sipNameNr_AlphaPosition 4755
#define sipName_AlphaPosition &sipStrings_QtGui[4755]
#define sipNameNr_AlternateBase 29563
#define sipName_AlternateBase &sipStrings_QtGui[29563]
#define sipNameNr_AttributeType 1293
#define sipName_AttributeType &sipStrings_QtGui[1293]
#define sipNameNr_BindingTarget 3159
#define sipName_BindingTarget &sipStrings_QtGui[3159]
#define sipNameNr_BurningSpring 29577
#define sipName_BurningSpring &sipStrings_QtGui[29577]
#define sipNameNr_ClampToBorder 29591
#define sipName_ClampToBorder &sipStrings_QtGui[29591]
#define sipNameNr_ColorfulPeach 29605
#define sipName_ColorfulPeach &sipStrings_QtGui[29605]
#define sipNameNr_CompareAlways 29619
#define sipName_CompareAlways &sipStrings_QtGui[29619]
#define sipNameNr_DashUnderline 29633
#define sipName_DashUnderline &sipStrings_QtGui[29633]
#define sipNameNr_DirtyClipPath 29647
#define sipName_DirtyClipPath &sipStrings_QtGui[29647]
#define sipNameNr_DocumentTitle 29661
#define sipName_DocumentTitle &sipStrings_QtGui[29661]
#define sipNameNr_EnvelopeChou3 29675
#define sipName_EnvelopeChou3 &sipStrings_QtGui[29675]
#define sipNameNr_EnvelopeChou4 29689
#define sipName_EnvelopeChou4 &sipStrings_QtGui[29689]
#define sipNameNr_EnvelopeKaku2 29703
#define sipName_EnvelopeKaku2 &sipStrings_QtGui[29703]
#define sipNameNr_EnvelopeKaku3 29717
#define sipName_EnvelopeKaku3 &sipStrings_QtGui[29717]
#define sipNameNr_EnvelopePrc10 29731
#define sipName_EnvelopePrc10 &sipStrings_QtGui[29731]
#define sipNameNr_ExtraExpanded 29745
#define sipName_ExtraExpanded &sipStrings_QtGui[29745]
#define sipNameNr_FanFoldGerman 29759
#define sipName_FanFoldGerman &sipStrings_QtGui[29759]
#define sipNameNr_FloatingPoint 29773
#define sipName_FloatingPoint &sipStrings_QtGui[29773]
#define sipNameNr_FontPixelSize 29787
#define sipName_FontPixelSize &sipStrings_QtGui[29787]
#define sipNameNr_FontPointSize 22354
#define sipName_FontPointSize &sipStrings_QtGui[22354]
#define sipNameNr_FontStrikeOut 22371
#define sipName_FontStrikeOut &sipStrings_QtGui[22371]
#define sipNameNr_FontStyleHint 22388
#define sipName_FontStyleHint &sipStrings_QtGui[22388]
#define sipNameNr_FontStyleName 22405
#define sipName_FontStyleName &sipStrings_QtGui[22405]
#define sipNameNr_FontUnderline 22422
#define sipName_FontUnderline &sipStrings_QtGui[22422]
#define sipNameNr_FormatOptions 3369
#define sipName_FormatOptions &sipStrings_QtGui[3369]
#define sipNameNr_Format_ARGB32 29801
#define sipName_Format_ARGB32 &sipStrings_QtGui[29801]
#define sipNameNr_Format_Alpha8 29815
#define sipName_Format_Alpha8 &sipStrings_QtGui[29815]
#define sipNameNr_Format_BGR888 29829
#define sipName_Format_BGR888 &sipStrings_QtGui[29829]
#define sipNameNr_Format_RGB444 29843
#define sipName_Format_RGB444 &sipStrings_QtGui[29843]
#define sipNameNr_Format_RGB555 29857
#define sipName_Format_RGB555 &sipStrings_QtGui[29857]
#define sipNameNr_Format_RGB666 29871
#define sipName_Format_RGB666 &sipStrings_QtGui[29871]
#define sipNameNr_Format_RGB888 29885
#define sipName_Format_RGB888 &sipStrings_QtGui[29885]
#define sipNameNr_Format_RGBA64 29899
#define sipName_Format_RGBA64 &sipStrings_QtGui[29899]
#define sipNameNr_Format_RGBX64 29913
#define sipName_Format_RGBX64 &sipStrings_QtGui[29913]
#define sipNameNr_GlyphRunFlags 6791
#define sipName_GlyphRunFlags &sipStrings_QtGui[6791]
#define sipNameNr_GroupPushType 29927
#define sipName_GroupPushType &sipStrings_QtGui[29927]
#define sipNameNr_HappyMemories 29941
#define sipName_HappyMemories &sipStrings_QtGui[29941]
#define sipNameNr_ImageResource 29955
#define sipName_ImageResource &sipStrings_QtGui[29955]
#define sipNameNr_Imperial10x11 29969
#define sipName_Imperial10x11 &sipStrings_QtGui[29969]
#define sipNameNr_Imperial10x13 29983
#define sipName_Imperial10x13 &sipStrings_QtGui[29983]
#define sipNameNr_Imperial10x14 29997
#define sipName_Imperial10x14 &sipStrings_QtGui[29997]
#define sipNameNr_Imperial12x11 30011
#define sipName_Imperial12x11 &sipStrings_QtGui[30011]
#define sipNameNr_Imperial15x11 30025
#define sipName_Imperial15x11 &sipStrings_QtGui[30025]
#define sipNameNr_InvalidFormat 30039
#define sipName_InvalidFormat &sipStrings_QtGui[30039]
#define sipNameNr_InvalidSource 30053
#define sipName_InvalidSource &sipStrings_QtGui[30053]
#define sipNameNr_ItmeoBranding 30067
#define sipName_ItmeoBranding &sipStrings_QtGui[30067]
#define sipNameNr_LineToElement 30081
#define sipName_LineToElement &sipStrings_QtGui[30081]
#define sipNameNr_MidnightBloom 30095
#define sipName_MidnightBloom &sipStrings_QtGui[30095]
#define sipNameNr_MinimumHeight 22541
#define sipName_MinimumHeight &sipStrings_QtGui[22541]
#define sipNameNr_MoveOperation 5329
#define sipName_MoveOperation &sipStrings_QtGui[5329]
#define sipNameNr_MoveToElement 30109
#define sipName_MoveToElement &sipStrings_QtGui[30109]
#define sipNameNr_NextCharacter 30123
#define sipName_NextCharacter &sipStrings_QtGui[30123]
#define sipNameNr_NoFontMerging 30137
#define sipName_NoFontMerging &sipStrings_QtGui[30137]
#define sipNameNr_OpenGLSurface 30151
#define sipName_OpenGLSurface &sipStrings_QtGui[30151]
#define sipNameNr_OpenVGSurface 30165
#define sipName_OpenVGSurface &sipStrings_QtGui[30165]
#define sipNameNr_OriginTopLeft 30179
#define sipName_OriginTopLeft &sipStrings_QtGui[30179]
#define sipNameNr_PageBreakFlag 5383
#define sipName_PageBreakFlag &sipStrings_QtGui[5383]
#define sipNameNr_PassionateBed 30193
#define sipName_PassionateBed &sipStrings_QtGui[30193]
#define sipNameNr_PreferDefault 30207
#define sipName_PreferDefault &sipStrings_QtGui[30207]
#define sipNameNr_PreferOutline 30221
#define sipName_PreferOutline &sipStrings_QtGui[30221]
#define sipNameNr_PreferQuality 30235
#define sipName_PreferQuality &sipStrings_QtGui[30235]
#define sipNameNr_Premultiplied 1557
#define sipName_Premultiplied &sipStrings_QtGui[1557]
#define sipNameNr_PreviousBlock 30249
#define sipName_PreviousBlock &sipStrings_QtGui[30249]
#define sipNameNr_PreviousChild 30263
#define sipName_PreviousChild &sipStrings_QtGui[30263]
#define sipNameNr_QBackingStore 30277
#define sipName_QBackingStore &sipStrings_QtGui[30277]
#define sipNameNr_QFont__Weight 30291
#define sipName_QFont__Weight &sipStrings_QtGui[30291]
#define sipNameNr_QFontDatabase 30305
#define sipName_QFontDatabase &sipStrings_QtGui[30305]
#define sipNameNr_QFontMetricsF 30319
#define sipName_QFontMetricsF &sipStrings_QtGui[30319]
#define sipNameNr_QIntValidator 30333
#define sipName_QIntValidator &sipStrings_QtGui[30333]
#define sipNameNr_QOpenGLBuffer 30347
#define sipName_QOpenGLBuffer &sipStrings_QtGui[30347]
#define sipNameNr_QOpenGLShader 30361
#define sipName_QOpenGLShader &sipStrings_QtGui[30361]
#define sipNameNr_QOpenGLWindow 30375
#define sipName_QOpenGLWindow &sipStrings_QtGui[30375]
#define sipNameNr_QRasterWindow 30389
#define sipName_QRasterWindow &sipStrings_QtGui[30389]
#define sipNameNr_QStandardItem 30403
#define sipName_QStandardItem &sipStrings_QtGui[30403]
#define sipNameNr_QTextDocument 30417
#define sipName_QTextDocument &sipStrings_QtGui[30417]
#define sipNameNr_QTextFragment 30431
#define sipName_QTextFragment &sipStrings_QtGui[30431]
#define sipNameNr_30445 30445
#define sipName_30445 &sipStrings_QtGui[30445]
#define sipNameNr_QWindowSystem 30459
#define sipName_QWindowSystem &sipStrings_QtGui[30459]
#define sipNameNr_R11_EAC_SNorm 30473
#define sipName_R11_EAC_SNorm &sipStrings_QtGui[30473]
#define sipNameNr_R11_EAC_UNorm 30487
#define sipName_R11_EAC_UNorm &sipStrings_QtGui[30487]
#define sipNameNr_RGBA_ASTC_4x4 30501
#define sipName_RGBA_ASTC_4x4 &sipStrings_QtGui[30501]
#define sipNameNr_RGBA_ASTC_5x4 30515
#define sipName_RGBA_ASTC_5x4 &sipStrings_QtGui[30515]
#define sipNameNr_RGBA_ASTC_5x5 30529
#define sipName_RGBA_ASTC_5x5 &sipStrings_QtGui[30529]
#define sipNameNr_RGBA_ASTC_6x5 30543
#define sipName_RGBA_ASTC_6x5 &sipStrings_QtGui[30543]
#define sipNameNr_RGBA_ASTC_6x6 30557
#define sipName_RGBA_ASTC_6x6 &sipStrings_QtGui[30557]
#define sipNameNr_RGBA_ASTC_8x5 30571
#define sipName_RGBA_ASTC_8x5 &sipStrings_QtGui[30571]
#define sipNameNr_RGBA_ASTC_8x6 30585
#define sipName_RGBA_ASTC_8x6 &sipStrings_QtGui[30585]
#define sipNameNr_RGBA_ASTC_8x8 30599
#define sipName_RGBA_ASTC_8x8 &sipStrings_QtGui[30599]
#define sipNameNr_R_ATI1N_SNorm 30613
#define sipName_R_ATI1N_SNorm &sipStrings_QtGui[30613]
#define sipNameNr_R_ATI1N_UNorm 30627
#define sipName_R_ATI1N_UNorm &sipStrings_QtGui[30627]
#define sipNameNr_RainyAshville 30641
#define sipName_RainyAshville &sipStrings_QtGui[30641]
#define sipNameNr_RasterOpModes 30655
#define sipName_RasterOpModes &sipStrings_QtGui[30655]
#define sipNameNr_RasterSurface 30669
#define sipName_RasterSurface &sipStrings_QtGui[30669]
#define sipNameNr_ReflectSpread 30683
#define sipName_ReflectSpread &sipStrings_QtGui[30683]
#define sipNameNr_RestartAnyway 30697
#define sipName_RestartAnyway &sipStrings_QtGui[30697]
#define sipNameNr_RiskyConcrete 30711
#define sipName_RiskyConcrete &sipStrings_QtGui[30711]
#define sipNameNr_SRGB_BP_UNorm 30725
#define sipName_SRGB_BP_UNorm &sipStrings_QtGui[30725]
#define sipNameNr_ScrollStarted 30739
#define sipName_ScrollStarted &sipStrings_QtGui[30739]
#define sipNameNr_ScrollUpdated 30753
#define sipName_ScrollUpdated &sipStrings_QtGui[30753]
#define sipNameNr_SelectionType 5356
#define sipName_SelectionType &sipStrings_QtGui[5356]
#define sipNameNr_SemiCondensed 30767
#define sipName_SemiCondensed &sipStrings_QtGui[30767]
#define sipNameNr_SequenceMatch 4559
#define sipName_SequenceMatch &sipStrings_QtGui[4559]
#define sipNameNr_ShaderTypeBit 3930
#define sipName_ShaderTypeBit &sipStrings_QtGui[3930]
#define sipNameNr_SharpeyeEagle 30781
#define sipName_SharpeyeEagle &sipStrings_QtGui[30781]
#define sipNameNr_SplitLigature 30795
#define sipName_SplitLigature &sipStrings_QtGui[30795]
#define sipNameNr_StereoBuffers 30809
#define sipName_StereoBuffers &sipStrings_QtGui[30809]
#define sipNameNr_StyleStrategy 12059
#define sipName_StyleStrategy &sipStrings_QtGui[12059]
#define sipNameNr_SugarLollipop 30823
#define sipName_SugarLollipop &sipStrings_QtGui[30823]
#define sipNameNr_Target1DArray 11765
#define sipName_Target1DArray &sipStrings_QtGui[11765]
#define sipNameNr_Target2DArray 11786
#define sipName_Target2DArray &sipStrings_QtGui[11786]
#define sipNameNr_TargetCubeMap 11807
#define sipName_TargetCubeMap &sipStrings_QtGui[11807]
#define sipNameNr_TemptingAzure 30837
#define sipName_TemptingAzure &sipStrings_QtGui[30837]
#define sipNameNr_TextureArrays 30851
#define sipName_TextureArrays &sipStrings_QtGui[30851]
#define sipNameNr_TextureBuffer 30865
#define sipName_TextureBuffer &sipStrings_QtGui[30865]
#define sipNameNr_TextureFormat 3189
#define sipName_TextureFormat &sipStrings_QtGui[3189]
#define sipNameNr_UInt16_R5G6B5 30879
#define sipName_UInt16_R5G6B5 &sipStrings_QtGui[30879]
#define sipNameNr_UInt16_RGB5A1 30893
#define sipName_UInt16_RGB5A1 &sipStrings_QtGui[30893]
#define sipNameNr_UltraExpanded 30907
#define sipName_UltraExpanded &sipStrings_QtGui[30907]
#define sipNameNr_UnsignedShort 30921
#define sipName_UnsignedShort &sipStrings_QtGui[30921]
#define sipNameNr_ViciousStance 30935
#define sipName_ViciousStance &sipStrings_QtGui[30935]
#define sipNameNr_VulkanSurface 30949
#define sipName_VulkanSurface &sipStrings_QtGui[30949]
#define sipNameNr_WaveUnderline 30963
#define sipName_WaveUnderline &sipStrings_QtGui[30963]
#define sipNameNr_WritingSystem 3785
#define sipName_WritingSystem &sipStrings_QtGui[3785]
#define sipNameNr_actionChanged 30977
#define sipName_actionChanged &sipStrings_QtGui[30977]
#define sipNameNr_activeChanged 30991
#define sipName_activeChanged &sipStrings_QtGui[30991]
#define sipNameNr_alphaPosition 31005
#define sipName_alphaPosition &sipStrings_QtGui[31005]
#define sipNameNr_alternateBase 31019
#define sipName_alternateBase &sipStrings_QtGui[31019]
#define sipNameNr_appendColumns 31033
#define sipName_appendColumns &sipStrings_QtGui[31033]
#define sipNameNr_autoTransform 31047
#define sipName_autoTransform &sipStrings_QtGui[31047]
#define sipNameNr_availableSize 31061
#define sipName_availableSize &sipStrings_QtGui[31061]
#define sipNameNr_bitPlaneCount 31075
#define sipName_bitPlaneCount &sipStrings_QtGui[31075]
#define sipNameNr_blockInserted 31089
#define sipName_blockInserted &sipStrings_QtGui[31089]
#define sipNameNr_bottomPadding 31103
#define sipName_bottomPadding &sipStrings_QtGui[31103]
#define sipNameNr_brushProperty 31117
#define sipName_brushProperty &sipStrings_QtGui[31117]
#define sipNameNr_clearItemData 31131
#define sipName_clearItemData &sipStrings_QtGui[31131]
#define sipNameNr_clearProperty 31145
#define sipName_clearProperty &sipStrings_QtGui[31145]
#define sipNameNr_clipOperation 31159
#define sipName_clipOperation &sipStrings_QtGui[31159]
#define sipNameNr_colorProperty 31173
#define sipName_colorProperty &sipStrings_QtGui[31173]
#define sipNameNr_connectNotify 21810
#define sipName_connectNotify &sipStrings_QtGui[21810]
#define sipNameNr_constScanLine 31187
#define sipName_constScanLine &sipStrings_QtGui[31187]
#define sipNameNr_containsPoint 31201
#define sipName_containsPoint &sipStrings_QtGui[31201]
#define sipNameNr_currentPixmap 31215
#define sipName_currentPixmap &sipStrings_QtGui[31215]
#define sipNameNr_darkgoldenrod 31229
#define sipName_darkgoldenrod &sipStrings_QtGui[31229]
#define sipNameNr_darkslateblue 31243
#define sipName_darkslateblue &sipStrings_QtGui[31243]
#define sipNameNr_darkslategray 31257
#define sipName_darkslategray &sipStrings_QtGui[31257]
#define sipNameNr_darkslategrey 31271
#define sipName_darkslategrey &sipStrings_QtGui[31271]
#define sipNameNr_darkturquoise 31285
#define sipName_darkturquoise &sipStrings_QtGui[31285]
#define sipNameNr_defaultAction 31299
#define sipName_defaultAction &sipStrings_QtGui[31299]
#define sipNameNr_defaultFamily 31313
#define sipName_defaultFamily &sipStrings_QtGui[31313]
#define sipNameNr_defaultFormat 31327
#define sipName_defaultFormat &sipStrings_QtGui[31327]
#define sipNameNr_dotsPerMeterX 31341
#define sipName_dotsPerMeterX &sipStrings_QtGui[31341]
#define sipNameNr_dotsPerMeterY 31355
#define sipName_dotsPerMeterY &sipStrings_QtGui[31355]
#define sipNameNr_firstPosition 31369
#define sipName_firstPosition &sipStrings_QtGui[31369]
#define sipNameNr_focusOutEvent 31383
#define sipName_focusOutEvent &sipStrings_QtGui[31383]
#define sipNameNr_fontPointSize 31397
#define sipName_fontPointSize &sipStrings_QtGui[31397]
#define sipNameNr_fontStrikeOut 31411
#define sipName_fontStrikeOut &sipStrings_QtGui[31411]
#define sipNameNr_fontStyleHint 31425
#define sipName_fontStyleHint &sipStrings_QtGui[31425]
#define sipNameNr_fontStyleName 31439
#define sipName_fontStyleName &sipStrings_QtGui[31439]
#define sipNameNr_fontUnderline 31453
#define sipName_fontUnderline &sipStrings_QtGui[31453]
#define sipNameNr_formatVersion 31467
#define sipName_formatVersion &sipStrings_QtGui[31467]
#define sipNameNr_frameGeometry 31481
#define sipName_frameGeometry &sipStrings_QtGui[31481]
#define sipNameNr_framePosition 31495
#define sipName_framePosition &sipStrings_QtGui[31495]
#define sipNameNr_fromDirection 31509
#define sipName_fromDirection &sipStrings_QtGui[31509]
#define sipNameNr_fromNumericId 31523
#define sipName_fromNumericId &sipStrings_QtGui[31523]
#define sipNameNr_fromPlainText 31537
#define sipName_fromPlainText &sipStrings_QtGui[31537]
#define sipNameNr_fromTranslate 31551
#define sipName_fromTranslate &sipStrings_QtGui[31551]
#define sipNameNr_heightChanged 31565
#define sipName_heightChanged &sipStrings_QtGui[31565]
#define sipNameNr_hslSaturation 31579
#define sipName_hslSaturation &sipStrings_QtGui[31579]
#define sipNameNr_hsvSaturation 31593
#define sipName_hsvSaturation &sipStrings_QtGui[31593]
#define sipNameNr_indexFromItem 31607
#define sipName_indexFromItem &sipStrings_QtGui[31607]
#define sipNameNr_insertColumns 31621
#define sipName_insertColumns &sipStrings_QtGui[31621]
#define sipNameNr_intrinsicSize 31635
#define sipName_intrinsicSize &sipStrings_QtGui[31635]
#define sipNameNr_isBlockFormat 31649
#define sipName_isBlockFormat &sipStrings_QtGui[31649]
#define sipNameNr_isClipEnabled 31663
#define sipName_isClipEnabled &sipStrings_QtGui[31663]
#define sipNameNr_isDragEnabled 31677
#define sipName_isDragEnabled &sipStrings_QtGui[31677]
#define sipNameNr_isDropEnabled 31691
#define sipName_isDropEnabled &sipStrings_QtGui[31691]
#define sipNameNr_isFrameFormat 31705
#define sipName_isFrameFormat &sipStrings_QtGui[31705]
#define sipNameNr_isImageFormat 31719
#define sipName_isImageFormat &sipStrings_QtGui[31719]
#define sipNameNr_isLeftToRight 31733
#define sipName_isLeftToRight &sipStrings_QtGui[31733]
#define sipNameNr_isRightToLeft 31747
#define sipName_isRightToLeft &sipStrings_QtGui[31747]
#define sipNameNr_isTableFormat 31761
#define sipName_isTableFormat &sipStrings_QtGui[31761]
#define sipNameNr_isTextureView 31775
#define sipName_isTextureView &sipStrings_QtGui[31775]
#define sipNameNr_isTranslating 31789
#define sipName_isTranslating &sipStrings_QtGui[31789]
#define sipNameNr_isTransparent 31803
#define sipName_isTransparent &sipStrings_QtGui[31803]
#define sipNameNr_itemFromIndex 31817
#define sipName_itemFromIndex &sipStrings_QtGui[31817]
#define sipNameNr_itemPrototype 31831
#define sipName_itemPrototype &sipStrings_QtGui[31831]
#define sipNameNr_keyPressEvent 31845
#define sipName_keyPressEvent &sipStrings_QtGui[31845]
#define sipNameNr_lastScreenPos 31859
#define sipName_lastScreenPos &sipStrings_QtGui[31859]
#define sipNameNr_lavenderblush 31873
#define sipName_lavenderblush &sipStrings_QtGui[31873]
#define sipNameNr_lengthSquared 31887
#define sipName_lengthSquared &sipStrings_QtGui[31887]
#define sipNameNr_letterSpacing 31901
#define sipName_letterSpacing &sipStrings_QtGui[31901]
#define sipNameNr_lightnessSize 31915
#define sipName_lightnessSize &sipStrings_QtGui[31915]
#define sipNameNr_lightseagreen 31929
#define sipName_lightseagreen &sipStrings_QtGui[31929]
#define sipNameNr_lineThickness 31943
#define sipName_lineThickness &sipStrings_QtGui[31943]
#define sipNameNr_localeChanged 31957
#define sipName_localeChanged &sipStrings_QtGui[31957]
#define sipNameNr_mapFromGlobal 31971
#define sipName_mapFromGlobal &sipStrings_QtGui[31971]
#define sipNameNr_marginsPixels 31985
#define sipName_marginsPixels &sipStrings_QtGui[31985]
#define sipNameNr_marginsPoints 31999
#define sipName_marginsPoints &sipStrings_QtGui[31999]
#define sipNameNr_maximumHeight 32013
#define sipName_maximumHeight &sipStrings_QtGui[32013]
#define sipNameNr_messageLogged 32027
#define sipName_messageLogged &sipStrings_QtGui[32027]
#define sipNameNr_minMagFilters 32041
#define sipName_minMagFilters &sipStrings_QtGui[32041]
#define sipNameNr_minimumHeight 32055
#define sipName_minimumHeight &sipStrings_QtGui[32055]
#define sipNameNr_mipLevelRange 32069
#define sipName_mipLevelRange &sipStrings_QtGui[32069]
#define sipNameNr_normalizedPos 32083
#define sipName_normalizedPos &sipStrings_QtGui[32083]
#define sipNameNr_outputFormats 32097
#define sipName_outputFormats &sipStrings_QtGui[32097]
#define sipNameNr_ownsClipboard 32111
#define sipName_ownsClipboard &sipStrings_QtGui[32111]
#define sipNameNr_ownsSelection 32125
#define sipName_ownsSelection &sipStrings_QtGui[32125]
#define sipNameNr_palegoldenrod 32139
#define sipName_palegoldenrod &sipStrings_QtGui[32139]
#define sipNameNr_paleturquoise 32153
#define sipName_paleturquoise &sipStrings_QtGui[32153]
#define sipNameNr_palevioletred 32167
#define sipName_palevioletred &sipStrings_QtGui[32167]
#define sipNameNr_pictureFormat 32181
#define sipName_pictureFormat &sipStrings_QtGui[32181]
#define sipNameNr_preeditString 32195
#define sipName_preeditString &sipStrings_QtGui[32195]
#define sipNameNr_premultiplied 26216
#define sipName_premultiplied &sipStrings_QtGui[26216]
#define sipNameNr_primaryScreen 32209
#define sipName_primaryScreen &sipStrings_QtGui[32209]
#define sipNameNr_propertyCount 32223
#define sipName_propertyCount &sipStrings_QtGui[32223]
#define sipNameNr_qFuzzyCompare 32237
#define sipName_qFuzzyCompare &sipStrings_QtGui[32237]
#define sipNameNr_redBufferSize 32251
#define sipName_redBufferSize &sipStrings_QtGui[32251]
#define sipNameNr_redoAvailable 32265
#define sipName_redoAvailable &sipStrings_QtGui[32265]
#define sipNameNr_removeColumns 32279
#define sipName_removeColumns &sipStrings_QtGui[32279]
#define sipNameNr_requestPhase2 32293
#define sipName_requestPhase2 &sipStrings_QtGui[32293]
#define sipNameNr_requestUpdate 32307
#define sipName_requestUpdate &sipStrings_QtGui[32307]
#define sipNameNr_rotateRadians 32321
#define sipName_rotateRadians &sipStrings_QtGui[32321]
#define sipNameNr_rotatedVector 32335
#define sipName_rotatedVector &sipStrings_QtGui[32335]
#define sipNameNr_scaledToWidth 32349
#define sipName_scaledToWidth &sipStrings_QtGui[32349]
#define sipNameNr_screenChanged 32363
#define sipName_screenChanged &sipStrings_QtGui[32363]
#define sipNameNr_screenRemoved 32377
#define sipName_screenRemoved &sipStrings_QtGui[32377]
#define sipNameNr_setAnchorHref 32391
#define sipName_setAnchorHref &sipStrings_QtGui[32391]
#define sipNameNr_setAttachment 32405
#define sipName_setAttachment &sipStrings_QtGui[32405]
#define sipNameNr_setBackground 32419
#define sipName_setBackground &sipStrings_QtGui[32419]
#define sipNameNr_setCacheLimit 32433
#define sipName_setCacheLimit &sipStrings_QtGui[32433]
#define sipNameNr_setCharFormat 32447
#define sipName_setCharFormat &sipStrings_QtGui[32447]
#define sipNameNr_setCheckState 32461
#define sipName_setCheckState &sipStrings_QtGui[32461]
#define sipNameNr_setClipRegion 32475
#define sipName_setClipRegion &sipStrings_QtGui[32475]
#define sipNameNr_setColorCount 32489
#define sipName_setColorCount &sipStrings_QtGui[32489]
#define sipNameNr_setColorGroup 32503
#define sipName_setColorGroup &sipStrings_QtGui[32503]
#define sipNameNr_setColorSpace 32517
#define sipName_setColorSpace &sipStrings_QtGui[32517]
#define sipNameNr_setColorTable 32531
#define sipName_setColorTable &sipStrings_QtGui[32531]
#define sipNameNr_setContentPos 32545
#define sipName_setContentPos &sipStrings_QtGui[32545]
#define sipNameNr_setDashOffset 32559
#define sipName_setDashOffset &sipStrings_QtGui[32559]
#define sipNameNr_setDragCursor 32573
#define sipName_setDragCursor &sipStrings_QtGui[32573]
#define sipNameNr_setDropAction 32587
#define sipName_setDropAction &sipStrings_QtGui[32587]
#define sipNameNr_setFixedPitch 32601
#define sipName_setFixedPitch &sipStrings_QtGui[32601]
#define sipNameNr_setFocalPoint 32615
#define sipName_setFocalPoint &sipStrings_QtGui[32615]
#define sipNameNr_setFontFamily 32629
#define sipName_setFontFamily &sipStrings_QtGui[32629]
#define sipNameNr_setFontItalic 32643
#define sipName_setFontItalic &sipStrings_QtGui[32643]
#define sipNameNr_setFontWeight 32657
#define sipName_setFontWeight &sipStrings_QtGui[32657]
#define sipNameNr_setForeground 32671
#define sipName_setForeground &sipStrings_QtGui[32671]
#define sipNameNr_setHeaderData 32685
#define sipName_setHeaderData &sipStrings_QtGui[32685]
#define sipNameNr_setLeftBorder 32699
#define sipName_setLeftBorder &sipStrings_QtGui[32699]
#define sipNameNr_setLeftMargin 32713
#define sipName_setLeftMargin &sipStrings_QtGui[32713]
#define sipNameNr_setLineHeight 32727
#define sipName_setLineHeight &sipStrings_QtGui[32727]
#define sipNameNr_setMiterLimit 32741
#define sipName_setMiterLimit &sipStrings_QtGui[32741]
#define sipNameNr_setNamedColor 32755
#define sipName_setNamedColor &sipStrings_QtGui[32755]
#define sipNameNr_setNumColumns 32769
#define sipName_setNumColumns &sipStrings_QtGui[32769]
#define sipNameNr_setObjectType 32783
#define sipName_setObjectType &sipStrings_QtGui[32783]
#define sipNameNr_setPageLayout 32797
#define sipName_setPageLayout &sipStrings_QtGui[32797]
#define sipNameNr_setPageSizeMM 32811
#define sipName_setPageSizeMM &sipStrings_QtGui[32811]
#define sipNameNr_setParameters 32825
#define sipName_setParameters &sipStrings_QtGui[32825]
#define sipNameNr_setPdfVersion 32839
#define sipName_setPdfVersion &sipStrings_QtGui[32839]
#define sipNameNr_setPixelColor 32853
#define sipName_setPixelColor &sipStrings_QtGui[32853]
#define sipNameNr_setPointSizeF 32867
#define sipName_setPointSizeF &sipStrings_QtGui[32867]
#define sipNameNr_setRenderHint 32881
#define sipName_setRenderHint &sipStrings_QtGui[32881]
#define sipNameNr_setResolution 32895
#define sipName_setResolution &sipStrings_QtGui[32895]
#define sipNameNr_setScaledSize 32909
#define sipName_setScaledSize &sipStrings_QtGui[32909]
#define sipNameNr_setSelectable 32923
#define sipName_setSelectable &sipStrings_QtGui[32923]
#define sipNameNr_setSkipImages 32937
#define sipName_setSkipImages &sipStrings_QtGui[32937]
#define sipNameNr_setSkipPixels 32951
#define sipName_setSkipPixels &sipStrings_QtGui[32951]
#define sipNameNr_setTextFormat 32965
#define sipName_setTextFormat &sipStrings_QtGui[32965]
#define sipNameNr_setTextIndent 32979
#define sipName_setTextIndent &sipStrings_QtGui[32979]
#define sipNameNr_setTextOption 32993
#define sipName_setTextOption &sipStrings_QtGui[32993]
#define sipNameNr_setToIdentity 33007
#define sipName_setToIdentity &sipStrings_QtGui[33007]
#define sipNameNr_setTopPadding 33021
#define sipName_setTopPadding &sipStrings_QtGui[33021]
#define sipNameNr_setUrlHandler 26232
#define sipName_setUrlHandler &sipStrings_QtGui[26232]
#define sipNameNr_setVisibility 33035
#define sipName_setVisibility &sipStrings_QtGui[33035]
#define sipNameNr_setWindowIcon 33049
#define sipName_setWindowIcon &sipStrings_QtGui[33049]
#define sipNameNr_showMaximized 33063
#define sipName_showMaximized &sipStrings_QtGui[33063]
#define sipNameNr_showMinimized 33077
#define sipName_showMinimized &sipStrings_QtGui[33077]
#define sipNameNr_sizeIncrement 33091
#define sipName_sizeIncrement &sipStrings_QtGui[33091]
#define sipNameNr_standardSizes 33105
#define sipName_standardSizes &sipStrings_QtGui[33105]
#define sipNameNr_startDragTime 33119
#define sipName_startDragTime &sipStrings_QtGui[33119]
#define sipNameNr_startScenePos 33133
#define sipName_startScenePos &sipStrings_QtGui[33133]
#define sipNameNr_styleStrategy 33147
#define sipName_styleStrategy &sipStrings_QtGui[33147]
#define sipNameNr_substitutions 33161
#define sipName_substitutions &sipStrings_QtGui[33161]
#define sipNameNr_targetChanged 33175
#define sipName_targetChanged &sipStrings_QtGui[33175]
#define sipNameNr_textAlignment 33189
#define sipName_textAlignment &sipStrings_QtGui[33189]
#define sipNameNr_textDirection 33203
#define sipName_textDirection &sipStrings_QtGui[33203]
#define sipNameNr_textureTarget 33217
#define sipName_textureTarget &sipStrings_QtGui[33217]
#define sipNameNr_toBlockFormat 33231
#define sipName_toBlockFormat &sipStrings_QtGui[33231]
#define sipNameNr_toEulerAngles 33245
#define sipName_toEulerAngles &sipStrings_QtGui[33245]
#define sipNameNr_toExtendedRgb 33259
#define sipName_toExtendedRgb &sipStrings_QtGui[33259]
#define sipNameNr_toFillPolygon 33273
#define sipName_toFillPolygon &sipStrings_QtGui[33273]
#define sipNameNr_toFrameFormat 33287
#define sipName_toFrameFormat &sipStrings_QtGui[33287]
#define sipNameNr_toImageFormat 33301
#define sipName_toImageFormat &sipStrings_QtGui[33301]
#define sipNameNr_toPixelFormat 33315
#define sipName_toPixelFormat &sipStrings_QtGui[33315]
#define sipNameNr_toTableFormat 33329
#define sipName_toTableFormat &sipStrings_QtGui[33329]
#define sipNameNr_transformMode 33343
#define sipName_transformMode &sipStrings_QtGui[33343]
#define sipNameNr_undoAvailable 33357
#define sipName_undoAvailable &sipStrings_QtGui[33357]
#define sipNameNr_writingSystem 33371
#define sipName_writingSystem &sipStrings_QtGui[33371]
#define sipNameNr_AfricanField 33385
#define sipName_AfricanField &sipStrings_QtGui[33385]
#define sipNameNr_AlchemistLab 33398
#define sipName_AlchemistLab &sipStrings_QtGui[33398]
#define sipNameNr_AllLowercase 33411
#define sipName_AllLowercase &sipStrings_QtGui[33411]
#define sipNameNr_AllUppercase 33424
#define sipName_AllUppercase &sipStrings_QtGui[33424]
#define sipNameNr_AncestorMode 10602
#define sipName_AncestorMode &sipStrings_QtGui[10602]
#define sipNameNr_Antialiasing 7688
#define sipName_Antialiasing &sipStrings_QtGui[7688]
#define sipNameNr_AquaGuidance 33437
#define sipName_AquaGuidance &sipStrings_QtGui[33437]
#define sipNameNr_BGRA_Integer 33450
#define sipName_BGRA_Integer &sipStrings_QtGui[33450]
#define sipNameNr_Capabilities 5438
#define sipName_Capabilities &sipStrings_QtGui[5438]
#define sipNameNr_CompareEqual 33463
#define sipName_CompareEqual &sipStrings_QtGui[33463]
#define sipNameNr_CompareNever 33476
#define sipName_CompareNever &sipStrings_QtGui[33476]
#define sipNameNr_CoreGraphics 33489
#define sipName_CoreGraphics &sipStrings_QtGui[33489]
#define sipNameNr_CrystalRiver 33502
#define sipName_CrystalRiver &sipStrings_QtGui[33502]
#define sipNameNr_DebugContext 33515
#define sipName_DebugContext &sipStrings_QtGui[33515]
#define sipNameNr_DelimiterTab 33528
#define sipName_DelimiterTab &sipStrings_QtGui[33528]
#define sipNameNr_DepthStencil 11829
#define sipName_DepthStencil &sipStrings_QtGui[11829]
#define sipNameNr_DirtyOpacity 33541
#define sipName_DirtyOpacity &sipStrings_QtGui[33541]
#define sipNameNr_DoubleBuffer 33554
#define sipName_DoubleBuffer &sipStrings_QtGui[33554]
#define sipNameNr_EnvelopePrc1 33567
#define sipName_EnvelopePrc1 &sipStrings_QtGui[33567]
#define sipNameNr_EnvelopePrc2 33580
#define sipName_EnvelopePrc2 &sipStrings_QtGui[33580]
#define sipNameNr_EnvelopePrc3 33593
#define sipName_EnvelopePrc3 &sipStrings_QtGui[33593]
#define sipNameNr_EnvelopePrc4 33606
#define sipName_EnvelopePrc4 &sipStrings_QtGui[33606]
#define sipNameNr_EnvelopePrc5 33619
#define sipName_EnvelopePrc5 &sipStrings_QtGui[33619]
#define sipNameNr_EnvelopePrc6 33632
#define sipName_EnvelopePrc6 &sipStrings_QtGui[33632]
#define sipNameNr_EnvelopePrc7 33645
#define sipName_EnvelopePrc7 &sipStrings_QtGui[33645]
#define sipNameNr_EnvelopePrc8 33658
#define sipName_EnvelopePrc8 &sipStrings_QtGui[33658]
#define sipNameNr_EnvelopePrc9 33671
#define sipName_EnvelopePrc9 &sipStrings_QtGui[33671]
#define sipNameNr_EnvelopeYou4 33684
#define sipName_EnvelopeYou4 &sipStrings_QtGui[33684]
#define sipNameNr_FabledSunset 33697
#define sipName_FabledSunset &sipStrings_QtGui[33697]
#define sipNameNr_FarawayRiver 33710
#define sipName_FarawayRiver &sipStrings_QtGui[33710]
#define sipNameNr_FindBackward 33723
#define sipName_FindBackward &sipStrings_QtGui[33723]
#define sipNameNr_FindPrevious 33736
#define sipName_FindPrevious &sipStrings_QtGui[33736]
#define sipNameNr_FontFamilies 8312
#define sipName_FontFamilies &sipStrings_QtGui[8312]
#define sipNameNr_FontOverline 25721
#define sipName_FontOverline &sipStrings_QtGui[25721]
#define sipNameNr_ForceOutline 33749
#define sipName_ForceOutline &sipStrings_QtGui[33749]
#define sipNameNr_FormatOption 4076
#define sipName_FormatOption &sipStrings_QtGui[4076]
#define sipNameNr_Format_BGR30 33762
#define sipName_Format_BGR30 &sipStrings_QtGui[33762]
#define sipNameNr_Format_RGB16 33775
#define sipName_Format_RGB16 &sipStrings_QtGui[33775]
#define sipNameNr_Format_RGB30 33788
#define sipName_Format_RGB30 &sipStrings_QtGui[33788]
#define sipNameNr_Format_RGB32 33801
#define sipName_Format_RGB32 &sipStrings_QtGui[33801]
#define sipNameNr_FramePadding 33814
#define sipName_FramePadding &sipStrings_QtGui[33814]
#define sipNameNr_FrozenDreams 33827
#define sipName_FrozenDreams &sipStrings_QtGui[33827]
#define sipNameNr_FullPageMode 33840
#define sipName_FullPageMode &sipStrings_QtGui[33840]
#define sipNameNr_GlyphRunFlag 7712
#define sipName_GlyphRunFlag &sipStrings_QtGui[7712]
#define sipNameNr_GrassShampoo 33853
#define sipName_GrassShampoo &sipStrings_QtGui[33853]
#define sipNameNr_GroupPopType 33866
#define sipName_GroupPopType &sipStrings_QtGui[33866]
#define sipNameNr_HappyUnicorn 33879
#define sipName_HappyUnicorn &sipStrings_QtGui[33879]
#define sipNameNr_HeadingLevel 25753
#define sipName_HeadingLevel &sipStrings_QtGui[25753]
#define sipNameNr_HealthyWater 33892
#define sipName_HealthyWater &sipStrings_QtGui[33892]
#define sipNameNr_HelpContents 33905
#define sipName_HelpContents &sipStrings_QtGui[33905]
#define sipNameNr_HiddenJaguar 33918
#define sipName_HiddenJaguar &sipStrings_QtGui[33918]
#define sipNameNr_HighSeverity 33931
#define sipName_HighSeverity &sipStrings_QtGui[33931]
#define sipNameNr_HtmlResource 33944
#define sipName_HtmlResource &sipStrings_QtGui[33944]
#define sipNameNr_IconNameHook 33957
#define sipName_IconNameHook &sipStrings_QtGui[33957]
#define sipNameNr_IgnoresAlpha 33970
#define sipName_IgnoresAlpha &sipStrings_QtGui[33970]
#define sipNameNr_ImageAltText 33983
#define sipName_ImageAltText &sipStrings_QtGui[33983]
#define sipNameNr_ImageQuality 33996
#define sipName_ImageQuality &sipStrings_QtGui[33996]
#define sipNameNr_Imperial8x10 34009
#define sipName_Imperial8x10 &sipStrings_QtGui[34009]
#define sipNameNr_Imperial9x11 34022
#define sipName_Imperial9x11 &sipStrings_QtGui[34022]
#define sipNameNr_Imperial9x12 34035
#define sipName_Imperial9x12 &sipStrings_QtGui[34035]
#define sipNameNr_Intermediate 34048
#define sipName_Intermediate &sipStrings_QtGui[34048]
#define sipNameNr_LadogaBottom 34061
#define sipName_LadogaBottom &sipStrings_QtGui[34061]
#define sipNameNr_LastPageSize 34074
#define sipName_LastPageSize &sipStrings_QtGui[34074]
#define sipNameNr_LittleEndian 34087
#define sipName_LittleEndian &sipStrings_QtGui[34087]
#define sipNameNr_MetalSurface 34100
#define sipName_MetalSurface &sipStrings_QtGui[34100]
#define sipNameNr_MorningSalad 34113
#define sipName_MorningSalad &sipStrings_QtGui[34113]
#define sipNameNr_MountainRock 34126
#define sipName_MountainRock &sipStrings_QtGui[34126]
#define sipNameNr_NColorGroups 34139
#define sipName_NColorGroups &sipStrings_QtGui[34139]
#define sipNameNr_NPOTTextures 34152
#define sipName_NPOTTextures &sipStrings_QtGui[34152]
#define sipNameNr_NewRetrowave 34165
#define sipName_NewRetrowave &sipStrings_QtGui[34165]
#define sipNameNr_NoAttachment 34178
#define sipName_NoAttachment &sipStrings_QtGui[34178]
#define sipNameNr_NorthMiracle 34191
#define sipName_NorthMiracle &sipStrings_QtGui[34191]
#define sipNameNr_PaintContext 232
#define sipName_PaintContext &sipStrings_QtGui[232]
#define sipNameNr_PainterPaths 34204
#define sipName_PainterPaths &sipStrings_QtGui[34204]
#define sipNameNr_PartialMatch 34217
#define sipName_PartialMatch &sipStrings_QtGui[34217]
#define sipNameNr_PatternBrush 34230
#define sipName_PatternBrush &sipStrings_QtGui[34230]
#define sipNameNr_PdmNumColors 34243
#define sipName_PdmNumColors &sipStrings_QtGui[34243]
#define sipNameNr_PerfectWhite 34256
#define sipName_PerfectWhite &sipStrings_QtGui[34256]
#define sipNameNr_PhoenixStart 34269
#define sipName_PhoenixStart &sipStrings_QtGui[34269]
#define sipNameNr_PoliteRumors 34282
#define sipName_PoliteRumors &sipStrings_QtGui[34282]
#define sipNameNr_PolylineMode 34295
#define sipName_PolylineMode &sipStrings_QtGui[34295]
#define sipNameNr_PortableText 34308
#define sipName_PortableText &sipStrings_QtGui[34308]
#define sipNameNr_PreferBitmap 34321
#define sipName_PreferBitmap &sipStrings_QtGui[34321]
#define sipNameNr_PreferDevice 34334
#define sipName_PreferDevice &sipStrings_QtGui[34334]
#define sipNameNr_PremiumWhite 34347
#define sipName_PremiumWhite &sipStrings_QtGui[34347]
#define sipNameNr_PreviousCell 34360
#define sipName_PreviousCell &sipStrings_QtGui[34360]
#define sipNameNr_PreviousWord 15649
#define sipName_PreviousWord &sipStrings_QtGui[15649]
#define sipNameNr_QActionEvent 34373
#define sipName_QActionEvent &sipStrings_QtGui[34373]
#define sipNameNr_QColor__Spec 34386
#define sipName_QColor__Spec &sipStrings_QtGui[34386]
#define sipNameNr_QExposeEvent 34399
#define sipName_QExposeEvent &sipStrings_QtGui[34399]
#define sipNameNr_QFont__Style 34412
#define sipName_QFont__Style &sipStrings_QtGui[34412]
#define sipNameNr_QFontMetrics 34425
#define sipName_QFontMetrics &sipStrings_QtGui[34425]
#define sipNameNr_QIcon__State 34438
#define sipName_QIcon__State &sipStrings_QtGui[34438]
#define sipNameNr_QImageReader 34451
#define sipName_QImageReader &sipStrings_QtGui[34451]
#define sipNameNr_QImageWriter 34464
#define sipName_QImageWriter &sipStrings_QtGui[34464]
#define sipNameNr_QInputMethod 34477
#define sipName_QInputMethod &sipStrings_QtGui[34477]
#define sipNameNr_QKeySequence 34490
#define sipName_QKeySequence &sipStrings_QtGui[34490]
#define sipNameNr_34503 34503
#define sipName_34503 &sipStrings_QtGui[34503]
#define sipNameNr_QPaintDevice 34516
#define sipName_QPaintDevice &sipStrings_QtGui[34516]
#define sipNameNr_QPaintEngine 34529
#define sipName_QPaintEngine &sipStrings_QtGui[34529]
#define sipNameNr_QPainterPath 34542
#define sipName_QPainterPath &sipStrings_QtGui[34542]
#define sipNameNr_QPixelFormat 34555
#define sipName_QPixelFormat &sipStrings_QtGui[34555]
#define sipNameNr_QPixmapCache 34568
#define sipName_QPixmapCache &sipStrings_QtGui[34568]
#define sipNameNr_QResizeEvent 34581
#define sipName_QResizeEvent &sipStrings_QtGui[34581]
#define sipNameNr_QScrollEvent 34594
#define sipName_QScrollEvent &sipStrings_QtGui[34594]
#define sipNameNr_QTabletEvent 34607
#define sipName_QTabletEvent &sipStrings_QtGui[34607]
#define sipNameNr_QTouchDevice 34620
#define sipName_QTouchDevice &sipStrings_QtGui[34620]
#define sipNameNr_RGBA16_SNorm 34633
#define sipName_RGBA16_SNorm &sipStrings_QtGui[34633]
#define sipNameNr_RGBA16_UNorm 34646
#define sipName_RGBA16_UNorm &sipStrings_QtGui[34646]
#define sipNameNr_RGBA_Integer 34659
#define sipName_RGBA_Integer &sipStrings_QtGui[34659]
#define sipNameNr_RGB_BP_UNorm 30726
#define sipName_RGB_BP_UNorm &sipStrings_QtGui[30726]
#define sipNameNr_RawPositions 34672
#define sipName_RawPositions &sipStrings_QtGui[34672]
#define sipNameNr_RedSalvation 34685
#define sipName_RedSalvation &sipStrings_QtGui[34685]
#define sipNameNr_RepeatSpread 34698
#define sipName_RepeatSpread &sipStrings_QtGui[34698]
#define sipNameNr_ResourceType 4812
#define sipName_ResourceType &sipStrings_QtGui[4812]
#define sipNameNr_RestartNever 34711
#define sipName_RestartNever &sipStrings_QtGui[34711]
#define sipNameNr_SRGB8_Alpha8 34724
#define sipName_SRGB8_Alpha8 &sipStrings_QtGui[34724]
#define sipNameNr_SaltMountain 34737
#define sipName_SaltMountain &sipStrings_QtGui[34737]
#define sipNameNr_SemiExpanded 34750
#define sipName_SemiExpanded &sipStrings_QtGui[34750]
#define sipNameNr_SingleBuffer 34763
#define sipName_SingleBuffer &sipStrings_QtGui[34763]
#define sipNameNr_SingleHeight 34776
#define sipName_SingleHeight &sipStrings_QtGui[34776]
#define sipNameNr_SoftLipstick 34789
#define sipName_SoftLipstick &sipStrings_QtGui[34789]
#define sipNameNr_SpringWarmth 34802
#define sipName_SpringWarmth &sipStrings_QtGui[34802]
#define sipNameNr_StandardMode 34815
#define sipName_StandardMode &sipStrings_QtGui[34815]
#define sipNameNr_StartOfBlock 15668
#define sipName_StartOfBlock &sipStrings_QtGui[15668]
#define sipNameNr_StyleOblique 34828
#define sipName_StyleOblique &sipStrings_QtGui[34828]
#define sipNameNr_SunnyMorning 34841
#define sipName_SunnyMorning &sipStrings_QtGui[34841]
#define sipNameNr_SurfaceClass 9112
#define sipName_SurfaceClass &sipStrings_QtGui[9112]
#define sipNameNr_SwapBehavior 4105
#define sipName_SwapBehavior &sipStrings_QtGui[4105]
#define sipNameNr_SweetDessert 34854
#define sipName_SweetDessert &sipStrings_QtGui[34854]
#define sipNameNr_SwizzleAlpha 34867
#define sipName_SwizzleAlpha &sipStrings_QtGui[34867]
#define sipNameNr_SwizzleGreen 34880
#define sipName_SwizzleGreen &sipStrings_QtGui[34880]
#define sipNameNr_SwizzleValue 3960
#define sipName_SwizzleValue &sipStrings_QtGui[3960]
#define sipNameNr_TabPositions 25977
#define sipName_TabPositions &sipStrings_QtGui[25977]
#define sipNameNr_TableColumns 34893
#define sipName_TableColumns &sipStrings_QtGui[34893]
#define sipNameNr_TabletDevice 5303
#define sipName_TabletDevice &sipStrings_QtGui[5303]
#define sipNameNr_TabloidExtra 34906
#define sipName_TabloidExtra &sipStrings_QtGui[34906]
#define sipNameNr_TargetBuffer 13590
#define sipName_TargetBuffer &sipStrings_QtGui[13590]
#define sipNameNr_TeenNotebook 34919
#define sipName_TeenNotebook &sipStrings_QtGui[34919]
#define sipNameNr_TripleBuffer 34932
#define sipName_TripleBuffer &sipStrings_QtGui[34932]
#define sipNameNr_UInt16_RGBA4 34945
#define sipName_UInt16_RGBA4 &sipStrings_QtGui[34945]
#define sipNameNr_UInt32_D24S8 34958
#define sipName_UInt32_D24S8 &sipStrings_QtGui[34958]
#define sipNameNr_UInt32_RGBA8 34971
#define sipName_UInt32_RGBA8 &sipStrings_QtGui[34971]
#define sipNameNr_UnknownError 34984
#define sipName_UnknownError &sipStrings_QtGui[34984]
#define sipNameNr_UnsignedByte 34997
#define sipName_UnsignedByte &sipStrings_QtGui[34997]
#define sipNameNr_UsagePattern 4588
#define sipName_UsagePattern &sipStrings_QtGui[4588]
#define sipNameNr_UserProperty 35010
#define sipName_UserProperty &sipStrings_QtGui[35010]
#define sipNameNr_UserResource 35023
#define sipName_UserResource &sipStrings_QtGui[35023]
#define sipNameNr_VertexBuffer 35036
#define sipName_VertexBuffer &sipStrings_QtGui[35036]
#define sipNameNr_WrapAnywhere 35049
#define sipName_WrapAnywhere &sipStrings_QtGui[35049]
#define sipNameNr_YoungPassion 35062
#define sipName_YoungPassion &sipStrings_QtGui[35062]
#define sipNameNr___contains__ 35075
#define sipName___contains__ &sipStrings_QtGui[35075]
#define sipNameNr___itruediv__ 35088
#define sipName___itruediv__ &sipStrings_QtGui[35088]
#define sipNameNr_angleBetween 35101
#define sipName_angleBetween &sipStrings_QtGui[35101]
#define sipNameNr_antiquewhite 35114
#define sipName_antiquewhite &sipStrings_QtGui[35114]
#define sipNameNr_appendColumn 35127
#define sipName_appendColumn &sipStrings_QtGui[35127]
#define sipNameNr_atBlockStart 35140
#define sipName_atBlockStart &sipStrings_QtGui[35140]
#define sipNameNr_bitsPerPixel 35153
#define sipName_bitsPerPixel &sipStrings_QtGui[35153]
#define sipNameNr_blockRemoved 35166
#define sipName_blockRemoved &sipStrings_QtGui[35166]
#define sipNameNr_boolProperty 35179
#define sipName_boolProperty &sipStrings_QtGui[35179]
#define sipNameNr_bottomBorder 35192
#define sipName_bottomBorder &sipStrings_QtGui[35192]
#define sipNameNr_bottomMargin 35205
#define sipName_bottomMargin &sipStrings_QtGui[35205]
#define sipNameNr_boundingRect 35218
#define sipName_boundingRect &sipStrings_QtGui[35218]
#define sipNameNr_bytesPerLine 35231
#define sipName_bytesPerLine &sipStrings_QtGui[35231]
#define sipNameNr_cacheEnabled 35244
#define sipName_cacheEnabled &sipStrings_QtGui[35244]
#define sipNameNr_canFetchMore 35257
#define sipName_canFetchMore &sipStrings_QtGui[35257]
#define sipNameNr_capabilities 35270
#define sipName_capabilities &sipStrings_QtGui[35270]
#define sipNameNr_centerRadius 35283
#define sipName_centerRadius &sipStrings_QtGui[35283]
#define sipNameNr_channelCount 35296
#define sipName_channelCount &sipStrings_QtGui[35296]
#define sipNameNr_clearFormats 35309
#define sipName_clearFormats &sipStrings_QtGui[35309]
#define sipNameNr_closeSubpath 35322
#define sipName_closeSubpath &sipStrings_QtGui[35322]
#define sipNameNr_columnNumber 35335
#define sipName_columnNumber &sipStrings_QtGui[35335]
#define sipNameNr_commitString 35348
#define sipName_commitString &sipStrings_QtGui[35348]
#define sipNameNr_createObject 35361
#define sipName_createObject &sipStrings_QtGui[35361]
#define sipNameNr_createStroke 35374
#define sipName_createStroke &sipStrings_QtGui[35374]
#define sipNameNr_crossProduct 35387
#define sipName_crossProduct &sipStrings_QtGui[35387]
#define sipNameNr_currentBlock 35400
#define sipName_currentBlock &sipStrings_QtGui[35400]
#define sipNameNr_currentFrame 35413
#define sipName_currentFrame &sipStrings_QtGui[35413]
#define sipNameNr_currentImage 35426
#define sipName_currentImage &sipStrings_QtGui[35426]
#define sipNameNr_currentTable 35439
#define sipName_currentTable &sipStrings_QtGui[35439]
#define sipNameNr_darkseagreen 35452
#define sipName_darkseagreen &sipStrings_QtGui[35452]
#define sipNameNr_defaultDepth 35465
#define sipName_defaultDepth &sipStrings_QtGui[35465]
#define sipNameNr_documentSize 35478
#define sipName_documentSize &sipStrings_QtGui[35478]
#define sipNameNr_drawContents 35491
#define sipName_drawContents &sipStrings_QtGui[35491]
#define sipNameNr_drawGlyphRun 35504
#define sipName_drawGlyphRun &sipStrings_QtGui[35504]
#define sipNameNr_drawPolyline 35517
#define sipName_drawPolyline &sipStrings_QtGui[35517]
#define sipNameNr_drawTextItem 35530
#define sipName_drawTextItem &sipStrings_QtGui[35530]
#define sipNameNr_dropMimeData 35543
#define sipName_dropMimeData &sipStrings_QtGui[35543]
#define sipNameNr_elementCount 35556
#define sipName_elementCount &sipStrings_QtGui[35556]
#define sipNameNr_endEditBlock 35569
#define sipName_endEditBlock &sipStrings_QtGui[35569]
#define sipNameNr_focusInEvent 35582
#define sipName_focusInEvent &sipStrings_QtGui[35582]
#define sipNameNr_fontFamilies 35595
#define sipName_fontFamilies &sipStrings_QtGui[35595]
#define sipNameNr_fontOverline 35608
#define sipName_fontOverline &sipStrings_QtGui[35608]
#define sipNameNr_frameChanged 35621
#define sipName_frameChanged &sipStrings_QtGui[35621]
#define sipNameNr_frameMargins 35634
#define sipName_frameMargins &sipStrings_QtGui[35634]
#define sipNameNr_frameSwapped 35647
#define sipName_frameSwapped &sipStrings_QtGui[35647]
#define sipNameNr_glyphIndexes 35660
#define sipName_glyphIndexes &sipStrings_QtGui[35660]
#define sipNameNr_hasExtension 35673
#define sipName_hasExtension &sipStrings_QtGui[35673]
#define sipNameNr_hasSelection 35686
#define sipName_hasSelection &sipStrings_QtGui[35686]
#define sipNameNr_hasThemeIcon 35699
#define sipName_hasThemeIcon &sipStrings_QtGui[35699]
#define sipNameNr_headingLevel 35712
#define sipName_headingLevel &sipStrings_QtGui[35712]
#define sipNameNr_hiResGlobalX 35725
#define sipName_hiResGlobalX &sipStrings_QtGui[35725]
#define sipNameNr_hiResGlobalY 35738
#define sipName_hiResGlobalY &sipStrings_QtGui[35738]
#define sipNameNr_initializeGL 35751
#define sipName_initializeGL &sipStrings_QtGui[35751]
#define sipNameNr_inputFormats 35764
#define sipName_inputFormats &sipStrings_QtGui[35764]
#define sipNameNr_insertColumn 35777
#define sipName_insertColumn &sipStrings_QtGui[35777]
#define sipNameNr_invertPixels 35790
#define sipName_invertPixels &sipStrings_QtGui[35790]
#define sipNameNr_invokeAction 35803
#define sipName_invokeAction &sipStrings_QtGui[35803]
#define sipNameNr_isAncestorOf 35816
#define sipName_isAncestorOf &sipStrings_QtGui[35816]
#define sipNameNr_isAutoRepeat 35829
#define sipName_isAutoRepeat &sipStrings_QtGui[35829]
#define sipNameNr_isCharFormat 35842
#define sipName_isCharFormat &sipStrings_QtGui[35842]
#define sipNameNr_isFixedPitch 35855
#define sipName_isFixedPitch &sipStrings_QtGui[35855]
#define sipNameNr_isInvertible 35868
#define sipName_isInvertible &sipStrings_QtGui[35868]
#define sipNameNr_isListFormat 35881
#define sipName_isListFormat &sipStrings_QtGui[35881]
#define sipNameNr_isSelectable 35894
#define sipName_isSelectable &sipStrings_QtGui[35894]
#define sipNameNr_isValidColor 35907
#define sipName_isValidColor &sipStrings_QtGui[35907]
#define sipNameNr_lastPosition 35920
#define sipName_lastPosition &sipStrings_QtGui[35920]
#define sipNameNr_lastScenePos 35933
#define sipName_lastScenePos &sipStrings_QtGui[35933]
#define sipNameNr_lemonchiffon 35946
#define sipName_lemonchiffon &sipStrings_QtGui[35946]
#define sipNameNr_lightskyblue 35959
#define sipName_lightskyblue &sipStrings_QtGui[35959]
#define sipNameNr_listToString 35972
#define sipName_listToString &sipStrings_QtGui[35972]
#define sipNameNr_loadFromData 35985
#define sipName_loadFromData &sipStrings_QtGui[35985]
#define sipNameNr_loadFromFile 35998
#define sipName_loadFromFile &sipStrings_QtGui[35998]
#define sipNameNr_loadResource 36011
#define sipName_loadResource &sipStrings_QtGui[36011]
#define sipNameNr_majorVersion 36024
#define sipName_majorVersion &sipStrings_QtGui[36024]
#define sipNameNr_manufacturer 36037
#define sipName_manufacturer &sipStrings_QtGui[36037]
#define sipNameNr_mapToPolygon 36050
#define sipName_mapToPolygon &sipStrings_QtGui[36050]
#define sipNameNr_maxCharWidth 36063
#define sipName_maxCharWidth &sipStrings_QtGui[36063]
#define sipNameNr_maximumWidth 36076
#define sipName_maximumWidth &sipStrings_QtGui[36076]
#define sipNameNr_mediumorchid 36089
#define sipName_mediumorchid &sipStrings_QtGui[36089]
#define sipNameNr_mediumpurple 36102
#define sipName_mediumpurple &sipStrings_QtGui[36102]
#define sipNameNr_midnightblue 36115
#define sipName_midnightblue &sipStrings_QtGui[36115]
#define sipNameNr_minimumWidth 36128
#define sipName_minimumWidth &sipStrings_QtGui[36128]
#define sipNameNr_minorVersion 36141
#define sipName_minorVersion &sipStrings_QtGui[36141]
#define sipNameNr_mipBaseLevel 36154
#define sipName_mipBaseLevel &sipStrings_QtGui[36154]
#define sipNameNr_mouseButtons 36167
#define sipName_mouseButtons &sipStrings_QtGui[36167]
#define sipNameNr_movePosition 36180
#define sipName_movePosition &sipStrings_QtGui[36180]
#define sipNameNr_nativeHandle 36193
#define sipName_nativeHandle &sipStrings_QtGui[36193]
#define sipNameNr_normalMatrix 36206
#define sipName_normalMatrix &sipStrings_QtGui[36206]
#define sipNameNr_numberPrefix 36219
#define sipName_numberPrefix &sipStrings_QtGui[36219]
#define sipNameNr_numberSuffix 36232
#define sipName_numberSuffix &sipStrings_QtGui[36232]
#define sipNameNr_paintFlipped 36245
#define sipName_paintFlipped &sipStrings_QtGui[36245]
#define sipNameNr_paintUnderGL 36258
#define sipName_paintUnderGL &sipStrings_QtGui[36258]
#define sipNameNr_pathForGlyph 36271
#define sipName_pathForGlyph &sipStrings_QtGui[36271]
#define sipNameNr_physicalDpiX 36284
#define sipName_physicalDpiX &sipStrings_QtGui[36284]
#define sipNameNr_physicalDpiY 36297
#define sipName_physicalDpiY &sipStrings_QtGui[36297]
#define sipNameNr_physicalSize 36310
#define sipName_physicalSize &sipStrings_QtGui[36310]
#define sipNameNr_platformName 36323
#define sipName_platformName &sipStrings_QtGui[36323]
#define sipNameNr_qPremultiply 36336
#define sipName_qPremultiply &sipStrings_QtGui[36336]
#define sipNameNr_quadToSquare 36349
#define sipName_quadToSquare &sipStrings_QtGui[36349]
#define sipNameNr_removeColumn 36362
#define sipName_removeColumn &sipStrings_QtGui[36362]
#define sipNameNr_removeShader 36375
#define sipName_removeShader &sipStrings_QtGui[36375]
#define sipNameNr_rightBearing 36388
#define sipName_rightBearing &sipStrings_QtGui[36388]
#define sipNameNr_rightPadding 36401
#define sipName_rightPadding &sipStrings_QtGui[36401]
#define sipNameNr_scaledPixmap 36414
#define sipName_scaledPixmap &sipStrings_QtGui[36414]
#define sipNameNr_selectedText 36427
#define sipName_selectedText &sipStrings_QtGui[36427]
#define sipNameNr_selectionEnd 36440
#define sipName_selectionEnd &sipStrings_QtGui[36440]
#define sipNameNr_serialNumber 36453
#define sipName_serialNumber &sipStrings_QtGui[36453]
#define sipNameNr_setAlignment 36466
#define sipName_setAlignment &sipStrings_QtGui[36466]
#define sipNameNr_setCacheMode 36479
#define sipName_setCacheMode &sipStrings_QtGui[36479]
#define sipNameNr_setCheckable 36492
#define sipName_setCheckable &sipStrings_QtGui[36492]
#define sipNameNr_setFinalStop 36505
#define sipName_setFinalStop &sipStrings_QtGui[36505]
#define sipNameNr_setJoinStyle 36518
#define sipName_setJoinStyle &sipStrings_QtGui[36518]
#define sipNameNr_setLineCount 36531
#define sipName_setLineCount &sipStrings_QtGui[36531]
#define sipNameNr_setLineWidth 36544
#define sipName_setLineWidth &sipStrings_QtGui[36544]
#define sipNameNr_setMipLevels 36557
#define sipName_setMipLevels &sipStrings_QtGui[36557]
#define sipNameNr_setPixelSize 36570
#define sipName_setPixelSize &sipStrings_QtGui[36570]
#define sipNameNr_setPlainText 36583
#define sipName_setPlainText &sipStrings_QtGui[36583]
#define sipNameNr_setPointSize 36596
#define sipName_setPointSize &sipStrings_QtGui[36596]
#define sipNameNr_setPositions 36609
#define sipName_setPositions &sipStrings_QtGui[36609]
#define sipNameNr_setPrimaries 36622
#define sipName_setPrimaries &sipStrings_QtGui[36622]
#define sipNameNr_setRowLength 36635
#define sipName_setRowLength &sipStrings_QtGui[36635]
#define sipNameNr_setStatusTip 36648
#define sipName_setStatusTip &sipStrings_QtGui[36648]
#define sipNameNr_setStrikeOut 36661
#define sipName_setStrikeOut &sipStrings_QtGui[36661]
#define sipNameNr_setStyleHint 36674
#define sipName_setStyleHint &sipStrings_QtGui[36674]
#define sipNameNr_setStyleName 36687
#define sipName_setStyleName &sipStrings_QtGui[36687]
#define sipNameNr_setTextWidth 36700
#define sipName_setTextWidth &sipStrings_QtGui[36700]
#define sipNameNr_setThemeName 36713
#define sipName_setThemeName &sipStrings_QtGui[36713]
#define sipNameNr_setTimestamp 36726
#define sipName_setTimestamp &sipStrings_QtGui[36726]
#define sipNameNr_setTopBorder 36739
#define sipName_setTopBorder &sipStrings_QtGui[36739]
#define sipNameNr_setTopMargin 36752
#define sipName_setTopMargin &sipStrings_QtGui[36752]
#define sipNameNr_setTransform 28561
#define sipName_setTransform &sipStrings_QtGui[28561]
#define sipNameNr_setUnderline 36765
#define sipName_setUnderline &sipStrings_QtGui[36765]
#define sipNameNr_setUserState 36778
#define sipName_setUserState &sipStrings_QtGui[36778]
#define sipNameNr_setWhatsThis 36791
#define sipName_setWhatsThis &sipStrings_QtGui[36791]
#define sipNameNr_shareContext 36804
#define sipName_shareContext &sipStrings_QtGui[36804]
#define sipNameNr_smoothScaled 36817
#define sipName_smoothScaled &sipStrings_QtGui[36817]
#define sipNameNr_sortChildren 36830
#define sipName_sortChildren &sipStrings_QtGui[36830]
#define sipNameNr_squareToQuad 36843
#define sipName_squareToQuad &sipStrings_QtGui[36843]
#define sipNameNr_startLogging 36856
#define sipName_startLogging &sipStrings_QtGui[36856]
#define sipNameNr_stateChanged 36869
#define sipName_stateChanged &sipStrings_QtGui[36869]
#define sipNameNr_strikeOutPos 36882
#define sipName_strikeOutPos &sipStrings_QtGui[36882]
#define sipNameNr_surfaceClass 36895
#define sipName_surfaceClass &sipStrings_QtGui[36895]
#define sipNameNr_swapBehavior 36908
#define sipName_swapBehavior &sipStrings_QtGui[36908]
#define sipNameNr_swapInterval 36921
#define sipName_swapInterval &sipStrings_QtGui[36921]
#define sipNameNr_tabPositions 36934
#define sipName_tabPositions &sipStrings_QtGui[36934]
#define sipNameNr_textPosition 36947
#define sipName_textPosition &sipStrings_QtGui[36947]
#define sipNameNr_textureImage 36960
#define sipName_textureImage &sipStrings_QtGui[36960]
#define sipNameNr_toCharFormat 36973
#define sipName_toCharFormat &sipStrings_QtGui[36973]
#define sipNameNr_toListFormat 36986
#define sipName_toListFormat &sipStrings_QtGui[36986]
#define sipNameNr_underlinePos 36999
#define sipName_underlinePos &sipStrings_QtGui[36999]
#define sipNameNr_usagePattern 37012
#define sipName_usagePattern &sipStrings_QtGui[37012]
#define sipNameNr_viewportSize 37025
#define sipName_viewportSize &sipStrings_QtGui[37025]
#define sipNameNr_widthChanged 37038
#define sipName_widthChanged &sipStrings_QtGui[37038]
#define sipNameNr_windowStates 37051
#define sipName_windowStates &sipStrings_QtGui[37051]
#define sipNameNr_AboveTheSky 37064
#define sipName_AboveTheSky &sipStrings_QtGui[37064]
#define sipNameNr_AlignBottom 37076
#define sipName_AlignBottom &sipStrings_QtGui[37076]
#define sipNameNr_AlignMiddle 37088
#define sipName_AlignMiddle &sipStrings_QtGui[37088]
#define sipNameNr_AlignNormal 37100
#define sipName_AlignNormal &sipStrings_QtGui[37100]
#define sipNameNr_AllFeatures 37112
#define sipName_AllFeatures &sipStrings_QtGui[37112]
#define sipNameNr_AlphaFormat 11935
#define sipName_AlphaFormat &sipStrings_QtGui[11935]
#define sipNameNr_AnySeverity 37124
#define sipName_AnySeverity &sipStrings_QtGui[37124]
#define sipNameNr_AtBeginning 37136
#define sipName_AtBeginning &sipStrings_QtGui[37136]
#define sipNameNr_AwesomePine 37148
#define sipName_AwesomePine &sipStrings_QtGui[37148]
#define sipNameNr_BGR_Integer 37160
#define sipName_BGR_Integer &sipStrings_QtGui[37160]
#define sipNameNr_BlockFormat 21285
#define sipName_BlockFormat &sipStrings_QtGui[21285]
#define sipNameNr_BlockIndent 37172
#define sipName_BlockIndent &sipStrings_QtGui[37172]
#define sipNameNr_BlockMarker 37184
#define sipName_BlockMarker &sipStrings_QtGui[37184]
#define sipNameNr_BorderStyle 3401
#define sipName_BorderStyle &sipStrings_QtGui[3401]
#define sipNameNr_BrushStroke 37196
#define sipName_BrushStroke &sipStrings_QtGui[37196]
#define sipNameNr_ClampToEdge 37208
#define sipName_ClampToEdge &sipStrings_QtGui[37208]
#define sipNameNr_CleanMirror 37220
#define sipName_CleanMirror &sipStrings_QtGui[37220]
#define sipNameNr_CloudyApple 37232
#define sipName_CloudyApple &sipStrings_QtGui[37232]
#define sipNameNr_CochitiLake 37244
#define sipName_CochitiLake &sipStrings_QtGui[37244]
#define sipNameNr_ColdEvening 37256
#define sipName_ColdEvening &sipStrings_QtGui[37256]
#define sipNameNr_CompareLess 37268
#define sipName_CompareLess &sipStrings_QtGui[37268]
#define sipNameNr_CompareNone 37280
#define sipName_CompareNone &sipStrings_QtGui[37280]
#define sipNameNr_ContextMenu 37292
#define sipName_ContextMenu &sipStrings_QtGui[37292]
#define sipNameNr_CoreProfile 37304
#define sipName_CoreProfile &sipStrings_QtGui[37304]
#define sipNameNr_Crystalline 37316
#define sipName_Crystalline &sipStrings_QtGui[37316]
#define sipNameNr_CubeMapFace 4673
#define sipName_CubeMapFace &sipStrings_QtGui[4673]
#define sipNameNr_DarkMagenta 37328
#define sipName_DarkMagenta &sipStrings_QtGui[37328]
#define sipNameNr_DashDotLine 37340
#define sipName_DashDotLine &sipStrings_QtGui[37340]
#define sipNameNr_DepthFormat 37352
#define sipName_DepthFormat &sipStrings_QtGui[37352]
#define sipNameNr_Description 7393
#define sipName_Description &sipStrings_QtGui[7393]
#define sipNameNr_DeviceError 37364
#define sipName_DeviceError &sipStrings_QtGui[37364]
#define sipNameNr_DirtyBeauty 37376
#define sipName_DirtyBeauty &sipStrings_QtGui[37376]
#define sipNameNr_DocumentUrl 37388
#define sipName_DocumentUrl &sipStrings_QtGui[37388]
#define sipNameNr_DynamicCopy 37400
#define sipName_DynamicCopy &sipStrings_QtGui[37400]
#define sipNameNr_DynamicDraw 37412
#define sipName_DynamicDraw &sipStrings_QtGui[37412]
#define sipNameNr_DynamicRead 37424
#define sipName_DynamicRead &sipStrings_QtGui[37424]
#define sipNameNr_ElementType 6123
#define sipName_ElementType &sipStrings_QtGui[6123]
#define sipNameNr_EnvelopeC65 37436
#define sipName_EnvelopeC65 &sipStrings_QtGui[37436]
#define sipNameNr_ExtendedRgb 33261
#define sipName_ExtendedRgb &sipStrings_QtGui[33261]
#define sipNameNr_FebruaryInk 37448
#define sipName_FebruaryInk &sipStrings_QtGui[37448]
#define sipNameNr_FixedHeight 37460
#define sipName_FixedHeight &sipStrings_QtGui[37460]
#define sipNameNr_FixedLength 37472
#define sipName_FixedLength &sipStrings_QtGui[37472]
#define sipNameNr_FlyingLemon 37484
#define sipName_FlyingLemon &sipStrings_QtGui[37484]
#define sipNameNr_FontKerning 28907
#define sipName_FontKerning &sipStrings_QtGui[28907]
#define sipNameNr_FontStretch 28922
#define sipName_FontStretch &sipStrings_QtGui[28922]
#define sipNameNr_FormatRange 7093
#define sipName_FormatRange &sipStrings_QtGui[7093]
#define sipNameNr_Format_Mono 37496
#define sipName_Format_Mono &sipStrings_QtGui[37496]
#define sipNameNr_FrameBorder 37508
#define sipName_FrameBorder &sipStrings_QtGui[37508]
#define sipNameNr_FrameFormat 21302
#define sipName_FrameFormat &sipStrings_QtGui[21302]
#define sipNameNr_FrameHeight 37520
#define sipName_FrameHeight &sipStrings_QtGui[37520]
#define sipNameNr_FrameMargin 37532
#define sipName_FrameMargin &sipStrings_QtGui[37532]
#define sipNameNr_FrozenBerry 37544
#define sipName_FrozenBerry &sipStrings_QtGui[37544]
#define sipNameNr_GagarinView 37556
#define sipName_GagarinView &sipStrings_QtGui[37556]
#define sipNameNr_GeneralFont 37568
#define sipName_GeneralFont &sipStrings_QtGui[37568]
#define sipNameNr_HappyFisher 37580
#define sipName_HappyFisher &sipStrings_QtGui[37580]
#define sipNameNr_HeavenPeach 37592
#define sipName_HeavenPeach &sipStrings_QtGui[37592]
#define sipNameNr_ImageHeight 28952
#define sipName_ImageHeight &sipStrings_QtGui[28952]
#define sipNameNr_ImageObject 37604
#define sipName_ImageObject &sipStrings_QtGui[37604]
#define sipNameNr_ImageOption 3816
#define sipName_ImageOption &sipStrings_QtGui[3816]
#define sipNameNr_Imperial7x9 37616
#define sipName_Imperial7x9 &sipStrings_QtGui[37616]
#define sipNameNr_IndexBuffer 37628
#define sipName_IndexBuffer &sipStrings_QtGui[37628]
#define sipNameNr_InvalidType 37640
#define sipName_InvalidType &sipStrings_QtGui[37640]
#define sipNameNr_LayoutFlags 10427
#define sipName_LayoutFlags &sipStrings_QtGui[10427]
#define sipNameNr_LetterExtra 37652
#define sipName_LetterExtra &sipStrings_QtGui[37652]
#define sipNameNr_LetterSmall 37664
#define sipName_LetterSmall &sipStrings_QtGui[37664]
#define sipNameNr_LinkVisited 37676
#define sipName_LinkVisited &sipStrings_QtGui[37676]
#define sipNameNr_ListDecimal 37688
#define sipName_ListDecimal &sipStrings_QtGui[37688]
#define sipNameNr_LoggingMode 2047
#define sipName_LoggingMode &sipStrings_QtGui[2047]
#define sipNameNr_LogicalMode 37700
#define sipName_LogicalMode &sipStrings_QtGui[37700]
#define sipNameNr_LowSeverity 37712
#define sipName_LowSeverity &sipStrings_QtGui[37712]
#define sipNameNr_MalibuBeach 37724
#define sipName_MalibuBeach &sipStrings_QtGui[37724]
#define sipNameNr_MaskedBrush 37736
#define sipName_MaskedBrush &sipStrings_QtGui[37736]
#define sipNameNr_MorpheusDen 37748
#define sipName_MorpheusDen &sipStrings_QtGui[37748]
#define sipNameNr_NColorRoles 37760
#define sipName_NColorRoles &sipStrings_QtGui[37760]
#define sipNameNr_NoAntialias 37772
#define sipName_NoAntialias &sipStrings_QtGui[37772]
#define sipNameNr_NoPixelType 37784
#define sipName_NoPixelType &sipStrings_QtGui[37784]
#define sipNameNr_NoUnderline 37796
#define sipName_NoUnderline &sipStrings_QtGui[37796]
#define sipNameNr_NorseBeauty 37808
#define sipName_NorseBeauty &sipStrings_QtGui[37808]
#define sipNameNr_ObjectIndex 29042
#define sipName_ObjectIndex &sipStrings_QtGui[29042]
#define sipNameNr_ObjectTypes 7068
#define sipName_ObjectTypes &sipStrings_QtGui[7068]
#define sipNameNr_OddEvenMode 37820
#define sipName_OddEvenMode &sipStrings_QtGui[37820]
#define sipNameNr_OrangeJuice 37832
#define sipName_OrangeJuice &sipStrings_QtGui[37832]
#define sipNameNr_Orientation 6918
#define sipName_Orientation &sipStrings_QtGui[6918]
#define sipNameNr_OtherSource 37844
#define sipName_OtherSource &sipStrings_QtGui[37844]
#define sipNameNr_PaintBuffer 37856
#define sipName_PaintBuffer &sipStrings_QtGui[37856]
#define sipNameNr_PdmHeightMM 37868
#define sipName_PdmHeightMM &sipStrings_QtGui[37868]
#define sipNameNr_PerfectBlue 37880
#define sipName_PerfectBlue &sipStrings_QtGui[37880]
#define sipNameNr_PixelFormat 4701
#define sipName_PixelFormat &sipStrings_QtGui[4701]
#define sipNameNr_PointerType 6175
#define sipName_PointerType &sipStrings_QtGui[6175]
#define sipNameNr_PreferMatch 37892
#define sipName_PreferMatch &sipStrings_QtGui[37892]
#define sipNameNr_Preferences 37904
#define sipName_Preferences &sipStrings_QtGui[37904]
#define sipNameNr_PremiumDark 37916
#define sipName_PremiumDark &sipStrings_QtGui[37916]
#define sipNameNr_PreviousRow 37928
#define sipName_PreviousRow &sipStrings_QtGui[37928]
#define sipNameNr_ProPhotoRgb 37940
#define sipName_ProPhotoRgb &sipStrings_QtGui[37940]
#define sipNameNr_PyQt5_QtGui 37952
#define sipName_PyQt5_QtGui &sipStrings_QtGui[37952]
#define sipNameNr_QCloseEvent 37964
#define sipName_QCloseEvent &sipStrings_QtGui[37964]
#define sipNameNr_QColorSpace 37976
#define sipName_QColorSpace &sipStrings_QtGui[37976]
#define sipNameNr_QEnterEvent 37988
#define sipName_QEnterEvent &sipStrings_QtGui[37988]
#define sipNameNr_QFocusEvent 38000
#define sipName_QFocusEvent &sipStrings_QtGui[38000]
#define sipNameNr_QHoverEvent 38012
#define sipName_QHoverEvent &sipStrings_QtGui[38012]
#define sipNameNr_QIcon__Mode 38024
#define sipName_QIcon__Mode &sipStrings_QtGui[38024]
#define sipNameNr_QIconEngine 38036
#define sipName_QIconEngine &sipStrings_QtGui[38036]
#define sipNameNr_QInputEvent 38048
#define sipName_QInputEvent &sipStrings_QtGui[38048]
#define sipNameNr_QMouseEvent 38060
#define sipName_QMouseEvent &sipStrings_QtGui[38060]
#define sipNameNr_QPageLayout 38072
#define sipName_QPageLayout &sipStrings_QtGui[38072]
#define sipNameNr_QPaintEvent 38084
#define sipName_QPaintEvent &sipStrings_QtGui[38084]
#define sipNameNr_QQuaternion 38096
#define sipName_QQuaternion &sipStrings_QtGui[38096]
#define sipNameNr_QStaticText 38108
#define sipName_QStaticText &sipStrings_QtGui[38108]
#define sipNameNr_QStyleHints 38120
#define sipName_QStyleHints &sipStrings_QtGui[38120]
#define sipNameNr_QTextCursor 38132
#define sipName_QTextCursor &sipStrings_QtGui[38132]
#define sipNameNr_QTextFormat 38144
#define sipName_QTextFormat &sipStrings_QtGui[38144]
#define sipNameNr_QTextLayout 38156
#define sipName_QTextLayout &sipStrings_QtGui[38156]
#define sipNameNr_QTextLength 38168
#define sipName_QTextLength &sipStrings_QtGui[38168]
#define sipNameNr_QTextObject 38180
#define sipName_QTextObject &sipStrings_QtGui[38180]
#define sipNameNr_QTextOption 38192
#define sipName_QTextOption &sipStrings_QtGui[38192]
#define sipNameNr_QTouchEvent 38204
#define sipName_QTouchEvent &sipStrings_QtGui[38204]
#define sipNameNr_QWheelEvent 38216
#define sipName_QWheelEvent &sipStrings_QtGui[38216]
#define sipNameNr_RGB16_SNorm 38228
#define sipName_RGB16_SNorm &sipStrings_QtGui[38228]
#define sipNameNr_RGB16_UNorm 38240
#define sipName_RGB16_UNorm &sipStrings_QtGui[38240]
#define sipNameNr_RGBA8_SNorm 38252
#define sipName_RGBA8_SNorm &sipStrings_QtGui[38252]
#define sipNameNr_RGBA8_UNorm 38264
#define sipName_RGBA8_UNorm &sipStrings_QtGui[38264]
#define sipNameNr_RGB_Integer 38276
#define sipName_RGB_Integer &sipStrings_QtGui[38276]
#define sipNameNr_Red_Integer 38288
#define sipName_Red_Integer &sipStrings_QtGui[38288]
#define sipNameNr_RenderFlags 9136
#define sipName_RenderFlags &sipStrings_QtGui[9136]
#define sipNameNr_RenderHints 10361
#define sipName_RenderHints &sipStrings_QtGui[10361]
#define sipNameNr_RestartHint 4019
#define sipName_RestartHint &sipStrings_QtGui[4019]
#define sipNameNr_RightToLeft 29177
#define sipName_RightToLeft &sipStrings_QtGui[29177]
#define sipNameNr_RipeMalinka 38300
#define sipName_RipeMalinka &sipStrings_QtGui[38300]
#define sipNameNr_RoyalGarden 38312
#define sipName_RoyalGarden &sipStrings_QtGui[38312]
#define sipNameNr_ScrollState 6149
#define sipName_ScrollState &sipStrings_QtGui[6149]
#define sipNameNr_SmartIndigo 38324
#define sipName_SmartIndigo &sipStrings_QtGui[38324]
#define sipNameNr_SmilingRain 38336
#define sipName_SmilingRain &sipStrings_QtGui[38336]
#define sipNameNr_SoftCherish 38348
#define sipName_SoftCherish &sipStrings_QtGui[38348]
#define sipNameNr_SpacingType 7468
#define sipName_SpacingType &sipStrings_QtGui[7468]
#define sipNameNr_StandardKey 5993
#define sipName_StandardKey &sipStrings_QtGui[5993]
#define sipNameNr_StartOfLine 18213
#define sipName_StartOfLine &sipStrings_QtGui[18213]
#define sipNameNr_StartOfWord 18015
#define sipName_StartOfWord &sipStrings_QtGui[18015]
#define sipNameNr_StencilMode 1361
#define sipName_StencilMode &sipStrings_QtGui[1361]
#define sipNameNr_StrongBliss 38360
#define sipName_StrongBliss &sipStrings_QtGui[38360]
#define sipNameNr_StrongStick 38372
#define sipName_StrongStick &sipStrings_QtGui[38372]
#define sipNameNr_StyleItalic 38384
#define sipName_StyleItalic &sipStrings_QtGui[38384]
#define sipNameNr_StyleNormal 38396
#define sipName_StyleNormal &sipStrings_QtGui[38396]
#define sipNameNr_SummerGames 38408
#define sipName_SummerGames &sipStrings_QtGui[38408]
#define sipNameNr_SurfaceType 10449
#define sipName_SurfaceType &sipStrings_QtGui[10449]
#define sipNameNr_SweetPeriod 38420
#define sipName_SweetPeriod &sipStrings_QtGui[38420]
#define sipNameNr_SwizzleBlue 38432
#define sipName_SwizzleBlue &sipStrings_QtGui[38432]
#define sipNameNr_TableFormat 21353
#define sipName_TableFormat &sipStrings_QtGui[21353]
#define sipNameNr_TableObject 38444
#define sipName_TableObject &sipStrings_QtGui[38444]
#define sipNameNr_TextOutline 29222
#define sipName_TextOutline &sipStrings_QtGui[29222]
#define sipNameNr_TextToolTip 38456
#define sipName_TextToolTip &sipStrings_QtGui[38456]
#define sipNameNr_ToolTipBase 38468
#define sipName_ToolTipBase &sipStrings_QtGui[38468]
#define sipNameNr_ToolTipText 38480
#define sipName_ToolTipText &sipStrings_QtGui[38480]
#define sipNameNr_TouchScreen 38492
#define sipName_TouchScreen &sipStrings_QtGui[38492]
#define sipNameNr_Transparent 31805
#define sipName_Transparent &sipStrings_QtGui[31805]
#define sipNameNr_TxTranslate 38504
#define sipName_TxTranslate &sipStrings_QtGui[38504]
#define sipNameNr_UInt8_RG3B2 38516
#define sipName_UInt8_RG3B2 &sipStrings_QtGui[38516]
#define sipNameNr_Unstretched 38528
#define sipName_Unstretched &sipStrings_QtGui[38528]
#define sipNameNr_WindingMode 38540
#define sipName_WindingMode &sipStrings_QtGui[38540]
#define sipNameNr_XFreeEraser 38552
#define sipName_XFreeEraser &sipStrings_QtGui[38552]
#define sipNameNr_ZeusMiracle 38564
#define sipName_ZeusMiracle &sipStrings_QtGui[38564]
#define sipNameNr___delitem__ 38576
#define sipName___delitem__ &sipStrings_QtGui[38576]
#define sipNameNr___getitem__ 38588
#define sipName___getitem__ &sipStrings_QtGui[38588]
#define sipNameNr___imatmul__ 38600
#define sipName___imatmul__ &sipStrings_QtGui[38600]
#define sipNameNr___setitem__ 38612
#define sipName___setitem__ &sipStrings_QtGui[38612]
#define sipNameNr___truediv__ 38624
#define sipName___truediv__ &sipStrings_QtGui[38624]
#define sipNameNr_addResource 38636
#define sipName_addResource &sipStrings_QtGui[38636]
#define sipNameNr_anchorNames 38648
#define sipName_anchorNames &sipStrings_QtGui[38648]
#define sipNameNr_beginLayout 38660
#define sipName_beginLayout &sipStrings_QtGui[38660]
#define sipNameNr_bindDefault 38672
#define sipName_bindDefault &sipStrings_QtGui[38672]
#define sipNameNr_blockFormat 38684
#define sipName_blockFormat &sipStrings_QtGui[38684]
#define sipNameNr_blockNumber 38696
#define sipName_blockNumber &sipStrings_QtGui[38696]
#define sipNameNr_borderBrush 38708
#define sipName_borderBrush &sipStrings_QtGui[38708]
#define sipNameNr_borderColor 38720
#define sipName_borderColor &sipStrings_QtGui[38720]
#define sipNameNr_borderStyle 38732
#define sipName_borderStyle &sipStrings_QtGui[38732]
#define sipNameNr_brushOrigin 38744
#define sipName_brushOrigin &sipStrings_QtGui[38744]
#define sipNameNr_cellPadding 38756
#define sipName_cellPadding &sipStrings_QtGui[38756]
#define sipNameNr_cellSpacing 38768
#define sipName_cellSpacing &sipStrings_QtGui[38768]
#define sipNameNr_characterAt 38780
#define sipName_characterAt &sipStrings_QtGui[38780]
#define sipNameNr_childFrames 38792
#define sipName_childFrames &sipStrings_QtGui[38792]
#define sipNameNr_clearLayout 38804
#define sipName_clearLayout &sipStrings_QtGui[38804]
#define sipNameNr_columnCount 38816
#define sipName_columnCount &sipStrings_QtGui[38816]
#define sipNameNr_compression 38828
#define sipName_compression &sipStrings_QtGui[38828]
#define sipNameNr_connectPath 38840
#define sipName_connectPath &sipStrings_QtGui[38840]
#define sipNameNr_currentList 38852
#define sipName_currentList &sipStrings_QtGui[38852]
#define sipNameNr_customEvent 38864
#define sipName_customEvent &sipStrings_QtGui[38864]
#define sipNameNr_darkmagenta 38876
#define sipName_darkmagenta &sipStrings_QtGui[38876]
#define sipNameNr_dashPattern 38888
#define sipName_dashPattern &sipStrings_QtGui[38888]
#define sipNameNr_dataChanged 38900
#define sipName_dataChanged &sipStrings_QtGui[38900]
#define sipNameNr_deepskyblue 38912
#define sipName_deepskyblue &sipStrings_QtGui[38912]
#define sipNameNr_defaultFont 38924
#define sipName_defaultFont &sipStrings_QtGui[38924]
#define sipNameNr_description 38936
#define sipName_description &sipStrings_QtGui[38936]
#define sipNameNr_determinant 38948
#define sipName_determinant &sipStrings_QtGui[38948]
#define sipNameNr_doneCurrent 38960
#define sipName_doneCurrent &sipStrings_QtGui[38960]
#define sipNameNr_drawEllipse 38972
#define sipName_drawEllipse &sipStrings_QtGui[38972]
#define sipNameNr_drawPicture 38984
#define sipName_drawPicture &sipStrings_QtGui[38984]
#define sipNameNr_drawPolygon 38996
#define sipName_drawPolygon &sipStrings_QtGui[38996]
#define sipNameNr_errorString 39008
#define sipName_errorString &sipStrings_QtGui[39008]
#define sipNameNr_eventFilter 39020
#define sipName_eventFilter &sipStrings_QtGui[39020]
#define sipNameNr_exposeEvent 39032
#define sipName_exposeEvent &sipStrings_QtGui[39032]
#define sipNameNr_floralwhite 39044
#define sipName_floralwhite &sipStrings_QtGui[39044]
#define sipNameNr_focalRadius 39056
#define sipName_focalRadius &sipStrings_QtGui[39056]
#define sipNameNr_focusObject 39068
#define sipName_focusObject &sipStrings_QtGui[39068]
#define sipNameNr_focusWindow 39080
#define sipName_focusWindow &sipStrings_QtGui[39080]
#define sipNameNr_fontChanged 39092
#define sipName_fontChanged &sipStrings_QtGui[39092]
#define sipNameNr_fontKerning 39104
#define sipName_fontKerning &sipStrings_QtGui[39104]
#define sipNameNr_fontMetrics 39116
#define sipName_fontMetrics &sipStrings_QtGui[39116]
#define sipNameNr_fontStretch 39128
#define sipName_fontStretch &sipStrings_QtGui[39128]
#define sipNameNr_forestgreen 39140
#define sipName_forestgreen &sipStrings_QtGui[39140]
#define sipNameNr_formatIndex 39152
#define sipName_formatIndex &sipStrings_QtGui[39152]
#define sipNameNr_frameFormat 39164
#define sipName_frameFormat &sipStrings_QtGui[39164]
#define sipNameNr_gestureType 39176
#define sipName_gestureType &sipStrings_QtGui[39176]
#define sipNameNr_greenyellow 39188
#define sipName_greenyellow &sipStrings_QtGui[39188]
#define sipNameNr_hasChildren 39200
#define sipName_hasChildren &sipStrings_QtGui[39200]
#define sipNameNr_hasClipping 39212
#define sipName_hasClipping &sipStrings_QtGui[39212]
#define sipNameNr_hasProfiles 39224
#define sipName_hasProfiles &sipStrings_QtGui[39224]
#define sipNameNr_hasProperty 39236
#define sipName_hasProperty &sipStrings_QtGui[39236]
#define sipNameNr_imageFormat 39248
#define sipName_imageFormat &sipStrings_QtGui[39248]
#define sipNameNr_imageHeight 39260
#define sipName_imageHeight &sipStrings_QtGui[39260]
#define sipNameNr_indentWidth 39272
#define sipName_indentWidth &sipStrings_QtGui[39272]
#define sipNameNr_inputMethod 39284
#define sipName_inputMethod &sipStrings_QtGui[39284]
#define sipNameNr_insertBlock 39296
#define sipName_insertBlock &sipStrings_QtGui[39296]
#define sipNameNr_insertFrame 39308
#define sipName_insertFrame &sipStrings_QtGui[39308]
#define sipNameNr_insertImage 39320
#define sipName_insertImage &sipStrings_QtGui[39320]
#define sipNameNr_insertTable 39332
#define sipName_insertTable &sipStrings_QtGui[39332]
#define sipNameNr_intProperty 39344
#define sipName_intProperty &sipStrings_QtGui[39344]
#define sipNameNr_intersected 39356
#define sipName_intersected &sipStrings_QtGui[39356]
#define sipNameNr_isAmbiguous 39368
#define sipName_isAmbiguous &sipStrings_QtGui[39368]
#define sipNameNr_isAnimating 39380
#define sipName_isAnimating &sipStrings_QtGui[39380]
#define sipNameNr_isCheckable 39392
#define sipName_isCheckable &sipStrings_QtGui[39392]
#define sipNameNr_isGrayscale 39404
#define sipName_isGrayscale &sipStrings_QtGui[39404]
#define sipNameNr_isLandscape 39416
#define sipName_isLandscape &sipStrings_QtGui[39416]
#define sipNameNr_itemChanged 39428
#define sipName_itemChanged &sipStrings_QtGui[39428]
#define sipNameNr_jumpToFrame 39440
#define sipName_jumpToFrame &sipStrings_QtGui[39440]
#define sipNameNr_jumpToImage 39452
#define sipName_jumpToImage &sipStrings_QtGui[39452]
#define sipNameNr_keyBindings 39464
#define sipName_keyBindings &sipStrings_QtGui[39464]
#define sipNameNr_lastIndexOf 39476
#define sipName_lastIndexOf &sipStrings_QtGui[39476]
#define sipNameNr_leftBearing 39488
#define sipName_leftBearing &sipStrings_QtGui[39488]
#define sipNameNr_leftPadding 39500
#define sipName_leftPadding &sipStrings_QtGui[39500]
#define sipNameNr_lightsalmon 39512
#define sipName_lightsalmon &sipStrings_QtGui[39512]
#define sipNameNr_lightyellow 39524
#define sipName_lightyellow &sipStrings_QtGui[39524]
#define sipNameNr_lineSpacing 39536
#define sipName_lineSpacing &sipStrings_QtGui[39536]
#define sipNameNr_linkVisited 39548
#define sipName_linkVisited &sipStrings_QtGui[39548]
#define sipNameNr_loggingMode 39560
#define sipName_loggingMode &sipStrings_QtGui[39560]
#define sipNameNr_logicalDpiX 39572
#define sipName_logicalDpiX &sipStrings_QtGui[39572]
#define sipNameNr_logicalDpiY 39584
#define sipName_logicalDpiY &sipStrings_QtGui[39584]
#define sipNameNr_magentaSize 39596
#define sipName_magentaSize &sipStrings_QtGui[39596]
#define sipNameNr_makeCurrent 39608
#define sipName_makeCurrent &sipStrings_QtGui[39608]
#define sipNameNr_mapToGlobal 39620
#define sipName_mapToGlobal &sipStrings_QtGui[39620]
#define sipNameNr_matchPolicy 39632
#define sipName_matchPolicy &sipStrings_QtGui[39632]
#define sipNameNr_maximumSize 39644
#define sipName_maximumSize &sipStrings_QtGui[39644]
#define sipNameNr_minimumSize 39656
#define sipName_minimumSize &sipStrings_QtGui[39656]
#define sipNameNr_mipMaxLevel 39668
#define sipName_mipMaxLevel &sipStrings_QtGui[39668]
#define sipNameNr_modalWindow 39680
#define sipName_modalWindow &sipStrings_QtGui[39680]
#define sipNameNr_moveColumns 32281
#define sipName_moveColumns &sipStrings_QtGui[32281]
#define sipNameNr_navajowhite 39692
#define sipName_navajowhite &sipStrings_QtGui[39692]
#define sipNameNr_objectIndex 39704
#define sipName_objectIndex &sipStrings_QtGui[39704]
#define sipNameNr_orientation 39716
#define sipName_orientation &sipStrings_QtGui[39716]
#define sipNameNr_overlinePos 39728
#define sipName_overlinePos &sipStrings_QtGui[39728]
#define sipNameNr_paintDevice 39740
#define sipName_paintDevice &sipStrings_QtGui[39740]
#define sipNameNr_paintEngine 39752
#define sipName_paintEngine &sipStrings_QtGui[39752]
#define sipNameNr_paintOverGL 39764
#define sipName_paintOverGL &sipStrings_QtGui[39764]
#define sipNameNr_parentFrame 39776
#define sipName_parentFrame &sipStrings_QtGui[39776]
#define sipNameNr_penProperty 39788
#define sipName_penProperty &sipStrings_QtGui[39788]
#define sipNameNr_perspective 39800
#define sipName_perspective &sipStrings_QtGui[39800]
#define sipNameNr_pixelFormat 39812
#define sipName_pixelFormat &sipStrings_QtGui[39812]
#define sipNameNr_pointerType 39824
#define sipName_pointerType &sipStrings_QtGui[39824]
#define sipNameNr_refreshRate 39836
#define sipName_refreshRate &sipStrings_QtGui[39836]
#define sipNameNr_rehighlight 39848
#define sipName_rehighlight &sipStrings_QtGui[39848]
#define sipNameNr_renderFlags 39860
#define sipName_renderFlags &sipStrings_QtGui[39860]
#define sipNameNr_renderHints 39872
#define sipName_renderHints &sipStrings_QtGui[39872]
#define sipNameNr_resizeEvent 39884
#define sipName_resizeEvent &sipStrings_QtGui[39884]
#define sipNameNr_restartHint 39896
#define sipName_restartHint &sipStrings_QtGui[39896]
#define sipNameNr_rightBorder 39908
#define sipName_rightBorder &sipStrings_QtGui[39908]
#define sipNameNr_rightMargin 39920
#define sipName_rightMargin &sipStrings_QtGui[39920]
#define sipNameNr_saddlebrown 39932
#define sipName_saddlebrown &sipStrings_QtGui[39932]
#define sipNameNr_saturationF 39944
#define sipName_saturationF &sipStrings_QtGui[39944]
#define sipNameNr_screenAdded 39956
#define sipName_screenAdded &sipStrings_QtGui[39956]
#define sipNameNr_scrollState 39968
#define sipName_scrollState &sipStrings_QtGui[39968]
#define sipNameNr_setBaseSize 39980
#define sipName_setBaseSize &sipStrings_QtGui[39980]
#define sipNameNr_setCapStyle 39992
#define sipName_setCapStyle &sipStrings_QtGui[39992]
#define sipNameNr_setClipPath 40004
#define sipName_setClipPath &sipStrings_QtGui[40004]
#define sipNameNr_setClipRect 40016
#define sipName_setClipRect &sipStrings_QtGui[40016]
#define sipNameNr_setClipping 40028
#define sipName_setClipping &sipStrings_QtGui[40028]
#define sipNameNr_setCosmetic 40040
#define sipName_setCosmetic &sipStrings_QtGui[40040]
#define sipNameNr_setDecimals 40052
#define sipName_setDecimals &sipStrings_QtGui[40052]
#define sipNameNr_setDocument 40064
#define sipName_setDocument &sipStrings_QtGui[40064]
#define sipNameNr_setEditable 40076
#define sipName_setEditable &sipStrings_QtGui[40076]
#define sipNameNr_setFamilies 40088
#define sipName_setFamilies &sipStrings_QtGui[40088]
#define sipNameNr_setFileName 40100
#define sipName_setFileName &sipStrings_QtGui[40100]
#define sipNameNr_setFilePath 40112
#define sipName_setFilePath &sipStrings_QtGui[40112]
#define sipNameNr_setFillRule 40124
#define sipName_setFillRule &sipStrings_QtGui[40124]
#define sipNameNr_setGeometry 40136
#define sipName_setGeometry &sipStrings_QtGui[40136]
#define sipNameNr_setIODevice 40148
#define sipName_setIODevice &sipStrings_QtGui[40148]
#define sipNameNr_setItemData 40160
#define sipName_setItemData &sipStrings_QtGui[40160]
#define sipNameNr_setMarkdown 40172
#define sipName_setMarkdown &sipStrings_QtGui[40172]
#define sipNameNr_setMimeData 40184
#define sipName_setMimeData &sipStrings_QtGui[40184]
#define sipNameNr_setModality 40196
#define sipName_setModality &sipStrings_QtGui[40196]
#define sipNameNr_setModified 40208
#define sipName_setModified &sipStrings_QtGui[40208]
#define sipNameNr_setNotation 40220
#define sipName_setNotation &sipStrings_QtGui[40220]
#define sipNameNr_setOverline 40232
#define sipName_setOverline &sipStrings_QtGui[40232]
#define sipNameNr_setPageSize 40244
#define sipName_setPageSize &sipStrings_QtGui[40244]
#define sipNameNr_setPosition 40256
#define sipName_setPosition &sipStrings_QtGui[40256]
#define sipNameNr_setProperty 40268
#define sipName_setProperty &sipStrings_QtGui[40268]
#define sipNameNr_setRevision 40280
#define sipName_setRevision &sipStrings_QtGui[40280]
#define sipNameNr_setRowCount 40292
#define sipName_setRowCount &sipStrings_QtGui[40292]
#define sipNameNr_setSizeHint 40304
#define sipName_setSizeHint &sipStrings_QtGui[40304]
#define sipNameNr_setSkipRows 40316
#define sipName_setSkipRows &sipStrings_QtGui[40316]
#define sipNameNr_setSortRole 40328
#define sipName_setSortRole &sipStrings_QtGui[40328]
#define sipNameNr_setTabArray 40340
#define sipName_setTabArray &sipStrings_QtGui[40340]
#define sipNameNr_setTristate 40352
#define sipName_setTristate &sipStrings_QtGui[40352]
#define sipNameNr_setUserData 40364
#define sipName_setUserData &sipStrings_QtGui[40364]
#define sipNameNr_setViewport 40376
#define sipName_setViewport &sipStrings_QtGui[40376]
#define sipNameNr_setWrapMode 40388
#define sipName_setWrapMode &sipStrings_QtGui[40388]
#define sipNameNr_sizeInBytes 40400
#define sipName_sizeInBytes &sipStrings_QtGui[40400]
#define sipNameNr_smoothSizes 40412
#define sipName_smoothSizes &sipStrings_QtGui[40412]
#define sipNameNr_springgreen 19545
#define sipName_springgreen &sipStrings_QtGui[19545]
#define sipNameNr_stopLogging 40424
#define sipName_stopLogging &sipStrings_QtGui[40424]
#define sipNameNr_styleString 40436
#define sipName_styleString &sipStrings_QtGui[40436]
#define sipNameNr_substitutes 40448
#define sipName_substitutes &sipStrings_QtGui[40448]
#define sipNameNr_surfaceType 40460
#define sipName_surfaceType &sipStrings_QtGui[40460]
#define sipNameNr_swapBuffers 40472
#define sipName_swapBuffers &sipStrings_QtGui[40472]
#define sipNameNr_swizzleMask 40484
#define sipName_swizzleMask &sipStrings_QtGui[40484]
#define sipNameNr_tabletEvent 40496
#define sipName_tabletEvent &sipStrings_QtGui[40496]
#define sipNameNr_takeTexture 40508
#define sipName_takeTexture &sipStrings_QtGui[40508]
#define sipNameNr_textFormats 40520
#define sipName_textFormats &sipStrings_QtGui[40520]
#define sipNameNr_textOutline 40532
#define sipName_textOutline &sipStrings_QtGui[40532]
#define sipNameNr_toPlainText 40544
#define sipName_toPlainText &sipStrings_QtGui[40544]
#define sipNameNr_toTransform 22271
#define sipName_toTransform &sipStrings_QtGui[22271]
#define sipNameNr_toolTipBase 40556
#define sipName_toolTipBase &sipStrings_QtGui[40556]
#define sipNameNr_toolTipText 40568
#define sipName_toolTipText &sipStrings_QtGui[40568]
#define sipNameNr_touchPoints 40580
#define sipName_touchPoints &sipStrings_QtGui[40580]
#define sipNameNr_transformed 40592
#define sipName_transformed &sipStrings_QtGui[40592]
#define sipNameNr_unsetCursor 40604
#define sipName_unsetCursor &sipStrings_QtGui[40604]
#define sipNameNr_updateBlock 40616
#define sipName_updateBlock &sipStrings_QtGui[40616]
#define sipNameNr_updateState 40628
#define sipName_updateState &sipStrings_QtGui[40628]
#define sipNameNr_virtualSize 40640
#define sipName_virtualSize &sipStrings_QtGui[40640]
#define sipNameNr_windowState 40652
#define sipName_windowState &sipStrings_QtGui[40652]
#define sipNameNr_wordSpacing 40664
#define sipName_wordSpacing &sipStrings_QtGui[40664]
#define sipNameNr_yellowgreen 40676
#define sipName_yellowgreen &sipStrings_QtGui[40676]
#define sipNameNr_Acceptable 40688
#define sipName_Acceptable &sipStrings_QtGui[40688]
#define sipNameNr_AlphaBlend 40699
#define sipName_AlphaBlend &sipStrings_QtGui[40699]
#define sipNameNr_AlphaUsage 6994
#define sipName_AlphaUsage &sipStrings_QtGui[6994]
#define sipNameNr_AlphaValue 40710
#define sipName_AlphaValue &sipStrings_QtGui[40710]
#define sipNameNr_AmourAmour 40721
#define sipName_AmourAmour &sipStrings_QtGui[40721]
#define sipNameNr_AnchorHref 32394
#define sipName_AnchorHref &sipStrings_QtGui[32394]
#define sipNameNr_AnchorName 40732
#define sipName_AnchorName &sipStrings_QtGui[40732]
#define sipNameNr_AnyStretch 40743
#define sipName_AnyStretch &sipStrings_QtGui[40743]
#define sipNameNr_AquaSplash 40754
#define sipName_AquaSplash &sipStrings_QtGui[40754]
#define sipNameNr_Attachment 388
#define sipName_Attachment &sipStrings_QtGui[388]
#define sipNameNr_Background 23211
#define sipName_Background &sipStrings_QtGui[23211]
#define sipNameNr_BlendModes 40765
#define sipName_BlendModes &sipStrings_QtGui[40765]
#define sipNameNr_BrightText 40776
#define sipName_BrightText &sipStrings_QtGui[40776]
#define sipNameNr_ButtonText 40787
#define sipName_ButtonText &sipStrings_QtGui[40787]
#define sipNameNr_Capitalize 40798
#define sipName_Capitalize &sipStrings_QtGui[40798]
#define sipNameNr_CharFormat 12818
#define sipName_CharFormat &sipStrings_QtGui[12818]
#define sipNameNr_ColorGroup 12167
#define sipName_ColorGroup &sipStrings_QtGui[12167]
#define sipNameNr_ColorModel 7019
#define sipName_ColorModel &sipStrings_QtGui[7019]
#define sipNameNr_ColorSpace 3759
#define sipName_ColorSpace &sipStrings_QtGui[3759]
#define sipNameNr_ConvexMode 40809
#define sipName_ConvexMode &sipStrings_QtGui[40809]
#define sipNameNr_CursorMode 7954
#define sipName_CursorMode &sipStrings_QtGui[7954]
#define sipNameNr_DarkYellow 40820
#define sipName_DarkYellow &sipStrings_QtGui[40820]
#define sipNameNr_Decorative 40831
#define sipName_Decorative &sipStrings_QtGui[40831]
#define sipNameNr_DeepRelief 40842
#define sipName_DeepRelief &sipStrings_QtGui[40842]
#define sipNameNr_DenseWater 40853
#define sipName_DenseWater &sipStrings_QtGui[40853]
#define sipNameNr_DesertHump 40864
#define sipName_DesertHump &sipStrings_QtGui[40864]
#define sipNameNr_Devanagari 40875
#define sipName_Devanagari &sipStrings_QtGui[40875]
#define sipNameNr_DeviceType 7119
#define sipName_DeviceType &sipStrings_QtGui[7119]
#define sipNameNr_DirectionR 40886
#define sipName_DirectionR &sipStrings_QtGui[40886]
#define sipNameNr_DirectionS 40897
#define sipName_DirectionS &sipStrings_QtGui[40897]
#define sipNameNr_DirectionT 40908
#define sipName_DirectionT &sipStrings_QtGui[40908]
#define sipNameNr_DirtyBrush 40919
#define sipName_DirtyBrush &sipStrings_QtGui[40919]
#define sipNameNr_DirtyFlags 6944
#define sipName_DirtyFlags &sipStrings_QtGui[6944]
#define sipNameNr_DirtyHints 40930
#define sipName_DirtyHints &sipStrings_QtGui[40930]
#define sipNameNr_DustyGrass 40941
#define sipName_DustyGrass &sipStrings_QtGui[40941]
#define sipNameNr_EndOfBlock 21031
#define sipName_EndOfBlock &sipStrings_QtGui[21031]
#define sipNameNr_Endianness 40952
#define sipName_Endianness &sipStrings_QtGui[40952]
#define sipNameNr_Envelope10 40963
#define sipName_Envelope10 &sipStrings_QtGui[40963]
#define sipNameNr_Envelope11 40974
#define sipName_Envelope11 &sipStrings_QtGui[40974]
#define sipNameNr_Envelope12 40985
#define sipName_Envelope12 &sipStrings_QtGui[40985]
#define sipNameNr_Envelope14 40996
#define sipName_Envelope14 &sipStrings_QtGui[40996]
#define sipNameNr_EnvelopeB4 41007
#define sipName_EnvelopeB4 &sipStrings_QtGui[41007]
#define sipNameNr_EnvelopeB5 41018
#define sipName_EnvelopeB5 &sipStrings_QtGui[41018]
#define sipNameNr_EnvelopeB6 41029
#define sipName_EnvelopeB6 &sipStrings_QtGui[41029]
#define sipNameNr_EnvelopeC0 41040
#define sipName_EnvelopeC0 &sipStrings_QtGui[41040]
#define sipNameNr_EnvelopeC1 41051
#define sipName_EnvelopeC1 &sipStrings_QtGui[41051]
#define sipNameNr_EnvelopeC2 41062
#define sipName_EnvelopeC2 &sipStrings_QtGui[41062]
#define sipNameNr_EnvelopeC3 41073
#define sipName_EnvelopeC3 &sipStrings_QtGui[41073]
#define sipNameNr_EnvelopeC4 41084
#define sipName_EnvelopeC4 &sipStrings_QtGui[41084]
#define sipNameNr_EnvelopeC5 41095
#define sipName_EnvelopeC5 &sipStrings_QtGui[41095]
#define sipNameNr_EnvelopeC6 41106
#define sipName_EnvelopeC6 &sipStrings_QtGui[41106]
#define sipNameNr_EnvelopeC7 41117
#define sipName_EnvelopeC7 &sipStrings_QtGui[41117]
#define sipNameNr_EnvelopeDL 41128
#define sipName_EnvelopeDL &sipStrings_QtGui[41128]
#define sipNameNr_ExactMatch 41139
#define sipName_ExactMatch &sipStrings_QtGui[41139]
#define sipNameNr_ExtraLight 41150
#define sipName_ExtraLight &sipStrings_QtGui[41150]
#define sipNameNr_FindBuffer 17722
#define sipName_FindBuffer &sipStrings_QtGui[17722]
#define sipNameNr_Float16OES 41161
#define sipName_Float16OES &sipStrings_QtGui[41161]
#define sipNameNr_FloatRight 41172
#define sipName_FloatRight &sipStrings_QtGui[41172]
#define sipNameNr_FontFamily 32632
#define sipName_FontFamily &sipStrings_QtGui[32632]
#define sipNameNr_FontItalic 32646
#define sipName_FontItalic &sipStrings_QtGui[32646]
#define sipNameNr_FontWeight 32660
#define sipName_FontWeight &sipStrings_QtGui[32660]
#define sipNameNr_Foreground 24395
#define sipName_Foreground &sipStrings_QtGui[24395]
#define sipNameNr_ForestInei 41183
#define sipName_ForestInei &sipStrings_QtGui[41183]
#define sipNameNr_FormatType 7930
#define sipName_FormatType &sipStrings_QtGui[7930]
#define sipNameNr_FourDMouse 41194
#define sipName_FourDMouse &sipStrings_QtGui[41194]
#define sipNameNr_FrameWidth 41205
#define sipName_FrameWidth &sipStrings_QtGui[41205]
#define sipNameNr_FreshOasis 41216
#define sipName_FreshOasis &sipStrings_QtGui[41216]
#define sipNameNr_FrozenHeat 41227
#define sipName_FrozenHeat &sipStrings_QtGui[41227]
#define sipNameNr_FruitBlend 41238
#define sipName_FruitBlend &sipStrings_QtGui[41238]
#define sipNameNr_FullScreen 22680
#define sipName_FullScreen &sipStrings_QtGui[22680]
#define sipNameNr_FuzzyMatch 41249
#define sipName_FuzzyMatch &sipStrings_QtGui[41249]
#define sipNameNr_GentleCare 41260
#define sipName_GentleCare &sipStrings_QtGui[41260]
#define sipNameNr_GlassWater 41271
#define sipName_GlassWater &sipStrings_QtGui[41271]
#define sipNameNr_GreatWhale 41282
#define sipName_GreatWhale &sipStrings_QtGui[41282]
#define sipNameNr_GreenValue 41293
#define sipName_GreenValue &sipStrings_QtGui[41293]
#define sipNameNr_GrownEarly 41304
#define sipName_GrownEarly &sipStrings_QtGui[41304]
#define sipNameNr_HighFlight 41315
#define sipName_HighFlight &sipStrings_QtGui[41315]
#define sipNameNr_ImageTitle 41326
#define sipName_ImageTitle &sipStrings_QtGui[41326]
#define sipNameNr_ImageWidth 41337
#define sipName_ImageWidth &sipStrings_QtGui[41337]
#define sipNameNr_InvertMode 15822
#define sipName_InvertMode &sipStrings_QtGui[15822]
#define sipNameNr_InvertRgba 41348
#define sipName_InvertRgba &sipStrings_QtGui[41348]
#define sipNameNr_IsNullHook 41359
#define sipName_IsNullHook &sipStrings_QtGui[41359]
#define sipNameNr_JapanBlush 41370
#define sipName_JapanBlush &sipStrings_QtGui[41370]
#define sipNameNr_JuicyPeach 41381
#define sipName_JuicyPeach &sipStrings_QtGui[41381]
#define sipNameNr_KeepAnchor 41392
#define sipName_KeepAnchor &sipStrings_QtGui[41392]
#define sipNameNr_LayoutFlag 12188
#define sipName_LayoutFlag &sipStrings_QtGui[12188]
#define sipNameNr_LeCocktail 41403
#define sipName_LeCocktail &sipStrings_QtGui[41403]
#define sipNameNr_LegalExtra 41414
#define sipName_LegalExtra &sipStrings_QtGui[41414]
#define sipNameNr_LetterPlus 41425
#define sipName_LetterPlus &sipStrings_QtGui[41425]
#define sipNameNr_LilyMeadow 41436
#define sipName_LilyMeadow &sipStrings_QtGui[41436]
#define sipNameNr_LineHeight 32730
#define sipName_LineHeight &sipStrings_QtGui[32730]
#define sipNameNr_ListCircle 41447
#define sipName_ListCircle &sipStrings_QtGui[41447]
#define sipNameNr_ListFormat 23899
#define sipName_ListFormat &sipStrings_QtGui[23899]
#define sipNameNr_ListIndent 41458
#define sipName_ListIndent &sipStrings_QtGui[41458]
#define sipNameNr_ListSquare 41469
#define sipName_ListSquare &sipStrings_QtGui[41469]
#define sipNameNr_MacPrinter 41480
#define sipName_MacPrinter &sipStrings_QtGui[41480]
#define sipNameNr_ManualWrap 41491
#define sipName_ManualWrap &sipStrings_QtGui[41491]
#define sipNameNr_MarbleWall 41502
#define sipName_MarbleWall &sipStrings_QtGui[41502]
#define sipNameNr_MarkerType 4136
#define sipName_MarkerType &sipStrings_QtGui[4136]
#define sipNameNr_Millimeter 41513
#define sipName_Millimeter &sipStrings_QtGui[41513]
#define sipNameNr_MixedHopes 41524
#define sipName_MixedHopes &sipStrings_QtGui[41524]
#define sipNameNr_MoveAnchor 41535
#define sipName_MoveAnchor &sipStrings_QtGui[41535]
#define sipNameNr_MovieState 15860
#define sipName_MovieState &sipStrings_QtGui[15860]
#define sipNameNr_NPaperSize 41546
#define sipName_NPaperSize &sipStrings_QtGui[41546]
#define sipNameNr_NameFormat 15784
#define sipName_NameFormat &sipStrings_QtGui[15784]
#define sipNameNr_NativeText 41557
#define sipName_NativeText &sipStrings_QtGui[41557]
#define sipNameNr_NightParty 41568
#define sipName_NightParty &sipStrings_QtGui[41568]
#define sipNameNr_NoGradient 41579
#define sipName_NoGradient &sipStrings_QtGui[41579]
#define sipNameNr_NotRunning 41590
#define sipName_NotRunning &sipStrings_QtGui[41590]
#define sipNameNr_NumPresets 41601
#define sipName_NumPresets &sipStrings_QtGui[41601]
#define sipNameNr_ObjectMode 41612
#define sipName_ObjectMode &sipStrings_QtGui[41612]
#define sipNameNr_ObjectType 32786
#define sipName_ObjectType &sipStrings_QtGui[32786]
#define sipNameNr_OldEnglish 41623
#define sipName_OldEnglish &sipStrings_QtGui[41623]
#define sipNameNr_OpaqueHint 41634
#define sipName_OpaqueHint &sipStrings_QtGui[41634]
#define sipNameNr_OutlinePen 41645
#define sipName_OutlinePen &sipStrings_QtGui[41645]
#define sipNameNr_PageSizeId 10340
#define sipName_PageSizeId &sipStrings_QtGui[10340]
#define sipNameNr_PartyBliss 41656
#define sipName_PartyBliss &sipStrings_QtGui[41656]
#define sipNameNr_PdfVersion 3282
#define sipName_PdfVersion &sipStrings_QtGui[3282]
#define sipNameNr_PdmWidthMM 41667
#define sipName_PdmWidthMM &sipStrings_QtGui[41667]
#define sipNameNr_PorterDuff 41678
#define sipName_PorterDuff &sipStrings_QtGui[41678]
#define sipNameNr_PostScript 41689
#define sipName_PostScript &sipStrings_QtGui[41689]
#define sipNameNr_QClipboard 41700
#define sipName_QClipboard &sipStrings_QtGui[41700]
#define sipNameNr_QDropEvent 41711
#define sipName_QDropEvent &sipStrings_QtGui[41711]
#define sipNameNr_QHelpEvent 41722
#define sipName_QHelpEvent &sipStrings_QtGui[41722]
#define sipNameNr_QHideEvent 41733
#define sipName_QHideEvent &sipStrings_QtGui[41733]
#define sipNameNr_QMatrix2x2 41744
#define sipName_QMatrix2x2 &sipStrings_QtGui[41744]
#define sipNameNr_QMatrix2x3 41755
#define sipName_QMatrix2x3 &sipStrings_QtGui[41755]
#define sipNameNr_QMatrix2x4 41766
#define sipName_QMatrix2x4 &sipStrings_QtGui[41766]
#define sipNameNr_QMatrix3x2 41777
#define sipName_QMatrix3x2 &sipStrings_QtGui[41777]
#define sipNameNr_QMatrix3x3 41788
#define sipName_QMatrix3x3 &sipStrings_QtGui[41788]
#define sipNameNr_QMatrix3x4 41799
#define sipName_QMatrix3x4 &sipStrings_QtGui[41799]
#define sipNameNr_QMatrix4x2 41810
#define sipName_QMatrix4x2 &sipStrings_QtGui[41810]
#define sipNameNr_QMatrix4x3 41821
#define sipName_QMatrix4x3 &sipStrings_QtGui[41821]
#define sipNameNr_QMatrix4x4 41832
#define sipName_QMatrix4x4 &sipStrings_QtGui[41832]
#define sipNameNr_QMoveEvent 41843
#define sipName_QMoveEvent &sipStrings_QtGui[41843]
#define sipNameNr_QPdfWriter 41854
#define sipName_QPdfWriter &sipStrings_QtGui[41854]
#define sipNameNr_QPictureIO 41865
#define sipName_QPictureIO &sipStrings_QtGui[41865]
#define sipNameNr_QShowEvent 41876
#define sipName_QShowEvent &sipStrings_QtGui[41876]
#define sipNameNr_QTextBlock 41887
#define sipName_QTextBlock &sipStrings_QtGui[41887]
#define sipNameNr_QTextFrame 41898
#define sipName_QTextFrame &sipStrings_QtGui[41898]
#define sipNameNr_QTextTable 41909
#define sipName_QTextTable &sipStrings_QtGui[41909]
#define sipNameNr_QTransform 41920
#define sipName_QTransform &sipStrings_QtGui[41920]
#define sipNameNr_QValidator 41931
#define sipName_QValidator &sipStrings_QtGui[41931]
#define sipNameNr_RG16_SNorm 41942
#define sipName_RG16_SNorm &sipStrings_QtGui[41942]
#define sipNameNr_RG16_UNorm 41953
#define sipName_RG16_UNorm &sipStrings_QtGui[41953]
#define sipNameNr_RGB8_SNorm 41964
#define sipName_RGB8_SNorm &sipStrings_QtGui[41964]
#define sipNameNr_RGB8_UNorm 41975
#define sipName_RGB8_UNorm &sipStrings_QtGui[41975]
#define sipNameNr_RGBAFormat 41986
#define sipName_RGBAFormat &sipStrings_QtGui[41986]
#define sipNameNr_RG_Integer 41997
#define sipName_RG_Integer &sipStrings_QtGui[41997]
#define sipNameNr_RangeWrite 42008
#define sipName_RangeWrite &sipStrings_QtGui[42008]
#define sipNameNr_RegionType 14132
#define sipName_RegionType &sipStrings_QtGui[14132]
#define sipNameNr_RenderFlag 10560
#define sipName_RenderFlag &sipStrings_QtGui[10560]
#define sipNameNr_RenderHint 12146
#define sipName_RenderHint &sipStrings_QtGui[12146]
#define sipNameNr_SRGB8_ETC2 42019
#define sipName_SRGB8_ETC2 &sipStrings_QtGui[42019]
#define sipNameNr_SRgbLinear 42030
#define sipName_SRgbLinear &sipStrings_QtGui[42030]
#define sipNameNr_SandStrike 42041
#define sipName_SandStrike &sipStrings_QtGui[42041]
#define sipNameNr_ScaledSize 32912
#define sipName_ScaledSize &sipStrings_QtGui[32912]
#define sipNameNr_Severities 2080
#define sipName_Severities &sipStrings_QtGui[2080]
#define sipNameNr_ShaderType 6046
#define sipName_ShaderType &sipStrings_QtGui[6046]
#define sipNameNr_ShadyWater 42052
#define sipName_ShadyWater &sipStrings_QtGui[42052]
#define sipNameNr_SharpBlues 42063
#define sipName_SharpBlues &sipStrings_QtGui[42063]
#define sipNameNr_ShyRainbow 42074
#define sipName_ShyRainbow &sipStrings_QtGui[42074]
#define sipNameNr_SolidStone 42085
#define sipName_SolidStone &sipStrings_QtGui[42085]
#define sipNameNr_SpaceShift 42096
#define sipName_SpaceShift &sipStrings_QtGui[42096]
#define sipNameNr_StaticCopy 42107
#define sipName_StaticCopy &sipStrings_QtGui[42107]
#define sipNameNr_StaticDraw 42118
#define sipName_StaticDraw &sipStrings_QtGui[42118]
#define sipNameNr_StaticRead 42129
#define sipName_StaticRead &sipStrings_QtGui[42129]
#define sipNameNr_StreamCopy 42140
#define sipName_StreamCopy &sipStrings_QtGui[42140]
#define sipNameNr_StreamDraw 42151
#define sipName_StreamDraw &sipStrings_QtGui[42151]
#define sipNameNr_StreamRead 42162
#define sipName_StreamRead &sipStrings_QtGui[42162]
#define sipNameNr_SupremeSky 42173
#define sipName_SupremeSky &sipStrings_QtGui[42173]
#define sipNameNr_SwizzleRed 42184
#define sipName_SwizzleRed &sipStrings_QtGui[42184]
#define sipNameNr_SystemFont 5942
#define sipName_SystemFont &sipStrings_QtGui[5942]
#define sipNameNr_TextFormat 32968
#define sipName_TextFormat &sipStrings_QtGui[32968]
#define sipNameNr_TextIndent 32982
#define sipName_TextIndent &sipStrings_QtGui[32982]
#define sipNameNr_TouchPoint 7978
#define sipName_TouchPoint &sipStrings_QtGui[7978]
#define sipNameNr_TrueSunset 42195
#define sipName_TrueSunset &sipStrings_QtGui[42195]
#define sipNameNr_TypeWriter 42206
#define sipName_TypeWriter &sipStrings_QtGui[42206]
#define sipNameNr_UnknownKey 42217
#define sipName_UnknownKey &sipStrings_QtGui[42217]
#define sipNameNr_UserFormat 42228
#define sipName_UserFormat &sipStrings_QtGui[42228]
#define sipNameNr_UserObject 42239
#define sipName_UserObject &sipStrings_QtGui[42239]
#define sipNameNr_Vietnamese 42250
#define sipName_Vietnamese &sipStrings_QtGui[42250]
#define sipNameNr_Visibility 13572
#define sipName_Visibility &sipStrings_QtGui[13572]
#define sipNameNr_WideMatrix 42261
#define sipName_WideMatrix &sipStrings_QtGui[42261]
#define sipNameNr_WindowText 42272
#define sipName_WindowText &sipStrings_QtGui[42272]
#define sipNameNr_WinterNeva 42283
#define sipName_WinterNeva &sipStrings_QtGui[42283]
#define sipNameNr_WitchDance 42294
#define sipName_WitchDance &sipStrings_QtGui[42294]
#define sipNameNr_YoungGrass 42305
#define sipName_YoungGrass &sipStrings_QtGui[42305]
#define sipNameNr___invert__ 42316
#define sipName___invert__ &sipStrings_QtGui[42316]
#define sipNameNr___lshift__ 42327
#define sipName___lshift__ &sipStrings_QtGui[42327]
#define sipNameNr___matmul__ 42338
#define sipName___matmul__ &sipStrings_QtGui[42338]
#define sipNameNr___rshift__ 42349
#define sipName___rshift__ &sipStrings_QtGui[42349]
#define sipNameNr_actualSize 42360
#define sipName_actualSize &sipStrings_QtGui[42360]
#define sipNameNr_addEllipse 42371
#define sipName_addEllipse &sipStrings_QtGui[42371]
#define sipNameNr_addPolygon 42382
#define sipName_addPolygon &sipStrings_QtGui[42382]
#define sipNameNr_adjustSize 42393
#define sipName_adjustSize &sipStrings_QtGui[42393]
#define sipNameNr_allFormats 42404
#define sipName_allFormats &sipStrings_QtGui[42404]
#define sipNameNr_allWindows 42415
#define sipName_allWindows &sipStrings_QtGui[42415]
#define sipNameNr_alphaUsage 42426
#define sipName_alphaUsage &sipStrings_QtGui[42426]
#define sipNameNr_anchorHref 42437
#define sipName_anchorHref &sipStrings_QtGui[42437]
#define sipNameNr_angleDelta 42448
#define sipName_angleDelta &sipStrings_QtGui[42448]
#define sipNameNr_answerRect 42459
#define sipName_answerRect &sipStrings_QtGui[42459]
#define sipNameNr_appendRows 42470
#define sipName_appendRows &sipStrings_QtGui[42470]
#define sipNameNr_aquamarine 21983
#define sipName_aquamarine &sipStrings_QtGui[21983]
#define sipNameNr_areSharing 42481
#define sipName_areSharing &sipStrings_QtGui[42481]
#define sipNameNr_atBlockEnd 42492
#define sipName_atBlockEnd &sipStrings_QtGui[42492]
#define sipNameNr_attachment 42503
#define sipName_attachment &sipStrings_QtGui[42503]
#define sipNameNr_attributes 42514
#define sipName_attributes &sipStrings_QtGui[42514]
#define sipNameNr_background 42525
#define sipName_background &sipStrings_QtGui[42525]
#define sipNameNr_beginPaint 42536
#define sipName_beginPaint &sipStrings_QtGui[42536]
#define sipNameNr_blockCount 42547
#define sipName_blockCount &sipStrings_QtGui[42547]
#define sipNameNr_blueviolet 42558
#define sipName_blueviolet &sipStrings_QtGui[42558]
#define sipNameNr_brightText 42569
#define sipName_brightText &sipStrings_QtGui[42569]
#define sipNameNr_buttonText 42580
#define sipName_buttonText &sipStrings_QtGui[42580]
#define sipNameNr_cacheLimit 42591
#define sipName_cacheLimit &sipStrings_QtGui[42591]
#define sipNameNr_charFormat 42602
#define sipName_charFormat &sipStrings_QtGui[42602]
#define sipNameNr_chartreuse 42613
#define sipName_chartreuse &sipStrings_QtGui[42613]
#define sipNameNr_checkState 42624
#define sipName_checkState &sipStrings_QtGui[42624]
#define sipNameNr_childEvent 42635
#define sipName_childEvent &sipStrings_QtGui[42635]
#define sipNameNr_clipRegion 42646
#define sipName_clipRegion &sipStrings_QtGui[42646]
#define sipNameNr_colorCount 42657
#define sipName_colorCount &sipStrings_QtGui[42657]
#define sipNameNr_colorModel 42668
#define sipName_colorModel &sipStrings_QtGui[42668]
#define sipNameNr_colorNames 42679
#define sipName_colorNames &sipStrings_QtGui[42679]
#define sipNameNr_colorSpace 42690
#define sipName_colorSpace &sipStrings_QtGui[42690]
#define sipNameNr_colorTable 42701
#define sipName_colorTable &sipStrings_QtGui[42701]
#define sipNameNr_columnSpan 42712
#define sipName_columnSpan &sipStrings_QtGui[42712]
#define sipNameNr_conjugated 42723
#define sipName_conjugated &sipStrings_QtGui[42723]
#define sipNameNr_contentPos 42734
#define sipName_contentPos &sipStrings_QtGui[42734]
#define sipNameNr_copyDataTo 42745
#define sipName_copyDataTo &sipStrings_QtGui[42745]
#define sipNameNr_createLine 42756
#define sipName_createLine &sipStrings_QtGui[42756]
#define sipNameNr_createList 42767
#define sipName_createList &sipStrings_QtGui[42767]
#define sipNameNr_darkorange 42778
#define sipName_darkorange &sipStrings_QtGui[42778]
#define sipNameNr_darkorchid 42789
#define sipName_darkorchid &sipStrings_QtGui[42789]
#define sipNameNr_darksalmon 42800
#define sipName_darksalmon &sipStrings_QtGui[42800]
#define sipNameNr_darkviolet 42811
#define sipName_darkviolet &sipStrings_QtGui[42811]
#define sipNameNr_dashOffset 42822
#define sipName_dashOffset &sipStrings_QtGui[42822]
#define sipNameNr_deleteChar 42833
#define sipName_deleteChar &sipStrings_QtGui[42833]
#define sipNameNr_deviceType 42844
#define sipName_deviceType &sipStrings_QtGui[42844]
#define sipNameNr_dodgerblue 42855
#define sipName_dodgerblue &sipStrings_QtGui[42855]
#define sipNameNr_dotProduct 42866
#define sipName_dotProduct &sipStrings_QtGui[42866]
#define sipNameNr_dragCursor 42877
#define sipName_dragCursor &sipStrings_QtGui[42877]
#define sipNameNr_drawCursor 42888
#define sipName_drawCursor &sipStrings_QtGui[42888]
#define sipNameNr_drawObject 42899
#define sipName_drawObject &sipStrings_QtGui[42899]
#define sipNameNr_drawPixmap 42910
#define sipName_drawPixmap &sipStrings_QtGui[42910]
#define sipNameNr_drawPoints 42921
#define sipName_drawPoints &sipStrings_QtGui[42921]
#define sipNameNr_dropAction 42932
#define sipName_dropAction &sipStrings_QtGui[42932]
#define sipNameNr_elidedText 42943
#define sipName_elidedText &sipStrings_QtGui[42943]
#define sipNameNr_exactMatch 42954
#define sipName_exactMatch &sipStrings_QtGui[42954]
#define sipNameNr_extensions 42965
#define sipName_extensions &sipStrings_QtGui[42965]
#define sipNameNr_familyName 42976
#define sipName_familyName &sipStrings_QtGui[42976]
#define sipNameNr_firstBlock 42987
#define sipName_firstBlock &sipStrings_QtGui[42987]
#define sipNameNr_fixedPitch 42998
#define sipName_fixedPitch &sipStrings_QtGui[42998]
#define sipNameNr_focalPoint 43009
#define sipName_focalPoint &sipStrings_QtGui[43009]
#define sipNameNr_fontFamily 43020
#define sipName_fontFamily &sipStrings_QtGui[43020]
#define sipNameNr_fontItalic 43031
#define sipName_fontItalic &sipStrings_QtGui[43031]
#define sipNameNr_fontWeight 43042
#define sipName_fontWeight &sipStrings_QtGui[43042]
#define sipNameNr_foreground 43053
#define sipName_foreground &sipStrings_QtGui[43053]
#define sipNameNr_frameCount 43064
#define sipName_frameCount &sipStrings_QtGui[43064]
#define sipNameNr_fromArgb32 43075
#define sipName_fromArgb32 &sipStrings_QtGui[43075]
#define sipNameNr_fromRgba64 43086
#define sipName_fromRgba64 &sipStrings_QtGui[43086]
#define sipNameNr_fromString 43097
#define sipName_fromString &sipStrings_QtGui[43097]
#define sipNameNr_genMipMaps 43108
#define sipName_genMipMaps &sipStrings_QtGui[43108]
#define sipNameNr_ghostwhite 43119
#define sipName_ghostwhite &sipStrings_QtGui[43119]
#define sipNameNr_globalPosF 43130
#define sipName_globalPosF &sipStrings_QtGui[43130]
#define sipNameNr_grabWindow 43141
#define sipName_grabWindow &sipStrings_QtGui[43141]
#define sipNameNr_hasFeature 43152
#define sipName_hasFeature &sipStrings_QtGui[43152]
#define sipNameNr_headerData 43163
#define sipName_headerData &sipStrings_QtGui[43163]
#define sipNameNr_horizontal 43174
#define sipName_horizontal &sipStrings_QtGui[43174]
#define sipNameNr_iccProfile 43185
#define sipName_iccProfile &sipStrings_QtGui[43185]
#define sipNameNr_idealWidth 43196
#define sipName_idealWidth &sipStrings_QtGui[43196]
#define sipNameNr_imageCount 43207
#define sipName_imageCount &sipStrings_QtGui[43207]
#define sipNameNr_inFontUcs4 43218
#define sipName_inFontUcs4 &sipStrings_QtGui[43218]
#define sipNameNr_initialize 43229
#define sipName_initialize &sipStrings_QtGui[43229]
#define sipNameNr_insertHtml 43240
#define sipName_insertHtml &sipStrings_QtGui[43240]
#define sipNameNr_insertList 43251
#define sipName_insertList &sipStrings_QtGui[43251]
#define sipNameNr_insertRows 43262
#define sipName_insertRows &sipStrings_QtGui[43262]
#define sipNameNr_insertText 43273
#define sipName_insertText &sipStrings_QtGui[43273]
#define sipNameNr_intersects 43284
#define sipName_intersects &sipStrings_QtGui[43284]
#define sipNameNr_invertible 43295
#define sipName_invertible &sipStrings_QtGui[43295]
#define sipNameNr_isBrushSet 43306
#define sipName_isBrushSet &sipStrings_QtGui[43306]
#define sipNameNr_isCompiled 43317
#define sipName_isCompiled &sipStrings_QtGui[43317]
#define sipNameNr_isCosmetic 43328
#define sipName_isCosmetic &sipStrings_QtGui[43328]
#define sipNameNr_isDetached 43339
#define sipName_isDetached &sipStrings_QtGui[43339]
#define sipNameNr_isEditable 43350
#define sipName_isEditable &sipStrings_QtGui[43350]
#define sipNameNr_isIdentity 43361
#define sipName_isIdentity &sipStrings_QtGui[43361]
#define sipNameNr_isModified 43372
#define sipName_isModified &sipStrings_QtGui[43372]
#define sipNameNr_isOpenGLES 43383
#define sipName_isOpenGLES &sipStrings_QtGui[43383]
#define sipNameNr_isPortrait 43394
#define sipName_isPortrait &sipStrings_QtGui[43394]
#define sipNameNr_isRotating 43405
#define sipName_isRotating &sipStrings_QtGui[43405]
#define sipNameNr_isScalable 43416
#define sipName_isScalable &sipStrings_QtGui[43416]
#define sipNameNr_isTopLevel 43427
#define sipName_isTopLevel &sipStrings_QtGui[43427]
#define sipNameNr_isTristate 43438
#define sipName_isTristate &sipStrings_QtGui[43438]
#define sipNameNr_itemNumber 43449
#define sipName_itemNumber &sipStrings_QtGui[43449]
#define sipNameNr_leftBorder 43460
#define sipName_leftBorder &sipStrings_QtGui[43460]
#define sipNameNr_leftMargin 43471
#define sipName_leftMargin &sipStrings_QtGui[43471]
#define sipNameNr_lightcoral 43482
#define sipName_lightcoral &sipStrings_QtGui[43482]
#define sipNameNr_lightgreen 43493
#define sipName_lightgreen &sipStrings_QtGui[43493]
#define sipNameNr_lightnessF 43504
#define sipName_lightnessF &sipStrings_QtGui[43504]
#define sipNameNr_lineHeight 43515
#define sipName_lineHeight &sipStrings_QtGui[43515]
#define sipNameNr_lineNumber 43526
#define sipName_lineNumber &sipStrings_QtGui[43526]
#define sipNameNr_logMessage 43537
#define sipName_logMessage &sipStrings_QtGui[43537]
#define sipNameNr_mapBetween 43548
#define sipName_mapBetween &sipStrings_QtGui[43548]
#define sipNameNr_mediumblue 43559
#define sipName_mediumblue &sipStrings_QtGui[43559]
#define sipNameNr_mergeCells 43570
#define sipName_mergeCells &sipStrings_QtGui[43570]
#define sipNameNr_minMargins 43581
#define sipName_minMargins &sipStrings_QtGui[43581]
#define sipNameNr_miterLimit 43592
#define sipName_miterLimit &sipStrings_QtGui[43592]
#define sipNameNr_normalized 43603
#define sipName_normalized &sipStrings_QtGui[43603]
#define sipNameNr_objectType 43614
#define sipName_objectType &sipStrings_QtGui[43614]
#define sipNameNr_pageLayout 43625
#define sipName_pageLayout &sipStrings_QtGui[43625]
#define sipNameNr_pageSizeMM 43636
#define sipName_pageSizeMM &sipStrings_QtGui[43636]
#define sipNameNr_paintEvent 43647
#define sipName_paintEvent &sipStrings_QtGui[43647]
#define sipNameNr_papayawhip 43658
#define sipName_papayawhip &sipStrings_QtGui[43658]
#define sipNameNr_parameters 43669
#define sipName_parameters &sipStrings_QtGui[43669]
#define sipNameNr_pdfVersion 43680
#define sipName_pdfVersion &sipStrings_QtGui[43680]
#define sipNameNr_pixelColor 43691
#define sipName_pixelColor &sipStrings_QtGui[43691]
#define sipNameNr_pixelDelta 43702
#define sipName_pixelDelta &sipStrings_QtGui[43702]
#define sipNameNr_pixelIndex 43713
#define sipName_pixelIndex &sipStrings_QtGui[43713]
#define sipNameNr_pointSizeF 43724
#define sipName_pointSizeF &sipStrings_QtGui[43724]
#define sipNameNr_pointSizes 43735
#define sipName_pointSizes &sipStrings_QtGui[43735]
#define sipNameNr_powderblue 43746
#define sipName_powderblue &sipStrings_QtGui[43746]
#define sipNameNr_properties 43757
#define sipName_properties &sipStrings_QtGui[43757]
#define sipNameNr_quadToQuad 43768
#define sipName_quadToQuad &sipStrings_QtGui[43768]
#define sipNameNr_rectPixels 43779
#define sipName_rectPixels &sipStrings_QtGui[43779]
#define sipNameNr_rectPoints 43790
#define sipName_rectPoints &sipStrings_QtGui[43790]
#define sipNameNr_removeItem 43801
#define sipName_removeItem &sipStrings_QtGui[43801]
#define sipNameNr_removeRows 43812
#define sipName_removeRows &sipStrings_QtGui[43812]
#define sipNameNr_resolution 43823
#define sipName_resolution &sipStrings_QtGui[43823]
#define sipNameNr_rgbSwapped 43834
#define sipName_rgbSwapped &sipStrings_QtGui[43834]
#define sipNameNr_rotationTo 43845
#define sipName_rotationTo &sipStrings_QtGui[43845]
#define sipNameNr_sandybrown 43856
#define sipName_sandybrown &sipStrings_QtGui[43856]
#define sipNameNr_saturation 43867
#define sipName_saturation &sipStrings_QtGui[43867]
#define sipNameNr_scaledSize 43878
#define sipName_scaledSize &sipStrings_QtGui[43878]
#define sipNameNr_screenRect 43889
#define sipName_screenRect &sipStrings_QtGui[43889]
#define sipNameNr_selections 43900
#define sipName_selections &sipStrings_QtGui[43900]
#define sipNameNr_sessionKey 43911
#define sipName_sessionKey &sipStrings_QtGui[43911]
#define sipNameNr_setBaseUrl 43922
#define sipName_setBaseUrl &sipStrings_QtGui[43922]
#define sipNameNr_setColorAt 43933
#define sipName_setColorAt &sipStrings_QtGui[43933]
#define sipNameNr_setColumns 43944
#define sipName_setColumns &sipStrings_QtGui[43944]
#define sipNameNr_setCreator 43955
#define sipName_setCreator &sipStrings_QtGui[43955]
#define sipNameNr_setDescent 43966
#define sipName_setDescent &sipStrings_QtGui[43966]
#define sipNameNr_setEnabled 43977
#define sipName_setEnabled &sipStrings_QtGui[43977]
#define sipNameNr_setFormats 43988
#define sipName_setFormats &sipStrings_QtGui[43988]
#define sipNameNr_setHotSpot 43999
#define sipName_setHotSpot &sipStrings_QtGui[43999]
#define sipNameNr_setKerning 44010
#define sipName_setKerning &sipStrings_QtGui[44010]
#define sipNameNr_setMargins 44021
#define sipName_setMargins &sipStrings_QtGui[44021]
#define sipNameNr_setOpacity 44032
#define sipName_setOpacity &sipStrings_QtGui[44032]
#define sipNameNr_setOptions 44043
#define sipName_setOptions &sipStrings_QtGui[44043]
#define sipNameNr_setPadding 44054
#define sipName_setPadding &sipStrings_QtGui[44054]
#define sipNameNr_setPalette 44065
#define sipName_setPalette &sipStrings_QtGui[44065]
#define sipNameNr_setPicture 44076
#define sipName_setPicture &sipStrings_QtGui[44076]
#define sipNameNr_setProfile 44087
#define sipName_setProfile &sipStrings_QtGui[44087]
#define sipNameNr_setQuality 44098
#define sipName_setQuality &sipStrings_QtGui[44098]
#define sipNameNr_setRawFont 44109
#define sipName_setRawFont &sipStrings_QtGui[44109]
#define sipNameNr_setRawMode 44120
#define sipName_setRawMode &sipStrings_QtGui[44120]
#define sipNameNr_setRawName 44131
#define sipName_setRawName &sipStrings_QtGui[44131]
#define sipNameNr_setSamples 44142
#define sipName_setSamples &sipStrings_QtGui[44142]
#define sipNameNr_setStretch 44153
#define sipName_setStretch &sipStrings_QtGui[44153]
#define sipNameNr_setSubType 44164
#define sipName_setSubType &sipStrings_QtGui[44164]
#define sipNameNr_setTabStop 44175
#define sipName_setTabStop &sipStrings_QtGui[44175]
#define sipNameNr_setTexture 44186
#define sipName_setTexture &sipStrings_QtGui[44186]
#define sipNameNr_setToolTip 44197
#define sipName_setToolTip &sipStrings_QtGui[44197]
#define sipNameNr_setVersion 44208
#define sipName_setVersion &sipStrings_QtGui[44208]
#define sipNameNr_setVisible 44219
#define sipName_setVisible &sipStrings_QtGui[44219]
#define sipNameNr_severities 44230
#define sipName_severities &sipStrings_QtGui[44230]
#define sipNameNr_shaderType 44241
#define sipName_shaderType &sipStrings_QtGui[44241]
#define sipNameNr_shareGroup 44252
#define sipName_shareGroup &sipStrings_QtGui[44252]
#define sipNameNr_shortcutId 44263
#define sipName_shortcutId &sipStrings_QtGui[44263]
#define sipNameNr_showNormal 44274
#define sipName_showNormal &sipStrings_QtGui[44274]
#define sipNameNr_simplified 44285
#define sipName_simplified &sipStrings_QtGui[44285]
#define sipNameNr_sizePixels 44296
#define sipName_sizePixels &sipStrings_QtGui[44296]
#define sipNameNr_sizePoints 44307
#define sipName_sizePoints &sipStrings_QtGui[44307]
#define sipNameNr_skipImages 44318
#define sipName_skipImages &sipStrings_QtGui[44318]
#define sipNameNr_skipPixels 44329
#define sipName_skipPixels &sipStrings_QtGui[44329]
#define sipNameNr_sourceCode 44340
#define sipName_sourceCode &sipStrings_QtGui[44340]
#define sipNameNr_sourceLeft 44351
#define sipName_sourceLeft &sipStrings_QtGui[44351]
#define sipNameNr_strokePath 44362
#define sipName_strokePath &sipStrings_QtGui[44362]
#define sipNameNr_styleHints 44373
#define sipName_styleHints &sipStrings_QtGui[44373]
#define sipNameNr_substitute 44384
#define sipName_substitute &sipStrings_QtGui[44384]
#define sipNameNr_subtracted 44395
#define sipName_subtracted &sipStrings_QtGui[44395]
#define sipNameNr_systemFont 44406
#define sipName_systemFont &sipStrings_QtGui[44406]
#define sipNameNr_takeColumn 44417
#define sipName_takeColumn &sipStrings_QtGui[44417]
#define sipNameNr_testOption 44428
#define sipName_testOption &sipStrings_QtGui[44428]
#define sipNameNr_textFormat 44439
#define sipName_textFormat &sipStrings_QtGui[44439]
#define sipNameNr_textIndent 44450
#define sipName_textIndent &sipStrings_QtGui[44450]
#define sipNameNr_textLength 44461
#define sipName_textLength &sipStrings_QtGui[44461]
#define sipNameNr_textOption 44472
#define sipName_textOption &sipStrings_QtGui[44472]
#define sipNameNr_timerEvent 44483
#define sipName_timerEvent &sipStrings_QtGui[44483]
#define sipNameNr_toMarkdown 44494
#define sipName_toMarkdown &sipStrings_QtGui[44494]
#define sipNameNr_toReversed 44505
#define sipName_toReversed &sipStrings_QtGui[44505]
#define sipNameNr_toVector2D 44516
#define sipName_toVector2D &sipStrings_QtGui[44516]
#define sipNameNr_toVector3D 44527
#define sipName_toVector3D &sipStrings_QtGui[44527]
#define sipNameNr_toVector4D 44538
#define sipName_toVector4D &sipStrings_QtGui[44538]
#define sipNameNr_topLevelAt 44549
#define sipName_topLevelAt &sipStrings_QtGui[44549]
#define sipNameNr_topPadding 44560
#define sipName_topPadding &sipStrings_QtGui[44560]
#define sipNameNr_touchEvent 44571
#define sipName_touchEvent &sipStrings_QtGui[44571]
#define sipNameNr_translated 44582
#define sipName_translated &sipStrings_QtGui[44582]
#define sipNameNr_transposed 44593
#define sipName_transposed &sipStrings_QtGui[44593]
#define sipNameNr_trueMatrix 44604
#define sipName_trueMatrix &sipStrings_QtGui[44604]
#define sipNameNr_unitsPerEm 44615
#define sipName_unitsPerEm &sipStrings_QtGui[44615]
#define sipNameNr_visibility 44626
#define sipName_visibility &sipStrings_QtGui[44626]
#define sipNameNr_wheelEvent 44637
#define sipName_wheelEvent &sipStrings_QtGui[44637]
#define sipNameNr_whitesmoke 44648
#define sipName_whitesmoke &sipStrings_QtGui[44648]
#define sipNameNr_windowIcon 44659
#define sipName_windowIcon &sipStrings_QtGui[44659]
#define sipNameNr_windowText 44670
#define sipName_windowText &sipStrings_QtGui[44670]
#define sipNameNr_yellowSize 44681
#define sipName_yellowSize &sipStrings_QtGui[44681]
#define sipNameNr_APISource 44692
#define sipName_APISource &sipStrings_QtGui[44692]
#define sipNameNr_AngelCare 44702
#define sipName_AngelCare &sipStrings_QtGui[44702]
#define sipNameNr_Animation 20375
#define sipName_Animation &sipStrings_QtGui[20375]
#define sipNameNr_AnySource 44712
#define sipName_AnySource &sipStrings_QtGui[44712]
#define sipNameNr_Attribute 3847
#define sipName_Attribute &sipStrings_QtGui[3847]
#define sipNameNr_Backspace 44722
#define sipName_Backspace &sipStrings_QtGui[44722]
#define sipNameNr_BigEndian 44732
#define sipName_BigEndian &sipStrings_QtGui[44732]
#define sipNameNr_BlueValue 44742
#define sipName_BlueValue &sipStrings_QtGui[44742]
#define sipNameNr_ByteOrder 7811
#define sipName_ByteOrder &sipStrings_QtGui[7811]
#define sipNameNr_CacheMode 18431
#define sipName_CacheMode &sipStrings_QtGui[18431]
#define sipNameNr_CacheNone 44752
#define sipName_CacheNone &sipStrings_QtGui[44752]
#define sipNameNr_CenterTab 44762
#define sipName_CenterTab &sipStrings_QtGui[44762]
#define sipNameNr_ChildCare 44772
#define sipName_ChildCare &sipStrings_QtGui[44772]
#define sipNameNr_Clipboard 32115
#define sipName_Clipboard &sipStrings_QtGui[32115]
#define sipNameNr_ColorRole 14113
#define sipName_ColorRole &sipStrings_QtGui[14113]
#define sipNameNr_Condensed 26479
#define sipName_Condensed &sipStrings_QtGui[26479]
#define sipNameNr_D32FS8X24 44782
#define sipName_D32FS8X24 &sipStrings_QtGui[44782]
#define sipNameNr_DarkGreen 44792
#define sipName_DarkGreen &sipStrings_QtGui[44792]
#define sipNameNr_DepthMode 44802
#define sipName_DepthMode &sipStrings_QtGui[44802]
#define sipNameNr_DirtyFlag 7787
#define sipName_DirtyFlag &sipStrings_QtGui[7787]
#define sipNameNr_DirtyFont 44812
#define sipName_DirtyFont &sipStrings_QtGui[44812]
#define sipNameNr_DisplayP3 44822
#define sipName_DisplayP3 &sipStrings_QtGui[44822]
#define sipNameNr_EndOfLine 23180
#define sipName_EndOfLine &sipStrings_QtGui[23180]
#define sipNameNr_EndOfWord 23196
#define sipName_EndOfWord &sipStrings_QtGui[23196]
#define sipNameNr_Envelope9 44832
#define sipName_Envelope9 &sipStrings_QtGui[44832]
#define sipNameNr_ErrorType 44842
#define sipName_ErrorType &sipStrings_QtGui[44842]
#define sipNameNr_Executive 44852
#define sipName_Executive &sipStrings_QtGui[44852]
#define sipNameNr_ExtraBold 44862
#define sipName_ExtraBold &sipStrings_QtGui[44862]
#define sipNameNr_FanFoldUS 44872
#define sipName_FanFoldUS &sipStrings_QtGui[44872]
#define sipNameNr_FindFlags 7045
#define sipName_FindFlags &sipStrings_QtGui[7045]
#define sipNameNr_FixedFont 44882
#define sipName_FixedFont &sipStrings_QtGui[44882]
#define sipNameNr_FloatLeft 44892
#define sipName_FloatLeft &sipStrings_QtGui[44892]
#define sipNameNr_FreshMilk 44902
#define sipName_FreshMilk &sipStrings_QtGui[44902]
#define sipNameNr_Grayscale 11441
#define sipName_Grayscale &sipStrings_QtGui[11441]
#define sipNameNr_HappyAcid 44912
#define sipName_HappyAcid &sipStrings_QtGui[44912]
#define sipNameNr_HeavyRain 44922
#define sipName_HeavyRain &sipStrings_QtGui[44922]
#define sipNameNr_Helvetica 44932
#define sipName_Helvetica &sipStrings_QtGui[44932]
#define sipNameNr_Highlight 44942
#define sipName_Highlight &sipStrings_QtGui[44942]
#define sipNameNr_ImageName 44952
#define sipName_ImageName &sipStrings_QtGui[44952]
#define sipNameNr_InfoFlags 819
#define sipName_InfoFlags &sipStrings_QtGui[819]
#define sipNameNr_InvertRgb 44962
#define sipName_InvertRgb &sipStrings_QtGui[44962]
#define sipNameNr_JuicyCake 44972
#define sipName_JuicyCake &sipStrings_QtGui[44972]
#define sipNameNr_JungleDay 44982
#define sipName_JungleDay &sipStrings_QtGui[44982]
#define sipNameNr_KindSteel 44992
#define sipName_KindSteel &sipStrings_QtGui[44992]
#define sipNameNr_Landscape 39418
#define sipName_Landscape &sipStrings_QtGui[39418]
#define sipNameNr_LemonGate 45002
#define sipName_LemonGate &sipStrings_QtGui[45002]
#define sipNameNr_LightBlue 45012
#define sipName_LightBlue &sipStrings_QtGui[45012]
#define sipNameNr_LightGray 45022
#define sipName_LightGray &sipStrings_QtGui[45022]
#define sipNameNr_ListStyle 45032
#define sipName_ListStyle &sipStrings_QtGui[45032]
#define sipNameNr_Luminance 45042
#define sipName_Luminance &sipStrings_QtGui[45042]
#define sipNameNr_MagicLake 45052
#define sipName_MagicLake &sipStrings_QtGui[45052]
#define sipNameNr_Malayalam 45062
#define sipName_Malayalam &sipStrings_QtGui[45062]
#define sipNameNr_MarsParty 45072
#define sipName_MarsParty &sipStrings_QtGui[45072]
#define sipNameNr_Maximized 26092
#define sipName_Maximized &sipStrings_QtGui[26092]
#define sipNameNr_MeanFruit 45082
#define sipName_MeanFruit &sipStrings_QtGui[45082]
#define sipNameNr_MindCrawl 45092
#define sipName_MindCrawl &sipStrings_QtGui[45092]
#define sipNameNr_Minimized 33081
#define sipName_Minimized &sipStrings_QtGui[33081]
#define sipNameNr_MixedCase 45102
#define sipName_MixedCase &sipStrings_QtGui[45102]
#define sipNameNr_Monospace 45112
#define sipName_Monospace &sipStrings_QtGui[45112]
#define sipNameNr_NPageSize 45122
#define sipName_NPageSize &sipStrings_QtGui[45122]
#define sipNameNr_NextBlock 45132
#define sipName_NextBlock &sipStrings_QtGui[45132]
#define sipNameNr_NextChild 45142
#define sipName_NextChild &sipStrings_QtGui[45142]
#define sipNameNr_NightCall 45152
#define sipName_NightCall &sipStrings_QtGui[45152]
#define sipNameNr_NightFade 45162
#define sipName_NightFade &sipStrings_QtGui[45162]
#define sipNameNr_NoProfile 45172
#define sipName_NoProfile &sipStrings_QtGui[45172]
#define sipNameNr_Offscreen 45182
#define sipName_Offscreen &sipStrings_QtGui[45182]
#define sipNameNr_OtherType 45192
#define sipName_OtherType &sipStrings_QtGui[45192]
#define sipNameNr_PadSpread 45202
#define sipName_PadSpread &sipStrings_QtGui[45202]
#define sipNameNr_PdmHeight 45212
#define sipName_PdmHeight &sipStrings_QtGui[45212]
#define sipNameNr_PixelType 6073
#define sipName_PixelType &sipStrings_QtGui[6073]
#define sipNameNr_PlumPlate 45222
#define sipName_PlumPlate &sipStrings_QtGui[45222]
#define sipNameNr_Prc32KBig 45232
#define sipName_Prc32KBig &sipStrings_QtGui[45232]
#define sipNameNr_Primaries 9000
#define sipName_Primaries &sipStrings_QtGui[9000]
#define sipNameNr_QFontInfo 45242
#define sipName_QFontInfo &sipStrings_QtGui[45242]
#define sipNameNr_QGlyphRun 45252
#define sipName_QGlyphRun &sipStrings_QtGui[45252]
#define sipNameNr_QGradient 45262
#define sipName_QGradient &sipStrings_QtGui[45262]
#define sipNameNr_QKeyEvent 45272
#define sipName_QKeyEvent &sipStrings_QtGui[45272]
#define sipNameNr_QPageSize 45282
#define sipName_QPageSize &sipStrings_QtGui[45282]
#define sipNameNr_QPolygonF 45292
#define sipName_QPolygonF &sipStrings_QtGui[45292]
#define sipNameNr_QTextItem 45302
#define sipName_QTextItem &sipStrings_QtGui[45302]
#define sipNameNr_QTextLine 45312
#define sipName_QTextLine &sipStrings_QtGui[45312]
#define sipNameNr_QTextList 45322
#define sipName_QTextList &sipStrings_QtGui[45322]
#define sipNameNr_QVector2D 45332
#define sipName_QVector2D &sipStrings_QtGui[45332]
#define sipNameNr_QVector3D 45342
#define sipName_QVector3D &sipStrings_QtGui[45342]
#define sipNameNr_QVector4D 45352
#define sipName_QVector4D &sipStrings_QtGui[45352]
#define sipNameNr_QuickDraw 45362
#define sipName_QuickDraw &sipStrings_QtGui[45362]
#define sipNameNr_R16_SNorm 45372
#define sipName_R16_SNorm &sipStrings_QtGui[45372]
#define sipNameNr_R16_UNorm 45382
#define sipName_R16_UNorm &sipStrings_QtGui[45382]
#define sipNameNr_RG8_SNorm 45392
#define sipName_RG8_SNorm &sipStrings_QtGui[45392]
#define sipNameNr_RG8_UNorm 45402
#define sipName_RG8_UNorm &sipStrings_QtGui[45402]
#define sipNameNr_RGB8_ETC1 45412
#define sipName_RGB8_ETC1 &sipStrings_QtGui[45412]
#define sipNameNr_RGB8_ETC2 42020
#define sipName_RGB8_ETC2 &sipStrings_QtGui[42020]
#define sipNameNr_RGBA_DXT1 45422
#define sipName_RGBA_DXT1 &sipStrings_QtGui[45422]
#define sipNameNr_RGBA_DXT3 45432
#define sipName_RGBA_DXT3 &sipStrings_QtGui[45432]
#define sipNameNr_RGBA_DXT5 45442
#define sipName_RGBA_DXT5 &sipStrings_QtGui[45442]
#define sipNameNr_RGBFormat 45452
#define sipName_RGBFormat &sipStrings_QtGui[45452]
#define sipNameNr_RangeRead 45462
#define sipName_RangeRead &sipStrings_QtGui[45462]
#define sipNameNr_ReadWrite 45472
#define sipName_ReadWrite &sipStrings_QtGui[45472]
#define sipNameNr_Rectangle 8770
#define sipName_Rectangle &sipStrings_QtGui[8770]
#define sipNameNr_RedoStack 45482
#define sipName_RedoStack &sipStrings_QtGui[45482]
#define sipNameNr_RichMetal 45492
#define sipName_RichMetal &sipStrings_QtGui[45492]
#define sipNameNr_RiverCity 45502
#define sipName_RiverCity &sipStrings_QtGui[45502]
#define sipNameNr_SRGB_DXT1 45512
#define sipName_SRGB_DXT1 &sipStrings_QtGui[45512]
#define sipNameNr_SansSerif 45522
#define sipName_SansSerif &sipStrings_QtGui[45522]
#define sipNameNr_SeaStrike 45532
#define sipName_SeaStrike &sipStrings_QtGui[45532]
#define sipNameNr_SelectAll 45542
#define sipName_SelectAll &sipStrings_QtGui[45542]
#define sipNameNr_Selection 314
#define sipName_Selection &sipStrings_QtGui[314]
#define sipNameNr_SkipWords 45552
#define sipName_SkipWords &sipStrings_QtGui[45552]
#define sipNameNr_SkyGlider 45562
#define sipName_SkyGlider &sipStrings_QtGui[45562]
#define sipNameNr_SmallCaps 45572
#define sipName_SmallCaps &sipStrings_QtGui[45572]
#define sipNameNr_SnowAgain 45582
#define sipName_SnowAgain &sipStrings_QtGui[45582]
#define sipNameNr_SoftGrass 45592
#define sipName_SoftGrass &sipStrings_QtGui[45592]
#define sipNameNr_SpikyNaga 45602
#define sipName_SpikyNaga &sipStrings_QtGui[45602]
#define sipNameNr_Statement 45612
#define sipName_Statement &sipStrings_QtGui[45612]
#define sipNameNr_StrikeOut 22375
#define sipName_StrikeOut &sipStrings_QtGui[22375]
#define sipNameNr_StyleHint 21202
#define sipName_StyleHint &sipStrings_QtGui[21202]
#define sipNameNr_SunVeggie 45622
#define sipName_SunVeggie &sipStrings_QtGui[45622]
#define sipNameNr_TeenParty 45632
#define sipName_TeenParty &sipStrings_QtGui[45632]
#define sipNameNr_Texture1D 45642
#define sipName_Texture1D &sipStrings_QtGui[45642]
#define sipNameNr_Texture3D 45652
#define sipName_Texture3D &sipStrings_QtGui[45652]
#define sipNameNr_TitleFont 45662
#define sipName_TitleFont &sipStrings_QtGui[45662]
#define sipNameNr_TxProject 45672
#define sipName_TxProject &sipStrings_QtGui[45672]
#define sipNameNr_Unchecked 45682
#define sipName_Unchecked &sipStrings_QtGui[45682]
#define sipNameNr_Underline 14273
#define sipName_Underline &sipStrings_QtGui[14273]
#define sipNameNr_UndoStack 45692
#define sipName_UndoStack &sipStrings_QtGui[45692]
#define sipNameNr_UsesAlpha 45702
#define sipName_UsesAlpha &sipStrings_QtGui[45702]
#define sipNameNr_WarmFlame 45712
#define sipName_WarmFlame &sipStrings_QtGui[45712]
#define sipNameNr_WhatsThis 36794
#define sipName_WhatsThis &sipStrings_QtGui[36794]
#define sipNameNr_WildApple 45722
#define sipName_WildApple &sipStrings_QtGui[45722]
#define sipNameNr_WordRight 45732
#define sipName_WordRight &sipStrings_QtGui[45732]
#define sipNameNr_WriteOnly 45742
#define sipName_WriteOnly &sipStrings_QtGui[45742]
#define sipNameNr_YUVLayout 7835
#define sipName_YUVLayout &sipStrings_QtGui[7835]
#define sipNameNr_ZeroValue 45752
#define sipName_ZeroValue &sipStrings_QtGui[45752]
#define sipNameNr___enter__ 45762
#define sipName___enter__ &sipStrings_QtGui[45762]
#define sipNameNr___index__ 45772
#define sipName___index__ &sipStrings_QtGui[45772]
#define sipNameNr_addPixmap 45782
#define sipName_addPixmap &sipStrings_QtGui[45782]
#define sipNameNr_addRegion 45792
#define sipName_addRegion &sipStrings_QtGui[45792]
#define sipNameNr_addShader 45802
#define sipName_addShader &sipStrings_QtGui[45802]
#define sipNameNr_aliceblue 45812
#define sipName_aliceblue &sipStrings_QtGui[45812]
#define sipNameNr_alignment 45822
#define sipName_alignment &sipStrings_QtGui[45822]
#define sipNameNr_alphaSize 45832
#define sipName_alphaSize &sipStrings_QtGui[45832]
#define sipNameNr_ambiguous 45842
#define sipName_ambiguous &sipStrings_QtGui[45842]
#define sipNameNr_appendRow 45852
#define sipName_appendRow &sipStrings_QtGui[45852]
#define sipNameNr_arcMoveTo 45862
#define sipName_arcMoveTo &sipStrings_QtGui[45862]
#define sipNameNr_blackSize 45872
#define sipName_blackSize &sipStrings_QtGui[45872]
#define sipNameNr_blockList 45882
#define sipName_blockList &sipStrings_QtGui[45882]
#define sipNameNr_burlywood 45892
#define sipName_burlywood &sipStrings_QtGui[45892]
#define sipNameNr_byteCount 45902
#define sipName_byteCount &sipStrings_QtGui[45902]
#define sipNameNr_byteOrder 45912
#define sipName_byteOrder &sipStrings_QtGui[45912]
#define sipNameNr_cacheMode 45922
#define sipName_cacheMode &sipStrings_QtGui[45922]
#define sipNameNr_cadetblue 45932
#define sipName_cadetblue &sipStrings_QtGui[45932]
#define sipNameNr_capHeight 45942
#define sipName_capHeight &sipStrings_QtGui[45942]
#define sipNameNr_chocolate 45952
#define sipName_chocolate &sipStrings_QtGui[45952]
#define sipNameNr_clearData 45962
#define sipName_clearData &sipStrings_QtGui[45962]
#define sipNameNr_clipTight 45972
#define sipName_clipTight &sipStrings_QtGui[45972]
#define sipNameNr_clipboard 45982
#define sipName_clipboard &sipStrings_QtGui[45982]
#define sipNameNr_component 45992
#define sipName_component &sipStrings_QtGui[45992]
#define sipNameNr_conjugate 46002
#define sipName_conjugate &sipStrings_QtGui[46002]
#define sipNameNr_constBits 46012
#define sipName_constBits &sipStrings_QtGui[46012]
#define sipNameNr_convertTo 46022
#define sipName_convertTo &sipStrings_QtGui[46022]
#define sipNameNr_cursorToX 46032
#define sipName_cursorToX &sipStrings_QtGui[46032]
#define sipNameNr_darkgreen 46042
#define sipName_darkgreen &sipStrings_QtGui[46042]
#define sipNameNr_darkkhaki 46052
#define sipName_darkkhaki &sipStrings_QtGui[46052]
#define sipNameNr_delimiter 46062
#define sipName_delimiter &sipStrings_QtGui[46062]
#define sipNameNr_drawChord 46072
#define sipName_drawChord &sipStrings_QtGui[46072]
#define sipNameNr_drawImage 46082
#define sipName_drawImage &sipStrings_QtGui[46082]
#define sipNameNr_drawLines 46092
#define sipName_drawLines &sipStrings_QtGui[46092]
#define sipNameNr_drawPoint 46102
#define sipName_drawPoint &sipStrings_QtGui[46102]
#define sipNameNr_drawRects 46112
#define sipName_drawRects &sipStrings_QtGui[46112]
#define sipNameNr_elementAt 46122
#define sipName_elementAt &sipStrings_QtGui[46122]
#define sipNameNr_endLayout 46132
#define sipName_endLayout &sipStrings_QtGui[46132]
#define sipNameNr_eraseRect 46142
#define sipName_eraseRect &sipStrings_QtGui[46142]
#define sipNameNr_fetchMore 46152
#define sipName_fetchMore &sipStrings_QtGui[46152]
#define sipNameNr_finalStop 46162
#define sipName_finalStop &sipStrings_QtGui[46162]
#define sipNameNr_findBlock 46172
#define sipName_findBlock &sipStrings_QtGui[46172]
#define sipNameNr_findItems 46182
#define sipName_findItems &sipStrings_QtGui[46182]
#define sipNameNr_firebrick 46192
#define sipName_firebrick &sipStrings_QtGui[46192]
#define sipNameNr_fontTable 46202
#define sipName_fontTable &sipStrings_QtGui[46202]
#define sipNameNr_frameRect 46212
#define sipName_frameRect &sipStrings_QtGui[46212]
#define sipNameNr_fromCmykF 46222
#define sipName_fromCmykF &sipStrings_QtGui[46222]
#define sipNameNr_fromImage 46232
#define sipName_fromImage &sipStrings_QtGui[46232]
#define sipNameNr_fromScale 46242
#define sipName_fromScale &sipStrings_QtGui[46242]
#define sipNameNr_fromTheme 46252
#define sipName_fromTheme &sipStrings_QtGui[46252]
#define sipNameNr_fromWinId 46262
#define sipName_fromWinId &sipStrings_QtGui[46262]
#define sipNameNr_gainsboro 46272
#define sipName_gainsboro &sipStrings_QtGui[46272]
#define sipNameNr_globalPos 46282
#define sipName_globalPos &sipStrings_QtGui[46282]
#define sipNameNr_glyphRuns 46292
#define sipName_glyphRuns &sipStrings_QtGui[46292]
#define sipNameNr_goldenrod 31233
#define sipName_goldenrod &sipStrings_QtGui[31233]
#define sipNameNr_greenSize 46302
#define sipName_greenSize &sipStrings_QtGui[46302]
#define sipNameNr_hideEvent 46312
#define sipName_hideEvent &sipStrings_QtGui[46312]
#define sipNameNr_highlight 39850
#define sipName_highlight &sipStrings_QtGui[39850]
#define sipNameNr_indianred 46322
#define sipName_indianred &sipStrings_QtGui[46322]
#define sipNameNr_insertRow 46332
#define sipName_insertRow &sipStrings_QtGui[46332]
#define sipNameNr_isCreated 46342
#define sipName_isCreated &sipStrings_QtGui[46342]
#define sipNameNr_isCurveTo 46352
#define sipName_isCurveTo &sipStrings_QtGui[46352]
#define sipNameNr_isEnabled 46362
#define sipName_isEnabled &sipStrings_QtGui[46362]
#define sipNameNr_isExposed 46372
#define sipName_isExposed &sipStrings_QtGui[46372]
#define sipNameNr_isLogging 46382
#define sipName_isLogging &sipStrings_QtGui[46382]
#define sipNameNr_isQBitmap 46392
#define sipName_isQBitmap &sipStrings_QtGui[46392]
#define sipNameNr_isScaling 46402
#define sipName_isScaling &sipStrings_QtGui[46402]
#define sipNameNr_isVisible 46412
#define sipName_isVisible &sipStrings_QtGui[46412]
#define sipNameNr_joinStyle 46422
#define sipName_joinStyle &sipStrings_QtGui[46422]
#define sipNameNr_lastBlock 46432
#define sipName_lastBlock &sipStrings_QtGui[46432]
#define sipNameNr_lastError 46442
#define sipName_lastError &sipStrings_QtGui[46442]
#define sipNameNr_lawngreen 46452
#define sipName_lawngreen &sipStrings_QtGui[46452]
#define sipNameNr_lightblue 46462
#define sipName_lightblue &sipStrings_QtGui[46462]
#define sipNameNr_lightcyan 46472
#define sipName_lightcyan &sipStrings_QtGui[46472]
#define sipNameNr_lightgray 46482
#define sipName_lightgray &sipStrings_QtGui[46482]
#define sipNameNr_lightgrey 46492
#define sipName_lightgrey &sipStrings_QtGui[46492]
#define sipNameNr_lightness 46502
#define sipName_lightness &sipStrings_QtGui[46502]
#define sipNameNr_lightpink 46512
#define sipName_lightpink &sipStrings_QtGui[46512]
#define sipNameNr_limegreen 46522
#define sipName_limegreen &sipStrings_QtGui[46522]
#define sipNameNr_lineCount 46532
#define sipName_lineCount &sipStrings_QtGui[46532]
#define sipNameNr_lineWidth 46542
#define sipName_lineWidth &sipStrings_QtGui[46542]
#define sipNameNr_loopCount 46552
#define sipName_loopCount &sipStrings_QtGui[46552]
#define sipNameNr_lostFocus 46562
#define sipName_lostFocus &sipStrings_QtGui[46562]
#define sipNameNr_mapVector 46572
#define sipName_mapVector &sipStrings_QtGui[46572]
#define sipNameNr_mimeTypes 46582
#define sipName_mimeTypes &sipStrings_QtGui[46582]
#define sipNameNr_mintcream 46592
#define sipName_mintcream &sipStrings_QtGui[46592]
#define sipNameNr_mipLevels 46602
#define sipName_mipLevels &sipStrings_QtGui[46602]
#define sipNameNr_mistyrose 46612
#define sipName_mistyrose &sipStrings_QtGui[46612]
#define sipNameNr_modifiers 46622
#define sipName_modifiers &sipStrings_QtGui[46622]
#define sipNameNr_moveEvent 46632
#define sipName_moveEvent &sipStrings_QtGui[46632]
#define sipNameNr_nearPlane 46642
#define sipName_nearPlane &sipStrings_QtGui[46642]
#define sipNameNr_normalize 46652
#define sipName_normalize &sipStrings_QtGui[46652]
#define sipNameNr_numericId 46662
#define sipName_numericId &sipStrings_QtGui[46662]
#define sipNameNr_olivedrab 46672
#define sipName_olivedrab &sipStrings_QtGui[46672]
#define sipNameNr_operation 46682
#define sipName_operation &sipStrings_QtGui[46682]
#define sipNameNr_orangered 46692
#define sipName_orangered &sipStrings_QtGui[46692]
#define sipNameNr_pageCount 46702
#define sipName_pageCount &sipStrings_QtGui[46702]
#define sipNameNr_paintRect 46712
#define sipName_paintRect &sipStrings_QtGui[46712]
#define sipNameNr_palegreen 46722
#define sipName_palegreen &sipStrings_QtGui[46722]
#define sipNameNr_peachpuff 46732
#define sipName_peachpuff &sipStrings_QtGui[46732]
#define sipNameNr_pixelSize 46742
#define sipName_pixelSize &sipStrings_QtGui[46742]
#define sipNameNr_pointSize 46752
#define sipName_pointSize &sipStrings_QtGui[46752]
#define sipNameNr_positions 46762
#define sipName_positions &sipStrings_QtGui[46762]
#define sipNameNr_primaries 46772
#define sipName_primaries &sipStrings_QtGui[46772]
#define sipNameNr_programId 46782
#define sipName_programId &sipStrings_QtGui[46782]
#define sipNameNr_pushGroup 46792
#define sipName_pushGroup &sipStrings_QtGui[46792]
#define sipNameNr_putPoints 46802
#define sipName_putPoints &sipStrings_QtGui[46802]
#define sipNameNr_rectCount 46812
#define sipName_rectCount &sipStrings_QtGui[46812]
#define sipNameNr_removeRow 46822
#define sipName_removeRow &sipStrings_QtGui[46822]
#define sipNameNr_roleNames 46832
#define sipName_roleNames &sipStrings_QtGui[46832]
#define sipNameNr_rootFrame 46842
#define sipName_rootFrame &sipStrings_QtGui[46842]
#define sipNameNr_rosybrown 46852
#define sipName_rosybrown &sipStrings_QtGui[46852]
#define sipNameNr_rowLength 46862
#define sipName_rowLength &sipStrings_QtGui[46862]
#define sipNameNr_royalblue 46872
#define sipName_royalblue &sipStrings_QtGui[46872]
#define sipNameNr_sceneRect 46882
#define sipName_sceneRect &sipStrings_QtGui[46882]
#define sipNameNr_screenPos 46892
#define sipName_screenPos &sipStrings_QtGui[46892]
#define sipNameNr_selection 46902
#define sipName_selection &sipStrings_QtGui[46902]
#define sipNameNr_sessionId 46912
#define sipName_sessionId &sipStrings_QtGui[46912]
#define sipNameNr_setActive 46922
#define sipName_setActive &sipStrings_QtGui[46922]
#define sipNameNr_setAlphaF 46932
#define sipName_setAlphaF &sipStrings_QtGui[46932]
#define sipNameNr_setAnchor 46942
#define sipName_setAnchor &sipStrings_QtGui[46942]
#define sipNameNr_setAscent 46952
#define sipName_setAscent &sipStrings_QtGui[46952]
#define sipNameNr_setBorder 46962
#define sipName_setBorder &sipStrings_QtGui[46962]
#define sipNameNr_setBottom 46972
#define sipName_setBottom &sipStrings_QtGui[46972]
#define sipNameNr_setCenter 46982
#define sipName_setCenter &sipStrings_QtGui[46982]
#define sipNameNr_setColumn 46992
#define sipName_setColumn &sipStrings_QtGui[46992]
#define sipNameNr_setCursor 40606
#define sipName_setCursor &sipStrings_QtGui[40606]
#define sipNameNr_setDevice 47002
#define sipName_setDevice &sipStrings_QtGui[47002]
#define sipNameNr_setFamily 47012
#define sipName_setFamily &sipStrings_QtGui[47012]
#define sipNameNr_setFormat 47022
#define sipName_setFormat &sipStrings_QtGui[47022]
#define sipNameNr_setGreenF 47032
#define sipName_setGreenF &sipStrings_QtGui[47032]
#define sipNameNr_setHeight 47042
#define sipName_setHeight &sipStrings_QtGui[47042]
#define sipNameNr_setIndent 47052
#define sipName_setIndent &sipStrings_QtGui[47052]
#define sipNameNr_setIsMask 47062
#define sipName_setIsMask &sipStrings_QtGui[47062]
#define sipNameNr_setItalic 47072
#define sipName_setItalic &sipStrings_QtGui[47072]
#define sipNameNr_setLayers 47082
#define sipName_setLayers &sipStrings_QtGui[47082]
#define sipNameNr_setLocale 47092
#define sipName_setLocale &sipStrings_QtGui[47092]
#define sipNameNr_setMargin 47102
#define sipName_setMargin &sipStrings_QtGui[47102]
#define sipNameNr_setMarker 47112
#define sipName_setMarker &sipStrings_QtGui[47112]
#define sipNameNr_setMatrix 47122
#define sipName_setMatrix &sipStrings_QtGui[47122]
#define sipNameNr_setMipmap 47132
#define sipName_setMipmap &sipStrings_QtGui[47132]
#define sipNameNr_setOffset 47142
#define sipName_setOffset &sipStrings_QtGui[47142]
#define sipNameNr_setOption 47152
#define sipName_setOption &sipStrings_QtGui[47152]
#define sipNameNr_setParent 47162
#define sipName_setParent &sipStrings_QtGui[47162]
#define sipNameNr_setPaused 47172
#define sipName_setPaused &sipStrings_QtGui[47172]
#define sipNameNr_setPixmap 47182
#define sipName_setPixmap &sipStrings_QtGui[47182]
#define sipNameNr_setPoints 47192
#define sipName_setPoints &sipStrings_QtGui[47192]
#define sipNameNr_setRadius 47202
#define sipName_setRadius &sipStrings_QtGui[47202]
#define sipNameNr_setRegExp 47212
#define sipName_setRegExp &sipStrings_QtGui[47212]
#define sipNameNr_setRgba64 47222
#define sipName_setRgba64 &sipStrings_QtGui[47222]
#define sipNameNr_setScalar 47232
#define sipName_setScalar &sipStrings_QtGui[47232]
#define sipNameNr_setScreen 47242
#define sipName_setScreen &sipStrings_QtGui[47242]
#define sipNameNr_setSpread 47252
#define sipName_setSpread &sipStrings_QtGui[47252]
#define sipNameNr_setStatus 47262
#define sipName_setStatus &sipStrings_QtGui[47262]
#define sipNameNr_setStereo 47272
#define sipName_setStereo &sipStrings_QtGui[47272]
#define sipNameNr_setVector 47282
#define sipName_setVector &sipStrings_QtGui[47282]
#define sipNameNr_setWeight 47292
#define sipName_setWeight &sipStrings_QtGui[47292]
#define sipNameNr_setWidthF 47302
#define sipName_setWidthF &sipStrings_QtGui[47302]
#define sipNameNr_setWindow 47312
#define sipName_setWindow &sipStrings_QtGui[47312]
#define sipNameNr_showEvent 47322
#define sipName_showEvent &sipStrings_QtGui[47322]
#define sipNameNr_slateblue 25148
#define sipName_slateblue &sipStrings_QtGui[25148]
#define sipNameNr_slategray 28189
#define sipName_slategray &sipStrings_QtGui[28189]
#define sipNameNr_slategrey 28204
#define sipName_slategrey &sipStrings_QtGui[28204]
#define sipNameNr_sourceTop 47332
#define sipName_sourceTop &sipStrings_QtGui[47332]
#define sipNameNr_splitCell 47342
#define sipName_splitCell &sipStrings_QtGui[47342]
#define sipNameNr_statusTip 47352
#define sipName_statusTip &sipStrings_QtGui[47352]
#define sipNameNr_steelblue 28219
#define sipName_steelblue &sipStrings_QtGui[28219]
#define sipNameNr_strikeOut 47362
#define sipName_strikeOut &sipStrings_QtGui[47362]
#define sipNameNr_styleHint 47372
#define sipName_styleHint &sipStrings_QtGui[47372]
#define sipNameNr_styleName 47382
#define sipName_styleName &sipStrings_QtGui[47382]
#define sipNameNr_takeChild 47392
#define sipName_takeChild &sipStrings_QtGui[47392]
#define sipNameNr_textStart 47402
#define sipName_textStart &sipStrings_QtGui[47402]
#define sipNameNr_textWidth 47412
#define sipName_textWidth &sipStrings_QtGui[47412]
#define sipNameNr_textureId 47422
#define sipName_textureId &sipStrings_QtGui[47422]
#define sipNameNr_themeName 47432
#define sipName_themeName &sipStrings_QtGui[47432]
#define sipNameNr_timestamp 47442
#define sipName_timestamp &sipStrings_QtGui[47442]
#define sipNameNr_toPolygon 47452
#define sipName_toPolygon &sipStrings_QtGui[47452]
#define sipNameNr_toRawText 47462
#define sipName_toRawText &sipStrings_QtGui[47462]
#define sipNameNr_topBorder 47472
#define sipName_topBorder &sipStrings_QtGui[47472]
#define sipNameNr_topMargin 47482
#define sipName_topMargin &sipStrings_QtGui[47482]
#define sipNameNr_transform 47492
#define sipName_transform &sipStrings_QtGui[47492]
#define sipNameNr_translate 47502
#define sipName_translate &sipStrings_QtGui[47502]
#define sipNameNr_turquoise 25164
#define sipName_turquoise &sipStrings_QtGui[25164]
#define sipNameNr_underline 47512
#define sipName_underline &sipStrings_QtGui[47512]
#define sipNameNr_unproject 47522
#define sipName_unproject &sipStrings_QtGui[47522]
#define sipNameNr_userState 47532
#define sipName_userState &sipStrings_QtGui[47532]
#define sipNameNr_whatsThis 47542
#define sipName_whatsThis &sipStrings_QtGui[47542]
#define sipNameNr_widthChar 47552
#define sipName_widthChar &sipStrings_QtGui[47552]
#define sipNameNr_windowPos 47562
#define sipName_windowPos &sipStrings_QtGui[47562]
#define sipNameNr_windowsId 47572
#define sipName_windowsId &sipStrings_QtGui[47572]
#define sipNameNr_xToCursor 47582
#define sipName_xToCursor &sipStrings_QtGui[47582]
#define sipNameNr_yuvLayout 47592
#define sipName_yuvLayout &sipStrings_QtGui[47592]
#define sipNameNr_AdobeRgb 47602
#define sipName_AdobeRgb &sipStrings_QtGui[47602]
#define sipNameNr_Airbrush 47611
#define sipName_Airbrush &sipStrings_QtGui[47611]
#define sipNameNr_AlignTop 47620
#define sipName_AlignTop &sipStrings_QtGui[47620]
#define sipNameNr_AllDirty 47629
#define sipName_AllDirty &sipStrings_QtGui[47629]
#define sipNameNr_AmyCrisp 47638
#define sipName_AmyCrisp &sipStrings_QtGui[47638]
#define sipNameNr_AnyStyle 47647
#define sipName_AnyStyle &sipStrings_QtGui[47647]
#define sipNameNr_Armenian 47656
#define sipName_Armenian &sipStrings_QtGui[47656]
#define sipNameNr_BigMango 47665
#define sipName_BigMango &sipStrings_QtGui[47665]
#define sipNameNr_BlackSea 47674
#define sipName_BlackSea &sipStrings_QtGui[47674]
#define sipNameNr_Blessing 47683
#define sipName_Blessing &sipStrings_QtGui[47683]
#define sipNameNr_CacheAll 47692
#define sipName_CacheAll &sipStrings_QtGui[47692]
#define sipNameNr_ClipRect 20124
#define sipName_ClipRect &sipStrings_QtGui[20124]
#define sipNameNr_CssFloat 47701
#define sipName_CssFloat &sipStrings_QtGui[47701]
#define sipNameNr_Cyrillic 47710
#define sipName_Cyrillic &sipStrings_QtGui[47710]
#define sipNameNr_DarkBlue 47719
#define sipName_DarkBlue &sipStrings_QtGui[47719]
#define sipNameNr_DarkCyan 47728
#define sipName_DarkCyan &sipStrings_QtGui[47728]
#define sipNameNr_DarkGray 47737
#define sipName_DarkGray &sipStrings_QtGui[47737]
#define sipNameNr_DciP3D65 47746
#define sipName_DciP3D65 &sipStrings_QtGui[47746]
#define sipNameNr_DeepBlue 47755
#define sipName_DeepBlue &sipStrings_QtGui[47755]
#define sipNameNr_DemiBold 47764
#define sipName_DemiBold &sipStrings_QtGui[47764]
#define sipNameNr_Deselect 47773
#define sipName_Deselect &sipStrings_QtGui[47773]
#define sipNameNr_Direct2D 47782
#define sipName_Direct2D &sipStrings_QtGui[47782]
#define sipNameNr_Direct3D 47791
#define sipName_Direct3D &sipStrings_QtGui[47791]
#define sipNameNr_DirtyPen 47800
#define sipName_DirtyPen &sipStrings_QtGui[47800]
#define sipNameNr_Disabled 47809
#define sipName_Disabled &sipStrings_QtGui[47809]
#define sipNameNr_Document 10122
#define sipName_Document &sipStrings_QtGui[10122]
#define sipNameNr_Expanded 29750
#define sipName_Expanded &sipStrings_QtGui[29750]
#define sipNameNr_Features 1062
#define sipName_Features &sipStrings_QtGui[1062]
#define sipNameNr_FindFlag 7908
#define sipName_FindFlag &sipStrings_QtGui[7908]
#define sipNameNr_FindNext 47818
#define sipName_FindNext &sipStrings_QtGui[47818]
#define sipNameNr_Fragment 6971
#define sipName_Fragment &sipStrings_QtGui[6971]
#define sipNameNr_Geometry 7221
#define sipName_Geometry &sipStrings_QtGui[7221]
#define sipNameNr_Georgian 47827
#define sipName_Georgian &sipStrings_QtGui[47827]
#define sipNameNr_Gujarati 47836
#define sipName_Gujarati &sipStrings_QtGui[47836]
#define sipNameNr_Gurmukhi 47845
#define sipName_Gurmukhi &sipStrings_QtGui[47845]
#define sipNameNr_Inactive 47854
#define sipName_Inactive &sipStrings_QtGui[47854]
#define sipNameNr_InfoFlag 1130
#define sipName_InfoFlag &sipStrings_QtGui[1130]
#define sipNameNr_IsAnchor 47863
#define sipName_IsAnchor &sipStrings_QtGui[47863]
#define sipNameNr_ItemType 7884
#define sipName_ItemType &sipStrings_QtGui[7884]
#define sipNameNr_Japanese 47872
#define sipName_Japanese &sipStrings_QtGui[47872]
#define sipNameNr_Keyboard 47881
#define sipName_Keyboard &sipStrings_QtGui[47881]
#define sipNameNr_LadyLips 47890
#define sipName_LadyLips &sipStrings_QtGui[47890]
#define sipNameNr_Language 17910
#define sipName_Language &sipStrings_QtGui[17910]
#define sipNameNr_ListDisc 47899
#define sipName_ListDisc &sipStrings_QtGui[47899]
#define sipNameNr_LoveKiss 47908
#define sipName_LoveKiss &sipStrings_QtGui[47908]
#define sipNameNr_MagicRay 47917
#define sipName_MagicRay &sipStrings_QtGui[47917]
#define sipNameNr_Midlight 47926
#define sipName_Midlight &sipStrings_QtGui[47926]
#define sipNameNr_MoleHall 47935
#define sipName_MoleHall &sipStrings_QtGui[47935]
#define sipNameNr_MoveMode 10474
#define sipName_MoveMode &sipStrings_QtGui[10474]
#define sipNameNr_NearMoon 47944
#define sipName_NearMoon &sipStrings_QtGui[47944]
#define sipNameNr_NextCell 47953
#define sipName_NextCell &sipStrings_QtGui[47953]
#define sipNameNr_NextWord 26780
#define sipName_NextWord &sipStrings_QtGui[26780]
#define sipNameNr_NightSky 47962
#define sipName_NightSky &sipStrings_QtGui[47962]
#define sipNameNr_NoDevice 47971
#define sipName_NoDevice &sipStrings_QtGui[47971]
#define sipNameNr_NoFormat 47980
#define sipName_NoFormat &sipStrings_QtGui[47980]
#define sipNameNr_NoMarker 47989
#define sipName_NoMarker &sipStrings_QtGui[47989]
#define sipNameNr_NoObject 47998
#define sipName_NoObject &sipStrings_QtGui[47998]
#define sipNameNr_Notation 5118
#define sipName_Notation &sipStrings_QtGui[5118]
#define sipNameNr_OneValue 48007
#define sipName_OneValue &sipStrings_QtGui[48007]
#define sipNameNr_OpenGLES 43385
#define sipName_OpenGLES &sipStrings_QtGui[43385]
#define sipNameNr_Overline 25725
#define sipName_Overline &sipStrings_QtGui[25725]
#define sipNameNr_PageSize 4732
#define sipName_PageSize &sipStrings_QtGui[4732]
#define sipNameNr_PaloAlto 48016
#define sipName_PaloAlto &sipStrings_QtGui[48016]
#define sipNameNr_PdmDepth 48025
#define sipName_PdmDepth &sipStrings_QtGui[48025]
#define sipNameNr_PdmWidth 48034
#define sipName_PdmWidth &sipStrings_QtGui[48034]
#define sipNameNr_PlumBath 48043
#define sipName_PlumBath &sipStrings_QtGui[48043]
#define sipNameNr_Portrait 43396
#define sipName_Portrait &sipStrings_QtGui[43396]
#define sipNameNr_Position 4760
#define sipName_Position &sipStrings_QtGui[4760]
#define sipNameNr_Postcard 26435
#define sipName_Postcard &sipStrings_QtGui[26435]
#define sipNameNr_Pressure 17743
#define sipName_Pressure &sipStrings_QtGui[17743]
#define sipNameNr_Property 10540
#define sipName_Property &sipStrings_QtGui[10540]
#define sipNameNr_QPainter 48052
#define sipName_QPainter &sipStrings_QtGui[48052]
#define sipNameNr_QPalette 48061
#define sipName_QPalette &sipStrings_QtGui[48061]
#define sipNameNr_QPicture 48070
#define sipName_QPicture &sipStrings_QtGui[48070]
#define sipNameNr_QPolygon 48079
#define sipName_QPolygon &sipStrings_QtGui[48079]
#define sipNameNr_QRawFont 48088
#define sipName_QRawFont &sipStrings_QtGui[48088]
#define sipNameNr_QSurface 48097
#define sipName_QSurface &sipStrings_QtGui[48097]
#define sipNameNr_R8_SNorm 48106
#define sipName_R8_SNorm &sipStrings_QtGui[48106]
#define sipNameNr_R8_UNorm 48115
#define sipName_R8_UNorm &sipStrings_QtGui[48115]
#define sipNameNr_RG11B10F 24125
#define sipName_RG11B10F &sipStrings_QtGui[24125]
#define sipNameNr_RGB_DXT1 45513
#define sipName_RGB_DXT1 &sipStrings_QtGui[45513]
#define sipNameNr_RareWind 48124
#define sipName_RareWind &sipStrings_QtGui[48124]
#define sipNameNr_ReadOnly 48133
#define sipName_ReadOnly &sipStrings_QtGui[48133]
#define sipNameNr_RedValue 48142
#define sipName_RedValue &sipStrings_QtGui[48142]
#define sipNameNr_RightTab 48151
#define sipName_RightTab &sipStrings_QtGui[48151]
#define sipNameNr_Seashore 48160
#define sipName_Seashore &sipStrings_QtGui[48160]
#define sipNameNr_Selected 48169
#define sipName_Selected &sipStrings_QtGui[48169]
#define sipNameNr_Severity 3134
#define sipName_Severity &sipStrings_QtGui[3134]
#define sipNameNr_StarWine 48178
#define sipName_StarWine &sipStrings_QtGui[48178]
#define sipNameNr_Target1D 23053
#define sipName_Target1D &sipStrings_QtGui[23053]
#define sipNameNr_Target2D 23069
#define sipName_Target2D &sipStrings_QtGui[23069]
#define sipNameNr_Target3D 23085
#define sipName_Target3D &sipStrings_QtGui[23085]
#define sipNameNr_TouchPad 48187
#define sipName_TouchPad &sipStrings_QtGui[48187]
#define sipNameNr_Trailing 48196
#define sipName_Trailing &sipStrings_QtGui[48196]
#define sipNameNr_TxRotate 48205
#define sipName_TxRotate &sipStrings_QtGui[48205]
#define sipNameNr_UserType 48214
#define sipName_UserType &sipStrings_QtGui[48214]
#define sipNameNr_Velocity 20304
#define sipName_Velocity &sipStrings_QtGui[20304]
#define sipNameNr_Windowed 48223
#define sipName_Windowed &sipStrings_QtGui[48223]
#define sipNameNr_WordLeft 48232
#define sipName_WordLeft &sipStrings_QtGui[48232]
#define sipNameNr_WordWrap 48241
#define sipName_WordWrap &sipStrings_QtGui[48241]
#define sipNameNr_WrapMode 6871
#define sipName_WrapMode &sipStrings_QtGui[6871]
#define sipNameNr_YUV420SP 48250
#define sipName_YUV420SP &sipStrings_QtGui[48250]
#define sipNameNr___bool__ 48259
#define sipName___bool__ &sipStrings_QtGui[48259]
#define sipNameNr___exit__ 48268
#define sipName___exit__ &sipStrings_QtGui[48268]
#define sipNameNr___hash__ 48277
#define sipName___hash__ &sipStrings_QtGui[48277]
#define sipNameNr___iadd__ 48286
#define sipName___iadd__ &sipStrings_QtGui[48286]
#define sipNameNr___iand__ 48295
#define sipName___iand__ &sipStrings_QtGui[48295]
#define sipNameNr___imul__ 48304
#define sipName___imul__ &sipStrings_QtGui[48304]
#define sipNameNr___isub__ 48313
#define sipName___isub__ &sipStrings_QtGui[48313]
#define sipNameNr___ixor__ 48322
#define sipName___ixor__ &sipStrings_QtGui[48322]
#define sipNameNr___repr__ 48331
#define sipName___repr__ &sipStrings_QtGui[48331]
#define sipNameNr_allocate 48340
#define sipName_allocate &sipStrings_QtGui[48340]
#define sipNameNr_anchorAt 48349
#define sipName_anchorAt &sipStrings_QtGui[48349]
#define sipNameNr_baseSize 48358
#define sipName_baseSize &sipStrings_QtGui[48358]
#define sipNameNr_blueSize 48367
#define sipName_blueSize &sipStrings_QtGui[48367]
#define sipNameNr_bufferId 48376
#define sipName_bufferId &sipStrings_QtGui[48376]
#define sipNameNr_cacheKey 48385
#define sipName_cacheKey &sipStrings_QtGui[48385]
#define sipNameNr_canWrite 8628
#define sipName_canWrite &sipStrings_QtGui[8628]
#define sipNameNr_capStyle 48394
#define sipName_capStyle &sipStrings_QtGui[48394]
#define sipNameNr_capacity 48403
#define sipName_capacity &sipStrings_QtGui[48403]
#define sipNameNr_clipPath 48412
#define sipName_clipPath &sipStrings_QtGui[48412]
#define sipNameNr_clipRect 48421
#define sipName_clipRect &sipStrings_QtGui[48421]
#define sipNameNr_contains 48430
#define sipName_contains &sipStrings_QtGui[48430]
#define sipNameNr_cornsilk 48439
#define sipName_cornsilk &sipStrings_QtGui[48439]
#define sipNameNr_cyanSize 48448
#define sipName_cyanSize &sipStrings_QtGui[48448]
#define sipNameNr_darkblue 48457
#define sipName_darkblue &sipStrings_QtGui[48457]
#define sipNameNr_darkcyan 48466
#define sipName_darkcyan &sipStrings_QtGui[48466]
#define sipNameNr_darkgray 48475
#define sipName_darkgray &sipStrings_QtGui[48475]
#define sipNameNr_darkgrey 48484
#define sipName_darkgrey &sipStrings_QtGui[48484]
#define sipNameNr_decimals 48493
#define sipName_decimals &sipStrings_QtGui[48493]
#define sipNameNr_deeppink 48502
#define sipName_deeppink &sipStrings_QtGui[48502]
#define sipNameNr_document 48511
#define sipName_document &sipStrings_QtGui[48511]
#define sipNameNr_drawLine 48520
#define sipName_drawLine &sipStrings_QtGui[48520]
#define sipNameNr_drawPath 48529
#define sipName_drawPath &sipStrings_QtGui[48529]
#define sipNameNr_drawRect 48538
#define sipName_drawRect &sipStrings_QtGui[48538]
#define sipNameNr_drawText 48547
#define sipName_drawText &sipStrings_QtGui[48547]
#define sipNameNr_encoding 48556
#define sipName_encoding &sipStrings_QtGui[48556]
#define sipNameNr_endPaint 48565
#define sipName_endPaint &sipStrings_QtGui[48565]
#define sipNameNr_families 48574
#define sipName_families &sipStrings_QtGui[48574]
#define sipNameNr_farPlane 48583
#define sipName_farPlane &sipStrings_QtGui[48583]
#define sipNameNr_features 48592
#define sipName_features &sipStrings_QtGui[48592]
#define sipNameNr_fileName 48601
#define sipName_fileName &sipStrings_QtGui[48601]
#define sipNameNr_filePath 48610
#define sipName_filePath &sipStrings_QtGui[48610]
#define sipNameNr_fillPath 48619
#define sipName_fillPath &sipStrings_QtGui[48619]
#define sipNameNr_fillRect 48628
#define sipName_fillRect &sipStrings_QtGui[48628]
#define sipNameNr_fillRule 48637
#define sipName_fillRule &sipStrings_QtGui[48637]
#define sipNameNr_finished 48646
#define sipName_finished &sipStrings_QtGui[48646]
#define sipNameNr_fontInfo 48655
#define sipName_fontInfo &sipStrings_QtGui[48655]
#define sipNameNr_formatAt 48664
#define sipName_formatAt &sipStrings_QtGui[48664]
#define sipNameNr_fragment 48673
#define sipName_fragment &sipStrings_QtGui[48673]
#define sipNameNr_fromAxes 48682
#define sipName_fromAxes &sipStrings_QtGui[48682]
#define sipNameNr_fromCmyk 48691
#define sipName_fromCmyk &sipStrings_QtGui[48691]
#define sipNameNr_fromData 48700
#define sipName_fromData &sipStrings_QtGui[48700]
#define sipNameNr_fromFont 48709
#define sipName_fromFont &sipStrings_QtGui[48709]
#define sipNameNr_fromHslF 48718
#define sipName_fromHslF &sipStrings_QtGui[48718]
#define sipNameNr_fromHsvF 48727
#define sipName_fromHsvF &sipStrings_QtGui[48727]
#define sipNameNr_fromHtml 48736
#define sipName_fromHtml &sipStrings_QtGui[48736]
#define sipNameNr_fromRgbF 48745
#define sipName_fromRgbF &sipStrings_QtGui[48745]
#define sipNameNr_fromRgba 48754
#define sipName_fromRgba &sipStrings_QtGui[48754]
#define sipNameNr_fullRect 48763
#define sipName_fullRect &sipStrings_QtGui[48763]
#define sipNameNr_geometry 48772
#define sipName_geometry &sipStrings_QtGui[48772]
#define sipNameNr_getCmykF 48781
#define sipName_getCmykF &sipStrings_QtGui[48781]
#define sipNameNr_gotFocus 48790
#define sipName_gotFocus &sipStrings_QtGui[48790]
#define sipNameNr_gradient 48799
#define sipName_gradient &sipStrings_QtGui[48799]
#define sipNameNr_hasAlpha 48808
#define sipName_hasAlpha &sipStrings_QtGui[48808]
#define sipNameNr_heightMM 48817
#define sipName_heightMM &sipStrings_QtGui[48817]
#define sipNameNr_honeydew 48826
#define sipName_honeydew &sipStrings_QtGui[48826]
#define sipNameNr_iconName 48835
#define sipName_iconName &sipStrings_QtGui[48835]
#define sipNameNr_inverted 48844
#define sipName_inverted &sipStrings_QtGui[48844]
#define sipNameNr_ioDevice 48853
#define sipName_ioDevice &sipStrings_QtGui[48853]
#define sipNameNr_isActive 48862
#define sipName_isActive &sipStrings_QtGui[48862]
#define sipNameNr_isAffine 48871
#define sipName_isAffine &sipStrings_QtGui[48871]
#define sipNameNr_isAnchor 48880
#define sipName_isAnchor &sipStrings_QtGui[48880]
#define sipNameNr_isClosed 48889
#define sipName_isClosed &sipStrings_QtGui[48889]
#define sipNameNr_isCopyOf 48898
#define sipName_isCopyOf &sipStrings_QtGui[48898]
#define sipNameNr_isLineTo 48907
#define sipName_isLineTo &sipStrings_QtGui[48907]
#define sipNameNr_isLinked 48916
#define sipName_isLinked &sipStrings_QtGui[48916]
#define sipNameNr_isMoveTo 48925
#define sipName_isMoveTo &sipStrings_QtGui[48925]
#define sipNameNr_isOpaque 48934
#define sipName_isOpaque &sipStrings_QtGui[48934]
#define sipNameNr_isPhase2 48943
#define sipName_isPhase2 &sipStrings_QtGui[48943]
#define sipNameNr_itemData 48952
#define sipName_itemData &sipStrings_QtGui[48952]
#define sipNameNr_itemText 48961
#define sipName_itemText &sipStrings_QtGui[48961]
#define sipNameNr_iterator 12211
#define sipName_iterator &sipStrings_QtGui[12211]
#define sipNameNr_lavender 48970
#define sipName_lavender &sipStrings_QtGui[48970]
#define sipNameNr_localPos 48979
#define sipName_localPos &sipStrings_QtGui[48979]
#define sipNameNr_magentaF 48988
#define sipName_magentaF &sipStrings_QtGui[48988]
#define sipNameNr_mapRange 48997
#define sipName_mapRange &sipStrings_QtGui[48997]
#define sipNameNr_maxWidth 49006
#define sipName_maxWidth &sipStrings_QtGui[49006]
#define sipNameNr_midlight 49015
#define sipName_midlight &sipStrings_QtGui[49015]
#define sipNameNr_mimeData 49024
#define sipName_mimeData &sipStrings_QtGui[49024]
#define sipNameNr_mimeType 49033
#define sipName_mimeType &sipStrings_QtGui[49033]
#define sipNameNr_mirrored 49042
#define sipName_mirrored &sipStrings_QtGui[49042]
#define sipNameNr_mnemonic 3644
#define sipName_mnemonic &sipStrings_QtGui[3644]
#define sipNameNr_moccasin 49051
#define sipName_moccasin &sipStrings_QtGui[49051]
#define sipNameNr_modality 49060
#define sipName_modality &sipStrings_QtGui[49060]
#define sipNameNr_moveRows 43814
#define sipName_moveRows &sipStrings_QtGui[43814]
#define sipNameNr_notation 49069
#define sipName_notation &sipStrings_QtGui[49069]
#define sipNameNr_objectId 49078
#define sipName_objectId &sipStrings_QtGui[49078]
#define sipNameNr_oldState 49087
#define sipName_oldState &sipStrings_QtGui[49087]
#define sipNameNr_openFile 49096
#define sipName_openFile &sipStrings_QtGui[49096]
#define sipNameNr_optimize 49105
#define sipName_optimize &sipStrings_QtGui[49105]
#define sipNameNr_overline 49114
#define sipName_overline &sipStrings_QtGui[49114]
#define sipNameNr_pageSize 49123
#define sipName_pageSize &sipStrings_QtGui[49123]
#define sipNameNr_popGroup 49132
#define sipName_popGroup &sipStrings_QtGui[49132]
#define sipNameNr_position 49141
#define sipName_position &sipStrings_QtGui[49141]
#define sipNameNr_pressure 49150
#define sipName_pressure &sipStrings_QtGui[49150]
#define sipNameNr_previous 49159
#define sipName_previous &sipStrings_QtGui[49159]
#define sipNameNr_property 49168
#define sipName_property &sipStrings_QtGui[49168]
#define sipNameNr_rawValue 49177
#define sipName_rawValue &sipStrings_QtGui[49177]
#define sipNameNr_resizeGL 49186
#define sipName_resizeGL &sipStrings_QtGui[49186]
#define sipNameNr_resource 49195
#define sipName_resource &sipStrings_QtGui[49195]
#define sipNameNr_revision 49204
#define sipName_revision &sipStrings_QtGui[49204]
#define sipNameNr_rotation 49213
#define sipName_rotation &sipStrings_QtGui[49213]
#define sipNameNr_rowCount 49222
#define sipName_rowCount &sipStrings_QtGui[49222]
#define sipNameNr_rowStart 49231
#define sipName_rowStart &sipStrings_QtGui[49231]
#define sipNameNr_scanLine 49240
#define sipName_scanLine &sipStrings_QtGui[49240]
#define sipNameNr_scenePos 49249
#define sipName_scenePos &sipStrings_QtGui[49249]
#define sipNameNr_screenAt 49258
#define sipName_screenAt &sipStrings_QtGui[49258]
#define sipNameNr_seagreen 28295
#define sipName_seagreen &sipStrings_QtGui[28295]
#define sipNameNr_seashell 49267
#define sipName_seashell &sipStrings_QtGui[49267]
#define sipNameNr_setAlpha 49276
#define sipName_setAlpha &sipStrings_QtGui[49276]
#define sipNameNr_setAngle 49285
#define sipName_setAngle &sipStrings_QtGui[49285]
#define sipNameNr_setBlueF 49294
#define sipName_setBlueF &sipStrings_QtGui[49294]
#define sipNameNr_setBrush 49303
#define sipName_setBrush &sipStrings_QtGui[49303]
#define sipNameNr_setChild 49312
#define sipName_setChild &sipStrings_QtGui[49312]
#define sipNameNr_setCmykF 49321
#define sipName_setCmykF &sipStrings_QtGui[49321]
#define sipNameNr_setCodec 49330
#define sipName_setCodec &sipStrings_QtGui[49330]
#define sipNameNr_setColor 49339
#define sipName_setColor &sipStrings_QtGui[49339]
#define sipNameNr_setFlags 49348
#define sipName_setFlags &sipStrings_QtGui[49348]
#define sipNameNr_setGamma 49357
#define sipName_setGamma &sipStrings_QtGui[49357]
#define sipNameNr_setGreen 49366
#define sipName_setGreen &sipStrings_QtGui[49366]
#define sipNameNr_setImage 49375
#define sipName_setImage &sipStrings_QtGui[49375]
#define sipNameNr_setPixel 49384
#define sipName_setPixel &sipStrings_QtGui[49384]
#define sipNameNr_setPoint 49393
#define sipName_setPoint &sipStrings_QtGui[49393]
#define sipNameNr_setRange 49402
#define sipName_setRange &sipStrings_QtGui[49402]
#define sipNameNr_setRects 49411
#define sipName_setRects &sipStrings_QtGui[49411]
#define sipNameNr_setShape 49420
#define sipName_setShape &sipStrings_QtGui[49420]
#define sipNameNr_setSpeed 49429
#define sipName_setSpeed &sipStrings_QtGui[49429]
#define sipNameNr_setStart 49438
#define sipName_setStart &sipStrings_QtGui[49438]
#define sipNameNr_setStops 49447
#define sipName_setStops &sipStrings_QtGui[49447]
#define sipNameNr_setStyle 49456
#define sipName_setStyle &sipStrings_QtGui[49456]
#define sipNameNr_setTitle 49465
#define sipName_setTitle &sipStrings_QtGui[49465]
#define sipNameNr_setUnits 49474
#define sipName_setUnits &sipStrings_QtGui[49474]
#define sipNameNr_setValue 49483
#define sipName_setValue &sipStrings_QtGui[49483]
#define sipNameNr_setWidth 49492
#define sipName_setWidth &sipStrings_QtGui[49492]
#define sipNameNr_severity 49501
#define sipName_severity &sipStrings_QtGui[49501]
#define sipNameNr_shaderId 49510
#define sipName_shaderId &sipStrings_QtGui[49510]
#define sipNameNr_sizeHint 49519
#define sipName_sizeHint &sipStrings_QtGui[49519]
#define sipNameNr_skipRows 49528
#define sipName_skipRows &sipStrings_QtGui[49528]
#define sipNameNr_sortRole 49537
#define sipName_sortRole &sipStrings_QtGui[49537]
#define sipNameNr_startPos 49546
#define sipName_startPos &sipStrings_QtGui[49546]
#define sipNameNr_strategy 49555
#define sipName_strategy &sipStrings_QtGui[49555]
#define sipNameNr_tabArray 49564
#define sipName_tabArray &sipStrings_QtGui[49564]
#define sipNameNr_tabStops 49573
#define sipName_tabStops &sipStrings_QtGui[49573]
#define sipNameNr_takeItem 49582
#define sipName_takeItem &sipStrings_QtGui[49582]
#define sipNameNr_textKeys 49591
#define sipName_textKeys &sipStrings_QtGui[49591]
#define sipNameNr_textList 49600
#define sipName_textList &sipStrings_QtGui[49600]
#define sipNameNr_textures 49609
#define sipName_textures &sipStrings_QtGui[49609]
#define sipNameNr_toArgb32 49618
#define sipName_toArgb32 &sipStrings_QtGui[49618]
#define sipNameNr_toPointF 49627
#define sipName_toPointF &sipStrings_QtGui[49627]
#define sipNameNr_toString 49636
#define sipName_toString &sipStrings_QtGui[49636]
#define sipNameNr_uniqueId 49645
#define sipName_uniqueId &sipStrings_QtGui[49645]
#define sipNameNr_userData 49654
#define sipName_userData &sipStrings_QtGui[49654]
#define sipNameNr_validate 23981
#define sipName_validate &sipStrings_QtGui[23981]
#define sipNameNr_velocity 49663
#define sipName_velocity &sipStrings_QtGui[49663]
#define sipNameNr_vertical 49672
#define sipName_vertical &sipStrings_QtGui[49672]
#define sipNameNr_viewport 49681
#define sipName_viewport &sipStrings_QtGui[49681]
#define sipNameNr_wrapMode 49690
#define sipName_wrapMode &sipStrings_QtGui[49690]
#define sipNameNr_xChanged 49699
#define sipName_xChanged &sipStrings_QtGui[49699]
#define sipNameNr_yChanged 7196
#define sipName_yChanged &sipStrings_QtGui[7196]
#define sipNameNr_A3Extra 49708
#define sipName_A3Extra &sipStrings_QtGui[49708]
#define sipNameNr_A4Extra 49716
#define sipName_A4Extra &sipStrings_QtGui[49716]
#define sipNameNr_A4Small 49724
#define sipName_A4Small &sipStrings_QtGui[49724]
#define sipNameNr_A5Extra 49732
#define sipName_A5Extra &sipStrings_QtGui[49732]
#define sipNameNr_AnyType 49740
#define sipName_AnyType &sipStrings_QtGui[49740]
#define sipNameNr_B5Extra 49748
#define sipName_B5Extra &sipStrings_QtGui[49748]
#define sipNameNr_Bengali 49756
#define sipName_Bengali &sipStrings_QtGui[49756]
#define sipNameNr_Blitter 10299
#define sipName_Blitter &sipStrings_QtGui[10299]
#define sipNameNr_Checked 49764
#define sipName_Checked &sipStrings_QtGui[49764]
#define sipNameNr_Comm10E 49772
#define sipName_Comm10E &sipStrings_QtGui[49772]
#define sipNameNr_Compute 49780
#define sipName_Compute &sipStrings_QtGui[49780]
#define sipNameNr_Courier 49788
#define sipName_Courier &sipStrings_QtGui[49788]
#define sipNameNr_Current 38964
#define sipName_Current &sipStrings_QtGui[38964]
#define sipNameNr_Cursive 49796
#define sipName_Cursive &sipStrings_QtGui[49796]
#define sipNameNr_DarkRed 49804
#define sipName_DarkRed &sipStrings_QtGui[49804]
#define sipNameNr_DotLine 26406
#define sipName_DotLine &sipStrings_QtGui[26406]
#define sipNameNr_Element 10387
#define sipName_Element &sipStrings_QtGui[10387]
#define sipNameNr_Ellipse 38976
#define sipName_Ellipse &sipStrings_QtGui[38976]
#define sipNameNr_Fantasy 49812
#define sipName_Fantasy &sipStrings_QtGui[49812]
#define sipNameNr_Feature 1530
#define sipName_Feature &sipStrings_QtGui[1530]
#define sipNameNr_Float16 49820
#define sipName_Float16 &sipStrings_QtGui[49820]
#define sipNameNr_Float32 49828
#define sipName_Float32 &sipStrings_QtGui[49828]
#define sipNameNr_FlyHigh 49836
#define sipName_FlyHigh &sipStrings_QtGui[49836]
#define sipNameNr_Forward 49844
#define sipName_Forward &sipStrings_QtGui[49844]
#define sipNameNr_HexArgb 49852
#define sipName_HexArgb &sipStrings_QtGui[49852]
#define sipNameNr_Indexed 49860
#define sipName_Indexed &sipStrings_QtGui[49860]
#define sipNameNr_Invalid 26511
#define sipName_Invalid &sipStrings_QtGui[26511]
#define sipNameNr_Kannada 49868
#define sipName_Kannada &sipStrings_QtGui[49868]
#define sipNameNr_Leading 49876
#define sipName_Leading &sipStrings_QtGui[49876]
#define sipNameNr_LeftTab 49884
#define sipName_LeftTab &sipStrings_QtGui[49884]
#define sipNameNr_LibGLES 49892
#define sipName_LibGLES &sipStrings_QtGui[49892]
#define sipNameNr_Magenta 37332
#define sipName_Magenta &sipStrings_QtGui[37332]
#define sipNameNr_Margins 5227
#define sipName_Margins &sipStrings_QtGui[5227]
#define sipNameNr_MaxUser 49900
#define sipName_MaxUser &sipStrings_QtGui[49900]
#define sipNameNr_Myanmar 49908
#define sipName_Myanmar &sipStrings_QtGui[49908]
#define sipNameNr_Nearest 11960
#define sipName_Nearest &sipStrings_QtGui[11960]
#define sipNameNr_NewLife 49916
#define sipName_NewLife &sipStrings_QtGui[49916]
#define sipNameNr_NewYork 49924
#define sipName_NewYork &sipStrings_QtGui[49924]
#define sipNameNr_NextRow 49932
#define sipName_NextRow &sipStrings_QtGui[49932]
#define sipNameNr_NoMatch 49940
#define sipName_NoMatch &sipStrings_QtGui[49940]
#define sipNameNr_OpenGL2 49948
#define sipName_OpenGL2 &sipStrings_QtGui[49948]
#define sipNameNr_OverSun 49956
#define sipName_OverSun &sipStrings_QtGui[49956]
#define sipNameNr_PdmDpiX 49964
#define sipName_PdmDpiX &sipStrings_QtGui[49964]
#define sipNameNr_PdmDpiY 49972
#define sipName_PdmDpiY &sipStrings_QtGui[49972]
#define sipNameNr_Picture 38988
#define sipName_Picture &sipStrings_QtGui[38988]
#define sipNameNr_QAction 49980
#define sipName_QAction &sipStrings_QtGui[49980]
#define sipNameNr_QBitmap 46394
#define sipName_QBitmap &sipStrings_QtGui[46394]
#define sipNameNr_QCursor 49988
#define sipName_QCursor &sipStrings_QtGui[49988]
#define sipNameNr_QPixmap 49996
#define sipName_QPixmap &sipStrings_QtGui[49996]
#define sipNameNr_QRegion 50004
#define sipName_QRegion &sipStrings_QtGui[50004]
#define sipNameNr_QRgba64 50012
#define sipName_QRgba64 &sipStrings_QtGui[50012]
#define sipNameNr_QScreen 50020
#define sipName_QScreen &sipStrings_QtGui[50020]
#define sipNameNr_QWindow 50028
#define sipName_QWindow &sipStrings_QtGui[50028]
#define sipNameNr_Quality 30241
#define sipName_Quality &sipStrings_QtGui[30241]
#define sipNameNr_RGB10A2 27396
#define sipName_RGB10A2 &sipStrings_QtGui[27396]
#define sipNameNr_RGBA16F 50036
#define sipName_RGBA16F &sipStrings_QtGui[50036]
#define sipNameNr_RGBA16I 50044
#define sipName_RGBA16I &sipStrings_QtGui[50044]
#define sipNameNr_RGBA16U 50052
#define sipName_RGBA16U &sipStrings_QtGui[50052]
#define sipNameNr_RGBA32F 50060
#define sipName_RGBA32F &sipStrings_QtGui[50060]
#define sipNameNr_RGBA32I 50068
#define sipName_RGBA32I &sipStrings_QtGui[50068]
#define sipNameNr_RGBA32U 50076
#define sipName_RGBA32U &sipStrings_QtGui[50076]
#define sipNameNr_Refresh 50084
#define sipName_Refresh &sipStrings_QtGui[50084]
#define sipNameNr_Replace 50092
#define sipName_Replace &sipStrings_QtGui[50092]
#define sipNameNr_Running 21374
#define sipName_Running &sipStrings_QtGui[21374]
#define sipNameNr_SeaLord 50100
#define sipName_SeaLord &sipStrings_QtGui[50100]
#define sipNameNr_Sinhala 50108
#define sipName_Sinhala &sipStrings_QtGui[50108]
#define sipNameNr_Sources 3907
#define sipName_Sources &sipStrings_QtGui[3907]
#define sipNameNr_Stencil 11834
#define sipName_Stencil &sipStrings_QtGui[11834]
#define sipNameNr_Stretch 26931
#define sipName_Stretch &sipStrings_QtGui[26931]
#define sipNameNr_SubType 44167
#define sipName_SubType &sipStrings_QtGui[44167]
#define sipNameNr_Swizzle 20071
#define sipName_Swizzle &sipStrings_QtGui[20071]
#define sipNameNr_TabType 12275
#define sipName_TabType &sipStrings_QtGui[12275]
#define sipNameNr_Tabloid 50116
#define sipName_Tabloid &sipStrings_QtGui[50116]
#define sipNameNr_Tibetan 50124
#define sipName_Tibetan &sipStrings_QtGui[50124]
#define sipNameNr_TxScale 50132
#define sipName_TxScale &sipStrings_QtGui[50132]
#define sipNameNr_TxShear 50140
#define sipName_TxShear &sipStrings_QtGui[50140]
#define sipNameNr_Windows 26174
#define sipName_Windows &sipStrings_QtGui[26174]
#define sipNameNr_YUV420P 50148
#define sipName_YUV420P &sipStrings_QtGui[50148]
#define sipNameNr_ZoomOut 50156
#define sipName_ZoomOut &sipStrings_QtGui[50156]
#define sipNameNr___add__ 50164
#define sipName___add__ &sipStrings_QtGui[50164]
#define sipNameNr___and__ 50172
#define sipName___and__ &sipStrings_QtGui[50172]
#define sipNameNr___int__ 50180
#define sipName___int__ &sipStrings_QtGui[50180]
#define sipNameNr___ior__ 50188
#define sipName___ior__ &sipStrings_QtGui[50188]
#define sipNameNr___len__ 50196
#define sipName___len__ &sipStrings_QtGui[50196]
#define sipNameNr___mul__ 50204
#define sipName___mul__ &sipStrings_QtGui[50204]
#define sipNameNr___neg__ 50212
#define sipName___neg__ &sipStrings_QtGui[50212]
#define sipNameNr___sub__ 50220
#define sipName___sub__ &sipStrings_QtGui[50220]
#define sipNameNr___xor__ 50228
#define sipName___xor__ &sipStrings_QtGui[50228]
#define sipNameNr_addFile 50236
#define sipName_addFile &sipStrings_QtGui[50236]
#define sipNameNr_addPath 50244
#define sipName_addPath &sipStrings_QtGui[50244]
#define sipNameNr_addRect 50252
#define sipName_addRect &sipStrings_QtGui[50252]
#define sipNameNr_addText 50260
#define sipName_addText &sipStrings_QtGui[50260]
#define sipNameNr_adjoint 50268
#define sipName_adjoint &sipStrings_QtGui[50268]
#define sipNameNr_allGray 50276
#define sipName_allGray &sipStrings_QtGui[50276]
#define sipNameNr_atStart 50284
#define sipName_atStart &sipStrings_QtGui[50284]
#define sipNameNr_autorep 50292
#define sipName_autorep &sipStrings_QtGui[50292]
#define sipNameNr_baseUrl 50300
#define sipName_baseUrl &sipStrings_QtGui[50300]
#define sipNameNr_buffers 50308
#define sipName_buffers &sipStrings_QtGui[50308]
#define sipNameNr_buttons 50316
#define sipName_buttons &sipStrings_QtGui[50316]
#define sipNameNr_canRead 50324
#define sipName_canRead &sipStrings_QtGui[50324]
#define sipNameNr_changed 50332
#define sipName_changed &sipStrings_QtGui[50332]
#define sipNameNr_cleanup 50340
#define sipName_cleanup &sipStrings_QtGui[50340]
#define sipNameNr_columns 50348
#define sipName_columns &sipStrings_QtGui[50348]
#define sipNameNr_combine 50356
#define sipName_combine &sipStrings_QtGui[50356]
#define sipNameNr_context 50364
#define sipName_context &sipStrings_QtGui[50364]
#define sipNameNr_creator 50372
#define sipName_creator &sipStrings_QtGui[50372]
#define sipNameNr_crimson 50380
#define sipName_crimson &sipStrings_QtGui[50380]
#define sipNameNr_cubicTo 50388
#define sipName_cubicTo &sipStrings_QtGui[50388]
#define sipNameNr_darkred 50396
#define sipName_darkred &sipStrings_QtGui[50396]
#define sipNameNr_descent 50404
#define sipName_descent &sipStrings_QtGui[50404]
#define sipNameNr_destroy 50412
#define sipName_destroy &sipStrings_QtGui[50412]
#define sipNameNr_devType 50420
#define sipName_devType &sipStrings_QtGui[50420]
#define sipNameNr_devices 50428
#define sipName_devices &sipStrings_QtGui[50428]
#define sipNameNr_dimgray 50436
#define sipName_dimgray &sipStrings_QtGui[50436]
#define sipNameNr_dimgrey 50444
#define sipName_dimgrey &sipStrings_QtGui[50444]
#define sipNameNr_drawArc 50452
#define sipName_drawArc &sipStrings_QtGui[50452]
#define sipNameNr_drawPie 50460
#define sipName_drawPie &sipStrings_QtGui[50460]
#define sipNameNr_enabled 50468
#define sipName_enabled &sipStrings_QtGui[50468]
#define sipNameNr_exposed 50476
#define sipName_exposed &sipStrings_QtGui[50476]
#define sipNameNr_fontDpi 50484
#define sipName_fontDpi &sipStrings_QtGui[50484]
#define sipNameNr_formats 50492
#define sipName_formats &sipStrings_QtGui[50492]
#define sipNameNr_fromHsl 50500
#define sipName_fromHsl &sipStrings_QtGui[50500]
#define sipNameNr_fromHsv 50508
#define sipName_fromHsv &sipStrings_QtGui[50508]
#define sipNameNr_fromRgb 50516
#define sipName_fromRgb &sipStrings_QtGui[50516]
#define sipNameNr_frustum 50524
#define sipName_frustum &sipStrings_QtGui[50524]
#define sipNameNr_fuchsia 50532
#define sipName_fuchsia &sipStrings_QtGui[50532]
#define sipNameNr_getAxes 50540
#define sipName_getAxes &sipStrings_QtGui[50540]
#define sipNameNr_getCmyk 50548
#define sipName_getCmyk &sipStrings_QtGui[50548]
#define sipNameNr_getHslF 50556
#define sipName_getHslF &sipStrings_QtGui[50556]
#define sipNameNr_getHsvF 50564
#define sipName_getHsvF &sipStrings_QtGui[50564]
#define sipNameNr_getRgbF 50572
#define sipName_getRgbF &sipStrings_QtGui[50572]
#define sipNameNr_globalX 50580
#define sipName_globalX &sipStrings_QtGui[50580]
#define sipNameNr_globalY 50588
#define sipName_globalY &sipStrings_QtGui[50588]
#define sipNameNr_hitTest 50596
#define sipName_hitTest &sipStrings_QtGui[50596]
#define sipNameNr_hotSpot 50604
#define sipName_hotSpot &sipStrings_QtGui[50604]
#define sipNameNr_hotpink 50612
#define sipName_hotpink &sipStrings_QtGui[50612]
#define sipNameNr_hslHueF 50620
#define sipName_hslHueF &sipStrings_QtGui[50620]
#define sipNameNr_hsvHueF 50628
#define sipName_hsvHueF &sipStrings_QtGui[50628]
#define sipNameNr_hueSize 50636
#define sipName_hueSize &sipStrings_QtGui[50636]
#define sipNameNr_imageAt 50644
#define sipName_imageAt &sipStrings_QtGui[50644]
#define sipNameNr_indexOf 50652
#define sipName_indexOf &sipStrings_QtGui[50652]
#define sipNameNr_isBound 50660
#define sipName_isBound &sipStrings_QtGui[50660]
#define sipNameNr_isEmpty 50668
#define sipName_isEmpty &sipStrings_QtGui[50668]
#define sipNameNr_isEqual 50676
#define sipName_isEqual &sipStrings_QtGui[50676]
#define sipNameNr_isModal 50684
#define sipName_isModal &sipStrings_QtGui[50684]
#define sipNameNr_isSolid 50692
#define sipName_isSolid &sipStrings_QtGui[50692]
#define sipNameNr_isValid 50700
#define sipName_isValid &sipStrings_QtGui[50700]
#define sipNameNr_kerning 50708
#define sipName_kerning &sipStrings_QtGui[50708]
#define sipNameNr_lastPos 50716
#define sipName_lastPos &sipStrings_QtGui[50716]
#define sipNameNr_leading 50724
#define sipName_leading &sipStrings_QtGui[50724]
#define sipNameNr_lighter 15996
#define sipName_lighter &sipStrings_QtGui[15996]
#define sipNameNr_magenta 38880
#define sipName_magenta &sipStrings_QtGui[38880]
#define sipNameNr_mapRect 50732
#define sipName_mapRect &sipStrings_QtGui[50732]
#define sipNameNr_margins 50740
#define sipName_margins &sipStrings_QtGui[50740]
#define sipNameNr_matches 50748
#define sipName_matches &sipStrings_QtGui[50748]
#define sipNameNr_message 50756
#define sipName_message &sipStrings_QtGui[50756]
#define sipNameNr_newPage 50764
#define sipName_newPage &sipStrings_QtGui[50764]
#define sipNameNr_oldPosF 50772
#define sipName_oldPosF &sipStrings_QtGui[50772]
#define sipNameNr_oldSize 50780
#define sipName_oldSize &sipStrings_QtGui[50780]
#define sipNameNr_oldlace 50788
#define sipName_oldlace &sipStrings_QtGui[50788]
#define sipNameNr_opacity 50796
#define sipName_opacity &sipStrings_QtGui[50796]
#define sipNameNr_openUrl 50804
#define sipName_openUrl &sipStrings_QtGui[50804]
#define sipNameNr_options 50812
#define sipName_options &sipStrings_QtGui[50812]
#define sipNameNr_padding 50820
#define sipName_padding &sipStrings_QtGui[50820]
#define sipNameNr_paintGL 50828
#define sipName_paintGL &sipStrings_QtGui[50828]
#define sipNameNr_painter 50836
#define sipName_painter &sipStrings_QtGui[50836]
#define sipNameNr_palette 50844
#define sipName_palette &sipStrings_QtGui[50844]
#define sipNameNr_picture 50852
#define sipName_picture &sipStrings_QtGui[50852]
#define sipNameNr_prepare 50860
#define sipName_prepare &sipStrings_QtGui[50860]
#define sipNameNr_prepend 50868
#define sipName_prepend &sipStrings_QtGui[50868]
#define sipNameNr_profile 50876
#define sipName_profile &sipStrings_QtGui[50876]
#define sipNameNr_project 47524
#define sipName_project &sipStrings_QtGui[47524]
#define sipNameNr_qIsGray 50884
#define sipName_qIsGray &sipStrings_QtGui[50884]
#define sipNameNr_qRgba64 50892
#define sipName_qRgba64 &sipStrings_QtGui[50892]
#define sipNameNr_quality 50900
#define sipName_quality &sipStrings_QtGui[50900]
#define sipNameNr_queries 50908
#define sipName_queries &sipStrings_QtGui[50908]
#define sipNameNr_rawFont 50916
#define sipName_rawFont &sipStrings_QtGui[50916]
#define sipNameNr_rawMode 3315
#define sipName_rawMode &sipStrings_QtGui[3315]
#define sipNameNr_rawName 50924
#define sipName_rawName &sipStrings_QtGui[50924]
#define sipNameNr_redSize 50932
#define sipName_redSize &sipStrings_QtGui[50932]
#define sipNameNr_release 50940
#define sipName_release &sipStrings_QtGui[50940]
#define sipNameNr_replace 50948
#define sipName_replace &sipStrings_QtGui[50948]
#define sipNameNr_reserve 50956
#define sipName_reserve &sipStrings_QtGui[50956]
#define sipNameNr_resized 50964
#define sipName_resized &sipStrings_QtGui[50964]
#define sipNameNr_resolve 50972
#define sipName_resolve &sipStrings_QtGui[50972]
#define sipNameNr_restore 50980
#define sipName_restore &sipStrings_QtGui[50980]
#define sipNameNr_rowSpan 50988
#define sipName_rowSpan &sipStrings_QtGui[50988]
#define sipNameNr_samples 50996
#define sipName_samples &sipStrings_QtGui[50996]
#define sipNameNr_scaling 51004
#define sipName_scaling &sipStrings_QtGui[51004]
#define sipNameNr_screens 51012
#define sipName_screens &sipStrings_QtGui[51012]
#define sipNameNr_setBlue 51020
#define sipName_setBlue &sipStrings_QtGui[51020]
#define sipNameNr_setBold 51028
#define sipName_setBold &sipStrings_QtGui[51028]
#define sipNameNr_setCmyk 51036
#define sipName_setCmyk &sipStrings_QtGui[51036]
#define sipNameNr_setData 51044
#define sipName_setData &sipStrings_QtGui[51044]
#define sipNameNr_setFlag 51052
#define sipName_setFlag &sipStrings_QtGui[51052]
#define sipNameNr_setFont 51060
#define sipName_setFont &sipStrings_QtGui[51060]
#define sipNameNr_setHslF 51068
#define sipName_setHslF &sipStrings_QtGui[51068]
#define sipNameNr_setHsvF 51076
#define sipName_setHsvF &sipStrings_QtGui[51076]
#define sipNameNr_setHtml 51084
#define sipName_setHtml &sipStrings_QtGui[51084]
#define sipNameNr_setIcon 51092
#define sipName_setIcon &sipStrings_QtGui[51092]
#define sipNameNr_setItem 51100
#define sipName_setItem &sipStrings_QtGui[51100]
#define sipNameNr_setMask 51108
#define sipName_setMask &sipStrings_QtGui[51108]
#define sipNameNr_setMode 51116
#define sipName_setMode &sipStrings_QtGui[51116]
#define sipNameNr_setName 51124
#define sipName_setName &sipStrings_QtGui[51124]
#define sipNameNr_setRedF 51132
#define sipName_setRedF &sipStrings_QtGui[51132]
#define sipNameNr_setRgbF 51140
#define sipName_setRgbF &sipStrings_QtGui[51140]
#define sipNameNr_setRgba 51148
#define sipName_setRgba &sipStrings_QtGui[51148]
#define sipNameNr_setSize 51156
#define sipName_setSize &sipStrings_QtGui[51156]
#define sipNameNr_setTabs 51164
#define sipName_setTabs &sipStrings_QtGui[51164]
#define sipNameNr_setText 51172
#define sipName_setText &sipStrings_QtGui[51172]
#define sipNameNr_setType 51180
#define sipName_setType &sipStrings_QtGui[51180]
#define sipNameNr_shaders 51188
#define sipName_shaders &sipStrings_QtGui[51188]
#define sipNameNr_sibling 51196
#define sipName_sibling &sipStrings_QtGui[51196]
#define sipNameNr_skyblue 35964
#define sipName_skyblue &sipStrings_QtGui[35964]
#define sipNameNr_sources 51204
#define sipName_sources &sipStrings_QtGui[51204]
#define sipNameNr_started 51212
#define sipName_started &sipStrings_QtGui[51212]
#define sipNameNr_stretch 51220
#define sipName_stretch &sipStrings_QtGui[51220]
#define sipNameNr_subEnum 51228
#define sipName_subEnum &sipStrings_QtGui[51228]
#define sipNameNr_subType 51236
#define sipName_subType &sipStrings_QtGui[51236]
#define sipNameNr_surface 51244
#define sipName_surface &sipStrings_QtGui[51244]
#define sipNameNr_tabStop 51252
#define sipName_tabStop &sipStrings_QtGui[51252]
#define sipNameNr_takeRow 51260
#define sipName_takeRow &sipStrings_QtGui[51260]
#define sipNameNr_texture 51268
#define sipName_texture &sipStrings_QtGui[51268]
#define sipNameNr_thistle 51276
#define sipName_thistle &sipStrings_QtGui[51276]
#define sipNameNr_toImage 51284
#define sipName_toImage &sipStrings_QtGui[51284]
#define sipNameNr_toPoint 51292
#define sipName_toPoint &sipStrings_QtGui[51292]
#define sipNameNr_toRgb16 51300
#define sipName_toRgb16 &sipStrings_QtGui[51300]
#define sipNameNr_toolTip 51308
#define sipName_toolTip &sipStrings_QtGui[51308]
#define sipNameNr_updated 51316
#define sipName_updated &sipStrings_QtGui[51316]
#define sipNameNr_version 51324
#define sipName_version &sipStrings_QtGui[51324]
#define sipNameNr_widthMM 51332
#define sipName_widthMM &sipStrings_QtGui[51332]
#define sipNameNr_xHeight 51340
#define sipName_xHeight &sipStrings_QtGui[51340]
#define sipNameNr_yellowF 51348
#define sipName_yellowF &sipStrings_QtGui[51348]
#define sipNameNr_A4Plus 51356
#define sipName_A4Plus &sipStrings_QtGui[51356]
#define sipNameNr_Access 10278
#define sipName_Access &sipStrings_QtGui[10278]
#define sipNameNr_Action 12087
#define sipName_Action &sipStrings_QtGui[12087]
#define sipNameNr_Active 28462
#define sipName_Active &sipStrings_QtGui[28462]
#define sipNameNr_AddTab 51363
#define sipName_AddTab &sipStrings_QtGui[51363]
#define sipNameNr_Arabic 51370
#define sipName_Arabic &sipStrings_QtGui[51370]
#define sipNameNr_Binder 1498
#define sipName_Binder &sipStrings_QtGui[1498]
#define sipNameNr_Button 51377
#define sipName_Button &sipStrings_QtGui[51377]
#define sipNameNr_Cancel 51384
#define sipName_Cancel &sipStrings_QtGui[51384]
#define sipNameNr_Cicero 51391
#define sipName_Cicero &sipStrings_QtGui[51391]
#define sipNameNr_Color0 51398
#define sipName_Color0 &sipStrings_QtGui[51398]
#define sipNameNr_Color1 51405
#define sipName_Color1 &sipStrings_QtGui[51405]
#define sipNameNr_Cursor 11488
#define sipName_Cursor &sipStrings_QtGui[11488]
#define sipNameNr_Custom 51412
#define sipName_Custom &sipStrings_QtGui[51412]
#define sipNameNr_Delete 51419
#define sipName_Delete &sipStrings_QtGui[51419]
#define sipNameNr_Eraser 38557
#define sipName_Eraser &sipStrings_QtGui[38557]
#define sipNameNr_Filter 9072
#define sipName_Filter &sipStrings_QtGui[9072]
#define sipNameNr_Format 2494
#define sipName_Format &sipStrings_QtGui[2494]
#define sipNameNr_Hebrew 51426
#define sipName_Hebrew &sipStrings_QtGui[51426]
#define sipNameNr_HexRgb 51433
#define sipName_HexRgb &sipStrings_QtGui[51433]
#define sipNameNr_Hidden 51440
#define sipName_Hidden &sipStrings_QtGui[51440]
#define sipNameNr_InFlow 51447
#define sipName_InFlow &sipStrings_QtGui[51447]
#define sipNameNr_Italic 32650
#define sipName_Italic &sipStrings_QtGui[32650]
#define sipNameNr_JisB10 51454
#define sipName_JisB10 &sipStrings_QtGui[51454]
#define sipNameNr_Korean 51461
#define sipName_Korean &sipStrings_QtGui[51461]
#define sipNameNr_Ledger 51468
#define sipName_Ledger &sipStrings_QtGui[51468]
#define sipNameNr_Letter 51475
#define sipName_Letter &sipStrings_QtGui[51475]
#define sipNameNr_Linear 13936
#define sipName_Linear &sipStrings_QtGui[13936]
#define sipNameNr_Medium 51482
#define sipName_Medium &sipStrings_QtGui[51482]
#define sipNameNr_NoMove 51489
#define sipName_NoMove &sipStrings_QtGui[51489]
#define sipNameNr_NoRole 51496
#define sipName_NoRole &sipStrings_QtGui[51496]
#define sipNameNr_NoWrap 51503
#define sipName_NoWrap &sipStrings_QtGui[51503]
#define sipNameNr_Normal 37105
#define sipName_Normal &sipStrings_QtGui[37105]
#define sipNameNr_OldHat 51510
#define sipName_OldHat &sipStrings_QtGui[51510]
#define sipNameNr_OpenGL 9900
#define sipName_OpenGL &sipStrings_QtGui[9900]
#define sipNameNr_OpenVG 51517
#define sipName_OpenVG &sipStrings_QtGui[51517]
#define sipNameNr_Origin 3226
#define sipName_Origin &sipStrings_QtGui[3226]
#define sipNameNr_Paused 47175
#define sipName_Paused &sipStrings_QtGui[47175]
#define sipNameNr_Prc16K 51524
#define sipName_Prc16K &sipStrings_QtGui[51524]
#define sipNameNr_Prc32K 51531
#define sipName_Prc32K &sipStrings_QtGui[51531]
#define sipNameNr_Preset 18362
#define sipName_Preset &sipStrings_QtGui[18362]
#define sipNameNr_QBrush 51538
#define sipName_QBrush &sipStrings_QtGui[51538]
#define sipNameNr_QColor 51545
#define sipName_QColor &sipStrings_QtGui[51545]
#define sipNameNr_QImage 51552
#define sipName_QImage &sipStrings_QtGui[51552]
#define sipNameNr_QMovie 51559
#define sipName_QMovie &sipStrings_QtGui[51559]
#define sipNameNr_Quarto 51566
#define sipName_Quarto &sipStrings_QtGui[51566]
#define sipNameNr_R5G6B5 30886
#define sipName_R5G6B5 &sipStrings_QtGui[30886]
#define sipNameNr_RGB16F 51573
#define sipName_RGB16F &sipStrings_QtGui[51573]
#define sipNameNr_RGB16I 51580
#define sipName_RGB16I &sipStrings_QtGui[51580]
#define sipNameNr_RGB16U 51587
#define sipName_RGB16U &sipStrings_QtGui[51587]
#define sipNameNr_RGB32F 51594
#define sipName_RGB32F &sipStrings_QtGui[51594]
#define sipNameNr_RGB32I 51601
#define sipName_RGB32I &sipStrings_QtGui[51601]
#define sipNameNr_RGB32U 51608
#define sipName_RGB32U &sipStrings_QtGui[51608]
#define sipNameNr_RGB5A1 30900
#define sipName_RGB5A1 &sipStrings_QtGui[30900]
#define sipNameNr_RGB9E5 51615
#define sipName_RGB9E5 &sipStrings_QtGui[51615]
#define sipNameNr_RGBA8I 51622
#define sipName_RGBA8I &sipStrings_QtGui[51622]
#define sipNameNr_RGBA8U 51629
#define sipName_RGBA8U &sipStrings_QtGui[51629]
#define sipNameNr_Raster 51636
#define sipName_Raster &sipStrings_QtGui[51636]
#define sipNameNr_Reason 5920
#define sipName_Reason &sipStrings_QtGui[5920]
#define sipNameNr_Repeat 18236
#define sipName_Repeat &sipStrings_QtGui[18236]
#define sipNameNr_SaveAs 51643
#define sipName_SaveAs &sipStrings_QtGui[51643]
#define sipNameNr_Shadow 51650
#define sipName_Shadow &sipStrings_QtGui[51650]
#define sipNameNr_Source 4622
#define sipName_Source &sipStrings_QtGui[4622]
#define sipNameNr_Spread 18380
#define sipName_Spread &sipStrings_QtGui[18380]
#define sipNameNr_Stacks 10498
#define sipName_Stacks &sipStrings_QtGui[10498]
#define sipNameNr_Stylus 27232
#define sipName_Stylus &sipStrings_QtGui[27232]
#define sipNameNr_SuperA 51657
#define sipName_SuperA &sipStrings_QtGui[51657]
#define sipNameNr_SuperB 51664
#define sipName_SuperB &sipStrings_QtGui[51664]
#define sipNameNr_Symbol 51671
#define sipName_Symbol &sipStrings_QtGui[51671]
#define sipNameNr_Syriac 51678
#define sipName_Syriac &sipStrings_QtGui[51678]
#define sipNameNr_System 3792
#define sipName_System &sipStrings_QtGui[3792]
#define sipNameNr_Target 3166
#define sipName_Target &sipStrings_QtGui[3166]
#define sipNameNr_Telugu 51685
#define sipName_Telugu &sipStrings_QtGui[51685]
#define sipNameNr_Thaana 51692
#define sipName_Thaana &sipStrings_QtGui[51692]
#define sipNameNr_TxNone 51699
#define sipName_TxNone &sipStrings_QtGui[51699]
#define sipNameNr_UInt16 51706
#define sipName_UInt16 &sipStrings_QtGui[51706]
#define sipNameNr_UInt32 51713
#define sipName_UInt32 &sipStrings_QtGui[51713]
#define sipNameNr_Vertex 51720
#define sipName_Vertex &sipStrings_QtGui[51720]
#define sipNameNr_Weight 30298
#define sipName_Weight &sipStrings_QtGui[30298]
#define sipNameNr_Window 15921
#define sipName_Window &sipStrings_QtGui[15921]
#define sipNameNr_YUV411 51727
#define sipName_YUV411 &sipStrings_QtGui[51727]
#define sipNameNr_YUV422 51734
#define sipName_YUV422 &sipStrings_QtGui[51734]
#define sipNameNr_YUV444 51741
#define sipName_YUV444 &sipStrings_QtGui[51741]
#define sipNameNr_Yellow 40824
#define sipName_Yellow &sipStrings_QtGui[40824]
#define sipNameNr_ZoomIn 51748
#define sipName_ZoomIn &sipStrings_QtGui[51748]
#define sipNameNr___eq__ 51755
#define sipName___eq__ &sipStrings_QtGui[51755]
#define sipNameNr___ge__ 51762
#define sipName___ge__ &sipStrings_QtGui[51762]
#define sipNameNr___gt__ 51769
#define sipName___gt__ &sipStrings_QtGui[51769]
#define sipNameNr___le__ 51776
#define sipName___le__ &sipStrings_QtGui[51776]
#define sipNameNr___lt__ 51783
#define sipName___lt__ &sipStrings_QtGui[51783]
#define sipNameNr___ne__ 51790
#define sipName___ne__ &sipStrings_QtGui[51790]
#define sipNameNr___or__ 51797
#define sipName___or__ &sipStrings_QtGui[51797]
#define sipNameNr_accept 51804
#define sipName_accept &sipStrings_QtGui[51804]
#define sipNameNr_action 9394
#define sipName_action &sipStrings_QtGui[9394]
#define sipNameNr_alpha8 51811
#define sipName_alpha8 &sipStrings_QtGui[51811]
#define sipNameNr_alphaF 51818
#define sipName_alphaF &sipStrings_QtGui[51818]
#define sipNameNr_anchor 51825
#define sipName_anchor &sipStrings_QtGui[51825]
#define sipNameNr_append 51832
#define sipName_append &sipStrings_QtGui[51832]
#define sipNameNr_ascent 51839
#define sipName_ascent &sipStrings_QtGui[51839]
#define sipNameNr_before 51846
#define sipName_before &sipStrings_QtGui[51846]
#define sipNameNr_bisque 51853
#define sipName_bisque &sipStrings_QtGui[51853]
#define sipNameNr_bitmap 51860
#define sipName_bitmap &sipStrings_QtGui[51860]
#define sipNameNr_blackF 51867
#define sipName_blackF &sipStrings_QtGui[51867]
#define sipNameNr_border 51874
#define sipName_border &sipStrings_QtGui[51874]
#define sipNameNr_bottom 51881
#define sipName_bottom &sipStrings_QtGui[51881]
#define sipNameNr_button 51888
#define sipName_button &sipStrings_QtGui[51888]
#define sipNameNr_cancel 51895
#define sipName_cancel &sipStrings_QtGui[51895]
#define sipNameNr_cellAt 51902
#define sipName_cellAt &sipStrings_QtGui[51902]
#define sipNameNr_center 51909
#define sipName_center &sipStrings_QtGui[51909]
#define sipNameNr_closed 51916
#define sipName_closed &sipStrings_QtGui[51916]
#define sipNameNr_column 51923
#define sipName_column &sipStrings_QtGui[51923]
#define sipNameNr_commit 51930
#define sipName_commit &sipStrings_QtGui[51930]
#define sipNameNr_create 51937
#define sipName_create &sipStrings_QtGui[51937]
#define sipNameNr_cursor 51944
#define sipName_cursor &sipStrings_QtGui[51944]
#define sipNameNr_darker 51951
#define sipName_darker &sipStrings_QtGui[51951]
#define sipNameNr_detach 51958
#define sipName_detach &sipStrings_QtGui[51958]
#define sipNameNr_device 51965
#define sipName_device &sipStrings_QtGui[51965]
#define sipNameNr_factor 51972
#define sipName_factor &sipStrings_QtGui[51972]
#define sipNameNr_family 51979
#define sipName_family &sipStrings_QtGui[51979]
#define sipNameNr_filter 51986
#define sipName_filter &sipStrings_QtGui[51986]
#define sipNameNr_format 24927
#define sipName_format &sipStrings_QtGui[24927]
#define sipNameNr_getHsl 51993
#define sipName_getHsl &sipStrings_QtGui[51993]
#define sipNameNr_getHsv 52000
#define sipName_getHsv &sipStrings_QtGui[52000]
#define sipNameNr_getRgb 52007
#define sipName_getRgb &sipStrings_QtGui[52007]
#define sipNameNr_green8 52014
#define sipName_green8 &sipStrings_QtGui[52014]
#define sipNameNr_greenF 52021
#define sipName_greenF &sipStrings_QtGui[52021]
#define sipNameNr_handle 52028
#define sipName_handle &sipStrings_QtGui[52028]
#define sipNameNr_height 52035
#define sipName_height &sipStrings_QtGui[52035]
#define sipNameNr_hslHue 52042
#define sipName_hslHue &sipStrings_QtGui[52042]
#define sipNameNr_hsvHue 52049
#define sipName_hsvHue &sipStrings_QtGui[52049]
#define sipNameNr_ignore 52056
#define sipName_ignore &sipStrings_QtGui[52056]
#define sipNameNr_inFont 52063
#define sipName_inFont &sipStrings_QtGui[52063]
#define sipNameNr_indent 52070
#define sipName_indent &sipStrings_QtGui[52070]
#define sipNameNr_indigo 52077
#define sipName_indigo &sipStrings_QtGui[52077]
#define sipNameNr_insert 52084
#define sipName_insert &sipStrings_QtGui[52084]
#define sipNameNr_isMask 52091
#define sipName_isMask &sipStrings_QtGui[52091]
#define sipNameNr_isNull 52098
#define sipName_isNull &sipStrings_QtGui[52098]
#define sipNameNr_italic 52105
#define sipName_italic &sipStrings_QtGui[52105]
#define sipNameNr_layers 52112
#define sipName_layers &sipStrings_QtGui[52112]
#define sipNameNr_layout 52119
#define sipName_layout &sipStrings_QtGui[52119]
#define sipNameNr_length 52126
#define sipName_length &sipStrings_QtGui[52126]
#define sipNameNr_lineAt 52133
#define sipName_lineAt &sipStrings_QtGui[52133]
#define sipNameNr_lineTo 52140
#define sipName_lineTo &sipStrings_QtGui[52140]
#define sipNameNr_locale 52147
#define sipName_locale &sipStrings_QtGui[52147]
#define sipNameNr_lookAt 52154
#define sipName_lookAt &sipStrings_QtGui[52154]
#define sipNameNr_margin 52161
#define sipName_margin &sipStrings_QtGui[52161]
#define sipNameNr_marker 52168
#define sipName_marker &sipStrings_QtGui[52168]
#define sipNameNr_maroon 52175
#define sipName_maroon &sipStrings_QtGui[52175]
#define sipNameNr_matrix 52182
#define sipName_matrix &sipStrings_QtGui[52182]
#define sipNameNr_metric 52189
#define sipName_metric &sipStrings_QtGui[52189]
#define sipNameNr_mipmap 52196
#define sipName_mipmap &sipStrings_QtGui[52196]
#define sipNameNr_moveTo 52203
#define sipName_moveTo &sipStrings_QtGui[52203]
#define sipNameNr_normal 52210
#define sipName_normal &sipStrings_QtGui[52210]
#define sipNameNr_notify 52217
#define sipName_notify &sipStrings_QtGui[52217]
#define sipNameNr_object 52224
#define sipName_object &sipStrings_QtGui[52224]
#define sipNameNr_offset 52231
#define sipName_offset &sipStrings_QtGui[52231]
#define sipNameNr_oldPos 52238
#define sipName_oldPos &sipStrings_QtGui[52238]
#define sipNameNr_option 52245
#define sipName_option &sipStrings_QtGui[52245]
#define sipNameNr_orange 42782
#define sipName_orange &sipStrings_QtGui[42782]
#define sipNameNr_orchid 36095
#define sipName_orchid &sipStrings_QtGui[36095]
#define sipNameNr_parent 31810
#define sipName_parent &sipStrings_QtGui[31810]
#define sipNameNr_pixmap 52252
#define sipName_pixmap &sipStrings_QtGui[52252]
#define sipNameNr_print_ 52259
#define sipName_print_ &sipStrings_QtGui[52259]
#define sipNameNr_purple 36108
#define sipName_purple &sipStrings_QtGui[36108]
#define sipNameNr_qAlpha 52266
#define sipName_qAlpha &sipStrings_QtGui[52266]
#define sipNameNr_qGreen 52273
#define sipName_qGreen &sipStrings_QtGui[52273]
#define sipNameNr_quadTo 52280
#define sipName_quadTo &sipStrings_QtGui[52280]
#define sipNameNr_radius 52287
#define sipName_radius &sipStrings_QtGui[52287]
#define sipNameNr_raise_ 52294
#define sipName_raise_ &sipStrings_QtGui[52294]
#define sipNameNr_reason 52301
#define sipName_reason &sipStrings_QtGui[52301]
#define sipNameNr_rebind 52308
#define sipName_rebind &sipStrings_QtGui[52308]
#define sipNameNr_regExp 52315
#define sipName_regExp &sipStrings_QtGui[52315]
#define sipNameNr_region 52322
#define sipName_region &sipStrings_QtGui[52322]
#define sipNameNr_remove 52329
#define sipName_remove &sipStrings_QtGui[52329]
#define sipNameNr_resize 52336
#define sipName_resize &sipStrings_QtGui[52336]
#define sipNameNr_revert 52343
#define sipName_revert &sipStrings_QtGui[52343]
#define sipNameNr_rgba64 52350
#define sipName_rgba64 &sipStrings_QtGui[52350]
#define sipNameNr_rotate 52357
#define sipName_rotate &sipStrings_QtGui[52357]
#define sipNameNr_rowEnd 52364
#define sipName_rowEnd &sipStrings_QtGui[52364]
#define sipNameNr_salmon 39517
#define sipName_salmon &sipStrings_QtGui[39517]
#define sipNameNr_scalar 52371
#define sipName_scalar &sipStrings_QtGui[52371]
#define sipNameNr_scaleX 52378
#define sipName_scaleX &sipStrings_QtGui[52378]
#define sipNameNr_scaleY 52385
#define sipName_scaleY &sipStrings_QtGui[52385]
#define sipNameNr_scaled 52392
#define sipName_scaled &sipStrings_QtGui[52392]
#define sipNameNr_screen 45185
#define sipName_screen &sipStrings_QtGui[45185]
#define sipNameNr_scroll 52399
#define sipName_scroll &sipStrings_QtGui[52399]
#define sipNameNr_select 47775
#define sipName_select &sipStrings_QtGui[47775]
#define sipNameNr_setHsl 52406
#define sipName_setHsl &sipStrings_QtGui[52406]
#define sipNameNr_setHsv 52413
#define sipName_setHsv &sipStrings_QtGui[52413]
#define sipNameNr_setPen 52420
#define sipName_setPen &sipStrings_QtGui[52420]
#define sipNameNr_setPos 52427
#define sipName_setPos &sipStrings_QtGui[52427]
#define sipNameNr_setRed 52434
#define sipName_setRed &sipStrings_QtGui[52434]
#define sipNameNr_setRgb 52441
#define sipName_setRgb &sipStrings_QtGui[52441]
#define sipNameNr_setRow 52448
#define sipName_setRow &sipStrings_QtGui[52448]
#define sipNameNr_setTop 52455
#define sipName_setTop &sipStrings_QtGui[52455]
#define sipNameNr_shadow 52462
#define sipName_shadow &sipStrings_QtGui[52462]
#define sipNameNr_shares 52469
#define sipName_shares &sipStrings_QtGui[52469]
#define sipNameNr_sienna 52476
#define sipName_sienna &sipStrings_QtGui[52476]
#define sipNameNr_silver 52483
#define sipName_silver &sipStrings_QtGui[52483]
#define sipNameNr_source 16244
#define sipName_source &sipStrings_QtGui[16244]
#define sipNameNr_spread 52490
#define sipName_spread &sipStrings_QtGui[52490]
#define sipNameNr_stacks 52497
#define sipName_stacks &sipStrings_QtGui[52497]
#define sipNameNr_status 52504
#define sipName_status &sipStrings_QtGui[52504]
#define sipNameNr_stereo 52511
#define sipName_stereo &sipStrings_QtGui[52511]
#define sipNameNr_stride 52518
#define sipName_stride &sipStrings_QtGui[52518]
#define sipNameNr_styles 52525
#define sipName_styles &sipStrings_QtGui[52525]
#define sipNameNr_submit 52532
#define sipName_submit &sipStrings_QtGui[52532]
#define sipNameNr_target 52539
#define sipName_target &sipStrings_QtGui[52539]
#define sipNameNr_toCmyk 52546
#define sipName_toCmyk &sipStrings_QtGui[52546]
#define sipNameNr_toHtml 52553
#define sipName_toHtml &sipStrings_QtGui[52553]
#define sipNameNr_tomato 52560
#define sipName_tomato &sipStrings_QtGui[52560]
#define sipNameNr_united 52567
#define sipName_united &sipStrings_QtGui[52567]
#define sipNameNr_update 52574
#define sipName_update &sipStrings_QtGui[52574]
#define sipNameNr_valueF 52581
#define sipName_valueF &sipStrings_QtGui[52581]
#define sipNameNr_vector 52588
#define sipName_vector &sipStrings_QtGui[52588]
#define sipNameNr_violet 42562
#define sipName_violet &sipStrings_QtGui[42562]
#define sipNameNr_weight 52595
#define sipName_weight &sipStrings_QtGui[52595]
#define sipNameNr_widthF 52602
#define sipName_widthF &sipStrings_QtGui[52602]
#define sipNameNr_window 52609
#define sipName_window &sipStrings_QtGui[52609]
#define sipNameNr_yellow 12738
#define sipName_yellow &sipStrings_QtGui[12738]
#define sipNameNr_Alpha 19677
#define sipName_Alpha &sipStrings_QtGui[19677]
#define sipNameNr_AnsiA 52616
#define sipName_AnsiA &sipStrings_QtGui[52616]
#define sipNameNr_AnsiB 52622
#define sipName_AnsiB &sipStrings_QtGui[52622]
#define sipNameNr_AnsiC 52628
#define sipName_AnsiC &sipStrings_QtGui[52628]
#define sipNameNr_AnsiD 52634
#define sipName_AnsiD &sipStrings_QtGui[52634]
#define sipNameNr_AnsiE 52640
#define sipName_AnsiE &sipStrings_QtGui[52640]
#define sipNameNr_ArchA 52646
#define sipName_ArchA &sipStrings_QtGui[52646]
#define sipNameNr_ArchB 52652
#define sipName_ArchB &sipStrings_QtGui[52652]
#define sipNameNr_ArchC 52658
#define sipName_ArchC &sipStrings_QtGui[52658]
#define sipNameNr_ArchD 52664
#define sipName_ArchD &sipStrings_QtGui[52664]
#define sipNameNr_ArchE 52670
#define sipName_ArchE &sipStrings_QtGui[52670]
#define sipNameNr_AtEnd 52676
#define sipName_AtEnd &sipStrings_QtGui[52676]
#define sipNameNr_Black 52682
#define sipName_Black &sipStrings_QtGui[52682]
#define sipNameNr_Click 52688
#define sipName_Click &sipStrings_QtGui[52688]
#define sipNameNr_Close 52694
#define sipName_Close &sipStrings_QtGui[52694]
#define sipNameNr_D24S8 34965
#define sipName_D24S8 &sipStrings_QtGui[34965]
#define sipNameNr_Depth 35472
#define sipName_Depth &sipStrings_QtGui[35472]
#define sipNameNr_Didot 52700
#define sipName_Didot &sipStrings_QtGui[52700]
#define sipNameNr_Flags 823
#define sipName_Flags &sipStrings_QtGui[823]
#define sipNameNr_Folio 52706
#define sipName_Folio &sipStrings_QtGui[52706]
#define sipNameNr_Gamma 16758
#define sipName_Gamma &sipStrings_QtGui[16758]
#define sipNameNr_Greek 52712
#define sipName_Greek &sipStrings_QtGui[52712]
#define sipNameNr_Green 34887
#define sipName_Green &sipStrings_QtGui[34887]
#define sipNameNr_Int16 51707
#define sipName_Int16 &sipStrings_QtGui[51707]
#define sipNameNr_Int32 51714
#define sipName_Int32 &sipStrings_QtGui[51714]
#define sipNameNr_JisB0 52718
#define sipName_JisB0 &sipStrings_QtGui[52718]
#define sipNameNr_JisB1 52724
#define sipName_JisB1 &sipStrings_QtGui[52724]
#define sipNameNr_JisB2 52730
#define sipName_JisB2 &sipStrings_QtGui[52730]
#define sipNameNr_JisB3 52736
#define sipName_JisB3 &sipStrings_QtGui[52736]
#define sipNameNr_JisB4 52742
#define sipName_JisB4 &sipStrings_QtGui[52742]
#define sipNameNr_JisB5 52748
#define sipName_JisB5 &sipStrings_QtGui[52748]
#define sipNameNr_JisB6 52754
#define sipName_JisB6 &sipStrings_QtGui[52754]
#define sipNameNr_JisB7 52760
#define sipName_JisB7 &sipStrings_QtGui[52760]
#define sipNameNr_JisB8 52766
#define sipName_JisB8 &sipStrings_QtGui[52766]
#define sipNameNr_JisB9 52772
#define sipName_JisB9 &sipStrings_QtGui[52772]
#define sipNameNr_Khmer 52778
#define sipName_Khmer &sipStrings_QtGui[52778]
#define sipNameNr_Latin 52784
#define sipName_Latin &sipStrings_QtGui[52784]
#define sipNameNr_Legal 15447
#define sipName_Legal &sipStrings_QtGui[15447]
#define sipNameNr_LibGL 52790
#define sipName_LibGL &sipStrings_QtGui[52790]
#define sipNameNr_Light 5765
#define sipName_Light &sipStrings_QtGui[5765]
#define sipNameNr_Mouse 41199
#define sipName_Mouse &sipStrings_QtGui[41199]
#define sipNameNr_Ogham 52796
#define sipName_Ogham &sipStrings_QtGui[52796]
#define sipNameNr_Oriya 52802
#define sipName_Oriya &sipStrings_QtGui[52802]
#define sipNameNr_Other 52808
#define sipName_Other &sipStrings_QtGui[52808]
#define sipNameNr_Paste 52814
#define sipName_Paste &sipStrings_QtGui[52814]
#define sipNameNr_Point 7983
#define sipName_Point &sipStrings_QtGui[7983]
#define sipNameNr_Print 52820
#define sipName_Print &sipStrings_QtGui[52820]
#define sipNameNr_QDrag 52826
#define sipName_QDrag &sipStrings_QtGui[52826]
#define sipNameNr_QFont 52832
#define sipName_QFont &sipStrings_QtGui[52832]
#define sipNameNr_QIcon 52838
#define sipName_QIcon &sipStrings_QtGui[52838]
#define sipNameNr_RG16F 52844
#define sipName_RG16F &sipStrings_QtGui[52844]
#define sipNameNr_RG16I 52850
#define sipName_RG16I &sipStrings_QtGui[52850]
#define sipNameNr_RG16U 52856
#define sipName_RG16U &sipStrings_QtGui[52856]
#define sipNameNr_RG32F 52862
#define sipName_RG32F &sipStrings_QtGui[52862]
#define sipNameNr_RG32I 52868
#define sipName_RG32I &sipStrings_QtGui[52868]
#define sipNameNr_RG32U 52874
#define sipName_RG32U &sipStrings_QtGui[52874]
#define sipNameNr_RG3B2 38522
#define sipName_RG3B2 &sipStrings_QtGui[38522]
#define sipNameNr_RGB8I 52880
#define sipName_RGB8I &sipStrings_QtGui[52880]
#define sipNameNr_RGB8U 52886
#define sipName_RGB8U &sipStrings_QtGui[52886]
#define sipNameNr_RGBA4 34952
#define sipName_RGBA4 &sipStrings_QtGui[34952]
#define sipNameNr_Right 31741
#define sipName_Right &sipStrings_QtGui[31741]
#define sipNameNr_Runic 52892
#define sipName_Runic &sipStrings_QtGui[52892]
#define sipNameNr_SRGB8 52898
#define sipName_SRGB8 &sipStrings_QtGui[52898]
#define sipNameNr_Serif 45526
#define sipName_Serif &sipStrings_QtGui[45526]
#define sipNameNr_Start 22192
#define sipName_Start &sipStrings_QtGui[22192]
#define sipNameNr_State 6155
#define sipName_State &sipStrings_QtGui[6155]
#define sipNameNr_Style 2149
#define sipName_Style &sipStrings_QtGui[2149]
#define sipNameNr_Tamil 52904
#define sipName_Tamil &sipStrings_QtGui[52904]
#define sipNameNr_Times 52910
#define sipName_Times &sipStrings_QtGui[52910]
#define sipNameNr_Token 52916
#define sipName_Token &sipStrings_QtGui[52916]
#define sipNameNr_Types 1099
#define sipName_Types &sipStrings_QtGui[1099]
#define sipNameNr_UInt8 52922
#define sipName_UInt8 &sipStrings_QtGui[52922]
#define sipNameNr_White 34263
#define sipName_White &sipStrings_QtGui[34263]
#define sipNameNr_alert 52928
#define sipName_alert &sipStrings_QtGui[52928]
#define sipNameNr_alpha 52934
#define sipName_alpha &sipStrings_QtGui[52934]
#define sipNameNr_angle 8774
#define sipName_angle &sipStrings_QtGui[8774]
#define sipNameNr_arcTo 52940
#define sipName_arcTo &sipStrings_QtGui[52940]
#define sipNameNr_atEnd 52946
#define sipName_atEnd &sipStrings_QtGui[52946]
#define sipNameNr_azure 52952
#define sipName_azure &sipStrings_QtGui[52952]
#define sipNameNr_begin 52958
#define sipName_begin &sipStrings_QtGui[52958]
#define sipNameNr_beige 52964
#define sipName_beige &sipStrings_QtGui[52964]
#define sipNameNr_black 52970
#define sipName_black &sipStrings_QtGui[52970]
#define sipNameNr_block 52976
#define sipName_block &sipStrings_QtGui[52976]
#define sipNameNr_blue8 52982
#define sipName_blue8 &sipStrings_QtGui[52982]
#define sipNameNr_blueF 52988
#define sipName_blueF &sipStrings_QtGui[52988]
#define sipNameNr_brown 39938
#define sipName_brown &sipStrings_QtGui[39938]
#define sipNameNr_brush 47614
#define sipName_brush &sipStrings_QtGui[47614]
#define sipNameNr_buddy 52994
#define sipName_buddy &sipStrings_QtGui[52994]
#define sipNameNr_child 53000
#define sipName_child &sipStrings_QtGui[53000]
#define sipNameNr_clear 53006
#define sipName_clear &sipStrings_QtGui[53006]
#define sipNameNr_clone 53012
#define sipName_clone &sipStrings_QtGui[53012]
#define sipNameNr_close 53018
#define sipName_close &sipStrings_QtGui[53018]
#define sipNameNr_codec 53024
#define sipName_codec &sipStrings_QtGui[53024]
#define sipNameNr_color 53030
#define sipName_color &sipStrings_QtGui[53030]
#define sipNameNr_coral 43487
#define sipName_coral &sipStrings_QtGui[43487]
#define sipNameNr_count 53036
#define sipName_count &sipStrings_QtGui[53036]
#define sipNameNr_cyanF 53042
#define sipName_cyanF &sipStrings_QtGui[53042]
#define sipNameNr_delim 53048
#define sipName_delim &sipStrings_QtGui[53048]
#define sipNameNr_depth 53054
#define sipName_depth &sipStrings_QtGui[53054]
#define sipNameNr_error 53060
#define sipName_error &sipStrings_QtGui[53060]
#define sipNameNr_event 53066
#define sipName_event &sipStrings_QtGui[53066]
#define sipNameNr_exec_ 53072
#define sipName_exec_ &sipStrings_QtGui[53072]
#define sipNameNr_faces 53078
#define sipName_faces &sipStrings_QtGui[53078]
#define sipNameNr_first 53084
#define sipName_first &sipStrings_QtGui[53084]
#define sipNameNr_fixup 53090
#define sipName_fixup &sipStrings_QtGui[53090]
#define sipNameNr_flags 53096
#define sipName_flags &sipStrings_QtGui[53096]
#define sipNameNr_flush 53102
#define sipName_flush &sipStrings_QtGui[53102]
#define sipNameNr_gamma 53108
#define sipName_gamma &sipStrings_QtGui[53108]
#define sipNameNr_green 19551
#define sipName_green &sipStrings_QtGui[19551]
#define sipNameNr_hints 53114
#define sipName_hints &sipStrings_QtGui[53114]
#define sipNameNr_image 53120
#define sipName_image &sipStrings_QtGui[53120]
#define sipNameNr_index 53126
#define sipName_index &sipStrings_QtGui[53126]
#define sipNameNr_ivory 53132
#define sipName_ivory &sipStrings_QtGui[53132]
#define sipNameNr_khaki 46056
#define sipName_khaki &sipStrings_QtGui[46056]
#define sipNameNr_light 39854
#define sipName_light &sipStrings_QtGui[39854]
#define sipNameNr_linen 53138
#define sipName_linen &sipStrings_QtGui[53138]
#define sipNameNr_lower 53144
#define sipName_lower &sipStrings_QtGui[53144]
#define sipNameNr_match 53150
#define sipName_match &sipStrings_QtGui[53150]
#define sipNameNr_merge 53156
#define sipName_merge &sipStrings_QtGui[53156]
#define sipNameNr_model 53162
#define sipName_model &sipStrings_QtGui[53162]
#define sipNameNr_nlerp 53168
#define sipName_nlerp &sipStrings_QtGui[53168]
#define sipNameNr_olive 53174
#define sipName_olive &sipStrings_QtGui[53174]
#define sipNameNr_order 10939
#define sipName_order &sipStrings_QtGui[10939]
#define sipNameNr_ortho 53180
#define sipName_ortho &sipStrings_QtGui[53180]
#define sipNameNr_paint 53186
#define sipName_paint &sipStrings_QtGui[53186]
#define sipNameNr_phase 53192
#define sipName_phase &sipStrings_QtGui[53192]
#define sipNameNr_pixel 53198
#define sipName_pixel &sipStrings_QtGui[53198]
#define sipNameNr_point 53204
#define sipName_point &sipStrings_QtGui[53204]
#define sipNameNr_print 53210
#define sipName_print &sipStrings_QtGui[53210]
#define sipNameNr_qBlue 53216
#define sipName_qBlue &sipStrings_QtGui[53216]
#define sipNameNr_qGray 53222
#define sipName_qGray &sipStrings_QtGui[53222]
#define sipNameNr_qRgba 53228
#define sipName_qRgba &sipStrings_QtGui[53228]
#define sipNameNr_rects 53234
#define sipName_rects &sipStrings_QtGui[53234]
#define sipNameNr_reset 18363
#define sipName_reset &sipStrings_QtGui[18363]
#define sipNameNr_right 53240
#define sipName_right &sipStrings_QtGui[53240]
#define sipNameNr_scale 11445
#define sipName_scale &sipStrings_QtGui[11445]
#define sipNameNr_shape 53246
#define sipName_shape &sipStrings_QtGui[53246]
#define sipNameNr_shear 53252
#define sipName_shear &sipStrings_QtGui[53252]
#define sipNameNr_sizes 53258
#define sipName_sizes &sipStrings_QtGui[53258]
#define sipNameNr_slerp 53264
#define sipName_slerp &sipStrings_QtGui[53264]
#define sipNameNr_speed 53270
#define sipName_speed &sipStrings_QtGui[53270]
#define sipNameNr_start 53276
#define sipName_start &sipStrings_QtGui[53276]
#define sipNameNr_state 25584
#define sipName_state &sipStrings_QtGui[25584]
#define sipNameNr_stops 53282
#define sipName_stops &sipStrings_QtGui[53282]
#define sipNameNr_style 53288
#define sipName_style &sipStrings_QtGui[53288]
#define sipNameNr_title 53294
#define sipName_title &sipStrings_QtGui[53294]
#define sipNameNr_toHsl 53300
#define sipName_toHsl &sipStrings_QtGui[53300]
#define sipNameNr_toHsv 53306
#define sipName_toHsv &sipStrings_QtGui[53306]
#define sipNameNr_toRgb 37946
#define sipName_toRgb &sipStrings_QtGui[37946]
#define sipNameNr_types 53312
#define sipName_types &sipStrings_QtGui[53312]
#define sipNameNr_units 53318
#define sipName_units &sipStrings_QtGui[53318]
#define sipNameNr_unmap 53324
#define sipName_unmap &sipStrings_QtGui[53324]
#define sipNameNr_valid 26513
#define sipName_valid &sipStrings_QtGui[26513]
#define sipNameNr_value 53330
#define sipName_value &sipStrings_QtGui[53330]
#define sipNameNr_wheat 53336
#define sipName_wheat &sipStrings_QtGui[53336]
#define sipNameNr_white 35121
#define sipName_white &sipStrings_QtGui[35121]
#define sipNameNr_width 53342
#define sipName_width &sipStrings_QtGui[53342]
#define sipNameNr_winId 53348
#define sipName_winId &sipStrings_QtGui[53348]
#define sipNameNr_write 53354
#define sipName_write &sipStrings_QtGui[53354]
#define sipNameNr_xTilt 53360
#define sipName_xTilt &sipStrings_QtGui[53360]
#define sipNameNr_xored 53366
#define sipName_xored &sipStrings_QtGui[53366]
#define sipNameNr_yTilt 53372
#define sipName_yTilt &sipStrings_QtGui[53372]
#define sipNameNr_Area 29109
#define sipName_Area &sipStrings_QtGui[29109]
#define sipNameNr_BGRA 53378
#define sipName_BGRA &sipStrings_QtGui[53378]
#define sipNameNr_Back 53383
#define sipName_Back &sipStrings_QtGui[53383]
#define sipNameNr_Base 29572
#define sipName_Base &sipStrings_QtGui[29572]
#define sipNameNr_Blue 37887
#define sipName_Blue &sipStrings_QtGui[37887]
#define sipNameNr_Bold 44867
#define sipName_Bold &sipStrings_QtGui[44867]
#define sipNameNr_CMYK 53388
#define sipName_CMYK &sipStrings_QtGui[53388]
#define sipNameNr_Cmyk 22108
#define sipName_Cmyk &sipStrings_QtGui[22108]
#define sipNameNr_Copy 37407
#define sipName_Copy &sipStrings_QtGui[37407]
#define sipNameNr_Cyan 47732
#define sipName_Cyan &sipStrings_QtGui[47732]
#define sipNameNr_D32F 53393
#define sipName_D32F &sipStrings_QtGui[53393]
#define sipNameNr_Dark 37923
#define sipName_Dark &sipStrings_QtGui[37923]
#define sipNameNr_Down 53398
#define sipName_Down &sipStrings_QtGui[53398]
#define sipNameNr_Edge 23889
#define sipName_Edge &sipStrings_QtGui[23889]
#define sipNameNr_Find 53403
#define sipName_Find &sipStrings_QtGui[53403]
#define sipNameNr_Flag 1134
#define sipName_Flag &sipStrings_QtGui[1134]
#define sipNameNr_Gray 45027
#define sipName_Gray &sipStrings_QtGui[45027]
#define sipNameNr_IMC1 53408
#define sipName_IMC1 &sipStrings_QtGui[53408]
#define sipNameNr_IMC2 53413
#define sipName_IMC2 &sipStrings_QtGui[53413]
#define sipNameNr_IMC3 53418
#define sipName_IMC3 &sipStrings_QtGui[53418]
#define sipNameNr_IMC4 53423
#define sipName_IMC4 &sipStrings_QtGui[53423]
#define sipNameNr_Inch 14878
#define sipName_Inch &sipStrings_QtGui[14878]
#define sipNameNr_Int8 52923
#define sipName_Int8 &sipStrings_QtGui[52923]
#define sipNameNr_Left 21088
#define sipName_Left &sipStrings_QtGui[21088]
#define sipNameNr_Link 53428
#define sipName_Link &sipStrings_QtGui[53428]
#define sipNameNr_Mode 1368
#define sipName_Mode &sipStrings_QtGui[1368]
#define sipNameNr_NV12 53433
#define sipName_NV12 &sipStrings_QtGui[53433]
#define sipNameNr_NV21 53438
#define sipName_NV21 &sipStrings_QtGui[53438]
#define sipNameNr_Name 6520
#define sipName_Name &sipStrings_QtGui[6520]
#define sipNameNr_Nega 53443
#define sipName_Nega &sipStrings_QtGui[53443]
#define sipNameNr_Note 53448
#define sipName_Note &sipStrings_QtGui[53448]
#define sipNameNr_Open 53453
#define sipName_Open &sipStrings_QtGui[53453]
#define sipNameNr_Pica 53458
#define sipName_Pica &sipStrings_QtGui[53458]
#define sipNameNr_Puck 53463
#define sipName_Puck &sipStrings_QtGui[53463]
#define sipNameNr_QPen 53468
#define sipName_QPen &sipStrings_QtGui[53468]
#define sipNameNr_Quit 53473
#define sipName_Quit &sipStrings_QtGui[53473]
#define sipNameNr_R16F 53478
#define sipName_R16F &sipStrings_QtGui[53478]
#define sipNameNr_R16I 53483
#define sipName_R16I &sipStrings_QtGui[53483]
#define sipNameNr_R16U 53488
#define sipName_R16U &sipStrings_QtGui[53488]
#define sipNameNr_R32F 53493
#define sipName_R32F &sipStrings_QtGui[53493]
#define sipNameNr_R32I 53498
#define sipName_R32I &sipStrings_QtGui[53498]
#define sipNameNr_R32U 53503
#define sipName_R32U &sipStrings_QtGui[53503]
#define sipNameNr_RG8I 53508
#define sipName_RG8I &sipStrings_QtGui[53508]
#define sipNameNr_RG8U 53513
#define sipName_RG8U &sipStrings_QtGui[53513]
#define sipNameNr_RGBA 53518
#define sipName_RGBA &sipStrings_QtGui[53518]
#define sipNameNr_Redo 53523
#define sipName_Redo &sipStrings_QtGui[53523]
#define sipNameNr_Ruby 53528
#define sipName_Ruby &sipStrings_QtGui[53528]
#define sipNameNr_SRgb 53533
#define sipName_SRgb &sipStrings_QtGui[53533]
#define sipNameNr_Save 53538
#define sipName_Save &sipStrings_QtGui[53538]
#define sipNameNr_Size 4736
#define sipName_Size &sipStrings_QtGui[4736]
#define sipNameNr_Spec 34394
#define sipName_Spec &sipStrings_QtGui[34394]
#define sipNameNr_Text 12593
#define sipName_Text &sipStrings_QtGui[12593]
#define sipNameNr_Thai 53543
#define sipName_Thai &sipStrings_QtGui[53543]
#define sipNameNr_Thin 53548
#define sipName_Thin &sipStrings_QtGui[53548]
#define sipNameNr_Type 280
#define sipName_Type &sipStrings_QtGui[280]
#define sipNameNr_UYVY 53553
#define sipName_UYVY &sipStrings_QtGui[53553]
#define sipNameNr_Undo 53558
#define sipName_Undo &sipStrings_QtGui[53558]
#define sipNameNr_Unit 11921
#define sipName_Unit &sipStrings_QtGui[11921]
#define sipNameNr_User 49903
#define sipName_User &sipStrings_QtGui[49903]
#define sipNameNr_YUYV 53563
#define sipName_YUYV &sipStrings_QtGui[53563]
#define sipNameNr_YV12 53568
#define sipName_YV12 &sipStrings_QtGui[53568]
#define sipNameNr_aqua 53573
#define sipName_aqua &sipStrings_QtGui[53573]
#define sipNameNr_axis 53578
#define sipName_axis &sipStrings_QtGui[53578]
#define sipNameNr_base 30314
#define sipName_base &sipStrings_QtGui[30314]
#define sipNameNr_bind 52310
#define sipName_bind &sipStrings_QtGui[52310]
#define sipNameNr_bits 53583
#define sipName_bits &sipStrings_QtGui[53583]
#define sipNameNr_blit 53588
#define sipName_blit &sipStrings_QtGui[53588]
#define sipNameNr_blue 25153
#define sipName_blue &sipStrings_QtGui[25153]
#define sipNameNr_bold 53593
#define sipName_bold &sipStrings_QtGui[53593]
#define sipNameNr_clip 53598
#define sipName_clip &sipStrings_QtGui[53598]
#define sipNameNr_copy 53603
#define sipName_copy &sipStrings_QtGui[53603]
#define sipNameNr_cyan 46477
#define sipName_cyan &sipStrings_QtGui[46477]
#define sipNameNr_dark 53608
#define sipName_dark &sipStrings_QtGui[53608]
#define sipNameNr_data 9764
#define sipName_data &sipStrings_QtGui[9764]
#define sipNameNr_draw 53613
#define sipName_draw &sipStrings_QtGui[53613]
#define sipNameNr_edge 53618
#define sipName_edge &sipStrings_QtGui[53618]
#define sipNameNr_exec 53623
#define sipName_exec &sipStrings_QtGui[53623]
#define sipNameNr_file 431
#define sipName_file &sipStrings_QtGui[431]
#define sipNameNr_fill 53628
#define sipName_fill &sipStrings_QtGui[53628]
#define sipNameNr_find 53633
#define sipName_find &sipStrings_QtGui[53633]
#define sipNameNr_font 53638
#define sipName_font &sipStrings_QtGui[53638]
#define sipNameNr_from 53643
#define sipName_from &sipStrings_QtGui[53643]
#define sipNameNr_gold 53648
#define sipName_gold &sipStrings_QtGui[53648]
#define sipNameNr_gray 28194
#define sipName_gray &sipStrings_QtGui[28194]
#define sipNameNr_grey 28209
#define sipName_grey &sipStrings_QtGui[28209]
#define sipNameNr_hide 53653
#define sipName_hide &sipStrings_QtGui[53653]
#define sipNameNr_hotX 53658
#define sipName_hotX &sipStrings_QtGui[53658]
#define sipNameNr_hotY 53663
#define sipName_hotY &sipStrings_QtGui[53663]
#define sipNameNr_href 53668
#define sipName_href &sipStrings_QtGui[53668]
#define sipNameNr_hueF 53673
#define sipName_hueF &sipStrings_QtGui[53673]
#define sipNameNr_icon 53678
#define sipName_icon &sipStrings_QtGui[53678]
#define sipNameNr_item 53683
#define sipName_item &sipStrings_QtGui[53683]
#define sipNameNr_join 53688
#define sipName_join &sipStrings_QtGui[53688]
#define sipNameNr_key2 53693
#define sipName_key2 &sipStrings_QtGui[53693]
#define sipNameNr_key3 53698
#define sipName_key3 &sipStrings_QtGui[53698]
#define sipNameNr_key4 53703
#define sipName_key4 &sipStrings_QtGui[53703]
#define sipNameNr_last 53708
#define sipName_last &sipStrings_QtGui[53708]
#define sipNameNr_left 53713
#define sipName_left &sipStrings_QtGui[53713]
#define sipNameNr_lime 53718
#define sipName_lime &sipStrings_QtGui[53718]
#define sipNameNr_link 53723
#define sipName_link &sipStrings_QtGui[53723]
#define sipNameNr_load 53728
#define sipName_load &sipStrings_QtGui[53728]
#define sipNameNr_mask 53733
#define sipName_mask &sipStrings_QtGui[53733]
#define sipNameNr_mode 53738
#define sipName_mode &sipStrings_QtGui[53738]
#define sipNameNr_name 53743
#define sipName_name &sipStrings_QtGui[53743]
#define sipNameNr_navy 53748
#define sipName_navy &sipStrings_QtGui[53748]
#define sipNameNr_next 53753
#define sipName_next &sipStrings_QtGui[53753]
#define sipNameNr_peru 53758
#define sipName_peru &sipStrings_QtGui[53758]
#define sipNameNr_pink 46517
#define sipName_pink &sipStrings_QtGui[46517]
#define sipNameNr_play 53763
#define sipName_play &sipStrings_QtGui[53763]
#define sipNameNr_plum 53768
#define sipName_plum &sipStrings_QtGui[53768]
#define sipNameNr_posF 53773
#define sipName_posF &sipStrings_QtGui[53773]
#define sipNameNr_qRed 53778
#define sipName_qRed &sipStrings_QtGui[53778]
#define sipNameNr_qRgb 53783
#define sipName_qRgb &sipStrings_QtGui[53783]
#define sipNameNr_read 18382
#define sipName_read &sipStrings_QtGui[18382]
#define sipNameNr_rect 53788
#define sipName_rect &sipStrings_QtGui[53788]
#define sipNameNr_red8 53793
#define sipName_red8 &sipStrings_QtGui[53793]
#define sipNameNr_redF 53798
#define sipName_redF &sipStrings_QtGui[53798]
#define sipNameNr_redo 53803
#define sipName_redo &sipStrings_QtGui[53803]
#define sipNameNr_rgba 53808
#define sipName_rgba &sipStrings_QtGui[53808]
#define sipNameNr_role 53813
#define sipName_role &sipStrings_QtGui[53813]
#define sipNameNr_rows 53818
#define sipName_rows &sipStrings_QtGui[53818]
#define sipNameNr_save 53823
#define sipName_save &sipStrings_QtGui[53823]
#define sipNameNr_setW 53828
#define sipName_setW &sipStrings_QtGui[53828]
#define sipNameNr_setX 53833
#define sipName_setX &sipStrings_QtGui[53833]
#define sipNameNr_setY 53838
#define sipName_setY &sipStrings_QtGui[53838]
#define sipNameNr_setZ 53843
#define sipName_setZ &sipStrings_QtGui[53843]
#define sipNameNr_show 53848
#define sipName_show &sipStrings_QtGui[53848]
#define sipNameNr_size 20326
#define sipName_size &sipStrings_QtGui[20326]
#define sipNameNr_snow 53853
#define sipName_snow &sipStrings_QtGui[53853]
#define sipNameNr_sort 53858
#define sipName_sort &sipStrings_QtGui[53858]
#define sipNameNr_span 53863
#define sipName_span &sipStrings_QtGui[53863]
#define sipNameNr_spec 53868
#define sipName_spec &sipStrings_QtGui[53868]
#define sipNameNr_stop 53873
#define sipName_stop &sipStrings_QtGui[53873]
#define sipNameNr_swap 53878
#define sipName_swap &sipStrings_QtGui[53878]
#define sipNameNr_sync 53883
#define sipName_sync &sipStrings_QtGui[53883]
#define sipNameNr_tabs 53888
#define sipName_tabs &sipStrings_QtGui[53888]
#define sipNameNr_teal 53893
#define sipName_teal &sipStrings_QtGui[53893]
#define sipNameNr_text 240
#define sipName_text &sipStrings_QtGui[240]
#define sipNameNr_type 22465
#define sipName_type &sipStrings_QtGui[22465]
#define sipNameNr_undo 53898
#define sipName_undo &sipStrings_QtGui[53898]
#define sipNameNr_A10 53903
#define sipName_A10 &sipStrings_QtGui[53903]
#define sipNameNr_All 18113
#define sipName_All &sipStrings_QtGui[18113]
#define sipNameNr_Any 53907
#define sipName_Any &sipStrings_QtGui[53907]
#define sipNameNr_B10 51457
#define sipName_B10 &sipStrings_QtGui[51457]
#define sipNameNr_BGR 53911
#define sipName_BGR &sipStrings_QtGui[53911]
#define sipNameNr_C5E 53915
#define sipName_C5E &sipStrings_QtGui[53915]
#define sipNameNr_Cut 53919
#define sipName_Cut &sipStrings_QtGui[53919]
#define sipNameNr_D16 53923
#define sipName_D16 &sipStrings_QtGui[53923]
#define sipNameNr_D24 53927
#define sipName_D24 &sipStrings_QtGui[53927]
#define sipNameNr_D32 53931
#define sipName_D32 &sipStrings_QtGui[53931]
#define sipNameNr_DLE 53935
#define sipName_DLE &sipStrings_QtGui[53935]
#define sipNameNr_End 36449
#define sipName_End &sipStrings_QtGui[36449]
#define sipNameNr_HSL 53939
#define sipName_HSL &sipStrings_QtGui[53939]
#define sipNameNr_HSV 53943
#define sipName_HSV &sipStrings_QtGui[53943]
#define sipNameNr_Hsl 25490
#define sipName_Hsl &sipStrings_QtGui[25490]
#define sipNameNr_Hsv 25506
#define sipName_Hsv &sipStrings_QtGui[25506]
#define sipNameNr_Key 6001
#define sipName_Key &sipStrings_QtGui[6001]
#define sipNameNr_Lao 53947
#define sipName_Lao &sipStrings_QtGui[53947]
#define sipNameNr_Mid 53951
#define sipName_Mid &sipStrings_QtGui[53951]
#define sipNameNr_New 53955
#define sipName_New &sipStrings_QtGui[53955]
#define sipNameNr_Nko 53959
#define sipName_Nko &sipStrings_QtGui[53959]
#define sipNameNr_Off 53963
#define sipName_Off &sipStrings_QtGui[53963]
#define sipNameNr_Pdf 53967
#define sipName_Pdf &sipStrings_QtGui[53967]
#define sipNameNr_Pen 10149
#define sipName_Pen &sipStrings_QtGui[10149]
#define sipNameNr_R8I 53971
#define sipName_R8I &sipStrings_QtGui[53971]
#define sipNameNr_R8U 53975
#define sipName_R8U &sipStrings_QtGui[53975]
#define sipNameNr_RGB 53979
#define sipName_RGB &sipStrings_QtGui[53979]
#define sipNameNr_Red 42191
#define sipName_Red &sipStrings_QtGui[42191]
#define sipNameNr_Rgb 33269
#define sipName_Rgb &sipStrings_QtGui[33269]
#define sipNameNr_SVG 53983
#define sipName_SVG &sipStrings_QtGui[53983]
#define sipNameNr_Svg 12048
#define sipName_Svg &sipStrings_QtGui[12048]
#define sipNameNr_Tab 21344
#define sipName_Tab &sipStrings_QtGui[21344]
#define sipNameNr_X11 53987
#define sipName_X11 &sipStrings_QtGui[53987]
#define sipNameNr_Y16 53991
#define sipName_Y16 &sipStrings_QtGui[53991]
#define sipNameNr_YUV 53995
#define sipName_YUV &sipStrings_QtGui[53995]
#define sipNameNr_add 53999
#define sipName_add &sipStrings_QtGui[53999]
#define sipNameNr_cap 54003
#define sipName_cap &sipStrings_QtGui[54003]
#define sipNameNr_end 15734
#define sipName_end &sipStrings_QtGui[15734]
#define sipNameNr_hue 54007
#define sipName_hue &sipStrings_QtGui[54007]
#define sipNameNr_key 54011
#define sipName_key &sipStrings_QtGui[54011]
#define sipNameNr_log 54015
#define sipName_log &sipStrings_QtGui[54015]
#define sipNameNr_m11 54019
#define sipName_m11 &sipStrings_QtGui[54019]
#define sipNameNr_m12 54023
#define sipName_m12 &sipStrings_QtGui[54023]
#define sipNameNr_m13 54027
#define sipName_m13 &sipStrings_QtGui[54027]
#define sipNameNr_m21 54031
#define sipName_m21 &sipStrings_QtGui[54031]
#define sipNameNr_m22 54035
#define sipName_m22 &sipStrings_QtGui[54035]
#define sipNameNr_m23 54039
#define sipName_m23 &sipStrings_QtGui[54039]
#define sipNameNr_m31 54043
#define sipName_m31 &sipStrings_QtGui[54043]
#define sipNameNr_m32 54047
#define sipName_m32 &sipStrings_QtGui[54047]
#define sipNameNr_m33 54051
#define sipName_m33 &sipStrings_QtGui[54051]
#define sipNameNr_map 24722
#define sipName_map &sipStrings_QtGui[24722]
#define sipNameNr_mid 54055
#define sipName_mid &sipStrings_QtGui[54055]
#define sipNameNr_pen 53454
#define sipName_pen &sipStrings_QtGui[53454]
#define sipNameNr_pos 54059
#define sipName_pos &sipStrings_QtGui[54059]
#define sipNameNr_red 19355
#define sipName_red &sipStrings_QtGui[19355]
#define sipNameNr_rgb 49856
#define sipName_rgb &sipStrings_QtGui[49856]
#define sipNameNr_row 54063
#define sipName_row &sipStrings_QtGui[54063]
#define sipNameNr_tan 50128
#define sipName_tan &sipStrings_QtGui[50128]
#define sipNameNr_tip 54067
#define sipName_tip &sipStrings_QtGui[54067]
#define sipNameNr_top 1895
#define sipName_top &sipStrings_QtGui[1895]
#define sipNameNr_url 54071
#define sipName_url &sipStrings_QtGui[54071]
#define sipNameNr_A0 54075
#define sipName_A0 &sipStrings_QtGui[54075]
#define sipNameNr_A1 30904
#define sipName_A1 &sipStrings_QtGui[30904]
#define sipNameNr_A2 27401
#define sipName_A2 &sipStrings_QtGui[27401]
#define sipNameNr_A3 54078
#define sipName_A3 &sipStrings_QtGui[54078]
#define sipNameNr_A4 34955
#define sipName_A4 &sipStrings_QtGui[34955]
#define sipNameNr_A5 54081
#define sipName_A5 &sipStrings_QtGui[54081]
#define sipNameNr_A6 54084
#define sipName_A6 &sipStrings_QtGui[54084]
#define sipNameNr_A7 54087
#define sipName_A7 &sipStrings_QtGui[54087]
#define sipNameNr_A8 34981
#define sipName_A8 &sipStrings_QtGui[34981]
#define sipNameNr_A9 54090
#define sipName_A9 &sipStrings_QtGui[54090]
#define sipNameNr_B0 52721
#define sipName_B0 &sipStrings_QtGui[52721]
#define sipNameNr_B1 52727
#define sipName_B1 &sipStrings_QtGui[52727]
#define sipNameNr_B2 38525
#define sipName_B2 &sipStrings_QtGui[38525]
#define sipNameNr_B3 52739
#define sipName_B3 &sipStrings_QtGui[52739]
#define sipNameNr_B4 41015
#define sipName_B4 &sipStrings_QtGui[41015]
#define sipNameNr_B5 30890
#define sipName_B5 &sipStrings_QtGui[30890]
#define sipNameNr_B6 41037
#define sipName_B6 &sipStrings_QtGui[41037]
#define sipNameNr_B7 52763
#define sipName_B7 &sipStrings_QtGui[52763]
#define sipNameNr_B8 52769
#define sipName_B8 &sipStrings_QtGui[52769]
#define sipNameNr_B9 52775
#define sipName_B9 &sipStrings_QtGui[52775]
#define sipNameNr_On 54093
#define sipName_On &sipStrings_QtGui[54093]
#define sipNameNr_Qt 54096
#define sipName_Qt &sipStrings_QtGui[54096]
#define sipNameNr_RG 54099
#define sipName_RG &sipStrings_QtGui[54099]
#define sipNameNr_S8 34968
#define sipName_S8 &sipStrings_QtGui[34968]
#define sipNameNr_Up 54102
#define sipName_Up &sipStrings_QtGui[54102]
#define sipNameNr_Y8 54105
#define sipName_Y8 &sipStrings_QtGui[54105]
#define sipNameNr_at 2498
#define sipName_at &sipStrings_QtGui[2498]
#define sipNameNr_dx 54108
#define sipName_dx &sipStrings_QtGui[54108]
#define sipNameNr_dy 52997
#define sipName_dy &sipStrings_QtGui[52997]
#define sipNameNr_id 17970
#define sipName_id &sipStrings_QtGui[17970]
#define sipNameNr_on 321
#define sipName_on &sipStrings_QtGui[321]
#define sipNameNr_sh 5475
#define sipName_sh &sipStrings_QtGui[5475]
#define sipNameNr_sw 54111
#define sipName_sw &sipStrings_QtGui[54111]
#define sipNameNr_sx 54114
#define sipName_sx &sipStrings_QtGui[54114]
#define sipNameNr_sy 49817
#define sipName_sy &sipStrings_QtGui[49817]
#define sipNameNr_n 322
#define sipName_n &sipStrings_QtGui[322]
#define sipNameNr_w 12743
#define sipName_w &sipStrings_QtGui[12743]
#define sipNameNr_x 13499
#define sipName_x &sipStrings_QtGui[13499]
#define sipNameNr_y 102
#define sipName_y &sipStrings_QtGui[102]
#define sipNameNr_z 54117
#define sipName_z &sipStrings_QtGui[54117]

#define sipMalloc                   sipAPI_QtGui->api_malloc
#define sipFree                     sipAPI_QtGui->api_free
#define sipBuildResult              sipAPI_QtGui->api_build_result
#define sipCallMethod               sipAPI_QtGui->api_call_method
#define sipCallProcedureMethod      sipAPI_QtGui->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtGui->api_call_error_handler
#define sipParseResultEx            sipAPI_QtGui->api_parse_result_ex
#define sipParseResult              sipAPI_QtGui->api_parse_result
#define sipParseArgs                sipAPI_QtGui->api_parse_args
#define sipParseKwdArgs             sipAPI_QtGui->api_parse_kwd_args
#define sipParsePair                sipAPI_QtGui->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtGui->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtGui->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtGui->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtGui->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtGui->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtGui->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtGui->api_add_exception
#define sipNoFunction               sipAPI_QtGui->api_no_function
#define sipNoMethod                 sipAPI_QtGui->api_no_method
#define sipAbstractMethod           sipAPI_QtGui->api_abstract_method
#define sipBadClass                 sipAPI_QtGui->api_bad_class
#define sipBadCatcherResult         sipAPI_QtGui->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtGui->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtGui->api_bad_operator_arg
#define sipTrace                    sipAPI_QtGui->api_trace
#define sipTransferBack             sipAPI_QtGui->api_transfer_back
#define sipTransferTo               sipAPI_QtGui->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtGui->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtGui->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtGui->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtGui->api_voidptr_type
#define sipGetPyObject              sipAPI_QtGui->api_get_pyobject
#define sipGetAddress               sipAPI_QtGui->api_get_address
#define sipGetMixinAddress          sipAPI_QtGui->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtGui->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtGui->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtGui->api_call_hook
#define sipEndThread                sipAPI_QtGui->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtGui->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtGui->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtGui->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtGui->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtGui->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtGui->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtGui->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtGui->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtGui->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtGui->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtGui->api_convert_to_bool
#define sipReleaseType              sipAPI_QtGui->api_release_type
#define sipConvertFromType          sipAPI_QtGui->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtGui->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtGui->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtGui->api_convert_from_enum
#define sipGetState                 sipAPI_QtGui->api_get_state
#define sipExportSymbol             sipAPI_QtGui->api_export_symbol
#define sipImportSymbol             sipAPI_QtGui->api_import_symbol
#define sipFindType                 sipAPI_QtGui->api_find_type
#define sipBytes_AsChar             sipAPI_QtGui->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtGui->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtGui->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtGui->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtGui->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtGui->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtGui->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtGui->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtGui->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtGui->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtGui->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtGui->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtGui->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtGui->api_get_reference
#define sipKeepReference            sipAPI_QtGui->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtGui->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtGui->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtGui->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtGui->api_type_scope
#define sipResolveTypedef           sipAPI_QtGui->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtGui->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtGui->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtGui->api_init_mixin
#define sipExportModule             sipAPI_QtGui->api_export_module
#define sipInitModule               sipAPI_QtGui->api_init_module
#define sipGetInterpreter           sipAPI_QtGui->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtGui->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtGui->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtGui->api_py_type_dict
#define sipPyTypeName               sipAPI_QtGui->api_py_type_name
#define sipGetCFunction             sipAPI_QtGui->api_get_c_function
#define sipGetMethod                sipAPI_QtGui->api_get_method
#define sipFromMethod               sipAPI_QtGui->api_from_method
#define sipGetDate                  sipAPI_QtGui->api_get_date
#define sipFromDate                 sipAPI_QtGui->api_from_date
#define sipGetDateTime              sipAPI_QtGui->api_get_datetime
#define sipFromDateTime             sipAPI_QtGui->api_from_datetime
#define sipGetTime                  sipAPI_QtGui->api_get_time
#define sipFromTime                 sipAPI_QtGui->api_from_time
#define sipIsUserType               sipAPI_QtGui->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtGui->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtGui->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtGui->api_unicode_write
#define sipUnicodeData              sipAPI_QtGui->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtGui->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtGui->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtGui->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtGui->api_is_derived_class
#define sipGetUserObject            sipAPI_QtGui->api_get_user_object
#define sipSetUserObject            sipAPI_QtGui->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtGui->api_register_event_handler
#define sipConvertToArray           sipAPI_QtGui->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtGui->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtGui->api_enable_gc
#define sipPrintObject              sipAPI_QtGui->api_print_object
#define sipLong_AsChar              sipAPI_QtGui->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtGui->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtGui->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtGui->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtGui->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtGui->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtGui->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtGui->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtGui->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtGui->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtGui->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtGui->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtGui->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtGui->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtGui->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtGui->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtGui->api_next_exception_handler
#define sipSetNewUserTypeHandler    sipAPI_QtGui->api_set_new_user_type_handler
#define sipGetFrame                 sipAPI_QtGui->api_get_frame
#define sipSetDestroyOnExit         sipAPI_QtGui->api_set_destroy_on_exit
#define sipEnableOverflowChecking   sipAPI_QtGui->api_enable_overflow_checking
#define sipIsAPIEnabled             sipAPI_QtGui->api_is_api_enabled
#define sipClearAnySlotReference    sipAPI_QtGui->api_clear_any_slot_reference
#define sipConnectRx                sipAPI_QtGui->api_connect_rx
#define sipConvertRx                sipAPI_QtGui->api_convert_rx
#define sipDisconnectRx             sipAPI_QtGui->api_disconnect_rx
#define sipFreeSipslot              sipAPI_QtGui->api_free_sipslot
#define sipInvokeSlot               sipAPI_QtGui->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtGui->api_invoke_slot_ex
#define sipSameSlot                 sipAPI_QtGui->api_same_slot
#define sipSaveSlot                 sipAPI_QtGui->api_save_slot
#define sipVisitSlot                sipAPI_QtGui->api_visit_slot
#define sipIsPyMethod               sipAPI_QtGui->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtGui[];

#define sipType_QAbstractTextDocumentLayout sipExportedTypes_QtGui[1]

extern sipClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout;

#define sipType_QAbstractTextDocumentLayout_Selection sipExportedTypes_QtGui[3]

extern sipClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout_Selection;

#define sipType_QAbstractTextDocumentLayout_PaintContext sipExportedTypes_QtGui[2]

extern sipClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout_PaintContext;

#define sipType_QTextObjectInterface sipExportedTypes_QtGui[343]

extern sipClassTypeDef sipTypeDef_QtGui_QTextObjectInterface;

#define sipType_QBackingStore sipExportedTypes_QtGui[6]

extern sipClassTypeDef sipTypeDef_QtGui_QBackingStore;

#define sipType_QPaintDevice sipExportedTypes_QtGui[198]

#define sipType_QPaintDevice_PaintDeviceMetric sipExportedTypes_QtGui[199]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintDevice;

#define sipType_QPixmap sipExportedTypes_QtGui[238]

extern sipClassTypeDef sipTypeDef_QtGui_QPixmap;

#define sipType_QBitmap sipExportedTypes_QtGui[7]

extern sipClassTypeDef sipTypeDef_QtGui_QBitmap;

#define sipType_QColor sipExportedTypes_QtGui[12]

#define sipType_QColor_NameFormat sipExportedTypes_QtGui[13]

#define sipType_QColor_Spec sipExportedTypes_QtGui[14]

extern sipClassTypeDef sipTypeDef_QtGui_QColor;

#define sipType_QColorConstants sipExportedTypes_QtGui[15]

extern sipClassTypeDef sipTypeDef_QtGui_QColorConstants;

#define sipType_QColorConstants_Svg sipExportedTypes_QtGui[16]

extern sipClassTypeDef sipTypeDef_QtGui_QColorConstants_Svg;

#define sipType_QBrush sipExportedTypes_QtGui[8]

extern sipClassTypeDef sipTypeDef_QtGui_QBrush;

#define sipType_QGradient sipExportedTypes_QtGui[56]

#define sipType_QGradient_Preset sipExportedTypes_QtGui[58]

#define sipType_QGradient_Spread sipExportedTypes_QtGui[59]

#define sipType_QGradient_Type sipExportedTypes_QtGui[60]

#define sipType_QGradient_CoordinateMode sipExportedTypes_QtGui[57]

extern sipClassTypeDef sipTypeDef_QtGui_QGradient;

#define sipType_QLinearGradient sipExportedTypes_QtGui[97]

extern sipClassTypeDef sipTypeDef_QtGui_QLinearGradient;

#define sipType_QRadialGradient sipExportedTypes_QtGui[247]

extern sipClassTypeDef sipTypeDef_QtGui_QRadialGradient;

#define sipType_QConicalGradient sipExportedTypes_QtGui[22]

extern sipClassTypeDef sipTypeDef_QtGui_QConicalGradient;

#define sipType_QClipboard sipExportedTypes_QtGui[9]

#define sipType_QClipboard_Mode sipExportedTypes_QtGui[10]

extern sipClassTypeDef sipTypeDef_QtGui_QClipboard;

#define sipType_QColorSpace sipExportedTypes_QtGui[17]

#define sipType_QColorSpace_TransferFunction sipExportedTypes_QtGui[20]

#define sipType_QColorSpace_Primaries sipExportedTypes_QtGui[19]

#define sipType_QColorSpace_NamedColorSpace sipExportedTypes_QtGui[18]

extern sipClassTypeDef sipTypeDef_QtGui_QColorSpace;

#define sipType_QColorTransform sipExportedTypes_QtGui[21]

extern sipClassTypeDef sipTypeDef_QtGui_QColorTransform;

#define sipType_QCursor sipExportedTypes_QtGui[25]

extern sipClassTypeDef sipTypeDef_QtGui_QCursor;

#define sipType_QDesktopServices sipExportedTypes_QtGui[26]

extern sipClassTypeDef sipTypeDef_QtGui_QDesktopServices;

#define sipType_QDrag sipExportedTypes_QtGui[29]

extern sipClassTypeDef sipTypeDef_QtGui_QDrag;

#define sipType_QInputEvent sipExportedTypes_QtGui[84]

extern sipClassTypeDef sipTypeDef_QtGui_QInputEvent;

#define sipType_QMouseEvent sipExportedTypes_QtGui[125]

extern sipClassTypeDef sipTypeDef_QtGui_QMouseEvent;

#define sipType_QHoverEvent sipExportedTypes_QtGui[64]

extern sipClassTypeDef sipTypeDef_QtGui_QHoverEvent;

#define sipType_QWheelEvent sipExportedTypes_QtGui[381]

extern sipClassTypeDef sipTypeDef_QtGui_QWheelEvent;

#define sipType_QTabletEvent sipExportedTypes_QtGui[286]

#define sipType_QTabletEvent_PointerType sipExportedTypes_QtGui[287]

#define sipType_QTabletEvent_TabletDevice sipExportedTypes_QtGui[288]

extern sipClassTypeDef sipTypeDef_QtGui_QTabletEvent;

#define sipType_QKeyEvent sipExportedTypes_QtGui[92]

extern sipClassTypeDef sipTypeDef_QtGui_QKeyEvent;

#define sipType_QFocusEvent sipExportedTypes_QtGui[37]

extern sipClassTypeDef sipTypeDef_QtGui_QFocusEvent;

#define sipType_QPaintEvent sipExportedTypes_QtGui[209]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintEvent;

#define sipType_QMoveEvent sipExportedTypes_QtGui[126]

extern sipClassTypeDef sipTypeDef_QtGui_QMoveEvent;

#define sipType_QResizeEvent sipExportedTypes_QtGui[257]

extern sipClassTypeDef sipTypeDef_QtGui_QResizeEvent;

#define sipType_QCloseEvent sipExportedTypes_QtGui[11]

extern sipClassTypeDef sipTypeDef_QtGui_QCloseEvent;

#define sipType_QIconDragEvent sipExportedTypes_QtGui[68]

extern sipClassTypeDef sipTypeDef_QtGui_QIconDragEvent;

#define sipType_QShowEvent sipExportedTypes_QtGui[267]

extern sipClassTypeDef sipTypeDef_QtGui_QShowEvent;

#define sipType_QHideEvent sipExportedTypes_QtGui[63]

extern sipClassTypeDef sipTypeDef_QtGui_QHideEvent;

#define sipType_QContextMenuEvent sipExportedTypes_QtGui[23]

#define sipType_QContextMenuEvent_Reason sipExportedTypes_QtGui[24]

extern sipClassTypeDef sipTypeDef_QtGui_QContextMenuEvent;

#define sipType_QInputMethodEvent sipExportedTypes_QtGui[87]

#define sipType_QInputMethodEvent_AttributeType sipExportedTypes_QtGui[89]

extern sipClassTypeDef sipTypeDef_QtGui_QInputMethodEvent;

#define sipType_QInputMethodEvent_Attribute sipExportedTypes_QtGui[88]

extern sipClassTypeDef sipTypeDef_QtGui_QInputMethodEvent_Attribute;

#define sipType_QInputMethodQueryEvent sipExportedTypes_QtGui[90]

extern sipClassTypeDef sipTypeDef_QtGui_QInputMethodQueryEvent;

#define sipType_QDropEvent sipExportedTypes_QtGui[33]

extern sipClassTypeDef sipTypeDef_QtGui_QDropEvent;

#define sipType_QDragMoveEvent sipExportedTypes_QtGui[32]

extern sipClassTypeDef sipTypeDef_QtGui_QDragMoveEvent;

#define sipType_QDragEnterEvent sipExportedTypes_QtGui[30]

extern sipClassTypeDef sipTypeDef_QtGui_QDragEnterEvent;

#define sipType_QDragLeaveEvent sipExportedTypes_QtGui[31]

extern sipClassTypeDef sipTypeDef_QtGui_QDragLeaveEvent;

#define sipType_QHelpEvent sipExportedTypes_QtGui[62]

extern sipClassTypeDef sipTypeDef_QtGui_QHelpEvent;

#define sipType_QStatusTipEvent sipExportedTypes_QtGui[273]

extern sipClassTypeDef sipTypeDef_QtGui_QStatusTipEvent;

#define sipType_QWhatsThisClickedEvent sipExportedTypes_QtGui[380]

extern sipClassTypeDef sipTypeDef_QtGui_QWhatsThisClickedEvent;

#define sipType_QActionEvent sipExportedTypes_QtGui[5]

extern sipClassTypeDef sipTypeDef_QtGui_QActionEvent;

#define sipType_QFileOpenEvent sipExportedTypes_QtGui[36]

extern sipClassTypeDef sipTypeDef_QtGui_QFileOpenEvent;

#define sipType_QShortcutEvent sipExportedTypes_QtGui[266]

extern sipClassTypeDef sipTypeDef_QtGui_QShortcutEvent;

#define sipType_QWindowStateChangeEvent sipExportedTypes_QtGui[385]

extern sipClassTypeDef sipTypeDef_QtGui_QWindowStateChangeEvent;

#define sipType_QTouchEvent sipExportedTypes_QtGui[358]

extern sipClassTypeDef sipTypeDef_QtGui_QTouchEvent;

#define sipType_QTouchEvent_TouchPoint sipExportedTypes_QtGui[359]

#define sipType_QTouchEvent_TouchPoint_InfoFlag sipExportedTypes_QtGui[360]

extern sipClassTypeDef sipTypeDef_QtGui_QTouchEvent_TouchPoint;

#define sipType_QTouchEvent_TouchPoint_InfoFlags sipExportedTypes_QtGui[361]

extern sipClassTypeDef sipTypeDef_QtGui_QTouchEvent_TouchPoint_InfoFlags;

#define sipType_QExposeEvent sipExportedTypes_QtGui[35]

extern sipClassTypeDef sipTypeDef_QtGui_QExposeEvent;

#define sipType_QScrollPrepareEvent sipExportedTypes_QtGui[262]

extern sipClassTypeDef sipTypeDef_QtGui_QScrollPrepareEvent;

#define sipType_QScrollEvent sipExportedTypes_QtGui[260]

#define sipType_QScrollEvent_ScrollState sipExportedTypes_QtGui[261]

extern sipClassTypeDef sipTypeDef_QtGui_QScrollEvent;

#define sipType_QEnterEvent sipExportedTypes_QtGui[34]

extern sipClassTypeDef sipTypeDef_QtGui_QEnterEvent;

#define sipType_QAction sipExportedTypes_QtGui[4]

#define sipType_QNativeGestureEvent sipExportedTypes_QtGui[130]

extern sipClassTypeDef sipTypeDef_QtGui_QNativeGestureEvent;

#define sipType_QPlatformSurfaceEvent sipExportedTypes_QtGui[241]

#define sipType_QPlatformSurfaceEvent_SurfaceEventType sipExportedTypes_QtGui[242]

extern sipClassTypeDef sipTypeDef_QtGui_QPlatformSurfaceEvent;

#define sipType_QPointingDeviceUniqueId sipExportedTypes_QtGui[243]

extern sipClassTypeDef sipTypeDef_QtGui_QPointingDeviceUniqueId;

#define sipType_QFont sipExportedTypes_QtGui[38]

#define sipType_QFont_HintingPreference sipExportedTypes_QtGui[40]

#define sipType_QFont_SpacingType sipExportedTypes_QtGui[41]

#define sipType_QFont_Capitalization sipExportedTypes_QtGui[39]

#define sipType_QFont_Stretch sipExportedTypes_QtGui[42]

#define sipType_QFont_Style sipExportedTypes_QtGui[43]

#define sipType_QFont_Weight sipExportedTypes_QtGui[46]

#define sipType_QFont_StyleStrategy sipExportedTypes_QtGui[45]

#define sipType_QFont_StyleHint sipExportedTypes_QtGui[44]

extern sipClassTypeDef sipTypeDef_QtGui_QFont;

#define sipType_QFontDatabase sipExportedTypes_QtGui[47]

#define sipType_QFontDatabase_SystemFont sipExportedTypes_QtGui[48]

#define sipType_QFontDatabase_WritingSystem sipExportedTypes_QtGui[49]

extern sipClassTypeDef sipTypeDef_QtGui_QFontDatabase;

#define sipType_QFontInfo sipExportedTypes_QtGui[50]

extern sipClassTypeDef sipTypeDef_QtGui_QFontInfo;

#define sipType_QFontMetrics sipExportedTypes_QtGui[51]

extern sipClassTypeDef sipTypeDef_QtGui_QFontMetrics;

#define sipType_QFontMetricsF sipExportedTypes_QtGui[52]

extern sipClassTypeDef sipTypeDef_QtGui_QFontMetricsF;

#define sipType_QMatrix4x3 sipExportedTypes_QtGui[123]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix4x3;

#define sipType_QMatrix4x2 sipExportedTypes_QtGui[122]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix4x2;

#define sipType_QMatrix3x4 sipExportedTypes_QtGui[121]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix3x4;

#define sipType_QMatrix3x3 sipExportedTypes_QtGui[120]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix3x3;

#define sipType_QMatrix3x2 sipExportedTypes_QtGui[119]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix3x2;

#define sipType_QMatrix2x4 sipExportedTypes_QtGui[118]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix2x4;

#define sipType_QMatrix2x3 sipExportedTypes_QtGui[117]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix2x3;

#define sipType_QMatrix2x2 sipExportedTypes_QtGui[116]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix2x2;

#define sipType_QGlyphRun sipExportedTypes_QtGui[53]

#define sipType_QGlyphRun_GlyphRunFlag sipExportedTypes_QtGui[54]

extern sipClassTypeDef sipTypeDef_QtGui_QGlyphRun;

#define sipType_QGlyphRun_GlyphRunFlags sipExportedTypes_QtGui[55]

extern sipClassTypeDef sipTypeDef_QtGui_QGlyphRun_GlyphRunFlags;

#define sipType_QGuiApplication sipExportedTypes_QtGui[61]

extern sipClassTypeDef sipTypeDef_QtGui_QGuiApplication;

#define sipType_QIcon sipExportedTypes_QtGui[65]

#define sipType_QIcon_State sipExportedTypes_QtGui[67]

#define sipType_QIcon_Mode sipExportedTypes_QtGui[66]

extern sipClassTypeDef sipTypeDef_QtGui_QIcon;

#define sipType_QIconEngine sipExportedTypes_QtGui[69]

#define sipType_QIconEngine_IconEngineHook sipExportedTypes_QtGui[71]

extern sipClassTypeDef sipTypeDef_QtGui_QIconEngine;

#define sipType_QIconEngine_AvailableSizesArgument sipExportedTypes_QtGui[70]

extern sipClassTypeDef sipTypeDef_QtGui_QIconEngine_AvailableSizesArgument;

#define sipType_QIconEngine_ScaledPixmapArgument sipExportedTypes_QtGui[72]

extern sipClassTypeDef sipTypeDef_QtGui_QIconEngine_ScaledPixmapArgument;

#define sipType_QImage sipExportedTypes_QtGui[73]

#define sipType_QImage_Format sipExportedTypes_QtGui[74]

#define sipType_QImage_InvertMode sipExportedTypes_QtGui[75]

extern sipClassTypeDef sipTypeDef_QtGui_QImage;

#define sipType_QImageIOHandler sipExportedTypes_QtGui[76]

#define sipType_QImageIOHandler_Transformation sipExportedTypes_QtGui[78]

#define sipType_QImageIOHandler_ImageOption sipExportedTypes_QtGui[77]

extern sipClassTypeDef sipTypeDef_QtGui_QImageIOHandler;

#define sipType_QImageIOHandler_Transformations sipExportedTypes_QtGui[79]

extern sipClassTypeDef sipTypeDef_QtGui_QImageIOHandler_Transformations;

#define sipType_QImageReader sipExportedTypes_QtGui[80]

#define sipType_QImageReader_ImageReaderError sipExportedTypes_QtGui[81]

extern sipClassTypeDef sipTypeDef_QtGui_QImageReader;

#define sipType_QImageWriter sipExportedTypes_QtGui[82]

#define sipType_QImageWriter_ImageWriterError sipExportedTypes_QtGui[83]

extern sipClassTypeDef sipTypeDef_QtGui_QImageWriter;

#define sipType_QInputMethod sipExportedTypes_QtGui[85]

#define sipType_QInputMethod_Action sipExportedTypes_QtGui[86]

extern sipClassTypeDef sipTypeDef_QtGui_QInputMethod;

#define sipType_QKeySequence sipExportedTypes_QtGui[93]

#define sipType_QKeySequence_StandardKey sipExportedTypes_QtGui[96]

#define sipType_QKeySequence_SequenceMatch sipExportedTypes_QtGui[95]

#define sipType_QKeySequence_SequenceFormat sipExportedTypes_QtGui[94]

extern sipClassTypeDef sipTypeDef_QtGui_QKeySequence;

#define sipType_QMatrix4x4 sipExportedTypes_QtGui[124]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix4x4;

#define sipType_QMovie sipExportedTypes_QtGui[127]

#define sipType_QMovie_CacheMode sipExportedTypes_QtGui[128]

#define sipType_QMovie_MovieState sipExportedTypes_QtGui[129]

extern sipClassTypeDef sipTypeDef_QtGui_QMovie;

#define sipType_QSurface sipExportedTypes_QtGui[275]

#define sipType_QSurface_SurfaceType sipExportedTypes_QtGui[277]

#define sipType_QSurface_SurfaceClass sipExportedTypes_QtGui[276]

extern sipClassTypeDef sipTypeDef_QtGui_QSurface;

#define sipType_QOffscreenSurface sipExportedTypes_QtGui[131]

extern sipClassTypeDef sipTypeDef_QtGui_QOffscreenSurface;

#define sipType_QOpenGLBuffer sipExportedTypes_QtGui[132]

#define sipType_QOpenGLBuffer_RangeAccessFlag sipExportedTypes_QtGui[134]

#define sipType_QOpenGLBuffer_Access sipExportedTypes_QtGui[133]

#define sipType_QOpenGLBuffer_UsagePattern sipExportedTypes_QtGui[137]

#define sipType_QOpenGLBuffer_Type sipExportedTypes_QtGui[136]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLBuffer;

#define sipType_QOpenGLBuffer_RangeAccessFlags sipExportedTypes_QtGui[135]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLBuffer_RangeAccessFlags;

#define sipType_QOpenGLContextGroup sipExportedTypes_QtGui[140]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLContextGroup;

#define sipType_QOpenGLContext sipExportedTypes_QtGui[138]

#define sipType_QOpenGLContext_OpenGLModuleType sipExportedTypes_QtGui[139]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLContext;

#define sipType_QOpenGLVersionProfile sipExportedTypes_QtGui[181]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLVersionProfile;

#define sipType_QOpenGLDebugMessage sipExportedTypes_QtGui[143]

#define sipType_QOpenGLDebugMessage_Severity sipExportedTypes_QtGui[145]

#define sipType_QOpenGLDebugMessage_Type sipExportedTypes_QtGui[148]

#define sipType_QOpenGLDebugMessage_Source sipExportedTypes_QtGui[146]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLDebugMessage;

#define sipType_QOpenGLDebugMessage_Sources sipExportedTypes_QtGui[147]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLDebugMessage_Sources;

#define sipType_QOpenGLDebugMessage_Types sipExportedTypes_QtGui[149]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLDebugMessage_Types;

#define sipType_QOpenGLDebugMessage_Severities sipExportedTypes_QtGui[144]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLDebugMessage_Severities;

#define sipType_QOpenGLDebugLogger sipExportedTypes_QtGui[141]

#define sipType_QOpenGLDebugLogger_LoggingMode sipExportedTypes_QtGui[142]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLDebugLogger;

#define sipType_QOpenGLFramebufferObject sipExportedTypes_QtGui[150]

#define sipType_QOpenGLFramebufferObject_FramebufferRestorePolicy sipExportedTypes_QtGui[152]

#define sipType_QOpenGLFramebufferObject_Attachment sipExportedTypes_QtGui[151]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLFramebufferObject;

#define sipType_QOpenGLFramebufferObjectFormat sipExportedTypes_QtGui[153]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLFramebufferObjectFormat;

#define sipType_QOpenGLPaintDevice sipExportedTypes_QtGui[154]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLPaintDevice;

#define sipType_QOpenGLPixelTransferOptions sipExportedTypes_QtGui[155]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLPixelTransferOptions;

#define sipType_QOpenGLShader sipExportedTypes_QtGui[156]

#define sipType_QOpenGLShader_ShaderTypeBit sipExportedTypes_QtGui[158]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLShader;

#define sipType_QOpenGLShader_ShaderType sipExportedTypes_QtGui[157]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLShader_ShaderType;

#define sipType_QOpenGLShaderProgram sipExportedTypes_QtGui[159]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLShaderProgram;

#define sipType_QOpenGLTexture sipExportedTypes_QtGui[160]

#define sipType_QOpenGLTexture_ComparisonMode sipExportedTypes_QtGui[163]

#define sipType_QOpenGLTexture_ComparisonFunction sipExportedTypes_QtGui[162]

#define sipType_QOpenGLTexture_CoordinateDirection sipExportedTypes_QtGui[164]

#define sipType_QOpenGLTexture_WrapMode sipExportedTypes_QtGui[178]

#define sipType_QOpenGLTexture_Filter sipExportedTypes_QtGui[169]

#define sipType_QOpenGLTexture_DepthStencilMode sipExportedTypes_QtGui[166]

#define sipType_QOpenGLTexture_SwizzleValue sipExportedTypes_QtGui[174]

#define sipType_QOpenGLTexture_SwizzleComponent sipExportedTypes_QtGui[173]

#define sipType_QOpenGLTexture_Feature sipExportedTypes_QtGui[167]

#define sipType_QOpenGLTexture_PixelType sipExportedTypes_QtGui[172]

#define sipType_QOpenGLTexture_PixelFormat sipExportedTypes_QtGui[171]

#define sipType_QOpenGLTexture_CubeMapFace sipExportedTypes_QtGui[165]

#define sipType_QOpenGLTexture_TextureFormat sipExportedTypes_QtGui[176]

#define sipType_QOpenGLTexture_TextureUnitReset sipExportedTypes_QtGui[177]

#define sipType_QOpenGLTexture_MipMapGeneration sipExportedTypes_QtGui[170]

#define sipType_QOpenGLTexture_BindingTarget sipExportedTypes_QtGui[161]

#define sipType_QOpenGLTexture_Target sipExportedTypes_QtGui[175]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLTexture;

#define sipType_QOpenGLTexture_Features sipExportedTypes_QtGui[168]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLTexture_Features;

#define sipType_QOpenGLTextureBlitter sipExportedTypes_QtGui[179]

#define sipType_QOpenGLTextureBlitter_Origin sipExportedTypes_QtGui[180]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLTextureBlitter;

#define sipType_QAbstractOpenGLFunctions sipExportedTypes_QtGui[0]

extern sipClassTypeDef sipTypeDef_QtGui_QAbstractOpenGLFunctions;

#define sipType_QOpenGLVertexArrayObject sipExportedTypes_QtGui[182]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLVertexArrayObject;

#define sipType_QOpenGLVertexArrayObject_Binder sipExportedTypes_QtGui[183]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLVertexArrayObject_Binder;

#define sipType_QWindow sipExportedTypes_QtGui[382]

#define sipType_QWindow_Visibility sipExportedTypes_QtGui[384]

#define sipType_QWindow_AncestorMode sipExportedTypes_QtGui[383]

extern sipClassTypeDef sipTypeDef_QtGui_QWindow;

#define sipType_QPaintDeviceWindow sipExportedTypes_QtGui[200]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintDeviceWindow;

#define sipType_QOpenGLWindow sipExportedTypes_QtGui[184]

#define sipType_QOpenGLWindow_UpdateBehavior sipExportedTypes_QtGui[185]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLWindow;

#define sipType_QPagedPaintDevice sipExportedTypes_QtGui[194]

#define sipType_QPagedPaintDevice_PdfVersion sipExportedTypes_QtGui[197]

#define sipType_QPagedPaintDevice_PageSize sipExportedTypes_QtGui[196]

extern sipClassTypeDef sipTypeDef_QtGui_QPagedPaintDevice;

#define sipType_QPagedPaintDevice_Margins sipExportedTypes_QtGui[195]

extern sipClassTypeDef sipTypeDef_QtGui_QPagedPaintDevice_Margins;

#define sipType_QPageLayout sipExportedTypes_QtGui[186]

#define sipType_QPageLayout_Mode sipExportedTypes_QtGui[187]

#define sipType_QPageLayout_Orientation sipExportedTypes_QtGui[188]

#define sipType_QPageLayout_Unit sipExportedTypes_QtGui[189]

extern sipClassTypeDef sipTypeDef_QtGui_QPageLayout;

#define sipType_QPageSize sipExportedTypes_QtGui[190]

#define sipType_QPageSize_SizeMatchPolicy sipExportedTypes_QtGui[192]

#define sipType_QPageSize_Unit sipExportedTypes_QtGui[193]

#define sipType_QPageSize_PageSizeId sipExportedTypes_QtGui[191]

extern sipClassTypeDef sipTypeDef_QtGui_QPageSize;

#define sipType_QPainter sipExportedTypes_QtGui[210]

#define sipType_QPainter_PixmapFragmentHint sipExportedTypes_QtGui[213]

#define sipType_QPainter_CompositionMode sipExportedTypes_QtGui[211]

#define sipType_QPainter_RenderHint sipExportedTypes_QtGui[215]

extern sipClassTypeDef sipTypeDef_QtGui_QPainter;

#define sipType_QPainter_RenderHints sipExportedTypes_QtGui[216]

extern sipClassTypeDef sipTypeDef_QtGui_QPainter_RenderHints;

#define sipType_QPainter_PixmapFragment sipExportedTypes_QtGui[212]

extern sipClassTypeDef sipTypeDef_QtGui_QPainter_PixmapFragment;

#define sipType_QPainter_PixmapFragmentHints sipExportedTypes_QtGui[214]

extern sipClassTypeDef sipTypeDef_QtGui_QPainter_PixmapFragmentHints;

#define sipType_QTextItem sipExportedTypes_QtGui[328]

#define sipType_QTextItem_RenderFlag sipExportedTypes_QtGui[329]

extern sipClassTypeDef sipTypeDef_QtGui_QTextItem;

#define sipType_QTextItem_RenderFlags sipExportedTypes_QtGui[330]

extern sipClassTypeDef sipTypeDef_QtGui_QTextItem_RenderFlags;

#define sipType_QPaintEngine sipExportedTypes_QtGui[201]

#define sipType_QPaintEngine_Type sipExportedTypes_QtGui[207]

#define sipType_QPaintEngine_PolygonDrawMode sipExportedTypes_QtGui[206]

#define sipType_QPaintEngine_DirtyFlag sipExportedTypes_QtGui[202]

#define sipType_QPaintEngine_PaintEngineFeature sipExportedTypes_QtGui[204]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintEngine;

#define sipType_QPaintEngine_PaintEngineFeatures sipExportedTypes_QtGui[205]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintEngine_PaintEngineFeatures;

#define sipType_QPaintEngine_DirtyFlags sipExportedTypes_QtGui[203]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintEngine_DirtyFlags;

#define sipType_QPaintEngineState sipExportedTypes_QtGui[208]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintEngineState;

#define sipType_QPainterPath sipExportedTypes_QtGui[217]

#define sipType_QPainterPath_ElementType sipExportedTypes_QtGui[219]

extern sipClassTypeDef sipTypeDef_QtGui_QPainterPath;

#define sipType_QPainterPath_Element sipExportedTypes_QtGui[218]

extern sipClassTypeDef sipTypeDef_QtGui_QPainterPath_Element;

#define sipType_QPainterPathStroker sipExportedTypes_QtGui[220]

extern sipClassTypeDef sipTypeDef_QtGui_QPainterPathStroker;

#define sipType_QPalette sipExportedTypes_QtGui[223]

#define sipType_QPalette_ColorRole sipExportedTypes_QtGui[225]

#define sipType_QPalette_ColorGroup sipExportedTypes_QtGui[224]

extern sipClassTypeDef sipTypeDef_QtGui_QPalette;

#define sipType_QPdfWriter sipExportedTypes_QtGui[226]

extern sipClassTypeDef sipTypeDef_QtGui_QPdfWriter;

#define sipType_QPen sipExportedTypes_QtGui[227]

extern sipClassTypeDef sipTypeDef_QtGui_QPen;

#define sipType_QPicture sipExportedTypes_QtGui[228]

extern sipClassTypeDef sipTypeDef_QtGui_QPicture;

#define sipType_QPictureIO sipExportedTypes_QtGui[229]

extern sipClassTypeDef sipTypeDef_QtGui_QPictureIO;

#define sipType_QPixelFormat sipExportedTypes_QtGui[230]

#define sipType_QPixelFormat_ByteOrder sipExportedTypes_QtGui[234]

#define sipType_QPixelFormat_YUVLayout sipExportedTypes_QtGui[237]

#define sipType_QPixelFormat_TypeInterpretation sipExportedTypes_QtGui[236]

#define sipType_QPixelFormat_AlphaPremultiplied sipExportedTypes_QtGui[232]

#define sipType_QPixelFormat_AlphaPosition sipExportedTypes_QtGui[231]

#define sipType_QPixelFormat_AlphaUsage sipExportedTypes_QtGui[233]

#define sipType_QPixelFormat_ColorModel sipExportedTypes_QtGui[235]

extern sipClassTypeDef sipTypeDef_QtGui_QPixelFormat;

#define sipType_QPixmapCache sipExportedTypes_QtGui[239]

extern sipClassTypeDef sipTypeDef_QtGui_QPixmapCache;

#define sipType_QPixmapCache_Key sipExportedTypes_QtGui[240]

extern sipClassTypeDef sipTypeDef_QtGui_QPixmapCache_Key;

#define sipType_QPolygon sipExportedTypes_QtGui[244]

extern sipClassTypeDef sipTypeDef_QtGui_QPolygon;

#define sipType_QPolygonF sipExportedTypes_QtGui[245]

extern sipClassTypeDef sipTypeDef_QtGui_QPolygonF;

#define sipType_QQuaternion sipExportedTypes_QtGui[246]

extern sipClassTypeDef sipTypeDef_QtGui_QQuaternion;

#define sipType_QRasterWindow sipExportedTypes_QtGui[248]

extern sipClassTypeDef sipTypeDef_QtGui_QRasterWindow;

#define sipType_QRawFont sipExportedTypes_QtGui[249]

#define sipType_QRawFont_LayoutFlag sipExportedTypes_QtGui[251]

#define sipType_QRawFont_AntialiasingType sipExportedTypes_QtGui[250]

extern sipClassTypeDef sipTypeDef_QtGui_QRawFont;

#define sipType_QRawFont_LayoutFlags sipExportedTypes_QtGui[252]

extern sipClassTypeDef sipTypeDef_QtGui_QRawFont_LayoutFlags;

#define sipType_QRegion sipExportedTypes_QtGui[254]

#define sipType_QRegion_RegionType sipExportedTypes_QtGui[255]

extern sipClassTypeDef sipTypeDef_QtGui_QRegion;

#define sipType_QRgba64 sipExportedTypes_QtGui[258]

extern sipClassTypeDef sipTypeDef_QtGui_QRgba64;

#define sipType_QScreen sipExportedTypes_QtGui[259]

extern sipClassTypeDef sipTypeDef_QtGui_QScreen;

#define sipType_QSessionManager sipExportedTypes_QtGui[263]

#define sipType_QSessionManager_RestartHint sipExportedTypes_QtGui[264]

extern sipClassTypeDef sipTypeDef_QtGui_QSessionManager;

#define sipType_QStandardItemModel sipExportedTypes_QtGui[270]

extern sipClassTypeDef sipTypeDef_QtGui_QStandardItemModel;

#define sipType_QStandardItem sipExportedTypes_QtGui[268]

#define sipType_QStandardItem_ItemType sipExportedTypes_QtGui[269]

extern sipClassTypeDef sipTypeDef_QtGui_QStandardItem;

#define sipType_QStaticText sipExportedTypes_QtGui[271]

#define sipType_QStaticText_PerformanceHint sipExportedTypes_QtGui[272]

extern sipClassTypeDef sipTypeDef_QtGui_QStaticText;

#define sipType_QStyleHints sipExportedTypes_QtGui[274]

extern sipClassTypeDef sipTypeDef_QtGui_QStyleHints;

#define sipType_QSurfaceFormat sipExportedTypes_QtGui[278]

#define sipType_QSurfaceFormat_ColorSpace sipExportedTypes_QtGui[279]

#define sipType_QSurfaceFormat_OpenGLContextProfile sipExportedTypes_QtGui[282]

#define sipType_QSurfaceFormat_RenderableType sipExportedTypes_QtGui[283]

#define sipType_QSurfaceFormat_SwapBehavior sipExportedTypes_QtGui[284]

#define sipType_QSurfaceFormat_FormatOption sipExportedTypes_QtGui[280]

extern sipClassTypeDef sipTypeDef_QtGui_QSurfaceFormat;

#define sipType_QSurfaceFormat_FormatOptions sipExportedTypes_QtGui[281]

extern sipClassTypeDef sipTypeDef_QtGui_QSurfaceFormat_FormatOptions;

#define sipType_QSyntaxHighlighter sipExportedTypes_QtGui[285]

extern sipClassTypeDef sipTypeDef_QtGui_QSyntaxHighlighter;

#define sipType_QTextCursor sipExportedTypes_QtGui[300]

#define sipType_QTextCursor_SelectionType sipExportedTypes_QtGui[303]

#define sipType_QTextCursor_MoveOperation sipExportedTypes_QtGui[302]

#define sipType_QTextCursor_MoveMode sipExportedTypes_QtGui[301]

extern sipClassTypeDef sipTypeDef_QtGui_QTextCursor;


extern sipClassTypeDef sipTypeDef_QtGui_Qt;

#define sipType_QTextDocument sipExportedTypes_QtGui[304]

#define sipType_QTextDocument_MarkdownFeature sipExportedTypes_QtGui[307]

#define sipType_QTextDocument_Stacks sipExportedTypes_QtGui[311]

#define sipType_QTextDocument_ResourceType sipExportedTypes_QtGui[310]

#define sipType_QTextDocument_FindFlag sipExportedTypes_QtGui[305]

#define sipType_QTextDocument_MetaInformation sipExportedTypes_QtGui[309]

extern sipClassTypeDef sipTypeDef_QtGui_QTextDocument;

#define sipType_QTextDocument_FindFlags sipExportedTypes_QtGui[306]

extern sipClassTypeDef sipTypeDef_QtGui_QTextDocument_FindFlags;

#define sipType_QTextDocument_MarkdownFeatures sipExportedTypes_QtGui[308]

extern sipClassTypeDef sipTypeDef_QtGui_QTextDocument_MarkdownFeatures;

#define sipType_QTextDocumentFragment sipExportedTypes_QtGui[312]

extern sipClassTypeDef sipTypeDef_QtGui_QTextDocumentFragment;

#define sipType_QTextDocumentWriter sipExportedTypes_QtGui[313]

extern sipClassTypeDef sipTypeDef_QtGui_QTextDocumentWriter;

#define sipType_QTextLength sipExportedTypes_QtGui[334]

#define sipType_QTextLength_Type sipExportedTypes_QtGui[335]

extern sipClassTypeDef sipTypeDef_QtGui_QTextLength;

#define sipType_QTextFormat sipExportedTypes_QtGui[314]

#define sipType_QTextFormat_Property sipExportedTypes_QtGui[319]

#define sipType_QTextFormat_PageBreakFlag sipExportedTypes_QtGui[317]

#define sipType_QTextFormat_ObjectTypes sipExportedTypes_QtGui[316]

#define sipType_QTextFormat_FormatType sipExportedTypes_QtGui[315]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFormat;

#define sipType_QTextFormat_PageBreakFlags sipExportedTypes_QtGui[318]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFormat_PageBreakFlags;

#define sipType_QTextCharFormat sipExportedTypes_QtGui[296]

#define sipType_QTextCharFormat_FontPropertiesInheritanceBehavior sipExportedTypes_QtGui[297]

#define sipType_QTextCharFormat_UnderlineStyle sipExportedTypes_QtGui[298]

#define sipType_QTextCharFormat_VerticalAlignment sipExportedTypes_QtGui[299]

extern sipClassTypeDef sipTypeDef_QtGui_QTextCharFormat;

#define sipType_QTextBlockFormat sipExportedTypes_QtGui[291]

#define sipType_QTextBlockFormat_MarkerType sipExportedTypes_QtGui[293]

#define sipType_QTextBlockFormat_LineHeightTypes sipExportedTypes_QtGui[292]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlockFormat;

#define sipType_QTextListFormat sipExportedTypes_QtGui[340]

#define sipType_QTextListFormat_Style sipExportedTypes_QtGui[341]

extern sipClassTypeDef sipTypeDef_QtGui_QTextListFormat;

#define sipType_QTextImageFormat sipExportedTypes_QtGui[326]

extern sipClassTypeDef sipTypeDef_QtGui_QTextImageFormat;

#define sipType_QTextFrameFormat sipExportedTypes_QtGui[323]

#define sipType_QTextFrameFormat_BorderStyle sipExportedTypes_QtGui[324]

#define sipType_QTextFrameFormat_Position sipExportedTypes_QtGui[325]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFrameFormat;

#define sipType_QTextTableFormat sipExportedTypes_QtGui[353]

extern sipClassTypeDef sipTypeDef_QtGui_QTextTableFormat;

#define sipType_QTextTableCellFormat sipExportedTypes_QtGui[352]

extern sipClassTypeDef sipTypeDef_QtGui_QTextTableCellFormat;

#define sipType_QTextInlineObject sipExportedTypes_QtGui[327]

extern sipClassTypeDef sipTypeDef_QtGui_QTextInlineObject;

#define sipType_QTextLayout sipExportedTypes_QtGui[331]

#define sipType_QTextLayout_CursorMode sipExportedTypes_QtGui[332]

extern sipClassTypeDef sipTypeDef_QtGui_QTextLayout;

#define sipType_QTextLayout_FormatRange sipExportedTypes_QtGui[333]

extern sipClassTypeDef sipTypeDef_QtGui_QTextLayout_FormatRange;

#define sipType_QTextLine sipExportedTypes_QtGui[336]

#define sipType_QTextLine_CursorPosition sipExportedTypes_QtGui[337]

#define sipType_QTextLine_Edge sipExportedTypes_QtGui[338]

extern sipClassTypeDef sipTypeDef_QtGui_QTextLine;

#define sipType_QTextObject sipExportedTypes_QtGui[342]

extern sipClassTypeDef sipTypeDef_QtGui_QTextObject;

#define sipType_QTextBlockGroup sipExportedTypes_QtGui[294]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlockGroup;

#define sipType_QTextList sipExportedTypes_QtGui[339]

extern sipClassTypeDef sipTypeDef_QtGui_QTextList;

#define sipType_QTextFrame sipExportedTypes_QtGui[321]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFrame;

#define sipType_QTextFrame_iterator sipExportedTypes_QtGui[322]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFrame_iterator;

#define sipType_QTextBlock sipExportedTypes_QtGui[289]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlock;

#define sipType_QTextBlock_iterator sipExportedTypes_QtGui[290]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlock_iterator;

#define sipType_QTextFragment sipExportedTypes_QtGui[320]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFragment;

#define sipType_QTextBlockUserData sipExportedTypes_QtGui[295]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlockUserData;

#define sipType_QTextOption sipExportedTypes_QtGui[344]

#define sipType_QTextOption_TabType sipExportedTypes_QtGui[348]

#define sipType_QTextOption_Flag sipExportedTypes_QtGui[345]

#define sipType_QTextOption_WrapMode sipExportedTypes_QtGui[349]

extern sipClassTypeDef sipTypeDef_QtGui_QTextOption;

#define sipType_QTextOption_Flags sipExportedTypes_QtGui[346]

extern sipClassTypeDef sipTypeDef_QtGui_QTextOption_Flags;

#define sipType_QTextOption_Tab sipExportedTypes_QtGui[347]

extern sipClassTypeDef sipTypeDef_QtGui_QTextOption_Tab;

#define sipType_QTextTableCell sipExportedTypes_QtGui[351]

extern sipClassTypeDef sipTypeDef_QtGui_QTextTableCell;

#define sipType_QTextTable sipExportedTypes_QtGui[350]

extern sipClassTypeDef sipTypeDef_QtGui_QTextTable;

#define sipType_QTouchDevice sipExportedTypes_QtGui[354]

#define sipType_QTouchDevice_CapabilityFlag sipExportedTypes_QtGui[356]

#define sipType_QTouchDevice_DeviceType sipExportedTypes_QtGui[357]

extern sipClassTypeDef sipTypeDef_QtGui_QTouchDevice;

#define sipType_QTouchDevice_Capabilities sipExportedTypes_QtGui[355]

extern sipClassTypeDef sipTypeDef_QtGui_QTouchDevice_Capabilities;

#define sipType_QTransform sipExportedTypes_QtGui[362]

#define sipType_QTransform_TransformationType sipExportedTypes_QtGui[363]

extern sipClassTypeDef sipTypeDef_QtGui_QTransform;

#define sipType_QValidator sipExportedTypes_QtGui[364]

#define sipType_QValidator_State sipExportedTypes_QtGui[365]

extern sipClassTypeDef sipTypeDef_QtGui_QValidator;

#define sipType_QIntValidator sipExportedTypes_QtGui[91]

extern sipClassTypeDef sipTypeDef_QtGui_QIntValidator;

#define sipType_QDoubleValidator sipExportedTypes_QtGui[27]

#define sipType_QDoubleValidator_Notation sipExportedTypes_QtGui[28]

extern sipClassTypeDef sipTypeDef_QtGui_QDoubleValidator;

#define sipType_QRegExpValidator sipExportedTypes_QtGui[253]

extern sipClassTypeDef sipTypeDef_QtGui_QRegExpValidator;

#define sipType_QRegularExpressionValidator sipExportedTypes_QtGui[256]

extern sipClassTypeDef sipTypeDef_QtGui_QRegularExpressionValidator;

#define sipType_QVector2D sipExportedTypes_QtGui[366]

extern sipClassTypeDef sipTypeDef_QtGui_QVector2D;

#define sipType_QVector3D sipExportedTypes_QtGui[367]

extern sipClassTypeDef sipTypeDef_QtGui_QVector3D;

#define sipType_QVector4D sipExportedTypes_QtGui[368]

extern sipClassTypeDef sipTypeDef_QtGui_QVector4D;

#define sipType_QList_0111QTouchDevice sipExportedTypes_QtGui[113]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0111QTouchDevice;

#define sipType_QList_0101QTextFrame sipExportedTypes_QtGui[110]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QTextFrame;

#define sipType_QList_0100QTextBlock sipExportedTypes_QtGui[109]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextBlock;

#define sipType_QList_0100QGlyphRun sipExportedTypes_QtGui[99]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QGlyphRun;

#define sipType_QVector_0100QTextLayout_FormatRange sipExportedTypes_QtGui[375]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QTextLayout_FormatRange;

#define sipType_QList_0100QTextLayout_FormatRange sipExportedTypes_QtGui[111]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextLayout_FormatRange;

#define sipType_QList_0100QTextOption_Tab sipExportedTypes_QtGui[112]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextOption_Tab;

#define sipType_QVector_0100QTextLength sipExportedTypes_QtGui[376]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QTextLength;

#define sipType_QVector_0100QTextFormat sipExportedTypes_QtGui[374]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QTextFormat;

#define sipType_QList_0101QStandardItem sipExportedTypes_QtGui[108]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QStandardItem;

#define sipType_QVector_0100QRect sipExportedTypes_QtGui[372]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QRect;

#define sipType_QVector_0100QPoint sipExportedTypes_QtGui[371]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QPoint;

#define sipType_QList_0100QPolygonF sipExportedTypes_QtGui[105]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QPolygonF;

#define sipType_QList_0101QOpenGLShader sipExportedTypes_QtGui[104]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QOpenGLShader;

#define sipType_QVector_0100QSize sipExportedTypes_QtGui[373]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QSize;

#define sipType_QList_0100QOpenGLDebugMessage sipExportedTypes_QtGui[103]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QOpenGLDebugMessage;

#define sipType_QSet_0100QByteArray sipExportedTypes_QtGui[265]

extern sipMappedTypeDef sipTypeDef_QtGui_QSet_0100QByteArray;

#define sipType_QList_0101QOpenGLContext sipExportedTypes_QtGui[102]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QOpenGLContext;

#define sipType_QList_0100QKeySequence sipExportedTypes_QtGui[101]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QKeySequence;

#define sipType_QList_0101QScreen sipExportedTypes_QtGui[106]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QScreen;

#define sipType_QList_0100QTouchEvent_TouchPoint sipExportedTypes_QtGui[114]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTouchEvent_TouchPoint;

#define sipType_QList_0100QInputMethodEvent_Attribute sipExportedTypes_QtGui[100]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QInputMethodEvent_Attribute;

#define sipType_QList_0100QSize sipExportedTypes_QtGui[107]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QSize;

#define sipType_QVector_0100QAbstractTextDocumentLayout_Selection sipExportedTypes_QtGui[369]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0100QAbstractTextDocumentLayout_Selection;

#define sipType_QList_0101QWindow sipExportedTypes_QtGui[115]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QWindow;

#define sipType_QVector_0600QPair_2400_0100QColor sipExportedTypes_QtGui[370]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_0600QPair_2400_0100QColor;

#define sipType_QVector_2400 sipExportedTypes_QtGui[378]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_2400;

#define sipType_QVector_2200 sipExportedTypes_QtGui[377]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_2200;

#define sipType_QVector_1900 sipExportedTypes_QtGui[379]

extern sipMappedTypeDef sipTypeDef_QtGui_QVector_1900;

#define sipType_QList_0100QFontDatabase_WritingSystem sipExportedTypes_QtGui[98]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QFontDatabase_WritingSystem;

#define sipType_QPair_2200_2200 sipExportedTypes_QtGui[222]

extern sipMappedTypeDef sipTypeDef_QtGui_QPair_2200_2200;

#define sipType_QPair_0100QOpenGLTexture_Filter_0100QOpenGLTexture_Filter sipExportedTypes_QtGui[221]

extern sipMappedTypeDef sipTypeDef_QtGui_QPair_0100QOpenGLTexture_Filter_0100QOpenGLTexture_Filter;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtGui;
extern sipExportedModuleDef sipModuleAPI_QtGui;
extern sipTypeDef *sipExportedTypes_QtGui[];

#if !defined(sipType_Qt)
#define sipType_Qt sipImportedTypes_QtGui_QtCore[42].it_td
#endif

#define sipType_Qt_HighDpiScaleFactorRoundingPolicy sipImportedTypes_QtGui_QtCore[59].it_td

#define sipType_Qt_TabFocusBehavior sipImportedTypes_QtGui_QtCore[83].it_td

#define sipType_Qt_MouseEventSource sipImportedTypes_QtGui_QtCore[72].it_td

#define sipType_Qt_ScrollPhase sipImportedTypes_QtGui_QtCore[80].it_td

#define sipType_Qt_NativeGestureType sipImportedTypes_QtGui_QtCore[73].it_td

#define sipType_Qt_ApplicationState sipImportedTypes_QtGui_QtCore[44].it_td

#define sipType_Qt_HitTestAccuracy sipImportedTypes_QtGui_QtCore[60].it_td

#define sipType_Qt_WhiteSpaceMode sipImportedTypes_QtGui_QtCore[89].it_td

#define sipType_Qt_ScreenOrientation sipImportedTypes_QtGui_QtCore[78].it_td

#define sipType_Qt_CursorMoveStyle sipImportedTypes_QtGui_QtCore[51].it_td

#define sipType_Qt_TouchPointState sipImportedTypes_QtGui_QtCore[86].it_td

#define sipType_Qt_SizeMode sipImportedTypes_QtGui_QtCore[81].it_td

#define sipType_Qt_Axis sipImportedTypes_QtGui_QtCore[46].it_td

#define sipType_Qt_MaskMode sipImportedTypes_QtGui_QtCore[67].it_td

#define sipType_Qt_WindowModality sipImportedTypes_QtGui_QtCore[91].it_td

#define sipType_Qt_CheckState sipImportedTypes_QtGui_QtCore[49].it_td

#define sipType_Qt_DropAction sipImportedTypes_QtGui_QtCore[53].it_td

#define sipType_Qt_LayoutDirection sipImportedTypes_QtGui_QtCore[66].it_td

#define sipType_Qt_InputMethodQuery sipImportedTypes_QtGui_QtCore[63].it_td

#define sipType_Qt_FocusReason sipImportedTypes_QtGui_QtCore[57].it_td

#define sipType_Qt_TransformationMode sipImportedTypes_QtGui_QtCore[88].it_td

#define sipType_Qt_ClipOperation sipImportedTypes_QtGui_QtCore[50].it_td

#define sipType_Qt_FillRule sipImportedTypes_QtGui_QtCore[56].it_td

#define sipType_Qt_AspectRatioMode sipImportedTypes_QtGui_QtCore[45].it_td

#define sipType_Qt_TextFormat sipImportedTypes_QtGui_QtCore[85].it_td

#define sipType_Qt_CursorShape sipImportedTypes_QtGui_QtCore[52].it_td

#define sipType_Qt_BrushStyle sipImportedTypes_QtGui_QtCore[48].it_td

#define sipType_Qt_PenJoinStyle sipImportedTypes_QtGui_QtCore[76].it_td

#define sipType_Qt_PenCapStyle sipImportedTypes_QtGui_QtCore[75].it_td

#define sipType_Qt_PenStyle sipImportedTypes_QtGui_QtCore[77].it_td

#define sipType_Qt_BGMode sipImportedTypes_QtGui_QtCore[47].it_td

#define sipType_Qt_WindowState sipImportedTypes_QtGui_QtCore[92].it_td

#define sipType_Qt_WindowType sipImportedTypes_QtGui_QtCore[94].it_td

#define sipType_Qt_TextElideMode sipImportedTypes_QtGui_QtCore[84].it_td

#define sipType_Qt_SortOrder sipImportedTypes_QtGui_QtCore[82].it_td

#define sipType_Qt_Orientation sipImportedTypes_QtGui_QtCore[74].it_td

#define sipType_Qt_MouseButton sipImportedTypes_QtGui_QtCore[69].it_td

#define sipType_Qt_GlobalColor sipImportedTypes_QtGui_QtCore[58].it_td

#define sipType_Qt_KeyboardModifiers sipImportedTypes_QtGui_QtCore[65].it_td

#define sipType_Qt_MouseButtons sipImportedTypes_QtGui_QtCore[70].it_td

#define sipType_Qt_Alignment sipImportedTypes_QtGui_QtCore[43].it_td

#define sipType_Qt_WindowFlags sipImportedTypes_QtGui_QtCore[90].it_td

#define sipType_Qt_WindowStates sipImportedTypes_QtGui_QtCore[93].it_td

#define sipType_Qt_ImageConversionFlags sipImportedTypes_QtGui_QtCore[61].it_td

#define sipType_Qt_InputMethodQueries sipImportedTypes_QtGui_QtCore[62].it_td

#define sipType_Qt_DropActions sipImportedTypes_QtGui_QtCore[54].it_td

#define sipType_Qt_ItemFlags sipImportedTypes_QtGui_QtCore[64].it_td

#define sipType_Qt_MatchFlags sipImportedTypes_QtGui_QtCore[68].it_td

#define sipType_Qt_TouchPointStates sipImportedTypes_QtGui_QtCore[87].it_td

#define sipType_Qt_ScreenOrientations sipImportedTypes_QtGui_QtCore[79].it_td

#define sipType_Qt_Edges sipImportedTypes_QtGui_QtCore[55].it_td

#define sipType_Qt_MouseEventFlags sipImportedTypes_QtGui_QtCore[71].it_td

#define sipType_QObject sipImportedTypes_QtGui_QtCore[25].it_td

#define sipType_QModelIndex sipImportedTypes_QtGui_QtCore[24].it_td

#define sipType_QAbstractItemModel sipImportedTypes_QtGui_QtCore[0].it_td

#define sipType_QIODevice sipImportedTypes_QtGui_QtCore[10].it_td

#define sipType_QByteArray sipImportedTypes_QtGui_QtCore[1].it_td

#define sipType_QCoreApplication sipImportedTypes_QtGui_QtCore[4].it_td

#define sipType_QEvent sipImportedTypes_QtGui_QtCore[6].it_td

#define sipType_QEvent_Type sipImportedTypes_QtGui_QtCore[7].it_td

#define sipType_QTimerEvent sipImportedTypes_QtGui_QtCore[38].it_td

#define sipType_QChildEvent sipImportedTypes_QtGui_QtCore[3].it_td

#define sipType_QDataStream sipImportedTypes_QtGui_QtCore[5].it_td

#define sipType_QFile sipImportedTypes_QtGui_QtCore[8].it_td

#define sipType_QIODevice_OpenMode sipImportedTypes_QtGui_QtCore[11].it_td

#define sipType_QLine sipImportedTypes_QtGui_QtCore[12].it_td

#define sipType_QLineF sipImportedTypes_QtGui_QtCore[13].it_td

#define sipType_QLocale sipImportedTypes_QtGui_QtCore[18].it_td

#define sipType_QMargins sipImportedTypes_QtGui_QtCore[20].it_td

#define sipType_QMarginsF sipImportedTypes_QtGui_QtCore[21].it_td

#define sipType_QMetaMethod sipImportedTypes_QtGui_QtCore[22].it_td

#define sipType_QMimeData sipImportedTypes_QtGui_QtCore[23].it_td

#define sipType_QPoint sipImportedTypes_QtGui_QtCore[27].it_td

#define sipType_QPointF sipImportedTypes_QtGui_QtCore[28].it_td

#define sipType_QRect sipImportedTypes_QtGui_QtCore[29].it_td

#define sipType_QRectF sipImportedTypes_QtGui_QtCore[30].it_td

#define sipType_QRegExp sipImportedTypes_QtGui_QtCore[31].it_td

#define sipType_QRegularExpression sipImportedTypes_QtGui_QtCore[32].it_td

#define sipType_QSize sipImportedTypes_QtGui_QtCore[33].it_td

#define sipType_QSizeF sipImportedTypes_QtGui_QtCore[34].it_td

#define sipType_QTextCodec sipImportedTypes_QtGui_QtCore[37].it_td

#define sipType_QUrl sipImportedTypes_QtGui_QtCore[39].it_td

#define sipType_QVariant sipImportedTypes_QtGui_QtCore[40].it_td

#define sipType_QVector_0100QPointF sipImportedTypes_QtGui_QtCore[41].it_td

#define sipType_QHash_1800_0100QByteArray sipImportedTypes_QtGui_QtCore[9].it_td

#define sipType_QMap_1800_0100QVariant sipImportedTypes_QtGui_QtCore[19].it_td

#define sipType_QList_0100QByteArray sipImportedTypes_QtGui_QtCore[14].it_td

#define sipType_QList_0100QModelIndex sipImportedTypes_QtGui_QtCore[15].it_td

#define sipType_QPair_1800_1800 sipImportedTypes_QtGui_QtCore[26].it_td

#define sipType_QStringList sipImportedTypes_QtGui_QtCore[36].it_td

#define sipType_QList_2400 sipImportedTypes_QtGui_QtCore[17].it_td

#define sipType_QList_1800 sipImportedTypes_QtGui_QtCore[16].it_td

#define sipType_QString sipImportedTypes_QtGui_QtCore[35].it_td

#define sipType_QChar sipImportedTypes_QtGui_QtCore[2].it_td

#define sipType_quintptr sipImportedTypes_QtGui_QtCore[95].it_td
extern sipImportedTypeDef sipImportedTypes_QtGui_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtGui_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtGui_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtGui_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtGui_qt_metacast;
#line 173 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/sip/QtGui/qfontmetrics.sip"
// Used by QFontMetrics and QFontMetricsF.
int *qtgui_tabarray(PyObject *l);
#line 321 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/sip/QtGui/qguiapplication.sip"
// Imports from QtCore.
typedef void (*pyqt5_qtgui_cleanup_qobjects_t)();
extern pyqt5_qtgui_cleanup_qobjects_t pyqt5_qtgui_cleanup_qobjects;

typedef char **(*pyqt5_qtgui_from_argv_list_t)(PyObject *, int &);
extern pyqt5_qtgui_from_argv_list_t pyqt5_qtgui_from_argv_list;

typedef void (*pyqt5_qtgui_update_argv_list_t)(PyObject *, int, char **);
extern pyqt5_qtgui_update_argv_list_t pyqt5_qtgui_update_argv_list;
#line 268 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/sip/QtGui/qimage.sip"
const char **QtGui_ListToArray(PyObject *lst);
void QtGui_DeleteArray(const char **arr);
#line 216 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/sip/QtGui/qmatrix4x4.sip"
// Helpers for the matrix classes.
typedef float PYQT_FLOAT;

sipErrorState qtgui_matrixParseIndex(PyObject *tup, int nr_rows,
        int nr_columns, int *row, int *column);
sipErrorState qtgui_matrixDataFromSequence(PyObject *seq, int nr_values,
        PYQT_FLOAT *values);
sipErrorState qtgui_matrixDataAsList(int nr_values, const PYQT_FLOAT *values,
        PyObject **list);
#line 335 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/sip/QtGui/qopenglshaderprogram.sip"
#include "qpyopengl_api.h"
#line 256 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/sip/QtGui/qtextobject.sip"
PyObject *qtgui_wrap_ancestors(QObject *obj, const sipTypeDef *td);
#line 10394 "/home/abuild/rpmbuild/BUILD/PyQt5-5.15.10/build/QtGui/sipAPIQtGui.h"

#endif
